Welcome to Corel Painter X

Corel Painter X is the leading digital painting application. The Natural-Media features in Corel Painter let you simulate the use of a wide range of art tools — from felt pens, charcoal, and colored pencils to watercolor and oils.

See Also

•
What’s New in Corel Painter?
•
How to Use the Documentation
•
Registration
•
About Corel Corporation

Next Document Back to Top

Copyright 2006 Corel Corporation. All rights reserved.


What’s New in Corel Painter?

On this page, you will find information about

•
Creativity
•
Performance and Productivity
•
Compatibility
•
Learning

Corel Painter X offers a broad range of tools and features that inspire creativity, increase performance, and further extend compatibility with other industry-standard tools and applications.

Creativity

 Back to Top

Corel Painter X delivers an array of powerful new features that mimic traditional art media as never before — right down to the individual bristles on a brush.

RealBristle Painting System

The new RealBristle Painting System, which reproduces the natural movement of an artist’s brush, represents a major milestone for digital painting. This new feature heightens the responsiveness of your brush in a totally new way. With Corel Painter X, you can now faithfully replicate the sensation of the interaction between the paint, canvas, and brush. For more information, see "RealBristle settings".

Divine Proportion

The new Divine Proportion composition tool helps you visually arrange your canvas before drawing or painting. Widely used throughout history, divine proportion is a ratio of 1:1.61803398874989, or approximately 3:5, which is generally recognized as aesthetically pleasing to the eye. It has been used by many of the world’s most recognized artists, designers, and architects, such as Sargent, Seurat, Michelangelo, and Le Corbusier.

This tool can help you create visually stunning compositions, whether you are painting from a blank canvas or are cropping a photo that you want to transform into a painting. Corel Painter X provides palette controls for the Divine Proportion composition tool, which let you adjust the orientation, size, angle of rotation, display colors, opacity, and grid levels.

For more information, see "Using the Divine Proportion tool".

Layout Grid

The new Layout Grid composition tool divides the canvas into equal sections. Similar to the Divine Proportion composition tool, the Layout Grid helps you visually arrange the canvas or a photo before you draw or paint. You can choose from three preset grids: the Rule of Thirds, 3 ¥ 5, or 5 ¥ 5. In addition, you can customize the Layout Grid to virtually any configuration. For more information, see "Using the Layout Grid".

Photo Painting System

The enhanced Photo Painting System makes it easier than ever for you to create beautiful paintings from photos. With Corel Painter X, new controls provide you with more options when creating an underpainting. In addition, the new Smart Stroke Painting option uses brush strokes that dynamically adhere to the forms of the original photo. For more information, see "Photo Painting System".

The Underpainting Palette

Throughout history, artists have used underpaintings to establish the overall color values for their paintings. Similarly, the Underpainting palette lets you prepare a photo for cloning — the first step in transforming a photo into a painting. You can adjust the photo’s contrast, lightness, or saturation and add an edge effect, such as a rectangular, circular, or jagged vignette.

With Corel Painter X, the Underpainting palette has been enhanced to include color schemes based on various media styles, such as Impressionist, Classical, Modern, Watercolor, Sketchbook, and Chalk Drawing. In addition, you can choose a color scheme that matches the colors of any opened image.

The Auto-Painting Palette

The Auto-Painting palette lets you transform a photo into a painting by automatically applying random paint strokes that vary in stroke type, direction, and pressure. You choose the type of brush stroke and adjust the preset options to determine how the brush interacts with the canvas.

With Corel Painter X, the Auto-Painting palette has been enhanced to provide the new Smart Stroke Painting option, which uses brush strokes that follow the forms of the original photo. When enabled, the Smart Stroke Painting option dynamically changes brush size, stroke length, and pressure based on the detail and focal areas of the original photo.

The Restoration Palette

The Restoration palette allows you to touch up a painting manually by using one of two special brushes. These brushes use the original photographic detail to “restore” image areas, such as facial features.

Match Palette Effect

The new Match Palette effect lets you match the color and intensity between two images. If you want to change an image’s color scheme, you can open an image that features your desired color scheme and use the Match Palette effect to apply the new color scheme to your image. For more information, see "Matching Color and Brightness across Images".

Mixer Palette

Corel Painter X gives you more control over color selection when you use Artists’ Oils brushes, RealBristle brushes, or any other bristle-type brush. For multicolor selection, the enhanced Mixer palette gives you better control over color blending between the Mixer palette and the canvas. For more information, see "Working with the Mixer Palette".

Performance and Productivity

 Back to Top

Corel Painter X introduces new tools that increase productivity and streamline your workflow. This is the fastest version of Corel Painter ever, as application performance, speed, and stability have improved dramatically.

Depending on your system hardware, Corel Painter X provides up to five times faster startup performance compared with previous versions of the software. Plus, brush engine performance is 35% faster, opening RIFF files is two times faster, rendering effects is two times faster, running scripts is 25% faster, and file saving is now up to 40% faster.

Universal Binary

With support for Universal binary specifications, Corel Painter X is optimized for use on both Intel- and PowerPC-based Mac computers.

Workspace Customization

With Corel Painter X it’s easy to share or switch between customized workspaces. For example, to suit specific workflows in a professional environment, workspaces may be customized to offer only tools relevant to sketching, photography, and painting. For more information, see "Customizing the workspace".

Corel Painter X makes it easy to share custom workspaces.

Dodge and Burn Tools

With Corel Painter X, dodge and burn capabilities have been improved with the addition of two new image enhancement tools. The Dodge tool lets artists lighten, or overexpose, specific areas of an image. The Burn tool lets artists darken, or underexpose, specific areas of an image. Dodging and burning are often used to prepare a photo for painting. For more information, see "Dodging and Burning".

Color Management

Corel Painter X includes the enhanced Color Management System, which ensures accurate color reproduction between devices and print jobs. In previous versions of Corel Painter, color management controls needed to be reset for each new project. Now, you specify color management options only once, and Corel Painter X retains those settings until you make further adjustments. With support for industry-standard color profiles defined in version 4.0 of the International Color Consortium specification (ICC 4.0), Corel Painter X lets you focus entirely on your work. For more information, see "Understanding Color Management".

Session Memory

With enhanced session memory, Corel Painter X retains many different settings between sessions, including grid settings, tracker settings, and erasers.

Secure Saving and Auto-Backup

Corel Painter X provides the new Secure Saving and Auto-Backup features, which help ensure that you will not lose your work in the case of a power outage or system crash.

Compatibility

 Back to Top

Corel Painter X fits into your workflow and is compatible with the industry-standard software and hardware you use every day, including the latest operating systems from Apple and Microsoft.

Windows Vista Support

Corel Painter X is designed to run on Windows Vista, the latest Microsoft operating system.

Adobe Photoshop Support

Layers behave in Corel Painter much as they do in Adobe Photoshop, which makes it simple to move files between the two applications. When you open files saved to the Photoshop file format (PSD) in Corel Painter, the file’s layer masks, alpha channels, and layer sets (groups) are maintained. The enhancements include improved support for layer merge modes and easier layer grouping and combining. Corel Painter X also supports Photoshop plug-ins for Mac OS X.

Wacom Support

Wacom pen tablets and pens have long been staples in the creative professional’s toolbox. With Corel Painter X, you can use the entire Wacom product line — including the Cintiq 21 UX interactive pen display, the Intuos3 pen tablet, and the Wacom 6D Art Pen. The new RealBristle Painting System in Corel Painter X was developed to take full advantage of the Wacom 6D Art Pen. Combined with the pen’s six dimensions of control, Corel Painter X takes realism to new heights. For more information, see "Art Pens" and "Working with RealBristle Brushes".

Corel Painter X and a Wacom tablet bring true expression from the artist’s hand to the canvas.
Artwork by Chet Phillips.

Learning

 Back to Top

With a printed user guide, training videos and tutorials from Corel Painter Masters, online Help, and courseware specifically designed for educators, getting started with Corel Painter has never been easier.

Printed User Guide

With Corel Painter X, you get a printed user guide, which provides information and fast solutions.

Jeremy Sutton Training Videos

For guidance and inspiration, Corel Painter X includes a new collection of step-by-step training videos by Corel Painter Master Jeremy Sutton.

Tutorials by Corel Painter Masters

Corel Painter X provides a new series of tutorials by recognized industry professionals to help you learn to use the application.

“Painter on the ’Net” Tab in the Welcome Book

The new “Painter on the ’Net” tab provides links to online resources for the Corel Painter community, including Tips & Tricks, tutorials, and special offers. Launching on startup, the Welcome book lets you quickly begin working on your current project. The Welcome book also provides quick access to recently used files, brush settings, and color management settings, and it showcases artwork from renowned Corel Painter Masters.

The Welcome book

Previous Document Next Document Back to Top


How to Use the Documentation

On this page, you will find information about

•
Documentation Conventions
•
Using Corel Painter Help

You can find answers to many of your questions in the Corel Painter User Guide and in the Help available from within the Corel Painter workspace. The Corel Painter User Guide contains commonly used procedures and information. The Help gives you access to a full range of topics in a searchable format. An Adobe Portable Document Format (PDF) version of the Help is installed when you install the application.

If you have any comments or suggestions about the Corel Painter X documentation, please contact Corel Corporation at www.corel.com/painterx/feedback.

Documentation Conventions

 Back to Top

The following table describes important conventions used in the Corel Painter User Guide and in the Help.

Convention
Description
Example
Mac OS / Windows commands
The Corel Painter User Guide is intended for both the Mac OS and Windows platforms. Throughout the guide, Mac OS commands precede Windows commands.
Hold down Command (Mac OS) or Ctrl (Windows).
Modifier keys (Command, Option, Ctrl, Alt)
When a modifier key differs between Mac OS and Windows, the Mac OS modifier is listed first.
Command + I (Mac OS) or Ctrl + I (Windows)
(For the Mac OS, you press Command + I; for Windows, you press Ctrl + I.)
Menu commands (Choose X menu [image] menu item)
You choose a menu name by clicking it, and then you click to choose a menu item from the list.
Choose File menu [image] Quick Clone

Title bar
A title bar is located at the top or side of some UI elements, such as the toolbox, the property bar, and the palettes. It may not display title text.
Examples of the toolbox title bar on the Mac OS (top) and the Windows platform (bottom):

Palette title bar
The palette title bar appears at the top of a palette. When the palette is expanded, the color of the bar changes to dark gray. When a palette is collapsed, the color of the bar changes to light gray.
Palette title bars for the Underpainting and Auto-Painting palettes are collapsed, and the Restoration palette is expanded.

Palette arrow
The palette arrow is used to expand or collapse a palette.
The Auto-Painting palette arrow is collapsed, and the Underpainting palette arrow is expanded.
Palette menu arrow or selector menu arrow
Clicking a palette menu arrow or a selector menu arrow displays a pop-up menu with additional commands.
The palette menu arrow for the Mixer palette displays the Mixer palette menu.

Flyout
Flyouts are spaces shared by certain tools in the toolbox. You can open a flyout by clicking and holding down the tool on the flyout that is displayed.
By clicking and holding down the Grabber tool in the toolbox, you can display a flyout that includes the Rotate Page tool.

A note contains information that is important to the steps that precede it. Often, a note describes conditions under which the procedure can be performed.

•
This command is available only if you have turned off a selection.

A tip contains suggestions related to the procedure. Some tips present alternative methods of performing the steps or information about other benefits and uses of the procedure.

•
You can choose a brush category and variant in the main application or in the Brush Creator.

Using Corel Painter Help

 Back to Top

The Help is the documentation that can be accessed from within the Corel Painter workspace. It is fully searchable and includes more comprehensive information than is found in the printed documentation.

To use the Help

1
Choose Help menu [image] Corel Painter X Help (Mac) or Help Topics (Windows).
2
Perform a task from the following table.

To | Do the following
Browse through Help topics | Click the Contents tab.
Use the index | Click the Index tab and scroll through the entries, or type a word or phrase in the box.
Search the full text of the Help | (Mac) Type a word or phrase in the Search box in the top right corner of the Help window, and press Return. (Windows) Click the Search tab, type a word or phrase in the box, and click List Topics.

•
(Windows) To search for a phrase, type the phrase, and enclose it within quotation marks (for example, “Divine Proportion” or “Match Palette”).


Registration

Registering Corel products is important. Registration provides you with timely access to the latest product updates, valuable information about product releases, and access to free downloads, articles, tips and tricks, and special offers.


About Corel Corporation

Corel is a leading global packaged software company with more than 40 million users. With hundreds of industry awards for leadership in software innovation, design, and value, Corel’s products have built a loyal following of customers and partners around the globe. For more information, please visit www.corel.com.


A Workspace Tour

The Corel Painter workspace has been designed to give you easy access to tools, effects, commands, and features. The workspace is organized across a series of menus, selectors, and interactive palettes. Some features are also available in the frame of the document window.

See Also

•
The Menus and the Document Window
•
The Toolbox
•
The Property Bar
•
The Brush Selector Bar and the Brush Creator
•
The Palettes
•
Custom Palettes
•
Libraries and Movers
•
Brush Libraries


The Menus and the Document Window

Using the commands on the Corel Painter menu bar, you can

•
work with files and editing commands
•
apply and adjust effects
•
perform selection operations, work with shapes, and create animations
•
control the document window or the Corel Painter workspace

1. Menu bar | 6. Navigation icon | 11. Brush Selector bar
2. Tracing Paper icon | 7. Drawing Mode icon | 12. Document title bar
3. Colors palette | 8. Selectors | 13. Toolbox
4. Layers palette | 9. Color Selection box | 14. Property bar
5. Scale slider | 10. Canvas |

The document window lets you access the following features with the click of a button:

•
Tracing Paper [image] — Lets you trace a clone source. When Tracing Paper is in use, you see a faded-out version of the clone source, as if it were displayed under real tracing paper on top of a light box.
•
Grid [image] — Helps you position brush strokes and shapes. You can set the types, size, line thickness, and color of the grid.
•
Color Correction [image] — Lets you apply the current color management style to an image. When the icon shows colors, the color management style is applied to the image; when the icon shows black, the color management style is not applied to the image.
•
Impasto Effect [image] — Lets you view the depth effect of the Impasto layer.
•
Drawing Mode [image] — Lets you choose where you can apply brush strokes to your image when you have an active selection. Click and hold down the icon to choose between drawing anywhere, drawing outside the selection only, or drawing inside the selection only.
•
Navigation [image] — Lets you view a pop-up window of the entire image and choose which area is displayed in the document window. For example, when you are working at a high zoom level or with a large image, you can find a different image area without having to adjust the zoom level.


The Toolbox

On this page, you will find information about

•
Toolbox Basics
•
Accessing Tools in the Toolbox
•
Exploring the Toolbox
•
Using Selectors

You can use the tools in the toolbox to paint, draw lines and shapes, fill shapes with color, view and navigate, and make selections. Under the toolbox is a color selector, plus six content selectors that let you choose papers, gradients, patterns, weaves, looks, and nozzles.

Toolbox Basics

 Back to Top

The toolbox is open by default; however, it can be closed. You can move the toolbox around the application window, and you can attach the toolbox to the document window or to other palettes.

To open or close the toolbox

•
Perform a task from the following table.

To | Do the following
Open the toolbox | Choose Window menu [image] Show Toolbox.
Close the toolbox | Click the close button on the title of the toolbox. You can also choose Window menu [image] Hide Toolbox.

To move or dock the toolbox

1
Place the cursor over the title bar [image] of the toolbox.
2
Perform a task from the following table.

To | Do the following
Move the toolbox | Drag the toolbox title bar to a new location in the application window.
Dock the toolbox | Drag the toolbox title bar to the edge of the application window or a palette. When the toolbox lines up with the edge of the application window or palette, it will snap into place.

Accessing Tools in the Toolbox

 Back to Top

The toolbox contains flyout menus, in which tools of similar function share a space. The button for only one of these tools is displayed at a given time. A flyout menu is indicated by a triangle in the lower-right corner of the button.

The current tool can be modified by options on the property bar, which change as you change tools. For more information, see "Property Bar Basics".

To access tools grouped in flyouts

1
In the toolbox, click and hold the tool icon whose flyout you want to open.
A flyout menu of the entire group of related tools appears.
2
Choose the tool you want to use.
The tool you’ve chosen now appears on the toolbox.

Some tools are located in flyout menus on the toolbox. To open a flyout menu, click and hold down a tool button that has a triangle in the lower-right corner.

Exploring the Toolbox

 Back to Top

Tool
Description
Navigation and Utility Tools

Magnifier tool
The Magnifier tool lets you magnify areas of an image when you are performing detailed work, or reduce areas to get an overall view of an image. For more information, see "Zooming".
Grabber tool
The Grabber tool gives you a quick way to scroll an image. For more information, see "Repositioning Documents".
Rotate Page tool
The Rotate Page tool lets you rotate an image window to accommodate the way you naturally draw. For more information, see "Rotating and Flipping the Canvas".
Crop tool
The Crop tool lets you remove unwanted edges from the image. For more information, see "Cropping Images".
Perspective Grid tool
The Perspective Grid tool lets you select and move the location of the perspective grid lines, the vanishing point, the horizon line, the ground line, and the picture plane. For more information, see "Using the Perspective Grid".
Divine Proportion tool
The Divine Proportion tool lets you plan compositions by using guides based on a classical composition method. For more information, see "Using the Divine Proportion tool".
Layout Grid tool
The Layout Grid tool lets you divide your canvas so that you can plan your composition. For example, you can divide your canvas into thirds vertically and horizontally to use the compositional rule of thirds. For more information, see "Using the Layout Grid".
Tools that Apply Color or Adjust Tone

Brush tool
The Brush tool lets you paint and draw on the canvas or a layer. Brush categories include pencils, pens, chalk, an airbrush, oil paints, watercolors, and more.
When the Brush tool is selected, you can choose specific brushes from the Brush Selector bar. For more information, refer to "Selecting a Brush".
Paint Bucket tool
The Paint Bucket tool lets you fill an area. The property bar shows choices for what area to fill and what to fill it with. For more information on the Paint Bucket tool, refer to "Filling an Area with Media".
Dropper tool
The Dropper tool lets you pick up a color from an existing image. The property bar shows you values for the color. When you select a color with the Dropper tool, that color becomes the current color on the Colors palette. For more information, see "Sampling Colors from Images".
Dodge tool
The Dodge tool lets you lighten the highlights, midtones, and shadows in an image. For more information, see "Dodging and Burning".
Burn tool
The Burn tool lets you darken the highlights, midtones, and shadows in an image. For more information, see "Dodging and Burning".
Cloner tool
The Cloner tool gives you quick access to the last Cloner brush variant you used. For more information, see "Painting in the Clone".
Rubber Stamp tool
The Rubber Stamp tool gives you quick access to the Straight Cloner brush variant, allowing you to clone point to point in an image or between images. For more information, see "Using Point-to-Point Cloning".
Eraser tool
The Eraser tool lets you remove unwanted areas from the image. For more information, see "Erasing Image Areas".
Selection Tools

Rectangular Selection tool
The Rectangular Selection tool lets you create rectangular selections. For more information, see "Creating Selections".
Oval Selection tool
The Oval Selection tool lets you create oval selections. For more information, see "Creating Selections".
Lasso tool
The Lasso tool lets you draw a freehand selection. For more information, see "Creating Selections".
Magic Wand tool
The Magic Wand tool lets you click or drag in the image to select an area of similar color. For more information, see "Creating Pixel-based Selections".
Adjuster Tools

Layer Adjuster tool
The Layer Adjuster tool is used to select, move, and manipulate layers. For more information, see "The Layer Adjuster Tool".
Selection Adjuster tool
The Selection Adjuster tool lets you select, move, and manipulate selections created with the Rectangular, Oval, and Lasso selection tools and those converted from Shapes.
Shape Tools

Shape Selection tool
The Shape Selection tool is for editing Bézier curves (shape paths). You use the Shape Selection tool to select and move anchor points and to adjust their control handles. For more information, see "Creating Shapes".
Text tool
The Text tool creates text shapes. Use the Text palette to set the font, point size, and tracking. For more information, see "Working with Text".
Shape Design Tools
Pen tool
The Pen tool lets you create straight lines and curves in shape objects. For more information, see "Using the Pen Tool".
Quick Curve tool
The Quick Curve tool lets you create shape paths by drawing freehand curves. For more information, see "Using the Quick Curve Tool".
Shape Objects Tools
Rectangular Shape tool
The Rectangular Shape tool lets you create rectangular shape objects. For more information, see "Using Shape Object Tools".
Oval Shape tool
The Oval Shape tool lets you create oval shape objects. For more information, see "Using Shape Object Tools".
Shape Edit Tools
Scissors tool
The Scissors tool let you cut an open or closed segment. If the segment is closed, after you click on a line or point to cut the shape path, the shape path becomes open. For more information, see "Cutting and Joining Shape Segments".
Add Point tool
The Add Point tool lets you create a new anchor point on a shape path. For more information, see "Adding, Deleting, and Moving Anchor Points".
Remove Point tool
The Remove Point tool lets you remove an anchor point from a shape path. For more information, see "Adding, Deleting, and Moving Anchor Points".
Convert Point tool
The Convert Point tool is used to convert between smooth and corner anchor points. For more information, see "Adjusting Curvature".
Color Selector
The Color Selector lets you choose main and additional colors. The front square displays the main color, and the back square displays the additional color. For more information, refer to "Understanding Main and Additional Colors".

Using Selectors

 Back to Top

The selectors in the toolbox give you quick access to the libraries for the following Corel Painter elements: papers, gradients, patterns, weaves, looks, and nozzles. You can display items in selectors as thumbnails or in a list. You can also access commands from each selector menu. If the command you want is not available, you can display the entire palette that corresponds to the selector.

The selectors give you quick access to the libraries.

To use a selector

1
Click the selector you want to open.
2
Perform a task from the following table.

To | Do the following
Display items as thumbnails or in a list | Click the selector menu arrow, and choose List or Thumbnails.
Display a selector’s palette | Click the selector menu arrow, and choose Launch Palette. The Look Selector and Nozzle Selector do not have palettes, so this command is not available for them.

Clicking the selector menu arrow [image] lets you access the menu for each selector.


The Property Bar

On this page, you will find information about

•
Property Bar Basics
•
Using Tool Settings on the Property Bar

In Corel Painter, the property bar displays options for the tool that is currently selected in the toolbox. Here, you can access and change tool options and settings. Tool settings are retained when you switch from one tool to another. You can also use the property bar to restore the default settings of the selected tool. By default, the property bar is docked below the menu bar. You can move the property bar or dock it again. You can also hide the property bar.

Property Bar Basics

 Back to Top

The property bar is docked horizontally below the menu bar by default. You can move the property bar anywhere in the application window, dock it under the menu bar again, or close it.

The property bar for the Rectangular Selection tool.

To show or hide the property bar

•
Perform a task from the following table.

To | Do the following
Show the property bar | Choose Window menu [image] Show Property Bar.
Hide the property bar | Choose Window menu [image] Hide Property Bar. Note: You can also hide the property bar by clicking the close button on the title bar if the property bar is undocked.

To move or dock the property bar

•
Perform a task from the following table.

To | Do the following
Move the property bar | Drag the left side of the property bar to its new location.
Dock the property bar | Drag the title bar of the property bar, and place it under the menu bar. The property bar snaps into place.

Using Tool Settings on the Property Bar

 Back to Top

You can access the controls on the property bar for each tool, and you can change their settings according to your preferences. When you activate a tool, the settings that were last specified for that tool are applied. You can also use the property bar to restore the default settings of the selected tool.

To access tool settings on the property bar

•
Choose a tool from the toolbox.
Tool settings are displayed on the property bar.

To change tool settings on the property bar

1
Choose a tool from the toolbox.
2
On the property bar, do any of the following:
•
Click a button.
•
Type a value in the box next to a control, or click the arrow [image] next to a control and access a pop-up slider or menu.
•
Enable or disable the check box next to the option you want to use.
•
Not all of these options are available for every tool. The settings change depending on the tool selected.

To reset the default tool settings

•
Click the Reset Tool button on the property bar.
The Reset Tool button on the property bar has the same icon as the selected tool in the toolbox.


The Brush Selector Bar and the Brush Creator

On this page, you will find information about

•
Working with the Brush Selector Bar
•
Using the Brush Creator

The Brush Selector bar lets you choose from a variety of brush categories and variants. Brush categories are groups of similar brushes and media. Brush variants are specific brushes and brush settings within a brush category. For example, in the Pastels category, there are pencil, chalk, soft, and hard pastel variants.

The name of the selected brush category appears at the top of the Brush Selector bar. The name of the selected brush variant appears under the brush category name.

The Brush Selector bar.

The Brush Creator lets you design custom brushes. You can use the Randomizer to create random brush variants, the Transposer to blend two brush variants, and the Stroke Designer to adjust the settings of brush variants.

Working with the Brush Selector Bar

 Back to Top

You can use the Brush Selector bar to choose brush categories and variants. The Brush Category selector shows you a preview of the currently selected brush category and lets you choose a new brush category. The Brush Variant selector does the same for brush variants.

The Brush Selector bar is displayed to the right of the property bar by default. It can be moved to a new location in the application window, or it can be docked to the edge of the application window or other palettes.

You can preview brush categories and variants as thumbnails or in list format. Brush variants can also be previewed as brush strokes. The Stroke view shows you both the dab type and brush stroke of the selected brush variant.

The Brush Selector bar menu commands are used for creating and loading brushes, working with brush variants, and manipulating brush strokes. For more information, see "Customizing Brushes".

To show or hide the Brush Selector bar

•
Perform a task from the following table.

To | Do the following
Show the Brush Selector bar | Choose Window menu [image] Show Brush Selector Bar.
Hide the Brush Selector bar | Choose Window menu [image] Hide Brush Selector Bar. Note: You can also hide the Brush Selector bar by clicking the close button [image] on the title bar if the Brush Selector bar is undocked.

To move or dock the Brush Selector bar

•
Perform a task from the following table.

To | Do the following
Move the Brush Selector bar | Drag the left side of the Brush Selector bar [image] to a new location.
Dock the Brush Selector bar | Drag the title bar on the left side of the Brush Selector bar [image] , and move it to the edge of the application window or a palette. The bar snaps into place.

To choose a brush from the Brush Selector bar

1
On the Brush Selector bar, click the Brush Category arrow [image] and choose a brush category.
2
Click the Brush Variant arrow, and choose a variant.

To display brush categories and variants as thumbnails or lists

1
On the Brush Selector bar, click the Brush Category or Brush Variant arrow

.

2
Click the selector menu arrow [image], and choose List or Thumbnails.
If you’re displaying brush variants, you can also choose the Stroke view.

Brush Category items can be displayed as thumbnails, and Brush Variant items can be displayed as strokes.

Using the Brush Creator

 Back to Top

The Brush Creator is designed to make the brush variant creation process easy and fun. You can use the Randomizer to create random brush variants, the Transposer to blend two brush variants, and the Stroke Designer to adjust the settings of brush variants. For more information, see "Customizing Brushes".

As you become more familiar with the brush controls, you may want to make small adjustments to brush variants while you work on the canvas. The Brush Controls give you this option. For more information, see "Exploring the Palette Groups".

To open the Brush Creator

•
Choose Window menu [image] Brush Creator.
•
You can also open the Brush Creator by pressing Command + B (Mac OS) or Ctrl + B (Windows).


The Palettes

On this page, you will find information about

•
Showing and Hiding Palettes
•
Navigating Palettes
•
Using Palette Menus
•
Exploring the Palette Groups
•
Using the Info Palette
•
Using the Tracker Palette
•
Grouping, Repositioning, and Resizing Palettes
•
Docking Palettes
•
Saving and Restoring Palette Layout

The interactive palettes in Corel Painter let you access commands, controls, and settings.

You can set up the palette layout in Corel Painter to best suit your working style. Palettes can be arranged in the application window to give you easy access to the tools and controls you use most often, and to maximize screen space. You can also group and reposition palettes according to your preferences, and you can dock them to the edges of the application window or other palettes.

Showing and Hiding Palettes

 Back to Top

You can show or hide a palette by accessing controls in the Window menu or on a selector from the toolbox. You can also use the keyboard shortcut that appears on the Window menu.

For example, the following table shows the keyboard shortcuts for some of the main palettes:

Press Command (Mac OS) or Ctrl (Windows) + ...
1 = Colors | 4 = Layers | 7 = Info
2 = Mixer | 5 = Channels | 8 = Gradients
3 = Color Sets | 6 = Text | 9 = Patterns

To show or hide a palette

•
Choose Window menu, and choose either Show [Palette name] or Hide [Palette name].
•
You can also show a palette by choosing a selector from the toolbox, clicking the selector menu arrow, and choosing Launch Palette.
•
You can also show or hide a palette by using the keyboard shortcut that appears on the Window menu.
•
You can also hide a palette by clicking the close box [image] on the palette title bar.

To show or hide all palettes

•
Choose Window menu, and choose either Show Palettes or Hide Palettes.
•
When you choose Show Palettes, only the palettes that were open when you chose Hide Palettes are displayed.

Navigating Palettes

 Back to Top

When a palette is displayed, it must be expanded for you to access its settings. You can collapse palettes to save screen space, while keeping them displayed in the application.

If you have many palettes displayed and expanded, the view of other palettes can be obscured. You can scroll through palettes to locate the elements you want to work with.

To expand or collapse a palette

•
Click the palette arrow in the top left corner of the palette.
When the triangle points down [image], the palette is expanded. When it points to the right [image], the palette is collapsed.

To scroll through a palette

•
Click the scroll arrows, or drag the scroll box, on the right side of the palette.
•
You can also scroll through a palette by pressing Option + click (Mac OS) or Alt + click (Windows) and dragging vertically inside the palette. The cursor changes to a hand, and the palette scrolls as you drag.

Using Palette Menus

 Back to Top

Most palettes in Corel Painter contain menus from which you can access a series of palette-specific commands. For example, you can use the palette menu on the Papers palette to capture, make, and invert paper textures, and to open the Paper Mover and library.

To access the commands on a palette menu

•
Click the palette menu arrow.

The Colors palette is open by default and is grouped with the Mixer, Color Sets, and Color Info palettes. Clicking the palette arrows expands or collapses a palette.

Exploring the Palette Groups

 Back to Top

As you work with Corel Painter, you’ll use the following groups of palettes. You’ll also use the Info palette and the Tracker palette. For more information, see "Using the Info Palette" and "Using the Tracker Palette".

Palette
Description
Brush Controls
The Brush Controls include the following palettes for adjusting brushes: General, Size, Spacing, Angle, Bristle, Well, Rake, Random, Mouse, Cloning, Impasto, Image Hose, Airbrush, Water, Liquid Ink, Digital Watercolor, Artists’ Oils, and RealBristle.
The Brush Controls are a group of palettes that let you customize brush variants. The palettes match the categories on the Stroke Designer page of the Brush Creator. The Brush Controls are ideal for making small adjustments to a brush variant while you work. For more information about specific settings, see "Managing Settings and Controls".
Color Variability
The Color Variability palette contains sliders to adjust color variability within brush strokes. For more information, see "The Color Variability Palette".
Color Expression
The Color Expression palette lets you determine how a stylus applies the Main Color and Additional Color in Corel Painter documents. For more information, refer to "The Color Expression Palette".
Color Palettes

Colors
The Colors palette lets you choose main and additional colors for painting in Corel Painter documents. You can also use the Clone Color option on the Colors palette. For more information, see "Using the Colors Palette".
Mixer
The Mixer palette lets you mix and blend colors as you would on an artist’s palette. It contains its own set of tools. For more information, see "Working with the Mixer Palette".
Color Sets
The Color Sets palette displays the colors in the current color set. You can use color sets to organize groups of colors. Some color sets are organized by both name and color relationship. For more information, refer to "Working with Color Sets".
Color Info
The Color Info palette contains color information for the selected color, expressed in either HSV or RGB values. You can also use the Clone Color option with this palette. For more information, see "The Color Info Palette".
Library Palettes

Papers, Gradients, Patterns, and Weaves
The Library palettes let you choose and edit resources. You can view resources as thumbnails or in a list, and preview the selected resource. For more information, see "Using Paper Texture", "Using Gradients", "Using Patterns", and "Using Weaves".
Layers and Channels Palettes

Layers
The Layers palette contains thumbnail previews of all the layers in a Corel Painter document. You can use the buttons on the Layers palette to arrange layers, use Dynamic Plug-ins, add new layers (including Watercolor and Liquid Ink layers), create layer masks, and delete layers. You can also set the composite method and depth, adjust the opacity, and lock and unlock layers. For more information, see "Layers".
Channels
The Channels palette contains thumbnail previews of all the channels in a Corel Painter document, including RGB composite channels, layer masks, and alpha channels. The buttons on the palette can be used to load, save, and invert existing channels, and to create new channels. For more information, see "Alpha Channels".
Text and Scripts Palettes
Text
The Text palette lets you perform all tasks relating to text in a Corel Painter document, such as choosing fonts, adjusting opacity, and applying drop shadows. For more information, refer to "Working with Text".
Scripts
The Scripts palette gives you access to all commands and settings related to scripts. For example, you can open, close, play, and record scripts from the Scripts palette. For more information, see “Scripting” in the Help. For more information, see "Scripting".
Info and Tracker Palettes
Info
The Info palette provides you with an image preview; document information, such as width and height; X and Y coordinates and the cursor position; context-sensitive information based on the selected tool; and unit information, such as pixels, inches, and resolution. The palette menu lets you choose the preview style and how RGB values are displayed.
Tracker
The Tracker palette temporarily stores brush categories, variants, and dab types when you apply brush strokes to the canvas. Each time you use a new brush, the variant is saved on the Tracker palette. You can return to a brush variant you like by choosing it from the Tracker palette. The Tracker palette can be resized to display more or fewer brush variants; however, it stores only up to 25 variants at a time.
Using the palette menu, you can clear selected brush variants, clear all brush variants, and save brush variants.
Image Portfolio and Selection Portfolio Palettes
Image Portfolio and Selection Portfolio
These palettes contain all of the images or selections in the current library. You can view the items as thumbnails or in a list, as well as preview the current item. For more information, see "Storing Images with the Image Portfolio" and "Using the Selection Portfolio".
Photo Painting Palettes
Underpainting
The Underpainting palette lets you adjust tone, color, and detail in a photo in preparation for auto-painting. This palette is used in the first step of the photo-painting process. For more information, see "Creating Underpaintings".
Auto-Painting
The Auto-Painting palette lets you specify a range of settings that control how brush strokes are applied. This palette is used in the second step of the photo-painting process. For more information, see "Auto-Painting Photos".
Restoration
The Restoration palette lets you fine-tune a painting by providing brushes that help you restore detail. This palette is used in the third step of the photo-painting process. For more information, see "Restoring Detail to Paintings".
Composition Palettes
Divine Proportion
The Divine Proportion palette lets you customize the Divine Proportion guide — a tool that helps you plan a layout according to a classic composition method. For more information, see "Using the Divine Proportion tool".
Layout Grid
The Layout Grid palette lets you customize the Layout Grid — a tool that helps you divide your canvas so that you can plan your composition. For more information, see "Using the Layout Grid".

Using the Info Palette

 Back to Top

The Info palette provides you with an image preview; document information, such as width and height; X and Y coordinates and the cursor position; context-sensitive information based on the selected tool; and unit information, such as pixels, inches, and resolution.

You can choose to view a canvas preview, which shows you the contents of the canvas, or a page layout preview, which shows you the entire document. You can also choose how RGB values are displayed on the Info palette — as actual values, as a percentage of the values, or as hexadecimal values.

To customize the Info palette

•
Perform a task from the following table.

To | Do the following
Choose an image preview style on the Info palette | On the Info palette, click the palette menu arrow, and choose Canvas Preview or Page Layout Preview.
Choose how RGB values are displayed on the Info palette | On the Info palette, click the palette menu arrow, choose Display RGB Values As. Choose an option from the list.

Using the Tracker Palette

 Back to Top

The Tracker palette temporarily stores brush categories, variants, and dab types when you apply brush strokes to the canvas. Each time you use a new brush, the variant is saved on the Tracker palette. You can return to a brush variant you like by choosing it from the Tracker palette. You can also lock your favorite variants so that they’re always on the Tracker palette.

You can view the brush variants stored on the Tracker palette as thumbnail images, as a list, or as strokes. The Tracker palette can store up to 25 variants at one time, and it can be resized to display more or fewer brush variants.

You can use the Tracker palette to clear selected brush variants, clear all brush variants, and save brush variants. Brush variants are stored after the document you were working on has been closed and even between Corel Painter sessions.

The Tracker palette temporarily stores brush categories, variants, and dab types when you apply brush strokes to the canvas.

To choose a brush variant from the Tracker palette

•
On the Tracker palette, click the brush variant you want to use.

To change the view of brush variants in the Tracker palette

•
On the Tracker palette, click the palette menu arrow, and choose List, Thumbnails, or Stroke.

To clear a brush variant from the Tracker palette

•
Perform a task from the following table.

To | Do the following
To clear the selected brush variant | On the Tracker palette, click the brush variant you want to remove. Click the palette menu arrow, and choose Clear Selected.
To clear all brush variants | On the Tracker palette, click the palette menu arrow, and choose Clear All.

To save a brush variant on the Tracker palette

1
On the Tracker palette, click the brush variant you want to save.
2
Click the palette menu arrow, and choose Save Variant.
3
In the Save Variant dialog box, type a name in the Save As box.
Enable the Save Current Colors check box to retain current color settings.

To lock a brush variant on the Tracker palette

1
On the Tracker palette, click the brush variant you want to lock.
2
Click the Lock Variant button [image].

Grouping, Repositioning, and Resizing Palettes

 Back to Top

In Corel Painter, palettes appear by default in small, intuitive groupings. You can customize these groupings by moving palettes from one group to another. You can include as many palettes as you want in a group. You can also reposition items to a new location within a group.

A customized palette grouping. In this example, the Mixer palette has been grouped with the other color palettes.

To group, ungroup, rearrange, and resize palettes

•
Perform a task from the following table.

To | Do the following
Group palettes | Drag the palette title bar, and place it on top of the palette with which you want to create a group. A new group of palettes is formed.
Ungroup palettes | Drag the palette title bar away from the group. The palette is removed from the group.
Reposition items in grouped palettes | Drag the palette title bar to a new location in the group.
Resize palettes | Drag the resize handle [image] in the bottom-right corner of the open palette.

Docking Palettes

 Back to Top

If you need some room on your screen, but don’t want to collapse or group palettes, you can save valuable screen space by docking palettes. This handy feature of Corel Painter lets them be docked into place when they get close to the top or bottom edge of another palette. In addition to tidying up your workspace, this feature can help keep a palette from being covered up by another palette.

To dock or undock a palette

•
Perform a task from the following table.

To | Do the following
Dock a palette | Drag the title bar of the palette you want to dock to the top or bottom of a second palette. The palette you drag will snap into place when it lines up with the second palette.
Undock a palette | Drag the title bar of the palette you want to undock to another location in the workspace.

Saving and Restoring Palette Layout

 Back to Top

You can drag a palette to any location that’s convenient for your work. Corel Painter saves palette arrangements so that the next time you start the program, the workspace appears as you left it.

You can save several different palette layouts for future use, and you can later delete layouts. You can also return the palette layout to the Corel Painter default.

To save a layout

1
Arrange the palettes as you want to save them.
2
Choose Window menu [image] Arrange Palettes [image] Save Layout.
3
In the Palette Layout dialog box, type a name in the New Palette Layout box.

To use a saved layout

•
Choose Window menu [image] Arrange Palettes [image] [Name of Layout].
The saved palette layout is restored.

To delete a saved layout

1
Choose Window menu [image] Arrange Palettes [image] Delete Layout.
The Delete Palette Layout dialog box appears.
2
From the list in the Delete Palette Layout dialog box, select the layout you want to delete.
3
Click Delete.

To return to the default palette layout

•
Choose Window menu [image] Arrange Palettes [image] Default.


Custom Palettes

On this page, you will find information about

•
Creating Custom Palettes
•
Modifying Custom Palettes
•
Managing Custom Palettes

To give you the freedom to work in your own style, Corel Painter lets you create custom palettes that contain exactly the features you want. Because the features on a custom palette are immediately available, you can choose them with a single click. You can place items from the Brush Selector bar, any of the six content selectors (papers, patterns, looks, weaves, nozzles, or gradients), Library palettes, or the Script palette on a custom palette. You can also add any menu command, such as File menu [image] New, to a custom palette.

You may want to create special palettes for a particular project or workflow that you use frequently. You can create a whole series of palettes and switch between them as you change projects or workflows. There is no limit to the number of custom palettes you can create. Corel Painter saves them from session to session, so you can access the necessary tools immediately whenever you sit down to work.

Items that appear on a custom palette are references (aliases or shortcuts) to the original. This means that if you change the original — for example, by modifying and saving a brush variant — the custom palette button loads the newest version. However, if you delete the original, Corel Painter won’t be able to find the item again to load on the custom palette.

Custom palettes behave like the standard palettes. For more information about working with palettes, see "Grouping, Repositioning, and Resizing Palettes".

Creating Custom Palettes

 Back to Top

If the item you want is represented on a palette with an icon, you can create a new palette by just dragging the icon out of the palette. This works for brush variants, art materials (gradients, paper textures, patterns, and weaves), nozzles, looks, and scripts.

To create a custom palette

•
Drag an icon or button out of its palette or out of the Brush Selector bar.
Corel Painter creates a custom palette that contains an icon for the item you dragged.

Creating a custom palette is as simple as dragging a tool out of a palette. Other icons can then be dragged onto the custom palette.

•
You can also create a custom palette by choosing a menu command. Choose Window menu [image] Custom Palette [image] Add Command. Then, in the Add Command dialog box, from the Add To pop-up menu, choose New. With the Add Command dialog box open, choose a menu item, and click OK.

To open or close a custom palette

•
Perform a task from the following table.

To | Do the following
Open a custom palette | Choose Window menu [image] Custom Palette [image] [Custom Palette Name].
Close a custom palette | On the custom palette title bar, click the close button [image] .

Modifying Custom Palettes

 Back to Top

You can add buttons for any of the commands from the main menus or palette menus to your custom palettes.

A custom palette can contain menu items as well as icons.

To add items to a custom palette

1
Locate the next item you want to add.
2
Drag the item’s icon to the custom palette.
To expand a custom palette, drag the lower-right corner.
•
Tools from the main toolbox cannot be added to custom palettes.
•
To keep a custom palette along the edge of your screen, you can arrange icons vertically or horizontally by dragging the lower-right corner of the palette.

To place menu commands on a custom palette

1
Choose Window menu [image] Custom Palette [image] Add Command.
2
In the Add Command dialog box, from the Add To pop-up menu, choose one of the following:
•
New creates a new custom palette.
•
[Custom Palette Name] adds a menu item to the selected palette.
3
With the Add Command dialog box open, choose the menu item you want.
4
Click OK.
The custom palette now contains a button for the selected menu command.

Choose Window menu [image] Custom Palette [image] Add Command to open the Add Command dialog box, and choose the menu command while the Add Command dialog box is still open.

To rearrange the layout on a custom palette

•
Hold down the Shift key, and move the icon or button to where you want it.

To delete an item from a custom palette

•
Hold down the Shift key, and drag the icon or button off the palette.

Managing Custom Palettes

 Back to Top

You can manage your custom palettes in the Custom Palette Organizer. Corel Painter names custom palettes “Custom 1”, “Custom 2,” and so on. For ease of use, you can rename them.

Corel Painter keeps your custom palettes from one session to the next. You can also save a custom palette to a file. If you save it to a file, you can remove it from Corel Painter, and then load it again later. You can delete obsolete custom palettes or those you don’t use very often.

To rename a custom palette

1
Choose Window menu [image] Custom Palette [image] Organizer.
2
In the Custom Palette Organizer, select a palette in the Custom Palette list.
3
Click Rename.
4
Type a new name in the Palette Name dialog box.

To save a custom palette

1
Choose Window menu [image] Custom Palette [image] Organizer.
2
In the Custom Palette Organizer, select a palette in the Custom Palette list.
3
Click Export.
4
In the New Palette File dialog box, name the file, and choose a location.
It’s a good idea to keep all your saved palettes in the same place.

To load a custom palette

1
Choose Window menu [image] Custom Palette [image] Organizer.
2
In the Custom Palette Organizer, select a palette in the Custom Palette list.
3
Click Import.
4
In the Open Palette File dialog box, choose the file where the custom palette is saved.
•
Only custom palette files created with version 8.1 or later are supported by Corel Painter. Custom palettes created with version 7 or earlier cannot be loaded.

To delete a custom palette

1
Choose Window menu [image] Custom Palette [image] Organizer.
2
In the Custom Palette Organizer, select a palette in the Custom Palette list.
3
Click Delete.


Libraries and Movers

On this page, you will find information about

•
What Are Libraries?
•
What Are Movers?
•
Adding Items to the Current Library
•
Creating a Library
•
Loading Alternate Libraries
•
Restoring Default Libraries
•
Moving Items Between Libraries
•
Modifying a Library

A library is a storage place for a collection of similar items, such as brushes, paper textures, gradients, or nozzles. Movers help you organize the contents of libraries.

What Are Libraries?

 Back to Top

A library is a saved collection of similar items that can be loaded into a selector. For example, the built-in brush categories (and their variants) are contained in the default Painter Brushes library, which is loaded when you open Corel Painter. As you customize brushes and other resources, you can save them to your own libraries. Libraries are available for brushes, gradients, layers, lighting, looks, nozzles, paper textures, patterns, selections, scripts, and weaves.

You can have any number of libraries, but only one of each type can be open at one time. When you want other items, you can load alternate libraries. Libraries allow you to extend the Corel Painter resources without overloading a selector. It is a good idea to limit the number of items in each library. This makes it easier to find a particular item and helps Corel Painter manage memory.

You can create new libraries, add items, rename items, move items between libraries, and delete items. The methods for working with all libraries are the same, except for brush libraries. For more information about working with brush libraries, see "Brush Libraries".

What Are Movers?

 Back to Top

The tools for creating libraries and managing their contents are contained in the movers. A mover is provided on the selector menu or the palette menu for each resource supported by libraries. Selectors and palettes with movers are Papers, Gradients, Patterns, Weaves, Nozzles, Looks, Scripts, Image Portfolio, and Selection Portfolio.

Use the Paper Mover command to customize your paper libraries. Each resource type has a mover. Most movers are located on a palette menu or selector.

Adding Items to the Current Library

 Back to Top

As you work with Corel Painter and create new items, you can save them to the current library.

To add items to the current library

1
Open a selector, or display the palette that contains the resource you want to load to the current library.
2
Click the selector menu arrow or palette menu arrow.
3
Choose Save [Resource Name].
4
In the Save [Resource Name] dialog box, type a name in the Save As box.
•
The Save command is not available from the flyout menu for all resources. Some resources let you save when you use the Capture or Make commands.
•
Over time, with additions and deletions, library file sizes are compounded. In some cases, you may lose items if you restore a default library. For best results, save new resources to new libraries, and limit the number of resources in each library.

Creating a Library

 Back to Top

You can create new libraries to store custom resources.

To create a new library

1
Click the selector menu arrow or palette menu arrow for the resource you want to use to create the new library.
2
Choose [Resource Name] Mover.
3
In the [Resource Name] Mover dialog box, click New.
4
In the New [Resource Name] Library dialog box, browse to the location where you want to save the new library.
5
Type a descriptive name in the filename box, and click Save.
The new library’s name appears on the right side of the Mover dialog box. The area above the name is blank because this new library is empty. To put items in it, you can move them from other libraries.
•
It’s a good idea to save libraries in the same place, so that they are easy to locate and load when you want to use them.

Loading Alternate Libraries

 Back to Top

When you want to use the resources of a different library, you must load the alternate library.

To load an alternate library

1
Open a selector or display the palette from which you want to load an alternate library.
2
Click the selector menu arrow or the palette menu arrow, and choose Open Library.
3
In the dialog box, locate and choose the library you want to open.
Corel Painter loads the resources from that library into the selector or palette.
•
To load a brush library, choose Load Library from the Brush Selector bar menu. For more information about working with brush libraries, see "Brush Libraries".
•
When you save an item, Corel Painter puts it in the current library. If this is not where you want it, be sure to switch libraries before saving the item. You can move items between libraries later, but switching libraries before saving the resource will spare you that extra step.

Restoring Default Libraries

 Back to Top

You can reload a default library at any time. When you reload a default library, some custom resources are overwritten, others are preserved, depending on the resource:

•
patterns and nozzles — custom resources are preserved when you reload the default library.
•
papers, gradients, weaves, and looks — custom resources are overwritten when you reload the default library. To avoid overwriting these custom resources, use a mover to save them to a new library before you reload the default library.

To reload a default library

1
Open a selector or display the palette of the resource you want to reload.
2
Click the selector menu arrow or the palette menu arrow, and choose Open Default Library or Restore Default Library.

Moving Items Between Libraries

 Back to Top

The tools for creating libraries and managing their contents are contained in movers. A mover is provided on the selector menu or palette menu for each resource supported by libraries.

Movers copy resources from the library on one side of a Mover dialog box to the library on the other side of a Mover dialog box. When you open a mover, the resources of the current library are listed on the left. This is the library you’ll move items “from.” If this is not what you want, you can open a different library as the source. When the source library is open on the left side and the destination library is open on the right, you are ready to move resources.

Brush libraries are created and managed differently. See "Brush Libraries" for procedures.

To open a new library as the source

1
Click the selector menu arrow or palette menu arrow for the resource you want to use.
2
Choose [Resource Name] Mover.
3
In the [Resource Name] Mover dialog box, click Close to close the current library.
4
Click Open in the left side of the dialog box.
5
In the Open Library File dialog box, choose a library to use as the source library.

To open a new destination library

1
Click the selector menu arrow or palette menu arrow for the resource you want to use.
2
Choose [Resource Name] Mover.
3
In the [Resource Name] Mover dialog box, click Open on the right side.
4
In the Open [Resource Name] Library File dialog box, choose a library file to use as the destination library.

To move an item from one library to another

•
In the [Resource Name] Mover dialog box, drag the item from the source library to the destination library.
•
The source library is on the left side of the [Resource Name] Mover dialog box, and the destination is on the right.

Modifying a Library

 Back to Top

You can rename items in libraries to suit your preference.

If you want to delete an item from a library, you can — but be careful. After you remove one of the default items, the only way to retrieve it is to reinstall Corel Painter. If you must reinstall Corel Painter, you’ll lose any of the custom resources you’ve created and saved into the default libraries.

As an alternative to reinstalling, you can make a backup copy of the default resource files and the Painter Brushes folder on your computer. You can then restore default files and folders by copying them from the backup location and pasting them to the correct location within the Corel Painter folder. Resource files, such as patterns, textures, and nozzles, are located in the root of the Corel Painter folder. The default brush library, Painter Brushes, is located in the Brushes folder (Corel Painter X\Brushes\Painter Brushes). For information on the brush library folder structure, see "Brush Libraries".

To delete an entire resource library, delete the library file from the Corel Painter folder. Be careful not to delete the Corel Painter default libraries. Corel Painter needs them to start properly.

To change the name of an item

1
Open the mover for the item you want to modify.
2
Choose the item, and click Change Name.
3
In the Change Name dialog box, type the new name in the Change To box.

To delete an item from a library

1
Open the mover for the item you want to delete.
2
Choose the item you want delete.
3
In the Mover dialog box, click Delete.
•
Do not delete default resource files or folders.

To delete a library

•
Perform a task from the following table.

To | Do the following
Delete a library on the Mac OS | Use the Finder to open the Corel Painter folder, and drag the library file to the Trash.
Delete a library in Windows | Use Windows Explorer to find the library folder and file. Right-click the library file, and choose Delete, or drag the file to the Recycle Bin.


Brush Libraries

On this page, you will find information about

•
Creating, Loading, and Importing Brush Libraries
•
Deleting a Brush Library
•
Customizing the workspace
•
Restoring the default Corel Painter settings

In Corel Painter, you work with brush libraries in the Brushes folder. The Painter Brushes folder is the default library that loads when you open Corel Painter.

Each folder within the Painter Brushes default library folder is a brush category. The brush category folders contain the following:

•
XML files, which are the available brush variants
•
JPEG graphics, which are the icons seen on the Brush Selector bar
•
other files generated by Corel Painter, such as NIB and STK files

Brush Libraries and Memory Usage

Brushes are loaded into memory when you open Corel Painter, so adding brushes to the default brush library increases the need for RAM. If you’re working close to the memory threshold, you can organize new brushes into secondary libraries. It is also a good idea to limit the number of items in each library.

When you want a different brush set, just switch libraries. This helps Corel Painter be more efficient with memory usage, and makes it is easier to find a particular item.

See "Brush Libraries" for information about the brush libraries folder structure.

Creating, Loading, and Importing Brush Libraries

 Back to Top

In addition to the Corel Painter default brush library, you can create your own brush libraries. For example, you may want a library for your favorite brush variants to have them all in one category. You can also use brush libraries to store custom brush variants that you create or that other artists share with you.

To use brush libraries in Corel Painter, you need to know in which version the libraries were created in. Because the structure of brush libraries changed from version 6 to version 7 of Corel Painter, different processes for loading brush libraries are required, depending on the version.

Brush Libraries from Corel Painter 7 or Later

In Corel Painter 7 and later, brush variants are individual XML files organized in brush category folders within brush libraries. To use brush libraries created in version 7 and later, you must first copy them to Corel Painter X\Brushes. Then, you can load the brush library into Corel Painter and access it through the Brush Selector bar. When you copy folders and files to the Brushes folder, you must ensure that they are not read-only.

Brush libraries that are not in the Brushes folder are not recognized or visible within Corel Painter. The folder structure of brush libraries must match that of the default Painter Brushes library folder (Corel Painter X\Brushes\[library folder]\[category folder]\[variantFile.xml). If you want to copy only a few brush variants, you must still add them to a brush library while following the correct folder structure. For more information about the default library folder structure, see "Brush Libraries".

Brush Libraries from Corel Painter 6 or Earlier

In Corel Painter 6 and earlier versions, each brush library is a separate BRS file. To use these libraries in Corel Painter, you must first import the BRS file to the Brushes folder within the application. You don’t need to copy the file into the Brushes folder — Corel Painter copies the file for you when you import it. Then, you can load the brush library to access it through the Brush Selector bar.

To create a brush library

1
In Corel Painter X\Brushes, create and name a new folder for the library.
2
In the new folder, create and name a new folder for each brush category that you want.
3
Locate and copy the XML files for the brush variants that you want to include in the new library.
4
In the brush category folders you created in step 2, paste the XML files.
To access the brush library within Corel Painter, you must first load it. For instructions, see "To load a brush library created in Corel Painter 7 or later".
•
To use brushes created in version 6 or earlier of Corel Painter, you must first import them, and then load them. For information about importing brushes, see "To import and load a brush library created in Corel Painter 6 or earlier".
•
If you want an icon to appear on the Brush Selector bar, you must create a JPEG and save it with the same name as the brush variant. Save it at the same level as the brush category folder.

To copy a brush library folder from the CD

1
On the Corel Painter X CD, locate the Brushes folder.
2
Locate and copy the custom library folder that you want to use.
3
Paste the library folder to Corel Painter X\Brushes.
4
Ensure that the library folder is writable by doing the following:
•
(Mac OS) While pressing Control, click the brush library folder, and click Get Info. In the Info dialog box, disable the Locked check box. Repeat for subfolders and files.
•
(Windows) Right-click the brush library folder, and choose Properties. In the Properties dialog box, on the General tab, disable the Read-only check box, and click OK. In the Confirm Attribute Changes dialog box, enable the Apply Changes to This Folder, Subfolders and Files option.
To access the brush library within Corel Painter, you must first load it. For instructions, see "To load a brush library created in Corel Painter 7 or later".
•
If you want to copy a brush library from a location other than the CD, keep in mind that the library folder must contain folders for each brush category. In turn, the brush category folders must contain XML files for each brush variant.
•
If you’re downloading custom brushes from the Web, you need to know how they’re organized, whether they’re compressed, and in which version of Corel Painter they were created.

To load a brush library created in Corel Painter 7 or later

1
In Corel Painter, click the selector menu arrow on the Brush Selector bar, and choose Load Library.
2
In the Brush Libraries dialog box, select the brush library that you want to load, and click Load.
The new set of brushes will now be visible in the selector.
•
The brush library folder that you want to load must be in the Brushes folder in order for it to appear in the Brush Libraries dialog box. For more information about the folder and file structure, see "Brush Libraries".

To import and load a brush library created in Corel Painter 6 or earlier

1
In Corel Painter, click the selector menu arrow on the Brush Selector bar, and choose Load Library.
2
In the Brush Libraries dialog box, click Import.
3
Locate the brush library that you want, and click Open.
Corel Painter will copy the brush library to the Brushes folder.
4
When the Brush Libraries dialog box reappears, select the brush library that you want to load, and click Load.
The new set of brushes will now be visible in the selector.
•
Brush libraries created in version 6 or earlier of Corel Painter are imported as BRS files.

Deleting a Brush Library

 Back to Top

To delete a brush library, you need to delete the folder from the Brushes folder. Be careful not to delete the default Painter Brushes library. Corel Painter needs this default library, along with its category subfolders and variant files, to start properly.

To delete a brush library

•
Perform a task from the following table.

To | Do the following
Delete a brush library on the Mac OS | Use the Finder to locate the library folder, and drag the library folder to the Trash.
Delete a brush library in Windows | Use Windows Explorer to find the brush library folder. Right-click the folder, and press Delete, or drag the folder to the Recycle Bin.

Customizing the workspace

 Back to Top

Corel Painter lets you completely customize your workspace to suit your workflow needs. You can customize Brush Libraries, Paper Libraries, and Portfolios and save these changes to use again whenever you like. In addition, you can easily create multiple workspaces, each with different libraries and portfolios. You can even share these customized workspaces with others by importing or exporting them.

To create a new workspace

1
From the Window menu, choose Workspace [image] New Workspace.
2
In the New Workspace dialog box, type the name of the new workspace.
3
From the Based On pop-up menu, choose the workspace on which you want to base the new workspace.
4
Click Save.
The current workspace switches to the new workspace you just created.

To customize a workspace

1
From the Window menu, choose Workspace [image] Customize Workspace.
2
From the Workspace pop-up menu, choose the workspace you want to customize.
3
In the Media list, expand the folders for any of the media categories you want to customize by clicking on the folder name or the + icon.
4
Click on the eye icon that appears next to the name of each media variant you want to show or hide.
A closed eye indicates that the media variant is not visible in the specified workspace. An open eye indicates that the media variant is visible in the specified workspace. Note that you cannot hide every media variant within a media category. At least one media variant appears for each media category.
•
To rename a media variant, click on the variant, and type its new name in the Preview text box.
•
To reorder media variants, drag each media variant to a new location in the list.
5
Click Done.

To switch to a different workspace

•
From the Window menu, choose Workspace [image] [Workspace Name].

To import a workspace

1
To import a workspace, do one of the following:
•
From the Window menu, choose Workspace [image] Import Workspace.
•
From the Window menu, choose Workspace [image] Customize Workspace and click Import Workspace.
2
Choose the workspace file you want to import, and click Open.
•
If you are working in the Customize Workspace dialog box, the name of the imported workspace appears in the Workspace pop-up menu. If you chose Import Workspace from the Window menu, the workspace you just imported becomes the current workspace.

To export a workspace

1
To export a workspace, do one of the following:
•
From the Window menu, choose Workspace [image] Export Workspace.
•
From the Window menu, choose Workspace [image] Customize Workspace and click Export Workspace.
2
Choose the workspace you want to export, and click Open.
3
Choose a destination for the workspace, and click Save.

To delete a workspace

1
From the Window menu, choose Workspace [image] Customize Workspace.
2
In the Customize Workspace dialog box, choose the workspace you want to delete from the Workspace list.
3
Click the [-] button, and click Yes when prompted.

To revert to the default workspace

•
From the Window menu, choose Workspace [image] Default.
•
Corel Painter lets you modify the default workspace, so this workspace may eventually differ from the factory default workspace. To add a factory default workspace, you can either create a new workspace or restore the factory default settings. For more information, see "To create a new workspace" and "Restoring the default Corel Painter settings".

Restoring the default Corel Painter settings

 Back to Top

Corel Painter is designed to run from a locked volume (such as a read-only disk image or a CD) or from within a limited-user mode. All user settings are saved to a local user folder; when Corel Painter starts, it recalls these user settings rather than the application settings. At any time, you can restore the Corel Painter workspace to its default factory settings by replacing the settings in the user folder with copies of the settings from the originating read-only installation.

Restoring the Corel Painter workspace to its default factory settings removes all modifications you have made to the application — including the brushes, papers, textures, and similar customizations. The locations of the user folders are as follows:

•
Mac OS — /Users/<username>/Library/Application Support/Corel Painter X/
•
Windows —\Documents and Settings\<username> \Application Data\Corel Painter X\

Restoring Corel Painter to its default factory settings is particularly useful in a multiuser environment, where many users are working from the same installation.

•
Corel Painter references the location of the loaded libraries for Papers and Color Sets. If Corel Painter cannot locate a loaded library, it reverts to the default library. When a new library is loaded, the user is prompted to decide whether to append to or overwrite the current library.

To restore Corel Painter to its default factory settings

1
Hold Shift when you start Corel Painter.
A warning appears, asking you to verify that you want to erase all of the modifications that you have made to Corel Painter. Restoring the default factory settings copies the original workspace settings from the installation to the user folder.
2
Choose whether you want to restore the current workspace, or all workspaces.


The Basics

The Corel Painter application provides a digital workspace in which you can create new images, or alter existing images, using the Corel Painter Natural-Media tools and effects. Your working image is known as a document and is displayed in a document window. This document window includes navigation and productivity features to help you work efficiently.

As you create an image, you can save your document in various file formats, such as RIFF (Corel Painter native format), JPEG, TIFF, and Adobe Photoshop (PSD). Corel Painter also lets you open or import images saved in many other file formats.

Every artist works in a unique way, and every computer system has its own configuration of memory, disks, printers, and accessories. Corel Painter preferences let you customize the program for your own work style and for optimum performance on your particular system. You can also customize the features of your tablet and pens in Corel Painter.

See Also

•
Working with Documents
•
Working with Composition Tools, Rulers, and Guides
•
Setting Preferences
•
Using Two Monitors
•
Understanding Plug-ins


Working with Documents

On this page, you will find information about

•
Creating and Opening Documents
•
Acquiring Images
•
Creating and Opening Templates
•
Placing Files
•
Understanding Resolution
•
Zooming
•
Repositioning Documents
•
Cropping Images
•
Using Full-Screen Mode
•
Image Size Information
•
Resizing the Canvas
•
Rotating and Flipping the Canvas
•
Saving Files
•
Choosing a file format
•
Closing Documents and Quitting the Application

The first step in creating an image in Corel Painter is opening a document. You can open a blank canvas by creating a new document, work with an existing image by opening a file already created, or acquire an image from a scanner or digital camera. After you create your image, you can place it directly in a document.

Creating and Opening Documents

 Back to Top

The New command in the File menu lets you create a blank, untitled document based on the specifications you set in the New dialog box. Canvas Size shows the RAM requirement for creating the document at the specified width, height, and resolution. This number does not reflect the file size for the saved document. A saved Corel Painter file is usually 25% to 50% of the size of the working document, depending on the number of colors it contains.

You can open documents from other graphics applications and use Corel Painter to add brush strokes, tints, or paper textures. You can also clone a document to re-create it in a different medium. Corel Painter lets you open the following file formats:

•
RIFF — Corel Painter native format (RIF)
•
TIFF (TIF)
•
CMYK TIF (TIF)
•
Adobe Photoshop formats (PSD) — Corel Painter preserves layers, layer masks, alpha channels, and composite methods. Layer effects and adjustment layers are not supported and should be merged or flattened in Adobe Photoshop.
•
Windows Bitmap (BMP)
•
PC Paintbrush (PCX)
•
PSPIMAGE — Corel Paint Shop Pro format (Windows)
•
TARGA (TGA)
•
GIF — Corel Painter does not convert GIF animations to frame stacks.
•
JPEG (JPG)
•
Frame stacks (FRM) — Corel Painter animation files
•
For more information, refer to "Opening a Movie" or "Working with Numbered Files".QuickTime (MOV), Video for Windows (AVI), and numbered files. For more information, see "Opening a Movie" or "Working with Numbered Files".
•
Corel Painter does not support LZW compressed TIFF file format. Only uncompressed TIFF files can be opened in Corel Painter.

To create a new document

1
Choose File menu [image] New.
2
In the New dialog box, enter values for the following:
•
Width and Height determine the dimensions of the canvas. You can change the unit of measurement by using the menu. Choose from pixels (the default), inches, centimeters (CM), points, picas, and columns (2 inches wide).
•
Resolution is the number of pixels per inch (ppi) or pixels per centimeter that make up an image. In the New dialog box, setting the document’s pixels per inch is the same as setting its dots per inch (dpi). For detailed information about document, screen, and print resolutions, see "Understanding Resolution".
3
Click the Paper Color chip to set the document’s background to a color other than white.
Choose a color from the Color dialog box.
4
Choose an option from the Picture Type area.
The Picture Type options let you set up a document to contain a single frame for an image (the default) or multiple frames for a movie.
5
Click OK.
A new document appears in the workspace.

To open an existing document

1
Choose File menu [image] Open.
Corel Painter displays the folder of the last file you opened.
2
In the Open (Mac OS) or Select Image (Windows) dialog box, use the controls to locate the file you want to open.
For each image, Corel Painter lists the dimensions (in pixels), file size, and file format. Files saved in Corel Painter include thumbnails for browsing.
3
Click Open.
•
The File menu also offers you a shortcut to previously opened documents. Before choosing Open in the File menu, look for your file in the recently opened files list near the bottom of the File menu, and click the filename to open the file.

To browse for a document (Mac OS)

1
Choose File menu [image] Open.
2
Click Browse.
The Browse dialog box shows thumbnails for all the RIFF files in a folder.
3
Double-click the filename, or select a file and click Open.

Acquiring Images

 Back to Top

You can acquire images for Corel Painter directly from an external device — such as a scanner or digital camera — if the device provides one of the following:

•
(Mac OS) Plug-in module compatible with Adobe Photoshop
•
(Windows) TWAIN driver

Before acquiring images, you need to perform one of the following tasks:

•
(Mac OS) Install the device plug-in module on your computer.
This plug-in module is provided by the manufacturer of your scanner or digital camera. For installation instructions, refer to the manufacturer’s documentation.
Corel Painter can access plug-ins from any single folder on your computer. This location can be inside the Corel Painter folder, in a generic plug-ins folder on your hard disk, or in the Adobe Photoshop Plug-ins folder.
•
(Windows) Ensure that your TWAIN driver is properly installed.

Creating and Opening Templates

 Back to Top

If you regularly create documents that contain similar dimensions, formatting, and resolution, you can create document templates so that you don’t have to start each document from scratch.

To open a document template

1
Choose Help menu [image] Welcome.
2
Choose a template from the Open a Template pop-up menu.

To save a document as a template

1
Set up a file with all the sizing, formatting, and resolution attributes you want in the template.
2
Choose File menu [image] Save As.
3
In the Save Image As dialog box, save the file to one of the following folders in your user folder:
•
(Mac OS) Corel Painter X\Support Files\Templates
•
(Windows) Application Data\Corel\Painter X\Default\Templates
•
If you work in a multiuser environment, only users with Administrator status can add to the Templates folder.

Placing Files

 Back to Top

Placing a file lets you import an image into an existing Corel Painter document. The placed image becomes a new reference layer in the document — you can transform (resize, rotate, or slant) it on-screen by dragging its handles. A placed file maintains its link to the source file until you commit it to standard layer format.

For general information about working with reference layers, see "Working with Reference Layers".

To place a file

1
Choose File menu [image] Place.
2
Select an image file, and click Open.
3
In the Place dialog box, set the options:
•
In the Scaling area, the Horizontal and Vertical boxes suggest a scale to fit the image in the current document. To change the size, enter scaling percentages in the Horizontal and Vertical boxes.
•
Constrain Aspect Ratio maintains the proportions of the image. Disable this check box to distort the image.
•
Retain Alpha retains the file’s mask. When the image is placed, the image mask becomes the layer mask. Disable this check box to discard the mask.
4
Do one of the following:
•
To place the image in a particular location, click on that location in the document.
•
To place the image in the center of the document, click OK.

Understanding Resolution

 Back to Top

When you work with images in a digital workspace, it is helpful to understand the concept and applications of resolution. Resolution refers to how Corel Painter measures, displays, saves, and prints images — either as small squares of color called “pixels” or as mathematical objects called “vectors.”

A document’s resolution affects both its appearance on your computer screen and its print quality. You can specify a document’s resolution when you create a new document, acquire an image, or save or export a file.

Resolution and Screen Appearance

Most monitors have a resolution of 72 pixels per inch (ppi). The Corel Painter display default is 72 ppi, which means that each pixel in the Corel Painter image occupies 1 pixel on your monitor. The display resolution does not affect the document’s actual number of pixels per inch — it affects only how the image is displayed on the monitor.

For example, a 300-ppi image is displayed on-screen at approximately four times its actual size. Because each pixel in the Corel Painter image occupies 1 pixel on your monitor, and the monitor’s pixels are approximately four times the size of the image’s pixels (72 ppi versus 330 ppi), the image must appear four times larger on-screen in order to display all of the pixels. In other words, your 330-ppi document will print at approximately one-quarter of its on-screen size. To view the image at its actual size, you can set the zoom level to 25%.

If you set the dimensions in pixels and then change the number of pixels per inch (resolution), this change will affect the size of the printed image. If you set your document size in inches, centimeters, points, or picas and then change the resolution, the dimensions of the printed image will not be affected.

Resolution and Print Quality

The resolution of output devices (printers) is measured in dots per inch, and in the case of halftones, lines per inch (lpi). Output device resolutions vary, depending on the type of press and paper used. In general, a photograph is output at a crisp 150 lpi if printed on glossy magazine stock, and at 85 lpi if printed on newspaper stock.

If you are using a personal laser or inkjet printer, set your document size in inches, centimeters, points, or picas at the dots-per-inch setting specific to your printer. Most printers produce excellent output from images set at 300 ppi. Increasing the file’s pixels-per-inch setting does not necessarily improve the output and may create a large, unwieldy file.

If you are using a commercial printer or a more sophisticated output device, the dimensions of the image should always be set to the actual size that you want the image to appear in the printed piece. A good rule of thumb is to set the number of pixels per inch to twice the desired lines per inch. So, at 150 lpi, the setting should be twice that, or 300 ppi; at 85 lpi, the setting should be 170 ppi. It’s a good idea to check with your service bureau if you have questions about output device resolution.

Zooming

 Back to Top

By default, Corel Painter opens a document at 100% magnification, but you can change the level of magnification by zooming. You can zoom in and out by using the Magnifier tool, resetting magnification, or zooming to fit the screen. You can even zoom in and out while working with other tools.

The Magnifier tool lets you zoom in and out by clicking in the document window.

To zoom in

1
In the toolbox, click the Magnifier tool [image].
The Magnifier cursor shows a plus sign (+), which indicates that you are increasing magnification (zooming in).
2
Click or drag in the document window.
Each click increases the magnification to the next level, as defined in the Scale box at the bottom of the image window.
When you drag, Corel Painter chooses the magnification level that most closely conforms to the selected area and centers the screen view on that area.
•
You can also zoom in by doing one of the following:
•
(Mac OS) While holding down Command, press + (plus sign).
•
(Windows) While holding down Ctrl, press + (plus sign).

To zoom out

1
In the toolbox, click the Magnifier tool, and hold down Option (Mac OS) or Alt (Windows).
A minus sign (–) appears on the Magnifier cursor, which indicates that you are decreasing magnification (zooming out).
2
Click in the document window.
Each click reduces the magnification to the next level, as defined in the Scale box at the bottom of the image window.
•
You can also zoom out by doing one of the following:
•
(Mac OS) While holding down Command, press – (minus sign).
•
(Windows) While holding down Ctrl, press – (minus sign).

To zoom to a specific magnification by using the Scale slider

•
At the bottom of the document window, adjust the Scale slider [image].
•
You can also zoom to a specific magnification by typing a value in the Scale box beside the slider.

To reset magnification to 100%

•
Double-click the Magnifier tool in the toolbox.
•
You can also reset magnification to 100% by clicking the Reset tool on the property bar.

To zoom to fit the screen

•
Choose Window menu [image] Zoom to Fit.
Corel Painter generates a view of the entire document to fit your document window.
•
You can also zoom to fit the screen by clicking the Fit on Screen button on the property bar, or by double-clicking the Grabber tool [image] in the toolbox.

Repositioning Documents

 Back to Top

The Grabber tool allows you to reposition a document in the Corel Painter workspace and view different areas of an image.

To use the Grabber tool

1
In the toolbox, click the Grabber tool [image].
The cursor changes to the Grabber tool.
2
Perform a task from the following table.

To | Do the following
Scroll through the image | Drag in the document window.
Center the image | Click once in the document window.

•
You can also activate the Grabber tool by holding down the Spacebar.

Rotate a document to accommodate the way you naturally draw.

Cropping Images

 Back to Top

You can remove unwanted edges from the image with the Crop tool. You can adjust the aspect ratio of the cropped image and choose to maintain the aspect ratio.

To crop an image

1
In the toolbox, click the Crop tool [image].
2
Drag inside the image to define the rectangular area you want to keep.
You can adjust the rectangle by dragging a corner or any of its edges.
3
When you’re ready to execute the crop, click inside the rectangle.
•
To constrain the cropping rectangle to a certain aspect ratio, enable the Ratio check box on the property bar, and type values in the Crop Ratio Width and Crop Ratio Height boxes.

To constrain cropping to a square

1
In the toolbox, click the Crop tool.
2
Hold down the Shift key, and drag to define the area for cropping.
3
Click inside the square.

To adjust the aspect ratio of the cropped image

1
In the toolbox, click the Crop tool.
2
On the property bar, type values in the Crop Ratio Width and Crop Ratio Height boxes.

Using Full-Screen Mode

 Back to Top

Full-screen mode lets you hide your computer’s desktop and view the document window without scroll bars. When full-screen mode is on, the document window is centered over a solid background. Except for the buttons on the document window, all Corel Painter features work when you use full-screen mode.

To toggle the full-screen mode on and off

•
Choose Window menu [image] Screen Mode Toggle.
•
You can also toggle the full-screen mode by pressing Command + M (Mac OS) or Ctrl + M (Windows).
•
You can position the canvas anywhere on the screen by holding down the Spacebar and dragging.

Image Size Information

 Back to Top

You can use the Info palette to check image size. For more information, see "Using the Info Palette".

Resizing the Canvas

 Back to Top

If you want the same image at a different scale, you can resize the canvas. You can also change the size of the drawing area or crop the canvas.

To resize the canvas

1
Choose Canvas menu [image] Resize.
The Resize dialog box appears, showing the current and new sizes by width, height, and resolution.
2
Enter a new value for width, height, or resolution.
For more information on these values, see "Creating and Opening Documents".
3
Enable or disable the Constrain File Size check box.
When you enable the Constrain File Size check box, the height and width of the image change together, and the resolution changes accordingly.
When you disable the Constrain File Size check box, you can change the height and width independently of the resolution, and vice versa.
If you choose pixels or percent as the unit and enter a value, the Constrain File Size check box is automatically disabled.

To resize the drawing area

1
Choose Canvas menu [image] Canvas Size.
2
In the Canvas Size dialog box, specify the number of pixels you want to add to any side of the canvas.
To reduce the canvas size, specify negative values.

Rotating and Flipping the Canvas

 Back to Top

Corel Painter lets you rotate and flip the Canvas layer. When you rotate or flip the Canvas layer, all other layers move along with it. You can rotate the Canvas layer by a predefined amount, or you can choose the amount of rotation. If your document has layers of different types, you are prompted to commit all of them to default, pixel-based layers. The Canvas layer increases in size when necessary, so rotating or flipping it does not cause the contents of the other layers to be cropped.

To rotate the Canvas layer

1
Choose Canvas menu [image] Rotate Canvas.
2
Perform a task from the following table.

To | Do the following
Rotate the Canvas layer 180 degrees | Choose 180.
Rotate the Canvas layer 90 degrees clockwise | Choose 90 CW.
Rotate the Canvas layer 90 degrees counterclockwise | Choose 90 CCW.
Rotate the Canvas layer by a user-defined amount | Choose Arbitrary; in the Rotate Selection dialog box, type a number in the Angle box to specify degrees of rotation.

To flip the Canvas

1
Choose Canvas menu [image] Rotate Canvas.
2
Choose one of the following:
•
Flip Canvas Horizontal
•
Flip Canvas Vertical

Saving Files

 Back to Top

You have several options for saving files. You can save a file in its current format or in a different format. You can also save iterations of the same file. Whenever you perform an iterative save, a new version of the file is saved with a number added to the filename, and for each subsequent save, the number added to the filename increases by 1. In addition, the location of the last file saved is stored and used for subsequent saves unless you specify a new location.

To save a file in its current format

•
Choose File menu [image] Save.

To save a file with a different name or format

1
Choose File menu [image] Save As.
2
In the Save (Mac OS) or Save Image As (Windows) dialog box, use the controls to specify a location, file name, and format.

To perform an iterative save

•
Choose File menu [image] Iterative Save.
•
You can also perform an iterative save by pressing Command + Option + S (Mac OS) or Ctrl + Alt + S (Windows).

Choosing a file format

 Back to Top

When you save a file, you must choose a file format. The following section contains information about some of the file formats you can choose when saving files in Corel Painter.

Saving RIF Files

RIF is the Corel Painter native format, which retains special information about your document. For example, a RIF file maintains layers so that you can return to the file to re-access them.

RIF files are best used as “work-in-progress” files. It is recommended that you save files in RIF format first, and then save to GIF, JPEG, TIF, or another file format when a file is ready for production.

Corel Painter lets you compress files and save disk space with a lossless compression method. When saving in RIF format, you can minimize the file size on your hard disk by ensuring that the Uncompressed option is disabled.

Saving JPEG Files

Corel Painter supports the JPEG file format. Because of its small file size and high quality, JPEG is commonly used to transmit files through a modem. Unlike GIF, the JPEG file format displays a full range of colors.

The JPEG file format allows you to compress your file on a scale of Fair to Excellent, where quality is directly proportional to file size. These quality settings will let you achieve compression ratios ranging from less than 10:1 to greater than 100:1. JPEG is a “lossy” file format, meaning that a decompressed JPEG file will not be identical, pixel-for-pixel, to the original. However, because the JPEG algorithm takes into account the sensitivity of the eye to different colors, the higher-quality settings should achieve visually satisfying results.

You can assign a URL to layers and placed images and then save the file in GIF or JPEG format to produce an image map. For more information, see "Client-Side Image Mapping".When you save a file in JPEG format, Corel Painter displays the JPEG Encoding Quality dialog box, with the following options:

•
The Quality options — Excellent, High, Good, and Fair — let you set the degree of file compression.
The Excellent option compresses the least, but retains the most data. Fair compresses the most, but loses the most data.
You can also use the Quality slider to adjust file compression.
•
The Smoothness slider applies smoothing to the entire image. This is useful when using the Fair option, to blur the edges of JPEG artifacts. The default is 0. Keep in mind that using a high smoothness setting can cause blurring.
•
The Progressive JPEG check box creates a progressive JPEG file. Progressive format is useful for files used on the Web. As the name implies, progressive format displays an image in stages — as a series of scans — while the file downloads. The first scan is a low-quality image; the following scans improve in quality. This allows the user to see the whole image very quickly.
•
The HTML Map Options — NCSA Map File, CERN Map File, and Client Side Map File — let you generate an image map. (NCSA refers to the National Center for Supercomputing Applications, and CERN refers to the Conseil Europeén pour la Recherche Nucléaire.) Use the NCSA Map File or CERN Map File option to generate a server-side image map. Use the Client Side Map File option to generate a client-side image map.

For more information about image map types, see "Working with Image Maps".

It is best not to decompress and recompress a file multiple times. Although JPEG can compress and discard data not visible or obvious, the degradation of the data can affect the condition of your file.

When a file has lost a significant amount of data, block patterns may appear in areas of the image. If you try to use the Apply Surface Texture feature on a JPEG file, you may find it will accent the block patterns.

Saving GIF Files

Corel Painter allows you to save documents as GIF files. GIF, a file format using 8 or fewer bits, is commonly used to display graphics on the Web. When you save a GIF file, you can choose settings from 4 Colors to 256 Colors. You can choose how your colors will be displayed and what part of your image will be transparent.

You can enable the Color Set option to force all colors in the color table of the GIF file to match the colors in the current color set. This option can be useful when you are doing Web work, especially if you want to constrain colors to a specific color set or control the number of colors in a Web page, thus controlling the image file size.

The Imaging Method setting determines how your 24-bit Corel Painter document will be converted to the limited number of colors that GIF uses. If you choose Quantize to Nearest Color, Corel Painter picks the color nearest to that of each pixel. If you choose Dither Colors, Corel Painter applies a pattern to the colors chosen to generate a more accurate, less banded result.

Corel Painter can also save a frame stack as a GIF animation file. For more information, see "Creating Animated GIFs".

If you want your image to have transparency, enable the check box for Output Transparency. Most programs that display GIF files support transparency, but for those that don’t, you should specify the color of the “transparent” area. If your image will be displayed on the Web, enable the Background is WWW Gray option. You can also choose to use the background color of your Web page by enabling the Background is BG Color option.

For programs that support transparency, your selection will determine which areas are transparent. The Threshold slider determines which selection (loaded mask) value becomes transparent. You can see how the Threshold slider is affecting the transparency of your image in the Preview window in the dialog box. Transparency is displayed in the Preview window by a rectangular lattice. You can toggle between the Preview window and your Save As GIF options to get exactly what you want. Enable the Interlaced check box if your image will be displayed on a Web page.

For information on creating masks, see "Selections".

Saving RGB TIF and CMYK TIF Files

The TIF format facilitates exchange between applications and computer platforms. It is a widely supported bitmap image format that lets you save with either CMYK or RGB color space information. When you save a file in CMYK TIF format, Corel Painter creates a color separation, which can then be used for four-color process printing.

Saving Adobe Photoshop (PSD) Files

Corel Painter can save files in Adobe Photoshop (PSD) format. For optimum compatibility, shapes and text are rasterized, and masks are placed in channels.

When you save a file in PSD format, you have RGB and CMYK options, as you do when saving in TIF format.

Saving Encapsulated PostScript (EPS) Files

The encapsulated PostScript (EPS) files in Corel Painter conform to the Desktop Color Separation (DCS) 2.0 format (EPS-DCS 5 file format). Although Corel Painter saves files in EPS-DCS, it can’t read EPS-DCS. If you plan to save an image in EPS-DCS, it’s a good idea to save it in another format first, so that you’ll have a copy of it that you can reopen in Corel Painter.

When you save an image as EPS-DCS with Preview Options turned on, Corel Painter uses the loaded International Color Consortium (ICC) profile to prepare the separation files. If you’re using the Hexachrome ICC profile, Corel Painter prepares six separation files — Cyan, Magenta, Yellow, Green, Orange, and Black. For more information on Preview Options and color management, see "Printing".

Although you can save your images as CMYK EPS separations, Corel Painter can’t open or edit CMYK files.

When you save a file in EPS-DCS, Corel Painter opens the EPS Save Options dialog box, with these options:

•
Hex (ASCII) Picture Data provides another way of storing PostScript information. Some page design programs require that this option be checked. The file sizes will be approximately twice as large when saved with this option.
•
Preview Options — No Preview, Black and White Preview, and Color Preview — specify whether to save preview data and in what format. The resulting preview file is a low-resolution (72-ppi) file.
If you have an older laser printer, you have to use the black and white preview to print these files. Although the preview or display is black and white, the color information remains intact.
Recovering Lost Work

When you work with computers, sometimes uncontrollable events cause files to become corrupt. How can you recover work lost in a corrupt image file? No backup? Do you have to create the whole image again?

Maybe not. Corel Painter records all actions into the Current Script. If Corel Painter is stopped and restarted within 24 hours, the old current script is still available (saved as “{date [image] {time [image] ”), and a new current script is started. By default, the dated scripts are saved for one day, but you can reset this to a longer time.

The dated scripts can be used to replay actions for recovering lost work or to create scripts for movies. Also, you can use the Script List to cut and paste portions of the dated script that are useful. Just open the dated script, and delete the last few commands; then play the script to re-create the work, and try saving the file again.

For more information, see "Scripting".

Closing Documents and Quitting the Application

 Back to Top

You can close documents or quit Corel Painter using menu commands, keyboard shortcuts, or the Close button of the current window.

To close a document

•
Do one of the following:
•
Click the current window’s Close button.
•
Choose File menu [image] Close.
•
Press Command + W (Mac OS) or Ctrl + W (Windows).

To quit Corel Painter

•
Do one of the following:
•
(Mac OS) Choose Corel Painter X menu [image] Quit Corel Painter X.
•
(Windows) Choose File menu [image] Exit.
•
You can also quit Corel Painter by pressing Command + Q (Mac OS) or Ctrl + Q (Windows).


Working with Composition Tools, Rulers, and Guides

On this page, you will find information about

•
Using the Layout Grid
•
Using the Divine Proportion tool
•
Using Rulers
•
Using Guides
•
Using Snap to Guides
•
Using the Grid
•
Using Snap to Grid
•
Using the Perspective Grid
•
Drag-and-Drop Features

The document window in Corel Painter contains the following features to help you compose, size, and position images and image elements:

•
Layout Grid — lets you divide the canvas into compositional sections based on the proportions of the canvas. This nonprinting grid is used primarily for composing artwork before you begin drawing or painting.
•
Divine Proportion — helps identify where to place focal areas in artwork by using classical composition. This nonprinting layout is primarily used for composing artwork before you begin drawing or painting.
•
Rulers — let you size, position, and measure images and image elements
•
Guides — let you align and position image elements by using nonprinting lines that can be placed anywhere on the canvas. They can be used with the ruler to mark specific distances, and they have a “snap” option that makes it easy to align image elements precisely.
•
Grid — lets you align and snap image elements to a basic grid. By default, the horizontal and vertical lines appear at equal distances (dividing the canvas area into squares). You can print this basic grid.
•
Perspective Grid — helps you create three-dimensional images by displaying a nonprinting array of lines that converge at a single vanishing point.

For more information about rulers and grids, see “Working with Composition Tools, Rulers, and Guides” in the Help.

Using the Layout Grid

 Back to Top

The Layout Grid provides an easy way to divide your canvas so that you can plan your composition. For example, you can divide your canvas into thirds vertically and horizontally to use the compositional rule of thirds. From the Layout Grid palette, you can access grid settings, such as the number of divisions, size, angle, color, and opacity of the grid. You can adjust these settings while you work and save them as a preset for future drawings and paintings. You can also move the grid to a new position.

The Layout Grid helps you compose images.

To show or hide the Layout Grid

•
Choose Canvas menu [image] Compositions, and choose either Show Layout Grid or Hide Layout Grid.
•
You can also show or hide the Layout Grid by clicking the Layout Grid tool [image] in the toolbox and clicking the Enable button [image] on the property bar.

To set Layout Grid options

1
Choose Windows [image] Show Layout Grid.
On the Layout Grid palette, ensure that the Enable Layout Grid check box is enabled.
2
Perform a task from the following table.

To | Do the following
Set the number of vertical and horizontal divisions | In the Divisions area, type values in the Vertical box and the Horizontal box. If you want to link the Vertical and Horizontal values, enable the Synchronize the Divisions check box.
Resize the grid | In the Size area, move the Vertical slider to set the height, and move the Horizontal slider to set the width. If you want to resize the grid proportionally, enable the Synchronize the Sizes check box.
Change the angle of the grid | Type a value in the Rotate box to set the degree of the angle.
Change the color of the vertical or horizontal gridlines | In the Display area, click the Horizontal or Vertical color picker, and choose a color from the pop-up menu.
Change the opacity of the grid | Move the Opacity slider to the left to increase transparency; move the slider to the right to increase opacity.

•
You can also set some Layout Grid options by clicking the Layout Grid tool [image] in the toolbox and modifying the settings you want on the property bar.

To save Layout Grid settings as a preset

1
On the Layout Grid palette, modify the settings you want, and click the Add Preset button [image].
2
In the Save Preset dialog box, type a name for your preset in the Save As box.
3
Click OK.
The preset appears in the Type pop-up menu.
•
You can also save a preset by clicking the Layout Grid tool [image] in the toolbox and clicking the Add Preset button [image] on the property bar.

To delete a Layout Grid preset

1
On the Layout Grid palette, choose the preset you want to delete from the Type pop-up menu.
2
Click the Delete Preset button [image].
•
You can also delete a preset by clicking the Layout Grid tool [image] in the toolbox, selecting a preset from the Presets pop-up menu on the property bar, and clicking the Delete Preset button [image].

To choose a Layout Grid preset

•
On the Layout Grid palette, choose a preset from the Type pop-up menu.

To move a Layout Grid

1
In the toolbox, click the Layout Grid tool [image].
The cursor changes to a hand icon.
2
Drag the grid to a new position.

Using the Divine Proportion tool

 Back to Top

The Divine Proportion tool lets you use guides based on a classical composition method of the same name. When planning your artwork, you can use the guides to create a sense of proportion, which helps maintain interest as the eye of the viewer travels across a drawing or painting.

The Divine Proportion tool can help you establish focal areas. Original artwork by Andrew Jones.

The Divine Proportion palette lets you change the orientation, size, angle, color, and opacity of the Divine Proportion guide that appears on the canvas. You can also adjust the number of levels to determine how many times a section divides within itself, creating a spiral. You can adjust these settings while you work, and you can save them as a preset. You can also move the Divine Proportion guide to a new position.

To show or hide the Divine Proportion guide

•
Choose Canvas menu [image] Compositions, and then choose either Show Divine Proportion or Hide Divine Proportion.
•
You can also show or hide the Divine Proportion guide by clicking the Divine Proportion tool [image] in the toolbox and clicking the Enable button [image] on the property bar.

To set Divine Proportion options

1
Choose Windows [image] Show Divine Proportion.
The Divine Proportion palette appears.
2
On the Divine Proportion palette, enable the Enable Divine Proportion check box, and perform a task from the following table.

To
Do the following
Set orientation
In the Orientation area, click one of the Landscape or Portrait buttons.
Resize the guide
Move the Size slider to the right to increase the size; move the slider to the left to decrease the size.
Size is measured as a percentage of the width or height of the canvas, depending on whether the orientation is Landscape or Portrait.
Change the angle
Type a value in the Rotate box to set the degree of the angle.
Change the color of the grid, spiral, or axis
In the Display area, click the Grid, Spiral, or Axis color picker, and choose a color from the pop-up menu.
Change the opacity
Move the Opacity slider to the left to increase transparency; move the slider to the right to increase opacity.
Change the numbers of levels
Move the Levels slider to the right to increase the number of levels; move the slider to the left to decrease the number of levels.

•
You can also set some Divine Proportion options by clicking the Divine Proportion tool [image] in the toolbox and modifying the settings you want on the property bar.

To save Divine Proportion settings as a preset

1
On the Divine Proportion palette, modify the settings you want, and click the Add Preset button [image].
2
In the Save Preset dialog box, type a name for your preset in the Save As box.
3
Click OK.
The preset appears in the Type pop-up menu.
•
You can also save a preset by clicking the Divine Proportion tool [image] in the toolbox and clicking the Add Preset button [image] on the property bar.

To delete a Divine Proportion preset

1
On the Divine Proportion palette, choose the preset you want to delete from the Type pop-up menu.
2
Click the Delete Preset button [image].
•
You can also delete a preset by clicking the Divine Proportion tool [image] in the toolbox, selecting a preset from the Presets pop-up menu on the property bar, and clicking the Delete Preset button [image].

To choose a Divine Proportion preset

•
On the Divine Proportion palette, choose a preset from the Type pop-up menu.

To move the Divine Proportion guide

1
In the toolbox, click the Divine Proportion tool [image].
The cursor changes to a hand icon.
2
Drag the Divine Proportion guide to a new position.

Using Rulers

 Back to Top

Corel Painter lets you show or hide rulers along the top and left sides of the document window. Each mark on a ruler is known as a tick and represents the selected unit of measurement. You can set the unit of measurement to pixels, inches, centimeters, points, or picas.

As you rotate an image in the document window, the rulers scroll to show the position of the canvas in the document window. The origin of the document is the intersection of the zero (0) ticks on each ruler. By default, the origin is the upper left corner of the canvas. Changing the origin resets the location of the zero ticks on the rulers.

To show or hide rulers

•
Choose Canvas menu [image] Rulers, and choose either Show Rulers or Hide Rulers.

To set the ruler units

1
Choose Canvas menu [image] Rulers [image] Ruler Options, or hold down Option (Mac OS) or Alt (Windows) and click the ruler.
2
In the Ruler Options dialog box, choose a unit of measurement from the Ruler Units pop-up menu.

To change the origin

1
Click the box at the intersection of the rulers (upper left corner of the document window).
2
Drag diagonally into the document window.
Crosshairs mark the new origin point.
3
Drag the crosshairs to the desired position.
The ruler numbers update to show the new origin as 0,0.

To restore the origin

•
Double-click the box at the intersection of the rulers (upper left corner of the document window).

Using Guides

 Back to Top

Guides are nonprinting lines that appear over the image in the document window. They are very helpful in aligning image elements. You can place guides at any position in the document window and easily reposition and remove them. If you enable the Snap to Ruler Ticks option, the guides you create will land precisely on the tick marks. Each guide also has options that let you change its color and lock it so that it can’t be dragged.

To show or hide guides

•
Choose Canvas menu [image] Guides [image] Show Guides or Hide Guides.

To create a guide

1
Show the rulers and the guides.
2
Click in a ruler at the position where you want to place the guide.
A guide appears in the document window and a triangular marker appears in the ruler.

A black triangle marks the guide’s position in the ruler.

To reposition a guide

•
Drag the guide’s marker to any point of the ruler.
•
You can also double-click the guide’s marker to display the Guide Options dialog box and enter a value in the Guide Position box.

To enable the Snap to Ruler Ticks option

•
Choose Canvas menu [image] Rulers [image] Snap to Ruler Ticks.

To set a guide’s color

1
Double-click the guide’s marker.
2
In the Guide Options dialog box, click the Guide Color chip and choose a color.
To change the color of all guides, enable the Same Color for All Guides check box.

To lock or unlock a guide

1
Double-click the guide’s marker to display the Guide Options dialog box.
2
Enable or disable the Lock Guide check box.

To remove a guide

•
Drag the guide’s marker off the edge of the document window.

To remove all guides

1
Double-click the guide’s marker to display the Guide Options dialog box.
2
Click Delete All Guides.

Using Snap to Guides

 Back to Top

The Snap to Guides option enables selections and tool operations to “snap” to a guide within 6 pixels of the cursor (or edge).

The following operations respect Snap to Guides:

•
Dragging with the Rectangular Selection [image] and Oval Shape [image] tools.
•
Dragging with the Crop tool [image].
•
Drawing straight lines with the Brush tool [image].
•
Clicks made with the Pen tool [image].
•
Clicking with the Text tool [image] to create a text entry point.
•
Clicking and dragging with the Paint Bucket tool [image] and Magnifier tool [image].
•
Dragging shapes and selections. The edges of the content and the selection rectangle for the shapes and selections snap to the guides. The cursor — wherever it might be in the object — also snaps to the guide.
•
Dragging the handles of reference layers, shapes, and selections to transform them.
•
Dragging with the Selection Adjuster tool [image] or Layer Adjuster tool [image].

To enable Snap to Guides

•
Choose Canvas menu [image] Guides [image] Snap to Guides.
The option is enabled when the menu item has a check beside it.

Using the Grid

Back to Top

Corel Painter provides a grid to help you in laying down brush strokes or creating shapes. You can set the types, size, line thickness, and color of the grid. You can also print gridlines.

To activate the grid

•
On the right side of your image window, click the Toggle Grid button [image].
Your image now has a non-printing grid.
•
You can also activate the grid by choosing Canvas menu [image] Grid [image] Show Grid.

To set grid options

1
Choose Canvas menu [image] Grid [image] Grid Options.
2
In the Grid Options dialog box, choose a grid type from the Grid Type pop-up menu.
3
Enter values for Horizontal Spacing (the distance between horizontal lines), Vertical Spacing (the distance between vertical lines), and Line Thickness.
The unit of measure can be in pixels, inches, centimeters, points, picas, columns (2 in. wide), or percent.
4
Click the Grid Color chip to set the color of the gridlines.
5
Click the Background chip to set the grid’s background color.

To print gridlines

•
Choose Effects menu [image] Esoterica [image] Grid Paper.

Using Snap to Grid

 Back to Top

The Snap to Grid option enables certain tool operations to “snap” to a grid within 6 pixels of the cursor.

The following tools respect Snap to Grid:

•
Pen tool
•
Shape Selection tool
•
Convert Point tool
•
Text tool

To enable Snap to Grid

•
Choose Canvas menu [image] Grid [image] Snap to Grid.
The option is enabled when the menu item has a check beside it.

Using the Perspective Grid

 Back to Top

Corel Painter provides perspective grids to help you create three-dimensional images. Perspective grids are a nonprinting array of lines that converge at a single vanishing point. In Corel Painter you can set the type, line color, and spacing of the perspective grid. You can modify the location of the vertical plane and horizon line by using the Perspective Grid tool. Any perspective grid that you create or modify can also be opened for use in another drawing.

Use perspective gridlines to help you create 3D images.

To activate or hide the default perspective grid

•
With an image open, click the following from the menu bar: Canvas menu [image] Perspective Grids [image] Show Grid or Hide Grid.

To create a new perspective grid

1
Choose Canvas menu [image] Perspective Grids [image] Show Grid.
2
If necessary, adjust the perspective gridlines.
For more information, see "To adjust the perspective gridlines".
3
On the property bar, enable the check boxes corresponding to the grids you want to see.
4
Choose a color for the horizontal and vertical gridlines in the Horizontal Grid Color box and Vertical Grid Color box.
5
Enter a value in the Spacing box.
6
On the property bar, click the Add Preset button.
7
In the Save Preset dialog box, enter a name in the Save As box.
•
To reset the perspective grid defaults at any time, click the Reset Tool button on the property bar.

To open a perspective grid

1
In the toolbox, click the Perspective Grid tool.
2
On the property bar, choose a grid from the Presets pop-up menu.

To remove a grid preset

1
In the toolbox, click the Perspective Grid tool.
2
On the property bar, choose an option from the Presets pop-up menu.
3
Click the Delete Preset button.
The grid preset disappears.

To adjust the perspective gridlines

1
Choose Canvas menu [image] Perspective Grids [image] Show Grid.
2
In the toolbox, click the Perspective Grid tool.
3
To move the horizontal plane grid, hold the cursor over the nearest edge of the horizontal plane grid.
The cursor becomes a double-pointed arrow.
4
Drag to move the horizontal plane grid up or down.
5
To move the vertical plane grid, hold the cursor over the nearest edge of the vertical plane grid.
The cursor becomes a double-pointed arrow.
6
Drag to move the vertical plane grid left or right.

Drag-and-Drop Features

 Back to Top

Corel Painter X supports drag-and-drop copying of documents from one window to another. For Mac OS users, Corel Painter supports drag-and-drop copying of documents between applications.

Dragging Between Documents

You can copy selections and layers between Corel Painter documents by dragging from one window to the other. When you drag a selection to a new document window, Corel Painter automatically turns the selection into a layer. When you drag a layer to a new document, the layer keeps its original properties.

Dragging Between Programs (Mac OS)

Corel Painter supports drag-and-drop functionality between applications on Mac OS. This can be a quick, convenient way to acquire or export images. On the Mac OS, you can drag files from Adobe Photoshop directly into Corel Painter.

Raster images that you drag into a Corel Painter document window become layers. You can drag a PICT file from the Finder to a Corel Painter document. The PICT image becomes a layer.

You can also drag layers out of Corel Painter to another application or to the Finder; the exported image is in PICT format, supported by most applications. When you drag out one of these objects, it will automatically rasterize a shape or dynamic layer (at its current settings) to become a PICT.

•
Though dragging and dropping between programs is not supported on the Windows platform, computers running on either Mac OS or Windows platforms support copying and pasting between Corel Painter and other programs.


Setting Preferences

On this page, you will find information about

•
General Preferences
•
Brush Tracking Preferences
•
Customize Keys Preferences
•
Undo Preferences
•
Shapes Preferences
•
Save Preferences
•
Operating System Preferences (Windows)
•
Palettes and UI Preferences
•
Memory and Scratch Preferences

Corel Painter has several different pages of the Preferences dialog boxes: General, Brush Tracking, Customize Keys, Undo, Shapes, Save, Operating System (Windows), Palettes and UI, and Memory and Scratch.

General Preferences

 Back to Top

The General Preferences page lets you set a variety of settings, such as how the cursor displays, library locations, and units of measurement.

To access General preferences

•
Do one of the following:
•
(Mac OS) Choose Corel Painter X menu [image] Preferences [image] General.
•
(Windows) Choose Edit menu [image] Preferences [image] General.
•
To make changes to other preferences before closing the Preferences dialog box, choose another preference type from the pop-up menu.
Setting up the Drawing Cursor

You can choose a cursor icon and its orientation. You can also set the drawing cursor to show a brush ghost — a representation of the brush variant you choose from the Brush Selector bar.

The brush ghost (left) gives you information about the size of your brush variant. The Enhanced brush ghost (right) gives you information about the tilt, bearing, and rotation of your pen.

To choose a drawing cursor icon

1
On the General page of the Preferences dialog box, enable the Brush option in the Cursor Type area.
2
Choose one of the following icon options from the pop-up menu to the right of the Brush option:
•
Brush
•
Cross
•
Torus
•
Triangle
•
Hollow Triangle
•
Gray Triangle
The selected cursor icon appears in the Orientation area.
3
Enable an Orientation option.
•
If you want the drawing cursor icon to be a single pixel, enable the Single Pixel option in the Cursor Type area.

To set brush ghost options

1
On the General page of the Preferences dialog box, choose one of the following options:
•
Enable Brush Ghosting — gives you immediate visual feedback on the cursor, showing you the shape and size of the selected brush

•
Enhanced Brush Ghost — gives you visual feedback about the brush size as well as the tilt, bearing, and rotation of the pen. The outer ring indicates the brush size, and the line indicates the tilt and bearing of the pen. If you have a flat-tip pen that supports 360-degree rotation, a dot appears along the outer ring to indicate the pen rotation.

The Enhanced brush ghost gives you more visual feedback about your pen in relation to the tablet.

Setting the Default Libraries

Corel Painter provides standard libraries that contain brushes, paper grains, selections, layers, images, and color sets. The Libraries section of the General page of the Preferences dialog box lets you designate which libraries appear by default.

To set default libraries

•
Enter library file names in the Selections and Images boxes.
•
The default libraries must reside in the Corel Painter folder. To restore default libraries and settings, see "Restoring the default Corel Painter settings".
Setting Quick Clone Preferences

You can customize the Quick Clone effect. You can choose whether to delete the image from the clone or to turn on Tracing Paper. You can also select the last-used Cloner brush or choose to clone color with any brush variant.

To set Quick Clone preferences

1
Choose Corel Painter X menu [image] Preferences [image] General (Mac OS), or Edit menu [image] Preferences [image] General (Windows).
2
In the Quick Clone area of the Preferences dialog box, enable or disable the following check boxes:
•
Delete Image From Clone. When enabled, this option automatically deletes the contents of the clone file.
•
Turn on Tracing Paper. When enabled, this option automatically activates the Tracing Paper feature.
3
Enable one of the following check boxes:
•
Switch to Cloner Brushes automatically activates the last Cloner brush variant used.
•
Clone Color uses the current brush variant to clone the underlying color.
By default, the Switch to Cloner Brushes check box is enabled. To enable the Clone Color check box, you must disable the Switch to Cloner Brushes check box.
Auto-Save Scripts

When you create an image, Corel Painter records all the operations you perform. This recording is known as a background script and is saved on the Scripts palette. The Auto-Save Scripts preference governs how long Corel Painter saves background scripts before deleting them.

To reset the Auto-Save Scripts preference

1
Do one of the following:
•
(Mac OS) Choose Corel Painter X menu [image] Preferences [image] General.
•
(Windows) Choose Edit menu [image] Preferences [image] General.
2
Specify the number of days for which you want Corel Painter to save background scripts in the Auto-Save Scripts For box.

For more information about creating and using scripts, see "Scripting".

Brush Size Increment

The Brush Size Increment preference lets you set the increment value in pixels.

Magnifier Increment

The Magnifier Increment preference lets you specify the percentage of magnification at which the magnifier will increase or decrease.

Units

The Units preference lets you choose the unit of measurement used by the application’s various sliders and other measurement options.

Cloning Preference

When you clone an image, Corel Painter uses the color information from the original as you fill in your clone. If you would like Corel Painter to display what part of the original you’re cloning, enable the check box next to Indicate Clone Source with Crosshairs While Cloning.

Draw Zoomed-out Views Using Area-Averaging

When you are viewing an image at less than 100% magnification, screen draw is faster when Draw Zoomed-out Views Using Area-Averaging is enabled, and slower — but more accurate — when this check box is not enabled.

Display Warning When Drawing Outside Selection

Checking this box enables the warning that appears when you draw outside a selection.

Show Commit Dialog When Converting to a Layer

Enable this check box if you have enabled the Commit and Don’t Ask Again check box in the Commit dialog box and want to reinstate the dialog box.

Brush Tracking Preferences

 Back to Top

When you draw with traditional media, the amount of pressure you use with a tool determines the density and width of your strokes. Using a pressure-sensitive stylus with Corel Painter gives you this same kind of control. Each artist has a different strength or pressure level in a stroke. The Brush Tracking preference lets you adjust Corel Painter to match your stroke strength. This is particularly useful for artists with a light touch. If a light stroke leaves no color on the canvas, you should use Brush Tracking to increase sensitivity.

You might also change brush tracking between phases of a project. You could use a light touch when sketching with a pencil brush variant, then set tracking for more pressure when you switch to an oil paint variant. Corel Painter saves Brush Tracking between sessions, so whatever tracking sensitivity you set will be the default the next time you open the application.

To set brush tracking

1
Do one of the following:
•
(Mac OS) Choose Corel Painter X menu [image] Preferences [image] Brush Tracking.
•
(Windows) Choose Edit menu [image] Preferences [image] Brush Tracking.
2
Drag in the scratch pad in a “normal” stroke.
Use the pressure and speed you prefer when drawing or painting. For specific adjustments, you can move the sliders.

Use the Brush Tracking dialog box to customize how Corel Painter responds to your stroke pressure and speed.

Customize Keys Preferences

 Back to Top

Corel Painter lets you assign commands to keys on your keyboard. This saves you time by giving you immediate keyboard access to your favorite commands. Along with character, numeric, function, and modifier keys, you can also use Tab, Backspace (Windows), Delete, Insert, Home, End, Page Up, Page Down, Up Arrow, Down Arrow, Left Arrow, Right Arrow, and Spacebar. You can use keys already used for other shortcuts.

You can also create a collection of keyboard shortcuts, or key sets, based on changes to the default key set. For easy reference, you can generate an HTML summary of a key set.

To assign commands to keys

1
Do one of the following:
•
(Mac OS) Choose Corel Painter X menu [image] Preferences [image] Customize Keys.
•
(Windows) Choose Edit menu [image] Preferences [image] Customize Keys.
2
Choose a key set from the Key Set pop-up menu.
3
Choose one of the following from the Shortcuts menu:
•
Application Menus lets you create or modify menu bar command shortcuts.
•
Palette Menus lets you create or modify palette menu command shortcuts.
•
Tools lets you create or modify tools shortcuts.
•
Other lets you create or modify command shortcuts for items that are not menus, palettes, or tools.
4
Choose a command from the Application Commands list, and type the shortcut keys you want to assign.
If the shortcut you assigned is already in use, a message appears below the Application Commands list.
5
Do one of the following:
•
Click Accept to assign the shortcut to the command.
The conflicting command that previously had the keyboard shortcut now has no keyboard shortcut assigned to it.
•
Click Accept and Go To Conflict to assign the shortcut to the new command, and to assign another keyboard shortcut to the conflicting.

To revert keyboard shortcuts

To | Do the following
Revert the last keyboard shortcut you created or modified | Click Undo.
Revert to all keyboard shortcuts you created or modified since you opened the Preferences dialog box | Click Reset. In the warning dialog box, click Yes.
Revert all keyboard shortcuts to their default settings | Click Defaults. In the warning dialog box, click Yes.

To manage key sets

To | Do the following
Open an existing key set | Click the Open button [image] . In the Open Key Set dialog box, select a key set, and click Open.
Create a new key set from the existing key set | Click the New from Existing button [image] . In the Save New Key Set dialog box, type a name for the key set in the Filename box, and click Save.
Save the active key set | Click the Save Active Set button [image] . In the Save Key Set dialog box, type a name for the key set in the Filename box, and click Save.
Create an HTML summary of the active key set | Click the Create HTML Summary button [image] . In the Save Summary dialog box, type a name in the Filename box, and click Save.
Delete the active key set | Click the Delete button [image] .

•
Key set files created on the Mac OS cannot be imported into Corel Painter on Windows. Likewise, key set files created on Windows cannot be imported into Corel Painter on the Mac OS.

Undo Preferences

 Back to Top

Multiple Undo allows you to undo and redo up to 32 levels of changes. Corel Painter sets 32 levels as the default.

The number of Undo levels applies across open documents. If you have set the number of Undo levels to 5, and you have two documents open and have “undone” three operations on the first document, you can undo only two operations on the second document.

Multiple Undo can use a significant amount of disk space. If you perform multiple operations on the entire image, the whole image must be saved for each Undo step.

To set Undo levels

1
Do one of the following:
•
(Mac OS) Choose Corel Painter X menu [image] Preferences [image] Undo.
•
(Windows) Choose Edit menu [image] Preferences [image] Undo.
2
Enter a number between 1 and 32 in the box.

Shapes Preferences

 Back to Top

You can set the default fill and stroke in the Shapes page of the Preferences dialog box. These settings apply to new shapes you create. If you enable the Big Handles check box, the Bézier curve control handles will appear larger. (You may find it easier to work with them in the larger size.) You can also specify colors for the wing color, outline color, and point color.

To change Shapes preferences

1
Do one of the following:
•
(Mac OS) Choose Corel Painter X menu [image] Preferences [image] Shapes.
•
(Windows) Choose Edit menu [image] Preferences [image] Shapes.
2
Select your preferences from the following options:
•
Drawing Options controls how Corel Painter displays shapes as you create them (On Draw) and when a shape path is closed (On Close). The default setting for On Draw is Stroke In Current Color, and the default setting for On Close is Stroke in Current Color.
•
Big Handles controls the size of the anchor points and direction wing handles. This can make them easier to grab and drag. If you want big points, enable this option.
•
Outline controls the color of the shape outline paths. Double-click the chip to change the color.
•
Selected Point controls the color of selected anchor points (unselected anchor points appear “hollow”). Double- click the chip to change the color.
•
Wing controls the color of the control wings and handles. Double-click the chip to change the color.
•
Tolerance determines how close the brush stroke must be, in pixels, to the path or shape for automatic alignment to occur.
•
Paint Hidden Shapes aligns a brush stroke with a hidden shape or path.

Save Preferences

 Back to Top

The Save preferences in Corel Painter let you:

•
create backup files
•
set preferences for the color space, so that you do not need to choose a color space every time you save
•
(Mac OS) select file extension preferences

To create a backup file when you save your work

1
Do one of the following:
•
(Mac OS) Choose Corel Painter X menu [image] Preferences [image] Save.
•
(Windows) Choose Edit menu [image] Preferences [image] Save.
2
Enable the Create Backup on Save check box.

To set preferences for the color space prompt

1
Do one of the following:
•
(Mac OS) Choose Corel Painter X menu [image] Preferences [image] Save.
•
(Windows) Choose Edit menu [image] Preferences [image] Save.
2
Choose one of the following options from the TIFF and PSD pop-up menus:
•
RGB automatically saves the file as RGB.
•
CMYK automatically saves the file as CMYK.
•
Prompt on Save prompts you to choose a color space every time you save a file.

To set file extension preferences (Mac OS)

1
Choose Corel Painter X menu [image] Preferences [image] Save.
2
Choose one of the following options from the Append pop-up menu:
•
Always — The appropriate file extension is always added when you save a file.
•
Never — A file extension is never added when you save a file.
•
Ask When Saving — You are prompted to choose whether to add a file extension when you save a file.

Operating System Preferences (Windows)

 Back to Top

Computers running Windows have some additional options.

Printing Option

In the Printing Option area of the Operating System page of the Preferences dialog box, if you enable the No Print Banding check box, print banding is disabled. Disabling print banding may help some PostScript printers, but it hurts the performance of some bitmap printers, such as the HP DeskJet printers. The operation of most dot matrix printers is faster if you do not enable No Print Banding. If you experience problems printing in landscape orientation, you may have to enable the No Print Banding check box.

Display Option

If your video display driver is set to 16-bit colors, you may experience some color irregularities on your screen when you use Corel Painter. Enabling the No Device Dependent Bitmaps check box corrects this problem for most 16-bit color video displays. If you are not using 16-bit color, enabling this check box does not affect your system.

To access Operating System preferences (Windows)

•
Choose Edit menu [image] Preferences [image] Operating System.

Palettes and UI Preferences

 Back to Top

Corel Painter lets you control how palettes are docked and grouped. You can also set the window background color.

To change palette behavior

1
Do one of the following:
•
(Mac OS) Choose Corel Painter X menu [image] Preferences [image] Palettes and UI.
•
(Windows) Choose Edit menu [image] Preferences [image] Palettes and UI.
2
Choose your preferences from the following options:
•
Autoscroll lets you scroll through a palette with many elements automatically.
•
Snapping Behavior determines where palettes are docked in relation to other elements on the user interface.
•
Snapping Tolerance determines the minimum distance, in pixels, between the palette and other elements on the user interface before docking.

To change the window background color

1
Do one of the following:
•
(Mac OS) Choose Corel Painter X menu [image] Preferences [image] Palettes and UI.
•
(Windows) Choose Edit menu [image] Preferences [image] Palettes and UI.
2
Do one of the following:
•
To use the current main color, click Use Current Color.
•
To choose another color, click Custom Color, select a color in the Color dialog box, and click OK.

Memory and Scratch Preferences

 Back to Top

You can change the percentage of memory usage dedicated to Corel Painter, which is set to 80% by default. You can dedicate as much as 100% of memory to Corel Painter. The lowest percentage you can choose is 5%. You can also choose the scratch disk, which selects the disk volume that Corel Painter uses to store its temporary file and to access virtual memory.

To set memory usage

1
Do one of the following:
•
(Mac OS) Choose Corel Painter X menu [image] Preferences [image] Memory & Scratch.
•
(Windows) Choose Edit menu [image] Preferences [image] Memory & Scratch.
2
Type a number in the Memory Usage box.

To choose a scratch disk

1
Do one of the following:
•
(Mac OS) Choose Corel Painter X menu [image] Preferences [image] Memory & Scratch.
•
(Windows) Choose Edit menu [image] Preferences [image] Memory & Scratch.
2
Choose the volume name (Mac OS) or letter (Windows) from the Scratch Disk pop-up menu.


Using Two Monitors

On this page, you will find information about

•
Wacom Intuos Support

The Corel Painter user interface can be displayed across two or more monitors. You can drag any of the Corel Painter palettes, the property bar, and the toolbox to any monitor; however, each palette must be displayed entirely on one monitor at a time. If a palette straddles two monitors, it will automatically snap to the nearest vertical edge of the monitor with the largest portion of the palette. If the palette is displayed equally on both monitors, it will snap to the vertical edge of the left monitor.

For best performance, make sure that both monitors are set to the same resolution. In Windows, you must stretch the application window to straddle both monitors, then redesign your workspace. For information on configuring your system so that Corel Painter is displayed across two or more monitors, refer to your operating system documentation.

Wacom Intuos Support

 Back to Top

Corel Painter supports the use of Wacom Intuos tablet, pen, and airbrush technology.

Painting with an Intuos Tablet and Pen

The Intuos tablet provides 1,024 levels of pressure sensitivity to help you create smooth curves, gradual transitions, and precise brush strokes. Corel Painter allows you to take advantage of tilt and bearing input from an Intuos pen in new and exciting ways.

•
Before you use Corel Painter with your Wacom Intuos 3 tablet on the Mac OS, you need to ensure that the Wacom Intuos 3 driver you’ve installed is optimized for use with Corel Painter. To do this, access the Mac OS System Preferences, and choose the Wacom Tablet command. Choose Functions from the Tool area, and then click the Touch Strip button that appears. In the Touch Strip area, make sure that the left and right Touch Strip functions are both set to Scroll.
•
The mouse mode option in the Wacom controls panel, which causes a stylus to behave like a mouse, is not compatible with Corel Painter. Always use pen mode when painting with an Intuos tablet and pen.
Customizing Brush Tracking

Every artist uses a different pressure when drawing on an Intuos tablet. The Corel Painter Brush Tracking preferences help you customize your Intuos tablet to meet your pressure sensitivity needs. For more information, see "Brush Tracking Preferences".

Linking Stylus Features to Expression Settings

Settings you make in the Expression areas of the Brush Creator allow you to tie brush features like Opacity, Grain, Angle, Size, Jitter, Resaturation, Bleed, Flow, and Depth to stylus data, such as Velocity, Direction, Pressure, Wheel, Tilt, and Bearing. For more information about using the Expression areas in the Brush Creator, see "Expression Settings".

Using the Min Size Setting

In Corel Painter, the Min Size setting lets you take even further advantage of stylus input data. When Size is set in the Expression area of the Brush Creator to respond to stylus pressure, and the Min Size setting is set to a small percentage of the brush size, the strokes you make with the stylus create amazingly realistic results.

Using the Intuos Airbrush Wheel

The Intuos Airbrush — the first true computer airbrush — provides fingertip media flow control. Corel Painter airbrushes respond to angle (tilt), bearing (direction), and flow (wheel setting) data from the Intuos stylus, allowing for a truly realistic brush stroke. For example, as you tilt your stylus, specks of media land on the paper in a way that reflects that tilt. Corel Painter airbrushes create conic sections that mirror your stylus movements.

Corel Painter airbrushes take advantage of the Intuos Airbrush stylus wheel control. Like the needle control on a real airbrush, the Intuos wheel control adjusts airbrush flow, or how much medium is applied. For more information about using the new airbrushes, see "Painting with Airbrushes".

Using Multiple Intuos Pens

All Intuos pens — both standard and airbrush — feature Tool ID, which allows you to configure and work with multiple pens during a Corel Painter session. For example, let’s assume you have two Intuos pens: Pen 1 and Pen 2. Pen 1 is set to an Oil brush variant; Pen 2 is set to an Artists variant.

Every time you bring Pen 1 into the tablet’s proximity, Corel Painter automatically changes the active brush to the Oil brush. Every time you bring Pen 2 into the tablet’s proximity, Corel Painter switches to the Artists brush. If you’ve adjusted the tool assigned to a pen’s size or other settings, Corel Painter remembers those changes for the next time you use that pen.


Understanding Plug-ins

On this page, you will find information about

•
Installing Plug-ins

Plug-ins are software modules that extend the capabilities of Corel Painter. Many plug-ins are integrated into Corel Painter. Other special effects plug-ins are available for purchase from third-party software developers.

Corel Painter uses the following types of plug-ins:

•
Effects filters, which offer special effects for raster images. You can access available filters from the Effects menu.
•
Most filters that are compatible with Photoshop can be used with Corel Painter, but there are some exceptions. For example, Corel Painter is an RGB-based program and does not support filters that are specific to CMYK or grayscale modes. Check with the manufacturer to determine whether a filter is compatible with Corel Painter.
•
Plug-in brushes, which extend the power of the Brush tool.
•
Dynamic plug-ins, which are different from other effects plug-ins in that you can re-access their controls and change the characteristics of the effects at any time.
•
Acquire plug-ins support the acquisition of images through external devices (such as scanners and digital cameras). They also let you import file formats not built into the application.
•
Export plug-ins, which export image data and support special output devices. For example, many photorealistic dye-sublimation printers include export modules to provide better control over output quality than the standard print interface.

Mac OS computers with Intel processors support only universal plug-ins, so existing third-party plug-ins may not function on an Intel-based Mac unless you use Rosetta mode. For more information about Rosetta mode and universal plug-ins, refer to the documentation provided by your computer manufacturer.

Installing Plug-ins

 Back to Top

The folder in which you install a plug-in module depends on its type.

Plug-in brushes and dynamic plug-ins are specific to Corel Painter and must reside in the following location: Corel Painter [image] Support Files [image] Plugins. The Corel Painter standard plug-in brushes and dynamic plug-ins are automatically installed in the correct location. However, if you want to install a new plug-in brush or dynamic plug-in modules, you must manually place them in the correct location.

Other plug-in modules are used by multiple software applications and can reside anywhere on your computer. For Corel Painter to access such plug-ins, you must place a copy in the following location: Corel Painter [image] Support Files [image] Plugins.

To install a new plug-in brush

1
Drag the plug-in brush module to Corel Painter [image] Support Files [image] Plugins.
2
Start Corel Painter.
If Corel Painter is running, quit and restart Corel Painter to activate the new plug-in.

To install a new dynamic plug-in

1
Drag the dynamic plug-in module to Corel Painter [image] Support Files [image] Plugins.
2
Start Corel Painter.
If Corel Painter is running, quit and restart the program to activate the new plug-in.

To install and activate an Effects, Acquire, or Export plug-in

1
Follow the installation instructions provided by the plug-in manufacturer.
2
Determine the location of the newly installed plug-in, and if necessary, move it to Corel Painter [image] Plugins.
The plug-in loads automatically when you start Corel Painter. If you installed the plug-in to a location other than the Plug-ins folder, copy the plug-in to the Corel Painter plug-ins folder.
3
Start Corel Painter to activate the new plug-in.
If Corel Painter is running, quit and restart the program to activate the new plug-in.


Textures, Patterns, and Weaves

With Corel Painter, you can apply paper textures, gradients, patterns, and weaves to your image by brushing some of them on, having them interact with each other, spraying them, or smearing them. You can even create your own textures, patterns, and weaves. Corel Painter lets you experiment freely without interrupting your creative work — you never have to rush to the store to buy a new tube of paint or the right kind of paper.

You can use textures, patterns, and weaves to do the following:

•
load the Brush tool with media for painting
•
fill selections when using the Paint Bucket tool or the Fill command from the Effects menu
•
control certain image effects, such as Apply Surface Texture

This chapter explains how to select, customize, and create textures, patterns, and weaves, as well as how to save them to a library for future use.

Papers, patterns, and weaves all reside in libraries. The default libraries offer sample materials. You’ll find more libraries, with additional materials, on the Corel Painter CD and on the Corel Web site. For more information about libraries, including how to load alternate libraries, create your own libraries, and manage library content, see "What Are Libraries?".

See Also

•
Using Paper Texture
•
Using Patterns
•
Using Weaves


Using Paper Texture

On this page, you will find information about

•
Choosing Paper Textures
•
Creating Paper Textures
•
Controlling Brightness and Contrast of Paper Texture
•
Adjusting the Grain
•
Inverting and Scaling Paper Textures

With traditional art media, the results from using a marking tool depend on the texture of the surface to which it is applied. Corel Painter allows you to control the texture of the canvas to achieve the results you’d expect from using traditional media on a given surface — pencil on watercolor paper, felt pens on cotton paper, chalk on the sidewalk, and so on.

Some brushes, like those in the Airbrush category, don’t reveal paper texture in their strokes. This behavior corresponds with that of a traditional airbrush.

Most brushes interact with the current paper texture.

You can use paper textures in many ways. Brushes interact with paper “grain,” just as traditional tools react with the texture of the surfaces beneath them. Working with paper grains is useful when you use the Apply Surface Texture command or other effects, such as Glass Distortion. You can select different paper textures, modify them, organize them in libraries, and even create your own custom textures.

In Corel Painter, brushes that react with paper texture have a “grainy” method. For more information about brush methods, see "Methods and Subcategories".

•
The terms “paper grain” and “paper texture” are used synonymously.

Choosing Paper Textures

 Back to Top

The Papers palette is where all paper textures are stored. In addition to using it to select papers, you can use this palette to invert, resize, or randomize paper grain; control brightness and contrast; or open other paper libraries. For more information on working with libraries, see "Creating a Library".

The Paper Selector on the Papers palette.

To choose a paper texture

1
Choose Window menu [image] Library Palettes [image] Show Papers.
The Papers palette appears. If the palette is not expanded, click the palette arrow.
2
On the Papers palette, click the Paper Selector to display the available paper textures.
3
Choose a paper texture from the Paper Selector.
The Papers palette shows the dimensions, in pixels, of the selected paper. Corel Painter tiles the paper to cover as much canvas as needed.
•
You can also choose a paper texture from the Paper Selector in the toolbox.
•
Corel Painter uses the currently selected texture. You can make a few strokes, and then change the paper and make a few more strokes to get different results.

Creating Paper Textures

 Back to Top

The Make Paper command lets you make your own paper textures. The Capture Paper command lets you turn a section of an image into a paper texture. When you save textures, they become available on the Papers palette.

To create a paper texture

1
Choose Window menu [image] Library Palettes [image] Show Papers.
2
On the Papers palette, click the palette menu arrow, and choose Make Paper.
3
In the Make Paper dialog box, choose a pattern from the Pattern pop-up menu to use as the basis of your paper texture.
4
Adjust the Spacing slider.
Moving the Spacing slider to the right opens up space between rows and columns in the selected pattern.
5
Adjust the Angle slider.
Moving the Angle slider changes the direction in which the pattern’s rows are lined up.
6
When you like the look of the texture, enter a name, and click OK.
Your new texture appears as the last item in the Paper Selector.
•
You can also use the Paper Selector in the toolbox to create paper. Click the Paper Selector, click the selector menu arrow, and choose Make Paper.

The Make Paper dialog box allows you to create your own textures based on patterns in the Pattern pop-up menu.

To capture paper texture

1
Open or create an image.
2
Select all or a piece of your source image.
3
On the Papers palette, click the palette menu arrow, and choose Capture Paper.
If you want to blend the distinction between tile borders, move the Crossfade slider in the Save Paper dialog box to the right.
4
Type the name of your new texture, and click OK.
Your texture now appears in the Paper Selector and is added to the current library.
•
You can also use the Paper Selector in the toolbox to capture paper texture. Click the Paper Selector, click the selector menu arrow, and choose Capture Paper.
•
The Make Fractal Pattern feature creates excellent textures. Some weaves also produce good textures. For more information, see "Creating Fractal Patterns".

Controlling Brightness and Contrast of Paper Texture

 Back to Top

Brightness can be thought of as controlling the depth of the paper grain. The effect of lowering the paper’s brightness is similar to that of using a more shallow grain.

Contrast can be thought of as controlling the steepness of the paper grain. The grain in higher-contrast paper changes from high to low more quickly and with fewer intermediate levels than the grain in lower-contrast paper.

To change paper texture brightness

1
Choose Window menu [image] Library Palettes [image] Show Papers.
2
On the Papers palette, adjust the Paper Brightness slider.

To change paper texture contrast

1
Choose Window menu [image] Library Palettes [image] Show Papers.
2
On the Papers palette, adjust the Paper Contrast slider.

Adjusting the Grain

 Back to Top

When you use a brush that interacts with paper grain, the results appear with each stroke. If you have a stylus and tablet, you can adjust paper grain by changing the stroke of the stylus on a pressure-sensitive tablet. In most cases, a light stroke colors only the peaks and ridges of the grain. A heavy stroke fills color deep into the pockets and valleys. You can also affect paper grain by using the Grain settings on the Stroke Designer page of the Brush Creator.

If you want a uniform paper grain across an image, create your artwork first, and then apply the grain as a surface texture. If you apply paper texture before you create an image, the texture is erasable, and you cannot erase paper texture without erasing brush strokes at the same time. For this reason, it is usually best to add paper texture as a last step in developing your image.

By default, paper grain is fixed, which means that the texture is in the same position each time you apply a brush stroke. You can change this setting if you want grain to be applied randomly.

You can also change the look of brush strokes by having the paper grain interact with stroke direction. This option works best when you paint with a stylus and use certain papers and brushes.

When you find a brush and paper combination that you really like, you can save it as a new look in the Look Selector. For more information about saving looks, see "Saving a Look".

To randomize paper grain

1
Choose Window menu [image] Show Brush Creator.
2
Click the Stroke Designer tab, and choose Random.
3
Enable the Random Brush Stroke Grain option.
•
The Random Brush Stroke Grain option is not available for all brushes.

To enable directional paper grain

1
Choose Window menu [image] Library Palettes [image] Show Papers.
2
Click the Directional Grain button [image].
•
Factors such as stylus pressure, paper, and brush variant affect the appearance of brush strokes when the Directional Grain option is enabled. Papers with pronounced grain, such as Wood Grain and Gessoed Canvas, produce the best results.

Inverting and Scaling Paper Textures

 Back to Top

Paper texture can be visualized as a three-dimensional landscape. Ordinarily, brushes react to paper texture by coloring the peaks and ignoring the valleys. You can enable the Invert Paper option to make color fill the valleys instead of the peaks. You can also adjust the paper texture scale to resize the paper texture. Scaling the paper grain affects how the grain appears in brush strokes and images.

To invert paper grain

1
Choose Window menu [image] Library Palettes [image] Show Papers.
2
On the Papers palette, do one of the following:
•
Click the palette menu arrow, and choose Invert Paper.
•
Click the Invert Paper button [image].
•
You can also use the Paper Selector in the toolbox to invert paper grain. Click the Paper Selector, click the selector menu arrow, and choose Invert Paper.

Two brush strokes overlapping. The green brush stroke was painted with the paper grain inverted.

To change the paper texture scale

1
Choose Window menu [image] Library Palettes [image] Show Papers.
2
On the Papers palette, use the Paper Scale slider to resize the paper grain.
As you move the slider, the Paper Preview Window updates to display the new grain size. You can scale texture down to 25% or up to 400%.
•
Scaling large textures can use a great deal of RAM. Most textures in Corel Painter range from 50 to 400 pixels square at 100% scaling.

Brush strokes on paper grains with different scale values.


Using Patterns

On this page, you will find information about

•
Choosing Patterns
•
Creating and Capturing Patterns
•
Creating Fractal Patterns
•
Creating Seamless Tiles

A pattern is a repeating design. The smallest unit of a pattern is known as a “tile.” When you fill an area with a pattern, the tile is repeated across the selected area.

With patterns, you can

•
fill selections with an image
•
paint patterns directly onto your image with computed brushes that use rendered dab types
•
paint using a cloning brush
•
control image effects

You’ll find a sampling of patterns in the default Pattern library. You’ll find other pattern libraries on the Corel Painter X CD.

Choosing Patterns

 Back to Top

The Patterns palette shows a preview of the pattern, gives tile image dimensions, and gives you options for scaling and arranging the tile in fills.

Patterns are created by repeating a rectangular image tile across an area. Ideally, images intended to be tiled are created so that they tile seamlessly. Corel Painter provides ways to help you generate seamless tiles.

You can capture a pattern after you create it and manipulate it to be a half-drop design, traditionally used in wallpaper designs. Your patterns can be added to the Pattern library.

The Pattern Selector on the Patterns palette.

Fractal patterns can be used to create interesting landscapes in Corel Painter.

To choose a pattern

1
Choose Window menu [image] Library Palettes [image] Show Patterns.
If the Patterns palette is not expanded, click the palette arrow.
2
On the Patterns palette, click the Pattern Selector.
3
Choose a pattern from the list.
•
You can also choose a pattern from the Pattern Selector in the toolbox.

To adjust the appearance of a pattern

1
Choose Window menu [image] Library Palettes [image] Show Patterns.
2
Choose a pattern from the Pattern Selector.
3
Enable one of the following options:
•
Rectangular Pattern Type [image] places the tiles in a rectangular grid for fills. The Pattern Offset slider does not apply.
•
Horizontal Pattern Type [image] offsets the tiles in subsequent rows. The Pattern Offset slider controls the amount of offset.
•
Vertical Pattern Type [image] offsets the tiles in subsequent columns. The Pattern Offset slider controls the amount of offset.
4
Adjust the Pattern Scale slider to control the dimensions of the pattern.
After setting these options, the pattern is ready to use.

To fill an image with pattern tiles

1
On the Patterns palette, choose a pattern.
2
Choose Effects menu [image] Fill.
3
In the Fill dialog box, choose Pattern.
•
The image must be larger than the tile in order for the tiling to be visible in an image.

To paint with a pattern

1
From the Brush Selector bar, choose a brush that applies media to a document.
2
On the Stroke Designer page of the Brush Creator, choose General.
3
From the Source pop-up menu, choose one of the following:
•
Pattern paints with a pattern containing no mask information.
•
Pattern with Mask paints using mask data contained in the pattern.
•
Pattern as Opacity paints with the pattern at a reduced opacity.
4
Choose Window menu [image] Library Palettes [image] Show Patterns.
5
Choose a pattern from the Pattern Selector.
6
Paint in the image.
•
If you have not set a clone source, Corel Painter uses the current pattern in any operation referring to clone source colors or luminance. This means you can paint with a pattern using a Cloner brush.
•
If the Source option is not available (is grayed), you can use the selected brush only to apply color. In that case, select a rendered brush, or choose Rendered from the Dab Type pop-up menu.
•
When painting with a pattern, keep in mind that direction matters. Corel Painter flips the pattern you’re painting when you change directions, so apply strokes in the same direction for a uniform effect.

Creating and Capturing Patterns

 Back to Top

Corel Painter offers three ways to create patterns:

•
Define the current image as a pattern, then add it to the Pattern library.
•
Create a rectangular selection, then capture it as a pattern. For more information about creating selections, see "Creating Selections".
•
Make a fractal pattern, then add it to the library. For more information on creating fractal patterns, see "Creating Fractal Patterns".

After creating a pattern tile, you’ll probably want to refine it so that it tiles seamlessly. Refer to "Creating Seamless Tiles".

Images that you turn into patterns and save in RIF format maintain their pattern characteristics even after being saved and reopened. To keep the Pattern Selector manageable, it’s a good idea to keep libraries small. Use the Patterns Mover to create new libraries and delete unwanted patterns. You can switch libraries whenever you want to use a different set of patterns. For more information about movers, see "Creating a Library".

If a pattern preview isn’t detailed enough or you want to edit an existing pattern, you can open the pattern tile in its own window. By loading a pattern as a file, you can view the pattern closely and modify it.

Once a pattern becomes a tile, you can paint off one side of the canvas and watch your stroke appear on the opposite side of the canvas, automatically wrapping to the other side. For more information about editing pattern tiles, see "Creating Seamless Tiles".

You can also create masked patterns to use with the Pattern Pens Masked brush variant.

To create a pattern

1
Open the image file you want to use in creating a pattern.
2
Choose Window menu [image] Library Palettes [image] Show Patterns.
The Patterns palette appears.
3
Click the palette menu arrow, and choose Define Pattern.
4
On the Patterns palette, click the palette menu arrow, and choose Add Image to Library.
5
In the Save Image dialog box, type a name for the pattern.
•
With the Grabber tool selected, you can hold down the Shift key and drag the seams to the center of the image in the document window. For best results, do this at 100% scale.

To capture a pattern

1
Using the Rectangular Selection tool [image], select the area of the image you want to use as a pattern.
Remember, selection edges meet when the image is tiled, so select carefully.
2
Choose Window menu [image] Library Palettes [image] Show Patterns.
The Patterns palette appears.
3
Click the palette menu arrow, and choose Capture Pattern.
4
Enable one of the following options:
•
Rectangular Tile places the tile in a rectangular grid for fills. The Bias slider does not apply.
•
Horizontal Shift offsets the tiles in subsequent rows. The Bias slider controls the amount of offset.
•
Vertical Shift offsets the tiles in subsequent columns. The Bias slider controls the amount of offset.
As you try different tile arrangements and Bias settings, the Pattern Preview Window shows the result.
5
Enter a descriptive name for the pattern.
Corel Painter captures the pattern and saves it to the current library.

The Capture Pattern dialog box lets you decide how much to offset pattern tiles and in which direction.

To edit a pattern tile

1
On the Patterns palette, choose a pattern from the Pattern Selector.
2
Click the palette menu arrow, and choose Check Out Pattern.
Corel Painter opens the selected pattern tile in its own document window.
You can now edit the pattern tile as you would any image. To put the modified pattern back in the palette, you must save it to the Pattern library. For more information about saving patterns to a library, refer to "Using Weaves".

To create and use a masked pattern

1
Make a selection to capture the area of an image that you want to use as a pattern.
2
On the Patterns palette, click the palette menu arrow, and choose Define Pattern.
3
On the Patterns palette, click the palette menu arrow, and choose Add Image to Library.
4
In the Save Image dialog box, type a name for the pattern, and click Save.
5
On the Brush Selector bar, choose Pattern Pens from the Brush Category selector, and choose Pattern Pen Masked from the Brush Variant selector.
On the Patterns palette, choose the masked pattern you saved in step 4.

Creating Fractal Patterns

 Back to Top

The Make Fractal Pattern command is a pattern generator that creates interesting landscapes. These topographic patterns can be filled with color, or even embossed using a paper texture.

When you create fractal patterns, the following options allow you to fine-tune your creation:

•
Size sets the exact size of the tile you are creating. If your computer has a lot of memory, you can make a large file with a high resolution. Depending on how much memory your computer has available to Corel Painter, some of the size options may not be available.
•
Power controls the intricacy of the pattern’s definition, as if you were “zooming” in and out on a textured surface with a microscope. Move the Power slider to the right to zoom out and see many small patterns. Move the Power slider to the left to zoom in and see fewer large patterns.

The Power slider determines the degree of detail. Left=-200%, Right=0%.

•
Feature Size defines the number of prominent features within the tile. Moving the slider to the left increases the number of repetitions per tile.

The Feature Size slider determines the number of repetitions per tile. Left=90%, Right=20%.

•
Softness adjusts the edge softness of the pattern.
•
Angle changes the direction from which you view the fractal.
•
Thinness emphasizes the direction suggested by the lines of the fractal pattern. Thinner lines produce a more linear look.

Low Thinness settings show the fractal as streaks. Use the Angle slider to change the direction of streaking.

Corel Painter uses four channels to store graphic information: Red, Green, Blue, and Alpha.

You can place information other than color values in these channels. Channel options allow you to visualize this information in different ways.

•
Height as Luminance displays pseudo-height information as luminance. White areas are represented as peaks, and dark areas become depressions. Images generated with this option can be used with the Apply Surface Texture effect.
•
Gradient Bearing uses the Red channel to display the bearing of the down angle of a height field.
•
Surface Normal uses the Green and Blue channels to represent the X and Y components of the surface normal (angle perpendicular to the surface at a given point) of the height field (Green=X, Blue=Y).

These two latter options for viewing a fractal texture are offered for purely aesthetic reasons. One way to take advantage of them is to create color variations of the texture with the Adjust Colors feature.

You can also turn a fractal pattern into a paper texture that will be saved to the Paper library.

To create fractal patterns

1
On the Patterns palette, click the palette menu arrow, and choose Make Fractal Pattern.
2
In the Make Fractal Pattern dialog box, adjust the fractal options.
Changes you make appear in the Pattern Preview Window.
3
When you are satisfied with your selections, click OK.
Give Corel Painter a little time to create your new pattern file. When your pattern file is ready, it is displayed in its own document window.
•
To colorize a fractal pattern, choose an appropriate gradient and use the Express in Image feature.
•
You can also create interesting patterns by choosing a colorful gradient and using the Express in Image command on the Gradients palette.

To convert a fractal pattern to a texture

1
On the Patterns palette, click the palette menu arrow, and choose Check Out Pattern.
The pattern is displayed in a new image window.
2
Choose Effects menu [image] Tonal Control, and adjust image elements such as brightness, contrast, and luminance.
3
Choose Select menu [image] All.
4
Choose Window menu [image] Library Palettes [image] Show Papers.
The Papers palette appears.
5
Click the palette menu arrow and choose Capture Paper.
6
In the Save Paper dialog box, set the crossfade to 0.00.
7
Name the paper texture.

Creating Seamless Tiles

 Back to Top

Patterns are created by repeating a rectangular image tile across an area. To develop patterns, you create images that will be tiled. Ideally, those images must tile seamlessly. That is, the eye should not be able to distinguish tile edges. Corel Painter provides ways to help you generate images that will tile easily.

The wrap-around colors feature lets you paint off one side of an image and onto the other side.

To help in making seamless tiles, Corel Painter gives documents defined as pattern tiles two special characteristics: wrap-around colors and wrap-around seams.

•
With wrap-around colors, a brush stroke dragged off one edge of an image appears on the other side. This makes it easier to paint seamless, self-tiling patterns.
•
The wrap-around seams feature lets you move the edges of pattern tiles to the center of the image, where their tonal differences are more apparent and easier to correct.

To minimize seams

1
On the Patterns palette, click the palette menu arrow and choose Define Pattern.
2
In the toolbox, click the Grabber tool [image].
3
Hold down the Shift key and drag inside the image.
You’ll see a horizontal line and a vertical line where the image edges meet.
4
Drag until the crosshairs are centered.

The wrap-around seams feature lets you move the pattern tile edges to the middle so that you can edit them.

To remove edge lines

•
Use any color brush to paint out the edge lines, or use a brush with a Water or Drip method to smear across the lines.
•
To preserve detailed images, set the Straight Cloner brush to clone from somewhere inside the image. For more information about cloning, see "Painting in the Clone".
•
You can also copy a selection to a layer and move it over the line. To produce clean transitions, feather the layer, and reduce opacity. Drop the layer when you’re satisfied with the result. For more information about working with layers, see "Layers".


Using Weaves

On this page, you will find information about

•
Choosing Weaves
•
Editing Weave Colors
•
Saving Weaves
•
Advanced Weaving

The Weaves palette is, in effect, a virtual loom that you can use to create weaves to use as fill patterns. Weave libraries are included with Corel Painter. You can modify a weave by changing the way it displays the scaling and thickness of its threads, or by changing its colors. You can also create and save weaves of your own, and you can preview your changes before you apply them.

Choosing Weaves

 Back to Top

You can choose weaves from the Weave Selector on the Weaves palette. In addition, you can change the way a weave is displayed. You can also use the four sliders at the bottom of the Weaves palette to control the thickness of threads and the spacing between them. The top two sliders control horizontal dimensions; the bottom two control vertical dimensions. By adjusting these sliders, you can create a wide variety of weaves with any one of the patterns supplied.

The Weave Selector on the Weaves palette.

Corel Painter can display a weave as two-dimensional or show the interwoven threads three-dimensionally, complete with shadows.

A weave’s appearance changes, depending on whether you display it as two-dimensional or three-dimensional.

To choose a weave

1
Choose Window menu [image] Library Palettes [image] Show Weaves.
If the Weaves palette is not expanded, click the palette arrow.
2
On the Weaves palette, click the Weave Selector.
3
Choose a weave from the list.
•
You can also choose a weave from the Weave Selector in the toolbox.

To adjust scaling and thickness

1
On the Weaves palette, choose a weave from the Weave Selector.
The weave appears in the Weave Preview Window.
2
Click the Three-Dimensional Weave button [image] to show a three-dimensional weave.
For most weaves, you won’t see a change in the preview until you adjust the scale and thickness values.
3
Adjust the horizontal and vertical scale sliders to increase the scale, thus enlarging the weave.
4
Adjust the horizontal and vertical thickness sliders to reduce the thickness.
You should begin to see a change in the Weave Preview Window.
•
Thickness sliders affect the three-dimensional display only. When you select a two-dimensional display, the thickness sliders have no effect.

To change how a weave is displayed

1
Choose Window menu [image] Library Palettes [image] Show Weaves.
The Weaves palette appears.
2
Click the Two-Dimensional Weave [image] or the Three-Dimensional Weave [image] button.
The Weave Preview Window changes to show either a two-dimensional (Blocks) or three-dimensional (Fibers) weave.
•
Depending on which weave is selected, you may or may not see a change in the Weave Preview Window. For different two- and three-dimensional effects, you can adjust the scaling and thickness sliders at the bottom of the Weaves palette.

Editing Weave Colors

 Back to Top

Each weave uses its own color set. You can display the color set used for a weave, change the colors in the set, and apply the changed colors to the weave. Remember that you can open several palettes and rearrange them to make it easier to see the controls you need. For more information about color sets, see "Using Color Sets".

To display the color set for a weave

1
On the Weaves palette, choose a weave from the Weave Selector.
2
Click the palette menu arrow, and choose Get Color Set.
The color set for the selected weave appears in the Color Sets palette, replacing the current color set.

To change weave colors

1
Choose a new color from the Colors palette or from the Color Sets palette, or sample a color with the Dropper tool [image].
2
Choose Window menu [image] Library Palettes [image] Show Weaves.
The Weaves palette appears.
3
On the Weaves palette, choose a weave from the Weave Selector.
4
Click the palette menu arrow, and choose Get Color Set.
5
On the Color Sets palette, hold down Command (Mac OS) or Ctrl (Windows), and click the color swatch that you want to replace.
The new color replaces the old one.
6
On the Weaves palette, click the palette menu arrow, and choose Put Color Set.
The Preview window shows the weave with the new colors. If you fill an image with the weave pattern, Corel Painter now uses the new color set.

Saving Weaves

 Back to Top

After altering the scaling, thickness, or color of a weave, you can save your changes as a new weave.

To save a weave

1
On the Weaves palette, click the palette menu arrow and choose Save Weave.
2
In the Save Weave dialog box, type a name for the weave.
If you don’t type a new name, Corel Painter replaces the existing weave with the changed weave. The new weave pattern appears in the current Weaves library.

Advanced Weaving

 Back to Top

Corel Painter lets you create woven fabrics of virtually any description. You can create fabrics for wallpapers, carpets, clothes, and furniture.

To create your own weaves

1
On the Weaves palette, click the palette menu arrow and choose Edit Weave.

In the Edit Weave dialog box, adjust the controls for drafting a weave on the 8-harness, 8-treadle loom.


Color

Corel Painter offers many ways to apply color to your image. For example, you can change the paper color, choose colors for your brush strokes, or apply gradients to an entire image or selection.

See Also

•
Getting Started with Color
•
Working with the Mixer Palette
•
Working with Color Sets
•
Setting Color Variability
•
Viewing Color Information
•
Setting Color Expression
•
Working with Gradients


Getting Started with Color

On this page, you will find information about

•
Changing the Paper Color
•
Using the Colors Palette
•
Understanding Main and Additional Colors
•
Sampling Colors from Images
•
Cloning Color
•
Using Two Colors at Once

You can select colors in several ways. You can use

•
the color squares on the Colors palette
•
the Dropper tool, which samples color from the image
•
the Use Clone Color setting, which pulls color from a source
•
the Mixer palette
•
the Color Sets palette

The Colors palette is one place where you can select a color to add to your image.

Changing the Paper Color

 Back to Top

You can change a document’s paper color — the color of the background canvas — at any time. This color appears when you delete a filled area or use a brush from the Erasers category to remove color.

An example of changing the paper color.

To display the Colors palette

•
Choose Window menu [image] Color Palettes [image] Show Colors.

To change the existing paper color

1
Choose a main color from the Colors palette.
2
Choose Canvas menu [image] Set Paper Color.
3
To expose the new paper color, do one of the following:
•
Make a selection, and cut or delete it.
•
Use a brush from the Erasers category to erase part of your image.
•
Do not use a bleach variant to expose the new paper color unless the paper color is white. Bleach variants erase to white, regardless of the paper color.

Using the Colors Palette

 Back to Top

You can configure the Colors palette to display in two ways: standard and small.

The Color palette configured as standard (left) and small (right).

By default, the Colors palette displays in its standard configuration, which includes the Hue Ring and the Saturation/Value Triangle.

•
Values span the triangle from top to bottom, with the top of the triangle being the highest value (white) and the bottom being the lowest value (black).
•
Saturation levels go from left to right. Dragging or clicking to the right produces the purest color within the predominant hue. Dragging or clicking to the left reduces the level of color saturation, producing “muddier” or grayer colors.

In its small configuration, the Colors palette displays a color triangle and indicates hues on a single bar (the “hue indicator”).

To configure the Colors palette for small display

1
Choose Window menu [image] Color Palettes [image] Show Colors to display the Colors palette.
If the Colors palette is not expanded, click the palette arrow.
2
Click the palette menu arrow, and choose Small.

To choose a hue and color from the Colors palette

1
Choose Window menu [image] Color Palettes [image] Show Colors to display the Colors palette.
If the Colors palette is not expanded, click the palette arrow.
2
Click the palette menu arrow, and choose one of the following:
•
Standard Colors to display the Colors palette in its default state.
•
Small Colors to display the small configuration of the Colors palette.
3
Do one of the following:
•
If you use the Standard Colors display, drag the circle on the Hue Ring to select the predominant hue.
•
If you use the Small Colors display, drag the circle on the Hue Ring to select the predominant hue.
The Saturation/Value Triangle displays all available colors within that selected hue.
4
Select a color on the Saturation/Value Triangle by dragging the circle or by clicking the color you want.
•
You can also select a hue by clicking once anywhere on the Hue Ring (Standard Colors) or on the hue indicator (Small Colors).

Understanding Main and Additional Colors

 Back to Top

The color you select appears in one of two overlapping squares displayed on the Colors palette. The front square represents the selected main color. The back square shows the selected additional color. By default, blue is the main color, and white is the additional color. Most of the time, you work with the main color.

Don’t confuse the additional color with what other graphics programs call “the background color.” In Corel Painter, the “background color” is the paper color.

The additional color is for multicolor brush strokes, two-point gradients, and Image Hose effects. It’s used when more than one color is applied.

Overlapping squares display the current main and additional colors.

To choose the main color

1
Choose Window menu [image] Color Palettes [image] Show Colors to display the Colors palette.
2
Double-click the front square.
3
Choose a color from the Colors dialog box.

Click the front square to set the main color.

To choose the additional color

1
On the Colors palette, double-click the back square.
2
Choose a color from the Colors dialog box.

Click the back square to set the additional color.

If you usually work with the main color, you might want to re-click the front square to reselect it.

To swap main and additional colors

•
Click the Color Swap Icon [image].

Sampling Colors from Images

 Back to Top

In addition to choosing colors on the Colors palette, you can use the Dropper tool to select, or “pick up,” a color from an existing image.

To use the Dropper tool

1
Click the front or back square to select a main or additional color.
2
Click the Dropper tool [image] in the toolbox.
3
Move the cursor to the color you want to pick up, and click it.
The color square updates to display the color you’ve selected.
•
The Dropper tool picks up visible color only; it cannot be used to select a hidden color.
•
You can quickly access the Dropper tool by pressing D on the keyboard.

To access the Dropper tool from other tools

•
Press Option (Mac OS) or Alt (Windows).
•
The Dropper tool works with the Brush, Crop, Pen, Rectangular Shape, Oval Shape, Text, Shape Selection, Scissors, Add Point, Remove Point, Convert Point, and Paint Bucket tools.

Cloning Color

 Back to Top

The Clone Color option offers another way to choose color. This feature lets the brush pick up dabs of color from an original (source) image. Brushes using dab-based dab types take an average based on samples of color from the clone source, resulting in an approximation of the original color. Brushes using rendered dab types sample several colors, loading each into individual bristles of the brush, allowing for startlingly realistic results. For more information about cloning, refer to "Cloning Images".

To set up a clone source

1
Choose File menu [image] Open, and choose the file you want to use as a clone source.
2
Choose File menu [image] Clone.
3
Choose Select menu [image] All, and press Delete (Mac OS) or Backspace (Windows).
Now you can work in the new file, taking data from the original source file.
•
You can also use this feature when creating a mosaic. For more information, see "Mosaics".

To use clone colors

1
Set up a clone source.
If you don’t set a file as the source, Corel Painter uses the currently selected pattern.
2
Choose a brush from the Brush Selector bar.
3
Choose Window menu [image] Color Palettes [image] Show Colors to display the Colors palette.
4
Do one of the following:
•
Click the palette menu arrow, and choose Use Clone Color.
•
Click the Clone Color button [image] on the Colors palette.
Enabling the Clone Color option disables the Colors palette. This is a reminder that your color information is coming from the clone source.
5
When you paint in the clone file, Corel Painter uses colors from the clone source image.
•
When you change the brush or variant, Corel Painter turns Use Clone Color off. Be sure to turn it back on to continue working with the clone color.

Using Two Colors at Once

 Back to Top

Usually, you’ll work with only the main color — the front square of the two overlapping squares on the Colors palette. Using one color produces a solid-color brush stroke.

By selecting an additional color, you can determine the colors for multicolored brush strokes. Many brush variants are able to paint with a variable range of colors.

The settings on the Color Expression palette determine when Corel Painter uses one color or the other. For more information about using color expression, see "Setting Color Expression".

You can use two colors at once in a brush stroke.

To set up a two-color brush stroke

1
Choose a brush from the Brush Selector bar.
2
Choose Window menu [image] Color Palettes [image] Show Colors to display the Colors palette.
3
Choose a main and additional color from the Color palette.
Refer to "Understanding Main and Additional Colors" for more information about setting main and additional colors.
4
Choose Window menu [image] Brush Controls [image] Show Color Expression to display the Color Expression palette.
5
From the Controller pop-up menu, choose Direction.
6
Paint in the document.
The main color is used in one direction, and the additional color is used in the other.
•
You can also choose a color from a color set. For more information, see "Working with Color Sets".
•
You might want to try a different setting from the Controller pop-up menu on the Color Expression palette. Try setting it to Pressure instead of Direction.


Working with the Mixer Palette

On this page, you will find information about

•
Viewing the Mixer Palette
•
Understanding the Mixer Palette Tools
•
Using the Mixer Palette Colors
•
Mixing Colors
•
Mixing Paint
•
Creating Mixer Swatches

The Mixer palette mimics the traditional experience of mixing colors on an artist’s palette. You can apply two or more colors to the Mixer pad, blending them together to get the color you want.

The Mixer palette.

Colors can be saved, loaded, and reset on the Mixer palette, saved as mixer swatches, and saved to color sets.

Viewing the Mixer Palette

 Back to Top

You can view the Mixer palette from the Window menu or with a keyboard shortcut. You can also change the background of the Mixer pad, the surface on which you mix color.

To display the Mixer palette

•
Choose Window menu [image] Color Palettes [image] Show Mixer.
•
You can also display the Mixer palette by pressing Command + 2 (Mac OS) or Ctrl + 2 (Windows).

To change the Mixer Pad background

1
Choose Window menu [image] Color Palettes [image] Show Mixer.
2
Click the palette menu arrow, and choose Change Mixer Background.
3
In the Color dialog box, choose a background color.

Understanding the Mixer Palette Tools

 Back to Top

The tools on the Mixer palette are used to apply, mix, sample, and clear color on the Mixer pad.

The Mixer palette tools.

The Dirty Brush Mode Tool

The Dirty Brush Mode tool lets you apply colors mixed in the Mixer palette to the canvas. The Dirty Brush Mode tool is active by default and can be used with brush variants that support mixing. For a list of brush variants that support mixing, see "Mixing Paint".

Apply Color Tool

The Apply Color tool acts as a loaded paint source, applying color to the Mixer pad. Color loaded on it also blends with color already on the Mixer pad.

The Mix Color Tool

The Mix Color tool mixes colors already on the Mixer pad. It does not add new colors to the Mixer pad.

The Sample Color Tool

The Sample Color tool samples color on the Mixer pad for use on the canvas. The sampled color becomes the main color on the Colors palette.

The Sample Multiple Colors Tool

The Sample Multiple Colors tool samples multiple colors on the Mixer pad. The size of the sample area is determined by the Change Brush Size slider. You can then use the sampled color on the canvas.

The Zoom Tool

The Zoom tool lets you zoom in and out of areas on the Mixer pad.

The Pan Tool

The Pan tool lets you scroll through the Mixer pad.

The Clear and Reset Canvas Tool

The Clear and Reset Canvas tool erases the contents of the Mixer pad and resets the zoom level to 100%.

The Brush Size Slider

The Change Brush Size slider lets you increase or decrease the size of the Apply Color tool and the Mix Color tool. The Change Brush Size slider also lets you set the size of the sample area on the Mixer pad when sampling with the Sample Multiple Colors tool. If you adjust the Change Brush Size slider, the new value is retained when you reopen the application.

Using the Mixer Palette Colors

 Back to Top

You can store commonly used colors in mixer swatches at the top of the Mixer palette and then use these colors on the Mixer pad. A series of colors appears by default; however, this color series can be changed to suit the individual preferences of the artist. Mixer colors can be saved, loaded, and reset to the default.

To change Mixer palette colors

1
Choose Window menu [image] Color Palettes [image] Show Mixer to display the Mixer palette.
If the Mixer palette is not expanded, click the palette arrow.
2
Choose Window menu [image] Color Palettes [image] Show Colors to display the Colors palette.
3
On the Colors palette, choose a color.
4
On the Mixer palette, choose the mixer swatch you want to change on the Mixer Color selector.
5
In the color well, press Command + click (Mac OS) or Ctrl + click (Windows).
The new color appears in the mixer swatch.
•
You can also change a Mixer palette color by sampling a color on the Mixer Pad. On the Mixer Pad, click the color you want to sample, choose the mixer swatch you want to change, and press Command + click (Mac OS) or Ctrl + click (Windows).

To save Mixer palette colors

1
Choose Window menu [image] Color Palettes [image] Show Mixer to display the Mixer palette.
2
Click the palette menu arrow, and choose Save Mixer Colors.
3
In the Save Mixer Colors dialog box, type a name for the mixer colors and choose where you want to save the mixer swatches (MSW) file.
4
Click Save.

To load Mixer palette colors

1
Choose Window menu [image] Color Palettes [image] Show Mixer to display the Mixer palette.
2
Click the palette menu arrow, and choose Load Mixer Colors.
3
In the Load Mixer dialog box, choose the mixer swatches (MSW) file you want to load.
4
Click Open.
•
You can also load a color set in the Mixer palette. Click the palette menu arrow, and choose Load Mixer Colors. In the Load Mixer dialog box, go to the Corel Painter X\Color Sets folder, and double-click a color set.

To reset the Mixer palette colors

1
Choose Window menu [image] Color Palettes [image] Show Mixer to display the Mixer palette.
2
Click the palette menu arrow, and choose Reset Mixer Colors.

Mixing Colors

 Back to Top

Using the Mixer pad, the mixer swatches, and the Apply Color, Mix Color, Sample Color, Sample Multiple Colors, and Dirty Brush Mode tools, you can create new colors for use in your images.

When you have finished mixing and sampling colors, you can clear the Mixer pad, or save it as a Mixer pad (MXS) file that you can open and use later.

To mix colors

1
Choose Window menu [image] Color Palettes [image] Show Mixer to display the Mixer palette.
2
Click the Apply Color tool [image] in the Mixer palette.
3
Choose a color from the mixer swatch, and paint on the Mixer pad.
4
Choose a second color from the mixer swatch, and paint on the Mixer pad.
5
Do one of the following:
•
Use the Apply Color tool to add to and blend the colors.
•
Use the Mix Color tool [image] to blend the colors.
You can toggle between the Apply Color and Mix Color tools by holding down Command (Mac OS) or Ctrl (Windows).
•
When working with the Apply Color or Mix Color tool, you can access other Mixer palette tools as you work. Holding down Spacebar activates the Pan tool [image]. Holding down Spacebar + Command (Mac OS) or Spacebar + Ctrl (Windows) activates the Zoom tool [image] in zoom-in mode. Holding down Spacebar + Command + Option (Mac OS) or Spacebar + Ctrl + Alt (Windows) activates the Zoom tool in zoom-out mode. When you release the keys, the Apply Color or Mix Color tool is reactivated.

To sample a color from the Mixer Pad

1
Choose Window menu [image] Color Palettes [image] Show Mixer to display the Mixer palette.
2
Click the Sample Color tool [image].
3
On the Mixer pad, click the color you want to sample.
The sampled color becomes the main color in the image.
•
Some brush variants let you sample multiple colors from the Mixer pad. For a list of brush variants that support mixing, see "Mixing Paint".
•
You can also paint on the canvas with an Artists’ Oils palette knife variant. Unlike palette knives in other brush categories, Artists’ Oil palette knives do not apply color. For more information, see "To sample multiple colors".

To clear the Mixer Pad

1
Choose Window menu [image] Color Palettes [image] Show Mixer to display the Mixer palette.
2
Do one of the following:
•
Click the palette menu arrow, and choose Clear Mixer Pad.
•
On the Mixer palette, click the Clear and Reset Canvas button [image].

To save a Mixer Pad

1
Choose Window menu [image] Color Palettes [image] Show Mixer to display the Mixer palette.
2
Click the palette menu arrow, and choose Save Mixer Pad.
3
In the Save Mixer Pad dialog box, type a name for the mixer colors, and choose where you want to save the Mixer Pads (MXS) file.
4
Click Save.

To load a Mixer Pad

1
Choose Window menu [image] Color Palettes [image] Show Mixer to display the Mixer palette.
2
Click the palette menu arrow, and choose Open Mixer Pad.
3
In the Open Mixer Pad dialog box, choose the Mixer Pads (MXS) file you want to open.
4
Click Open.

Mixing Paint

 Back to Top

On its own, the Mixer palette mimics the traditional experience of mixing color on a palette. When used in tandem with brush variants that support mixing, the Mixer palette offers digital artists as much color-mixing flexibility as its traditional counterpart. You can create a color on the Mixer palette and apply it to the canvas. You can also sample and paint with multiple colors.

You can sample multiple colors on Mixer palette and paint directly on the canvas

You can mix colors with brush variants that use the following dab types: Camel Hair, Flat, Bristle Spray, Watercolor Camel, Watercolor Flat, and Watercolor Bristle.

To paint from the Mixer palette

1
Mix the color you want on the Mixer palette.
The Dirty Brush Mode tool [image] is active by default. If it isn’t, click the Dirty Brush Mode tool.
2
On the Brush Selector bar, choose a brush variant that supports mixing.
3
Paint in the document window.
The last color on the Apply Color tool [image] or Mix Color tool [image] is used in the brush stroke.
•
You can also mix paint on the canvas with the Artists’ Oil palette knife variant. Unlike palette knives in other brush categories, Artists’ Oil palette knives do not apply color.

To sample multiple colors

1
Mix the color you want on the Mixer palette.
2
Move the Change Brush Size slider to set the size of the sample area.
The size to the sample area is displayed to the right of the slider and measured in pixels.
3
Click the Sample Multiple Color tool [image], and click the click the area of the Mixer pad you want to sample.

Creating Mixer Swatches

 Back to Top

If you have mixed colors that you are particularly happy with, you can save them as mixer swatches and add them to color sets. For more information about color sets, see "Using Color Sets".

Mixer swatches that you create on the Mixer palette can be saved.

To add a mixer swatch to the color set

1
On the Mixer palette, click the Sample Color tool [image], and choose the mixer swatch that you want to save to a color set.
2
Click the palette menu arrow, and choose Add Swatch to Color Set.
The selected color is added to the current color set.

To create a color set from the Mixer Pad

1
Choose Window menu [image] Color Palettes [image] Show Mixer to display the Mixer palette.
2
Click the palette menu arrow, and choose New Color Set from Mixer Pad.
3
To access the new colors, choose Window menu [image] Color Palettes [image] Show Color Sets.


Working with Color Sets

On this page, you will find information about

•
Using Color Sets
•
Customizing Color Set Layouts
•
Creating Color Sets
•
Editing Color Sets
•
Annotating Colors

Corel Painter uses color sets to organize groups of colors. Some color sets are organized by both name and color relationship.

Using Color Sets

 Back to Top

Corel Painter provides several color sets — Corel Painter Colors, Mac OS and Windows system palettes, and the PANTONE MATCHING SYSTEM are a few. The default color set is Artists’ Colors, which is based on the color values of real-world oil paints. Only one color set can be open at a time, but you can easily load a different set.

•
When Corel Painter starts, it references a file (called “Painter Colors”) in the user folder to determine which color set to load. If Corel Painter cannot determine which color set to open, it loads the default color set from the application folder.
•
When you open a new color set, and the current color set is one you’ve created or modified, Corel Painter prompts you to decide whether to append to or overwrite the contents of the Painter Colors file, allowing Corel Painter to load this new color set by default in the future.

Corel Painter provides two methods to find a particular color in a color set. You can search for the color by name or have Corel Painter find the color that comes closest to matching the current color.

The Color Sets palette.

To display the Color Sets palette

•
Choose Window menu [image] Color Palettes [image] Show Color Sets.

To choose a color from a color set

•
On the Color Sets palette, click a color.

To open a different color set

1
On the Color Sets palette, click the palette menu arrow or the Library Access button [image], and choose Open Color Set.
2
In the Select Color Set dialog box, do one of the following:
•
(Mac OS) Click the Color Sets folder, choose a color set, and click Open
•
(Windows) Choose a color set, and click Open.
You can set a default color set in the Preferences dialog box. For more information, refer to "Setting Preferences".

To save a color set

1
On the Color Sets palette, click the palette menu arrow or the Library Access button, and choose Save Color Set.
2
In the Enter Color Set Name dialog box, choose where you want to save the file.
3
Type a name for the color set in the File Name box.
4
Click Save.

To find a color in a color set

1
On the Color Sets palette, do one of the following:
•
Click the Search for Color button [image].
•
Click the palette menu arrow, and choose Find Swatch.
2
In the Find Color dialog box, do one of the following:
•
Enable the By Name option, and type a name in the box.
•
Enable Closest to Current Color.
3
Click Begin.
4
Click OK when the desired color is found.
If the color set is visible, Corel Painter surrounds the found color with a selection frame.
If you search for a color by name, but a color with that name is not found, the OK button is not available (it is grayed out).

To revert to the default color set

1
On the Color Sets palette, click the palette menu arrow or the Library Access button [image], and choose Open Color Set.
2
In the Select Color Set dialog box, do one of the following:
•
(Mac OS) Press Command + Shift + A, click the Corel Painter IX folder, and double-click Painter Colors.
•
(Windows) From the Look In pop-up menu, choose the Corel Painter IX folder, and double-click Painter.pcs.

Customizing Color Set Layouts

 Back to Top

You can arrange colors in a color set in various ways. You can sort by hue, luminance, and saturation; determine the size of color swatches; decide whether to have grid lines; and indicate whether the colors in the set are named. You can change a color set until it’s exactly the way you want it.

To change how colors are sorted

1
On the Color Sets palette, click the palette menu arrow and choose Sort Order.
2
Choose one of the following options:
•
Saved sorts colors in the order in which they were originally entered.
•
HLS sorts colors by hue, luminance, and saturation.
•
LHS sorts colors by luminance, hue, and saturation.
•
SHL sorts colors by saturation, hue, and luminance.

To adjust color swatch size

1
On the Color Sets palette, click the palette menu arrow, and choose Swatch Size.
2
Do one of the following:
•
Choose a pixel value.
•
Choose Customize.
3
If you choose Customize, move the Width and Height sliders in the Customize dialog box, or type values in the Width and Height boxes.

To turn the grid on or off

•
On the Color Sets palette, click the palette menu arrow, and choose Show Grid to toggle the display of the grid on and off.
Turning the grid off eliminates lines between colors. You can see more colors, but the separations between colors are not as distinct as when the grid is on.

To turn color names on or off

•
Click the palette menu arrow, and choose Display Name to toggle the display of color names on or off.

Creating Color Sets

 Back to Top

You can create your own color sets to control the colors in particular projects or to create groups of favorite painting colors. Creating clearly named color sets can be very useful. For example, you could name a color set Shades of Purple, Hero Image, My Crayons, or Rollover Buttons — all offering you easy access to recognizable color sets.

You can create color sets from

•
the Colors palette
•
an image
•
a selection on an image
•
a layer
•
the Mixer palette

Before you create a new color set, you may be prompted to save the current color set. For more information, see "To save a color set".

To create a new color set by using the Colors palette

1
On the Color Sets palette, click the palette menu arrow, and choose New Empty Color Set.
2
On the Colors palette, choose a color.
3
On the Color Sets palette, click the Add Color to Color Set button [image].
•
For information about adding colors to a color set, see "Editing Color Sets".
•
For more information about selecting colors, see "Using the Colors Palette".

To create a color set from an image, selection, or layer, or the Mixer palette

•
On the Color Sets palette, click the palette menu arrow or the Library Access button [image], and choose one of the following:
•
New Color Set from Image is available only if you have an image open. A color set appears, containing all the colors in the image.
•
New Color Set from Layer is available only if an active layer is selected in your image. A color set appears, containing all the colors in the active layer.
•
New Color Set from Selection is active only if you have an active selection on your image. A color set appears, containing all the colors in the selected area of the image.
•
New Color Set from Mixer creates a color set, containing all the colors used in the Mixer palette.
•
When working on Web pages, you can reduce the number of colors used in an image (and reduce the subsequent image size) by creating a color set and using only colors in that set.

Editing Color Sets

 Back to Top

You can customize color sets by adding, deleting, or replacing colors. You can also append colors to a color set. This is useful if you want to use colors from multiple color sets. In addition, you can name or rename individual colors in a color set.

Naming colors in a color set can be useful. You can then search for a color by name, or annotate the colors you use, right in the document window. For more information on searching for a color, refer to "To find a color in a color set". For more information about annotating colors, refer to "Annotating Colors".

To add a color

1
Choose the color you want to add from the Colors palette, a color set, or an existing image.
2
On the Color Sets palette, click the Add Color to Color Set button [image].
The color is added to the current color set.
3
If you like, double-click the color swatch to enter a name for the color.
You can change the name later by double-clicking on the swatch again and entering a new name.
4
Repeat this procedure for all colors you want to add.
•
Because Corel Painter closes the current color set before displaying a new one, select the color you want to add from the existing color set before you open the destination set.

To delete a color

1
Choose Window menu [image] Color Palettes [image] Show Color Sets.
2
On the Color Sets palette, choose a color and click the Delete Color from Color Set button [image].
3
In the warning dialog box, click Yes.
Corel Painter deletes the chosen color from the color set.

To replace a color

1
Choose the color you want to add from the Colors palette, a color set, or an existing image.
2
Hold down Command (Mac OS) or Ctrl (Windows), and click the color you want to replace.
The new color replaces the old one in the color set.

To name or rename a color

1
Choose Window menu [image] Color Palettes [image] Show Color Sets.
2
Double-click a color swatch on the Color Sets palette.
3
Type a color name in the Set Color Name dialog box.
Color names can contain up to 31 characters.

To append colors to a color set

1
On the Color Sets palette, click the palette menu arrow, and choose Append Color Set.
2
In the Select Color Set dialog box, select the Color Set you want to use, and click Open.
The new colors from the selected color set are appended to the active Color Set List.

Annotating Colors

 Back to Top

The Annotation feature uses color names as labels for the colors in your images. Labels are small text boxes connected to lines that point to an individual color in your on-screen or printed image. Annotating colors in an image can help you track, and limit, which colors are used, which can help you control image size. After you create annotations, you can hide, show, or delete them.

You must name color swatches in the active color set to generate useful annotations. You can change color names after you have added them as annotations. For information about naming color sets, see "To name or rename a color".

Create labels or annotations for individual colors in your image.

Annotations are kept in a separate layer on top of the image and can be saved in RIF format with your image. Annotations are included when you record a script and are properly scaled when you play the script back at a different resolution.

When you move a layer, its annotations go with it. If you move an annotated layer on top of another, the visible annotation might actually belong to the underlying layer, even though it appears to be labeling the top one.

When you annotate a color that doesn’t exactly match a color in the active color set — for example, when you annotate brush strokes applied at less than 100% opacity — Corel Painter approximates the color, displays the name of the nearest match, and adds an asterisk after the color name to indicate a near match.

When you refill an annotated area, the annotation is updated to reflect the new color. Refer to "Filling an Area with Media" for more information.

To create annotations

1
Use a color set that includes names for the colors.
2
Choose Canvas menu [image] Annotations [image] Annotate.
3
Position the cursor on the color you wish to annotate and drag to an area outside the color’s boundaries.
A color name appears, attached to a line that points to the annotated color.
4
After you annotate as many colors as you need, click Done in the Annotation dialog box.

To delete an annotation

1
Choose Canvas menu [image] Annotations [image] Annotate.
2
Click the annotation (color name) to select it.
3
Press Delete (Mac OS) or Backspace (Windows).

To show or hide annotations

•
Choose Canvas menu [image] Annotations [image] Show Annotations or Hide Annotations.

To change color names after annotating an image

1
Choose the annotation you want to rename.
2
Press Delete (Mac OS) or Backspace (Windows).
3
On the Color Sets palette, double-click the color swatch of the color you want to rename.
4
Type a new name in the Set Color Name dialog box.
5
Choose Canvas menu [image] Annotations [image] Annotate.
6
Re-create the deleted annotation.
7
Repeat the procedure for each annotation you want to rename.


Setting Color Variability

On this page, you will find information about

•
The Color Variability Palette

Color variability allows you to create brush strokes of more than one color. Variability can be used to enhance the Natural-Media appearance of your work.

The Color Variability Palette

 Back to Top

The Color Variability palette contains sliders to adjust color variability values. Color variability can be set for HSV or RGB mode, and it can be based on the current gradient or color set.

The Color Variability palette.

To display the Color Variability palette

•
Choose Window menu [image] Brush Controls [image] Show Color Variability.

To set color variability in HSV mode

1
On the Colors palette, choose a main color.
2
Choose Window menu [image] Brush Controls [image] Show Color Variability to display the Color Variability palette.
3
Choose In HSV from the pop-up menu.
4
Adjust the Hue, Saturation, and Value sliders to control hue, saturation, and value ranges for color variability:
•
Moving the ±Hue slider to the right increases the number of hues in the resulting brush stroke. These colors are the ones adjacent to the selected color on the color wheel.
•
Moving the ±Saturation slider to the right increases variability in the color intensity of the brush stroke.
•
Moving the ±Value slider to the right increases variability in the brightness of the brush stroke.
You can try different ±HSV settings with any of the brushes to produce interesting results.
•
When you save a brush variant, the current color variability setting is also saved.
•
When working with brushes like the Loaded Oils brush or the Van Gogh and Seurat variants of the Artists brush, you can add natural, almost 3D-looking effects to your Web page images by moving the Hue, Saturation, and Value settings to the right.

To set color variability in RGB mode

1
On the Colors palette, choose a main color.
2
Choose Window menu [image] Brush Controls [image] Show Color Variability to display the Color Variability palette.
3
Choose In RGB from the pop-up menu.
4
Move the R, G, and B sliders to control color variability of red, green, and blue values.

To set color variability based on the current gradient

1
On the Colors palette, choose a main color.
2
Choose Window menu [image] Brush Controls [image] Show Color Variability to display the Color Variability palette.
3
Choose From Gradient from the pop-up menu.
Color variability is now based on random colors from the current gradient.

To set color variability based on the current color set

1
On the Colors palette, choose a main color.
2
Choose Window menu [image] Brush Controls [image] Show Color Variability to display the Color Variability palette.
3
Choose From Color Set from the pop-up menu.
Color variability is now based on random colors from the current color set.


Viewing Color Information

On this page, you will find information about

•
The Color Info Palette

Color information for a selected color is available on the Color Info palette.

The Color Info Palette

 Back to Top

The Color Info palette shows the HSV and standard RGB values for the selected color. Corel Painter can also display RGB values in decimal format. These values can be adjusted by moving the sliders, or by typing new values in the corresponding boxes.

You can also use the Color Info palette to enable the Clone Color option. For more information on clone color, see "Using Clone Color".

The Color Info palette.

To display the Color Info palette

•
Choose Window menu [image] Color Palettes [image] Show Color Info.

To set RGB or HSV values

1
On the Color Info palette, click the palette menu arrow and choose one of the following:
•
Display as RGB.
•
Display as HSV.
2
Move the sliders to adjust the values, or type new values in the boxes.
You can preview the new color in the Main Color and Additional Color squares on the Color Info palette.
•
You can display hexadecimal RGB values on the Colors palette by pressing Shift + click in the HSV/RGB square. Hexadecimal RGB values can be useful when you create graphics for the Web.


Setting Color Expression

On this page, you will find information about

•
The Color Expression Palette

Color expression determines where Corel Painter should use the main or additional color in an image.

The Color Expression Palette

 Back to Top

The Color Expression palette lets you introduce input (such as direction) that controls output when you apply two-color brush strokes.

The Color Expression palette.

To display the Color Expression palette

•
Choose Window menu [image] Brush Controls [image] Show Color Expression.

To set Color Expression controls

1
Choose Window [image] Show Color Expression to display the Color Expression palette.
2
From the Controller pop-up menu, choose one of the following options:
•
None applies no adjustment to the color expression.
•
Velocity adjusts the color expression based on the dragging speed.
•
Direction adjusts the color expression based on the direction of the stroke, and according to the value you set with the slider or in the box.
•
Pressure adjusts the color expression based on stylus pressure.
•
Wheel adjusts the color expression based on the wheel settings on an airbrush stylus, specifically the Wacom Intuos Airbrush stylus.
•
Tilt adjusts the color expression based on the angle of the stylus from the tablet.
•
Bearing adjusts the color expression based on the direction in which the stylus points.
•
Rotation adjusts the color expression based on the rotation of the stylus.
•
Source adjusts the color expression based on the luminance of the clone source.
•
Random adjusts the color expression at random.
3
If you want to switch the main and additional colors, enable the Invert check box next to the Controller pop-up menu to invert the color expression.


Working with Gradients

On this page, you will find information about

•
Using Gradients
•
Creating and Editing Gradients
•
Creating Blending Ramps
•
Changing Gradient Color Hue
•
Capturing a Gradient from an Image
•
Mapping a Gradient to Luminance in an Image

A gradient is a gradual transformation from one color into another. Sometimes gradients are called blends or fountains.

Using Gradients

 Back to Top

Corel Painter provides several different types of gradients: linear, radial, circular, and spiral.

Left to right: linear, radial, circular, and spiral gradients.

You can use gradients to

•
Fill an image selection, layer, or channel. For more information, see "Selections", "Layers", and "Alpha Channels".
•
Control a Pop Art Fill effect. (Other effects work best when you use a filled mask.) For more information, see "Applying Pop Art Fill".
•
Express the gradient in an existing image by mapping gradient colors to image luminance. For more information, see "Using Image Luminance to Create Texture".
•
Brush with a gradient with one of the computed brushes (using one of the following dab types: line airbrush, projected, or rendered). For more information, see "Dab Types".

Although Corel Painter comes with libraries full of gradients, you’ll invariably want to create some of your own. You can easily create a gradient between any two colors that you define.

You can also capture gradients from existing images or create your own libraries of gradients. Use the options on the Gradients palette to select and adjust Corel Painter gradients.

Gradients are stored in libraries. You can load alternate libraries of gradients to increase your choices. For more information about working with libraries, refer to "Creating a Library".

The Gradient Selector on the Gradients palette.

To select a gradient

1
Choose Window menu [image] Library Palettes [image] Show Gradients to display the Gradients palette.
If the Gradients palette is not expanded, click the palette arrow.
2
Click the Gradient Selector, and choose a gradient.
3
Click one of the gradient types on the right of the palette: Linear Gradient, Radial Gradient, Spiral Gradient, or Circular Gradient.
The Gradient Preview Window shows how current settings affect a selected gradient.

To change gradient order

1
Choose Window menu [image] Library Palettes [image] Show Gradients to display the Gradients palette.
2
Click one of the gradient order buttons at the bottom of the palette to determine how the gradient behaves:
•
Left to Right Gradient
•
Mirrored Right to Left Gradient
•
Double Left to Right Gradient
•
Right to Left Gradient
•
Mirrored Left to Right Gradient
•
Double Right to Left Gradient
The Gradient Order Preview strip (above the gradient orders) shows the selected gradient order.

To change a gradient angle

1
Choose Window menu [image] Library Palettes [image] Show Gradients to display the Gradients palette.
2
Drag the red ball in the Gradient Angle Ring, or click once anywhere on the ring to change the gradient angle.
A corresponding numeric value appears below the Gradient Preview Window.

To change spiral tension

1
Choose Window menu [image] Library Palettes [image] Show Gradients to display the Gradients palette.
2
Do one of the following:
•
Hold down Command (Mac OS) or Ctrl (Windows) while you drag the red ball in the gradient angle ring. This changes how tightly wound the spiral gradient becomes.
•
Click inside the Gradient Preview Window. Corel Painter rotates the gradient for you.
Click anywhere outside the Gradient Preview Window to stop the rotation.

Creating and Editing Gradients

 Back to Top

You can create very simple to very complex gradients. For a simple two-point gradient, you only need to choose a main and an additional color and then have Corel Painter create a gradient between them. For more complex gradients, you can use the Edit Gradient dialog box or capture gradients from existing artwork. Color control points in the Edit Gradient dialog box specify the point at which a new gradient starts.

You can save gradients and use them to fill a selected object. For more information on filling an object, refer to "Filling an Area with Media".

To create a two-point gradient

1
Choose Window menu [image] Color Palettes [image] Show Colors to display the Colors palette.
2
On the Colors palette, click the Main Color square, and choose a main color.
3
Click the Additional Color square, and choose an additional color.
4
Choose Window menu [image] Library Palettes [image] Show Gradients.
5
Choose Two-Point from the Gradient Selector.

To edit or create a complex gradient

1
Choose Window menu [image] Library Palettes [image] Show Gradients to display the Gradients palette.
2
Click the palette menu arrow, and choose Edit Gradient.
The color ramp bar across the top of the Edit Gradient dialog box displays the current gradient. The pointed gray markers along the bottom of the color ramp bar are color control points. You can position these pointed markers to change the color of the blend at individual gradient points.
3
Click a color control point to select it.
4
On the Colors palette, click the Main Color square, and choose a main color.
5
Repeat steps 3 and 4 for each color control point you want to edit.

To add color control points

1
Choose Window menu [image] Library Palettes [image] Show Gradients to display the Gradients palette.
2
Click the palette menu arrow, and choose Edit Gradient.
3
In the Edit Gradient dialog box, click anywhere in the color ramp bar.
The control point is added, without affecting color.
4
Click the new color control point to select it.
5
Open the Colors palette and choose a color.
•
For a two-point gradient, you set a color for the right control point and then set a color for the left control point.
•
You can press Option + click (Mac OS) or Alt + click (Windows) in the color ramp bar to create a control point that is set to the current color.
•
You can create interesting gradient effects by selecting two additional colors in between the end colors.

To delete a control point

1
Choose Window menu [image] Library Palettes [image] Show Gradients to display the Gradients palette.
2
Click the palette menu arrow, and choose Edit Gradient.
3
In the Edit Gradient dialog box, click a control point to select it.
4
Press Delete (Mac OS) or Backspace (Windows) to delete a selected color control point.

To save a gradient

1
Choose Window menu [image] Library Palettes [image] Show Gradients to display the Gradients palette.
2
Click the palette menu arrow, and choose Save Gradient.
3
In the Save Gradient dialog box, enter a name for the gradient.

Creating Blending Ramps

 Back to Top

Blending ramps determine whether a gradient blends linearly or nonlinearly.

To create ramps that blend linearly

1
Choose Window menu [image] Library Palettes [image] Show Gradients to display the Gradients palette.
2
Click the palette menu arrow, and choose Edit Gradient.
3
In the Edit Gradient dialog box, enable the Linear check box.
Linear is the default option.

To create nonlinear gradients

1
Choose Window menu [image] Library Palettes [image] Show Gradients to display the Gradients palette.
2
Click the palette menu arrow and choose Edit Gradient.
3
Disable the Linear check box.
All ramps within the gradient are now blended nonlinearly, with smooth curves.
•
When using nonlinear ramps, use the Color Spread slider to control the color smoothness at each color control point.

Changing Gradient Color Hue

 Back to Top

Color hue is represented in the Edit Gradient dialog box by boxes located at the midpoints between the adjacent color control points. They allow you to change the hue of the blend within that segment.

To change the color hue

1
Choose Window menu [image] Library Palettes [image] Show Gradients to display the Gradients palette.
2
Click the palette menu arrow, and choose Edit Gradient.
3
In the Edit Gradient dialog box, click a square box above the color ramp bar.
4
Select an option from the Color Hue pop-up menu:
•
RGB blends directly between the red, green, and blue components of the two colors.
•
Hue Clockwise and Hue Counterclockwise blend between the endpoint colors by rotating around the color wheel.
•
For a better understanding of this concept, refer to the standard display of the Colors palette (Hue Ring and Saturation/Value Triangle), and note the order of the colors on the Hue Ring. Notice that as you change parameters within the Edit Gradient dialog box, gradient previews are updated on the Gradients palette.

Capturing a Gradient from an Image

 Back to Top

You can use any existing image as a source for creating new gradients. You could capture the colors in a photo of a sunset, or paint your own range of colors as the content of a gradient.

To make perfect blends between a series of colors, it is better to work with a row of single pixels than a large piece of an image.

To capture a gradient

1
Select a horizontal or vertical area, making the selection as narrow as possible.
If the selection is horizontal, Corel Painter uses the first row of pixels starting at the upper left for the gradient.
If the selection is vertical, Corel Painter uses the first column of pixels, starting at the upper left for the gradient.
2
Choose Window menu [image] Library Palettes [image] Show Gradients to display the Gradients palette.
3
Click the palette menu arrow, and choose Capture Gradient.
4
In the Save Gradient dialog box, type a name for the gradient.
The new gradient is saved in the current library. In the future, you can choose it by name from the Gradients palette.

For information about working with libraries, refer to "Libraries and Movers".

•
Once a gradient is captured, it can no longer be edited. To change a captured gradient, change the artwork from which it was captured, and then recapture the gradient.

Mapping a Gradient to Luminance in an Image

 Back to Top

You can map a gradient to an existing image, replacing an image’s colors with those of the gradient. This effect applies gradient colors to the pixels of the image, based on their luminance values.

Corel Painter allows you to apply a gradient based on the luminance value of existing colors.

To express a gradient in an image

1
Open the image you want to use.
Select part of the image, or use the entire image.
2
Choose Window menu [image] Library Palettes [image] Show Gradients to display the Gradients palette.
3
Select a gradient.
4
Click the palette menu arrow, and choose Express in Image.
5
In the Express in Image dialog box, adjust the Bias slider to define how the gradient is mapped.
Corel Painter replaces the colors in the image with the colors in the gradient, based on matching luminance.


Painting

The Corel Painter application lets you draw and paint as you might with real artists’ tools and media. In your studio, you use brushes, pens, pencils, chalk, airbrushes, and palette knives to make marks on a canvas or piece of paper. With Corel Painter, an infinite variety of marks are possible. Like a fully stocked art store, Corel Painter supplies you with many different brushes and drawing tools, each with modifiable characteristics.

See Also

•
Exploring Brushes
•
Understanding Brush Categories
•
Choosing Brush Settings
•
Marking the Canvas
•
Exploring Painting
•
Working with Fill


Exploring Brushes

On this page, you will find information about

•
Selecting a Brush

The Corel Painter Brush tool offers users a wide range of preset painting and drawing tools called brush variants. Brush variants are organized into categories, such as Airbrushes, Artists’ Oils, Calligraphy, Pencils, and Watercolor. They are designed with real media in mind, so you can select a tool with an expectation of how it will behave. For example, you’ll find a 2B Pencil brush variant in the Pencils category, and a Fine Camel brush variant in the Watercolor category. The Brush Selector bar lets you choose a category and brush variant quickly and easily.

The Brush Selector bar lets you choose a brush category (left) and a brush variant (right) quickly and easily.

The brush categories are listed in the Brush Category selector according to the following media types: new media, wet media, dry media, inking media, and photo and effect media.

You can use the Corel Painter brush variants as they are, or you can adjust them to suit your purposes. Many artists use Corel Painter brush variants with only minor adjustments — to size, opacity, or grain (how much color penetrates paper texture).

If you want to make more extensive modifications to a brush or create a totally new brush variant, you can do just that by using brush controls. Refer to "Customizing Brushes" for more information on using the Brush Creator to customize brushes; refer to "Saving Brush Variants" for information on how to save modified brushes as custom variants.

Most Corel Painter brushes apply media (a color, gradient, or pattern) to an image. Some brushes, however, do not apply media. Instead, they make changes to media already in the image. For example, the Just Add Water brush variant (in the Blenders brush category) smudges and dilutes existing colors in the image with smooth, anti-aliased strokes. Using one of these brushes on a blank area of the canvas has no effect.

Corel Painter includes a batch of Natural-Media brushes that use a media application method called “rendered dab types” to produce “computed” brush strokes. These brushes create wonderfully realistic, continuous, smooth-edged strokes. They are fast and more consistent because the strokes are computed as you draw, not created by applying dabs of color. In fact, you can’t draw fast enough to leave dabs or dots of color in a stroke. These brushes allow for rich features that are not possible with dab-based media application. You can take better advantage of tilt and angle, and you can paint with patterns or gradients. For information about using rendered dab types when customizing brushes, refer to "Dab Types".

If you’re looking for a brush from a previous version of Corel Painter, you can reload the old version’s brush library. For more information, refer to "Creating a Library".

Selecting a Brush

 Back to Top

On the Brush Selector bar, you can choose from brush variants that are arranged in recognizable categories. The categories are listed Corel Painter brushes are built to emulate Natural-Media tools, which lets you select a tool with a reasonable expectation of how it will behave. In an art store, if the tools in one aisle don’t produce the results you want, you can try a different aisle. Similarly, with Corel Painter, you can try different brush categories to find the tool you want.

The Brush Category pop-up menu of the Brush Selector bar.

To show the Brush Selector bar

•
In the toolbox, click the Brush tool [image].
•
You can also show the Brush Selector bar by choosing Window menu [image] Show Brush Selector Bar.

To choose a brush

1
On the Brush Selector bar, choose a brush category from the Brush Category selector.
2
Choose a variant from the Brush Variant selector.


Understanding Brush Categories

The section below is an alphabetical list of the brush categories. It includes a description of the category and highlights some of the brush variants you can find in Corel Painter.

Acrylics | Airbrushes | Art Pen | Artists’ Oils
Artists | Blenders | Calligraphy | Chalk
Charcoal | Cloners | Colored Pencils | Conte
Crayons | Digital Watercolor | Distortion | Erasers
F/X | Felt Pens | Gouache | Image Hose
Impasto | Liquid Ink | Oil Pastels | Oils
Palette Knives | Pastels | Pattern Pens | Pencils
Pens | Photo | RealBristle | Smart Stroke
Sponges | Sumi-e | Tinting | Watercolor

Acrylics

All Acrylic brush variants cover underlying brush strokes. Many are capable of multicolored strokes, and others interact with underlying pixels to create realistic effects.

Captured Bristle | Thick Acrylic Flat | Wet Acrylic

Airbrushes

Airbrushes apply fine sprays of color. Computed airbrushes carefully mirror the feel of a real airbrush in action. The Wacom airbrush stylus is fully compatible with the airbrush brush variants

Coarse Spray | Fine Spray | Digital Airbrush

Art Pens

Art Pens are based on brush variants from other brush categories, but they are optimized to work with flat-tipped pens that support 360-degree rotation barrel rotation.

Artists’ Oils

Brush variants from the Artists’ Oils category let you mix paints as though you were working with traditional oil paints. You can use colors mixed on the Mixer palette and apply them directly to the canvas. The colors can then be blended with the oils already on the canvas. Multiple colors from the Mixer palette can be loaded on an Artists’ Oils brush variant at the same time. Each stroke created with an Artists’ Oils brush variant loads the brush with a finite amount of oil, which is then transferred to the image. As you apply a stroke to the canvas, the Artists’ Oil brush loses oil, and the brush stroke becomes fainter. Because layers don’t have the oily properties of the canvas, brush strokes applied to a layer don’t fade as rapidly. Some Artists’ Oil brush variants are palette knives, allowing artists to mix paint directly on the canvas. There are six brush tip profiles designed specifically for Artists’ Oil brushes. For more information, see "Artists’ Oils Brush Tip Profiles".

Bristle Brush | Soft Grainy Brush | Thick Wet Impasto

Artists

Artist brush variants help you paint in the styles of master artists. For example, you can paint in the style of Vincent Van Gogh, where brush strokes are multishaded, or in the style of Georges Seurat, where multiple dots combine to form an image.

When you use any of the Artist brush variants, dragging quickly produces wider strokes. You can use the Color Variability settings to adjust how the Artist brush strokes are colored.

Impressionist | Sargent Brush | Seurat

Blenders

Blenders affect underlying pixels by moving and mixing them. The variants can reproduce the effects of blending paint by applying water or oil. You can also smooth drawing lines and create shading just as you would on a pencil sketch or charcoal drawing.

Just Add Water | Smear | Smudge

Calligraphy

Whether you want to reproduce the look of calligraphy pen strokes on a grainy texture, or the smooth strokes of a calligraphy brush, the Calligraphy brush variants offer you a range of creative options.

Calligraphy | Calligraphy Brush | Dry Ink

Chalk

Chalk brush variants produce the thick, rich texture of natural chalk sticks, and have strokes that interact with the paper grain. The opacity is linked to stylus pressure.

Blunt Chalk | Square Chalk | Variable Chalk

Charcoal

Charcoal brush variants range from pencils, to hard or soft charcoal sticks. As with other dry media brush variants, the opacity is linked to stylus pressure. Blender brush variants can be used to soften and blend the charcoal strokes. For a smooth workflow, keep your favorite Charcoal and Blender brush variants together in a custom palette.

Charcoal | Hard Charcoal Pencil | Soft Vine Charcoal

Cloners

The Cloner brush variants behave like other brush variants, except that they take color from a cloned source. These variants recreate the source imagery while effectively filtering it, reproducing the image in an artistic style, such as pastel chalk or watercolor. For more information, see "Cloning and Tracing".

Original photo used as Clone Source | Soft Cloner | Impressionist Cloner

Colored Pencils

Colored Pencils interact with the canvas texture and unlike other dry media brush variants, apply strokes with even opacity, regardless of pressure. However, these brush variants do react to speed. For example, dragging quickly produces a thinner line; dragging slowly produces a thicker line. As with all pencil-style brush variants, Colored Pencil brush variants build to black as you draw over the same area of the image.

Colored Pencil | Hard Colored Pencil | Oily Colored Pencil

Conte

Similar to Chalk, Conte brush variants produce textured strokes that interact with the paper grain. As with other dry media brush variants, the opacity is linked to stylus pressure.

Dull Conte | Square Conte | Tapered Conte

Crayons

Crayons offer a range of styles. From soft and dull, to waxy and grainy, they produce textured strokes that interact with the paper grain. As with other dry media brush variants, the opacity is linked to stylus pressure.

Basic Crayon | Grainy Hard Crayon | Waxy Crayon

Digital Watercolor

Digital Watercolor brush variants produce watercolor effects that react with the canvas texture. Unlike Watercolor brush variants, which work with the Watercolor Layer, Digital Watercolor strokes can be applied directly to any standard pixel-based layers, including the canvas. For example, if you’re applying watercolor effects to a photo, Digital Watercolor brush strokes can be applied directly to the image. If you’re creating a realistic watercolor from scratch, the Watercolor brush variants allow colors to flow, mix, and absorb more realistically.

Digital Watercolor brush strokes affect each other as you apply one brush stroke on another, and they react dynamically to the Wet Fringe setting. When you achieve the results you want, you can keep the brush strokes from changing by choosing Layers menu [image] Dry Digital Watercolor.

The width of Digital Watercolor brush strokes is affected by stylus pressure, with the exception of the Wet Eraser brush variant.

Simple Water | Diffuse Water | Dry Brush

Distortion

Distortion brush variants apply special effects that distort an image. Some variants, such as Grainy Distorto, or Grainy Mover, produce blending effects. Other variants, such as Hurricane, Turbulence, and Water Bubble, produce more dramatic effects.

Bulge | Confusion | Hurricane

Erasers

There are three types of Eraser brush variants: Eraser, Bleach, and Darkener. Eraser brush variants erase down to the paper color. Bleach brush variants erase to white, gradually lightening by removing color. Darkener brush variants are the inverse of Bleach variants. Darkener brush variants gradually increase color density, building colors toward black. With all Eraser brush variants, pressure determines how much you erase.

Bleach | Eraser | Flat Eraser

F/X

F/X brush variants give you wildly creative results. Some add color; others affect underlying pixels. The best way to appreciate the F/X brush variants is to experiment with them on an image and a blank canvas.

Fairy Dust | The Fire brush works with underlying colors | Glow

Felt Pens

Felt pen variants let you create marker-style drawings. The brush variants range from fine point to blunt and have a variety of nib shapes and opacity levels. Felt Pen brush variants build to black as you draw over the same area of the image.

Art Marker | Dirty Marker | Felt Marker

Gouache

Gouache brush variants let you paint with the fluidity of watercolors and the opacity of acrylics. These variants range from fine, detail brushes, to flat or thick brushes. Brush strokes created with Gouache brush variants cover underlying brush strokes.

Detail Opaque | Thick Gouache Flat | Wet Gouache Round

Image Hose

The Image Hose is a special brush that applies images instead of color. The images it “paints” with come from special image files called nozzles. Each nozzle file contains multiple images that are organized by characteristics such as size, color, and angle. Each characteristic (parameter) can be linked to a stylus attribute (animator), such as Velocity, Pressure, and Direction.

The name of each Image Hose variant tells you which parameter and animator are in effect. For example, the Linear-Size-P Angle-R brush variant links size to stylus pressure (P) and sets the angle randomly (R).

Linear-Angle-B (Bearing) | Linear-Size-P (Pressure) | Spray-Size-P (Pressure) controls size and spread

Impasto

Impasto brush variants let you create the classic technique of applying thick paint on a canvas to create depth. The depth information for the brush stroke is stored on the Impasto Layer.

Some variants apply depth effects to underlying pixels, such as Acid Etch, Clear Varnish, Depth Rake, and Texturizer-Clear. Other variants apply three-dimensional brush strokes with the current paint color.

Opaque Flat | Smeary Round | Loaded Palette Knife

Liquid Ink

Liquid Ink brush variants combine ink and paint to create a thick, liquid paint effect. There are three main types of Liquid Ink brush variants: ones that apply ink, ones that remove ink to create a resist effect, and ones that soften edges. Like Watercolor brush variants, a new layer is created automatically when you first apply a brush stroke. You can also create 3D effects by double-clicking a Liquid Ink layer and adjusting the Threshold and Amount sliders.

Clumpy Ink | Coarse Bristle | Smooth Flat

Oil Pastels

Oil Pastel brush variants produce the thick, rich texture of natural pastel sticks. Most Oil Pastel brush variants cover existing brush strokes with the current paint color. However, the Variable Oil Pastel brush variants blend the underlying color into the brush stroke. As with other dry media brush variants, opacity is linked to stylus pressure.

Oil Pastel | Chunky Oil Pastel | Variable Oil Pastel

Oils

Oil brush variants let you create effects you’d expect from oil paints. Some variants are semitransparent and can be used to produce a glazed effect. Other variants are opaque and cover underlying brush strokes. For realistic interaction with the Mixer palette, and to apply multiple colors in a single brush stroke, try using Artists’ Oil brush variants.

Fine Camel | Opaque Flat | Smeary Round

Palette Knives

You can use Palette Knife brush variants to scrape, push, or pick up and drag colors in your image. Only one Palette Knife brush variant, the Loaded Palette Knife, applies the current paint color. Palette Knife dabs are always parallel to the shaft of the stylus.

Loaded Palette Knife | Palette Knife applied to a brush stroke | Smeary Palette Knife

Pastels

Pastels range from hard pastel styles that reveal the paper grain to extra soft pastels that glide on to completely cover existing brush strokes. Opacity is linked to stylus pressure.

Artist Pastel Chalk | Soft Pastel | Square Soft Pastel

Pattern Pens

Pattern Pen brush variants let you use a brush to apply a pattern to an image. You can vary features such as the size of the pattern and the transparency. For example, Pattern Pen Micro decreases the size of the pattern, and Pattern Pen Transparent applies a semitransparent version of the pattern.

Pattern Pen | Pattern Pen Masked | Pattern Pen Marker is based on the current color.

Pencils

Pencil brush variants are great for any artwork that would traditionally require pencils; from rough sketches to fine line drawings. Like their natural counterparts, Pencil brush variants interact with canvas texture. All of the variants build to black and link opacity to stylus pressure. The width of Pencil strokes varies according to the speed of the stroke, so dragging quickly produces a thinner line and dragging slowly leaves a thicker line.

2B Pencil | Cover Pencil | Greasy Pencil

Pens

Pen brush variants, like the Scratchboard Rake and Bamboo Pen, create realistic effects without the drawbacks of natural media pens, which can clog, spatter, or run dry.

Croquil Pen | Scratchboard Tool | Thick and Thin Pen

Photo

Photo brush variants let you modify digital images or existing artwork. For example, you can clean up photos by adjusting color or removing scratches, add a blur effect, or sharpen an image.

Blur | Dodge | Burn

RealBristle

RealBristle brush variants bring a new level of realism to the digital painting experience by simulating the natural movement of an artist’s brush. The RealBristle brushes are based on individual brushes from other categories, but their natural media capabilities are enhanced so you can better control how the bristles interact with the canvas and the paint. For more information about working with RealBristle brush variants, see "Working with RealBristle Brushes".

Real Fan Short | Real Round Bristle | Real Tapered Round

Smart Stroke

Smart Stroke brush variants are based on popular brush variants from other brush categories, but they are optimized to work with the Photo Painting system. For more information about the Photo Painting system, see "Auto-Painting Photos".

Sponges

Sponges let you create a variety of textures by applying the current paint color to cover or blend existing colors. Some Sponge brush variants apply dabs of paint at random angles with each click of a stylus. Wet sponge brush variants, such as Grainy Wet Sponge, apply sponge dabs as you drag across the canvas. Smeary Wet Sponge variants let you blend the current paint color with existing colors as you drag across the canvas.

Dense Sponge | Grainy Wet Sponge | Smeary Wet Sponge

Sumi-e

Sumi-e brush variants let you create flowing sumi-e-style brush strokes. There are a variety of brush sizes and shapes to help you recreate traditional sumi-e brush strokes.

Coarse Bristle Sumi-e | Detail Sumi-e | Sumi-e Brush

Tinting

Tinting brush variants let you apply effects to photos or existing artwork. For example, you can apply translucent color to areas of a black and white photo using the Basic Round brush variant. Applying each color to a separate Gel or Colorize layer lets you adjust the opacity of each color layer independently for a more subtle or dramatic effect.

Basic Round | Blender | Soft Grainy Round

Watercolor

Watercolor brush variants paint onto a watercolor layer, which enables the colors to flow, mix, and absorb into the paper. The watercolor layer is created automatically when you first apply a brush stroke with a Watercolor brush variant. The layer lets you control the wetness and evaporation rate of the paper to effectively simulate the natural media. Most Watercolor brush variants interact with the canvas texture. You can use Watercolor brush variants to apply a watercolor effect to a photo by lifting the canvas to the watercolor layer. To paint directly on the canvas, use a Digital Watercolor brush variant.

Diffuse Flat | Splatter Water | Wet Camel


Choosing Brush Settings

On this page, you will find information about

•
Adjusting Opacity and Grain
•
Using a Stylus or Mouse

Basic brush controls for size, opacity, and grain are located on the property bar. The property bar may also contain additional controls for the selected brush category, such as resaturation, bleed, and jitter.

When a brush is selected and positioned over the canvas, the cursor changes, by default, into a “ghost” of the brush — mirroring size and shape — so you can see the area that you’re about to paint. This ghost brush provides a handy way to see if a change in size is required.

The Brush Creator contains other controls, depending on the selected variant. Eventually, you’ll want to learn about these and other advanced controls. For example, the Brush Creator offers more sophisticated controls for resizing and shaping brushes, including a minimum (Min) size setting. When a brush takes advantage of the Min size setting, you’ll see strokes taper and widen as stylus pressure or direction is varied. For complete information about using the Brush Creator, refer to "Customizing Brushes". For more information on saving customized brushes as custom variants, refer to "Saving Brush Variants".

Setting Brush Size

The Size slider on the property bar determines the size of a single brush dab. The text field next to this slider lets you enter a specific size (in pixels).

To set brush size

1
Choose the Brush tool from the toolbox.
2
Choose a brush from the Brush Selector bar.
3
On the property bar, type a value in the Size box, or adjust the pop-up slider.
Corel Painter may need to rebuild the brush after you resize it. Automatic rebuilding of modified brushes is the default in Corel Painter. Expect a short delay while Corel Painter is rebuilding the brush.

To use the resize shortcut

•
To increase brush size incrementally, click the right square bracket ( ] ) key. To decrease brush size incrementally, click the left square bracket ( [ ) key.

Adjusting Opacity and Grain

 Back to Top

The Opacity slider controls the degree to which a stroke covers or builds up on the underlying pixels.

80% opacity (top) and 20% opacity (bottom).

The Grain slider controls how much color penetrates into the paper texture. Lower settings show more of the grain.

89% grain (top), and 12% grain (bottom).

To set opacity

1
Choose the Brush tool from the toolbox.
2
Choose a brush from the Brush Selector bar.
3
On the property bar, type a percentage in the Opacity box, or adjust the pop-up slider.
When Opacity setting is low, the applied color is thin, allowing you to see through to the underlying colors. When the setting is high, the applied color covers underlying pixels more completely.
•
Some methods and dab types do not allow for adjustments in opacity.
•
When the Brush tool is active, you can set opacity by pressing a number key. Each number key is mapped to a fixed percentage. For example, 1 equals 10% opacity, 5 equals 50% opacity, and 0 equals 100% opacity.

To set grain

•
On the Brush property bar, type a percentage in the Grain box, or adjust the pop-up slider.
Move the slider to the left to reduce penetration and reveal more texture. Move it to the right to increase penetration and reveal less grain.
•
For liquid media brushes, Grain controls the amount of “pull.” For Image Hose brushes, Grain controls the mixture with the additional color. For other brushes, such as airbrushes, the Grain slider is not available.

Using a Stylus or Mouse

 Back to Top

When you reach for a wide, flat brush, you expect the stroke you make to depend on how you hold the brush. A stroke using the face of the brush comes out wide. A mark using the edge is narrow.

Paint with the face of a flat brush for a wide stroke; use the edge for a narrow stroke.

Corel Painter produces realistic brush strokes that fade in and out; change width, tilt, and angle; and penetrate based on the stylus input. Brush variants that use computed brushes, such as the Smeary Flat variant in the Oils category, also react to stylus tilt (how close to vertical the stylus is held) and bearing (the compass direction in which the stylus is pointing).

Tilt can significantly affect brush strokes. If you get unexpected results, especially with bristle-type brushes or airbrushes, you can try reducing the tilt of your stylus. Extreme tilt angles are usually undesirable.

Many Corel Painter brushes also respond to stylus pressure (how hard you press with the stylus). Depending on variant settings, greater stylus pressure can increase the width of a brush stroke, the penetration of color, or the degree of other effects. The Corel Painter airbrushes also respond to the fingerwheel on the Wacom Intuos airbrush, simulating a needle control that adjusts how much ink is sprayed.

You can link brush settings (such as size, opacity, and angle) to stylus input data (such as velocity, direction, pressure, airbrush fingerwheel, tilt, and bearing). Refer to "Expression Settings" for more information about linking brush settings to stylus input controls.

In theory, a mouse has no pressure information. A mouse button is either “on” (button down) or “off” (button up). Corel Painter introduces mouse controls that let you simulate stylus pressure, tilt, bearing, and fingerwheel settings.

If you are using a mouse with Corel Painter, you can compensate for the lack of pressure information by adjusting size, opacity, and grain on the property bar. For example, reducing opacity or grain can produce the same results as pressing more lightly with a stylus.

The content CD contains brushes designed specifically for use with a mouse. For information about loading alternate brush libraries, refer to "Loading Alternate Libraries".

Corel Painter lets you record brush strokes, save them, and later use the saved stroke data. This makes it possible to record a stylus-created brush stroke, save it, and then use a mouse to reproduce the stroke that you made originally with the stylus. Refer to "Recording and Playing Back Strokes" for more information about recording brush strokes to further enhance mouse functionality.

To adjust pressure, tilt, and bearing when using a mouse

1
On the Stroke Designer page of the Brush Creator, click Mouse.
2
Move the Pressure slider.
A 100% setting uses maximum pressure.
3
Move the Tilt slider.
A 90° setting simulates a stylus that is perpendicular to the tablet.
4
Move the Bearing slider.
A setting of zero indicates that if a stylus were in use, it would be pointing left.
•
To see the effect of the tilt setting, use the Fine Spray variant of the Airbrush category.

To adjust fingerwheel settings when using a mouse

1
On the Stroke Designer page of the Brush Creator, click General.
2
Choose Wheel from the Expression pop-up menu.
3
Choose Mouse.
4
Move the Wheel slider.
A 90% setting indicates that if a stylus were in use, it would be perpendicular to the tablet.


Marking the Canvas

On this page, you will find information about

•
Freehand vs. Straight-Line Drawing
•
Constraining, Fading, and Undoing Strokes
•
Erasing Image Areas
•
Aligning Brush Strokes to Paths and Shapes
•
Letting Media Pool
•
Making 360° Strokes

You can paint on the canvas or on a layer above the canvas. When you select a layer on the Layers palette, that layer becomes the target for your brush strokes.

If you are using a Watercolor brush, you can paint only on a Watercolor layer. If you are using a Liquid Ink brush, you can paint only on a Liquid Ink layer. For more information, refer to "Working with the Watercolor Layer" and "Working with the Liquid Ink Layer".

If you try to paint on a shape, dynamic layer, or reference layer, you must commit it to a standard layer so that your brush strokes are accepted.

You can also select a channel or a layer mask as the target for your brush strokes. For more information, refer to "Managing and Editing Channels" or "Creating Layer Masks".

When you have an active selection, painting is confined to the selection by default. Refer to "Selections" for more information about selections.

In all cases, your brush strokes go to the selected target, so you should check that it matches your intended destination before you start to paint.

You mark the canvas by selecting the Brush tool and dragging in the document window with a brush variant that applies media. Each time you drag, you create a brush stroke.

When you use complex brush variants, you see a dotted line on the canvas before the mark appears. For example, the Gloopy variant of the Impasto brush requires complex computations that delay the stroke’s appearance on the screen. When you experience a delay, you can queue up strokes, without losing any stroke data.

Freehand vs. Straight-Line Drawing

 Back to Top

You can draw unconstrained lines by using the freehand drawing style, or you can draw straight lines. Options on the property bar let you choose the drawing style.

When you use Freehand Strokes, you can drag with any motion or in any direction. The stroke follows your drag path.

With the Freehand Stroke option, you drag to create strokes.

When you use Straight Line Strokes, Corel Painter connects points with a straight line.

With the Straight Line Strokes option, you click to create the first point and then click or drag to create a stroke.

To draw freehand lines

1
On the Brush property bar, click the Freehand Strokes button [image].
2
Drag on the canvas.
•
You can use shortcut keys to toggle between the freehand and straight line drawing styles. Press B to choose the freehand style, or V to choose the straight-line style.

To draw straight lines

1
On the Brush property bar, click the Straight Line Strokes button [image].
2
Click a point on the canvas where you want to start your line.
3
Do one of the following:
•
Click the point where you want to end the line.
•
Drag to place the end point exactly where you want it.
Corel Painter connects the first and second points with a straight line.
4
To continue drawing from the second point, click or drag to create additional points on the canvas.
Corel Painter connects each point with a straight line.
5
To end a line, do one of the following:
•
Press Return (Mac OS) or Enter (Windows) to close the polygon. The final point is connected to the origin with a straight line.
•
Click the Freehand Strokes button to return to the freehand drawing style without closing the polygon.
•
Press V to end the current polygon without closing it, so that you can begin a new one.

Constraining, Fading, and Undoing Strokes

 Back to Top

In the Freehand Stroke drawing style, you can constrain your strokes to a straight line, with the angle depending on the orientation of the stroke.

If you apply a stroke, but want it to be less opaque or faded, you can apply the Fade option.

You can also use the Undo command to remove a stroke. You can repeat the command to remove previous strokes and set how many individual strokes can be undone. For more information, refer to "Undo Preferences".

To constrain freehand strokes

•
Hold down Shift as you drag.

To fade a stroke

1
Choose Edit menu [image] Fade.
2
Set the Undo Amount slider for the opacity you want, and click OK.
The Preview window shows the results of your selection.

To undo a stroke

•
Choose Edit menu [image] Undo Brush Stroke.
•
You can also undo a stroke by pressing Command + Z (Mac OS) or Ctrl + Z (Windows).

Erasing Image Areas

 Back to Top

You can erase any part of your image and control the opacity of erased areas. You can link the opacity to stylus pressure or specify a fixed opacity value.

To erase an image area

1
On the Layers palette, choose the layer on which you want to erase.
2
Choose the Eraser tool [image] in the toolbox.
3
On the property bar, adjust the Size pop-up slider.
4
Adjust the Opacity pop-up slider.
5
Click one of the following buttons:
•
Soft Mode [image] — sets opacity based on stylus pressure. The more pressure you apply, the higher the opacity. The initial opacity level is determined by the Opacity pop-up slider.
•
Hard Mode [image] — sets opacity based on the value set by the Opacity pop-up slider
•
You can toggle between Soft Mode and Hard Mode by holding down Option (Mac OS) or Alt (Windows) as you drag in the image window.
•
You can erase in straight lines by clicking the Straight Line Strokes button [image] on the property bar, clicking a point on the canvas where you want to start your line, and clicking where you want to end the line.
•
You can also erase image areas by choosing the Brush tool in the toolbox, and choosing Erasers from the Brush Category selector on the Brush Selector bar.

Aligning Brush Strokes to Paths and Shapes

 Back to Top

You can automatically align a brush stroke to a path or the edge of a shape. You do this by determining the tolerance area, or how close the brush stroke must be to the path or shape for automatic alignment to occur. If the brush stoke is within the tolerance area, the brush stroke snaps to the path or shape; if the brush stroke is outside of the tolerance area, no brush stroke is applied.

To align a brush stroke to a path or shape

1
Choose a brush from the Brush Selector bar.
2
On the property bar, click the Align to Path button [image].
Brush strokes within the tolerance area of a path or shape are automatically aligned.
•
If there are multiple shapes within the tolerance area, the brush stroke is aligned to the shape on the selected layer.

To set the tolerance area for brush stroke alignment

1
Choose one of the following:
•
(Mac OS) Corel Painter X menu [image] Preferences [image] Shapes
•
(Windows) Edit [image] Preferences [image] Shapes
2
In the Align to Path area, type a number in the Tolerance box.
The tolerance area is measured in pixels and must be between 1 and 999.
•
If you want to align a brush stroke with a hidden shape or path, enable the Paint Hidden Shapes check box.

Letting Media Pool

 Back to Top

Corel Painter computed brushes allow media to build up or “pool” when you move a brush slowly. Pooling creates very realistic strokes, especially with airbrushes. You can also cause media to pool by simply touching and pausing with the selected brush. You can enable this feature in the Brush Creator.

To enable media pooling

1
On the Stroke Designer page of the Brush Creator, click Spacing.
2
Enable the Continuous Time Deposition check box.
•
When the Continuous Time Deposition check box is disabled, you must move the brush (even just slightly) to cause media to be deposited.

With an airbrush, paint pools when you pause in a stroke for 1 second (left), 4 seconds (middle), and 7 seconds (right).

Making 360° Strokes

 Back to Top

Because there are no restrictions on bearing (stylus direction) in Corel Painter, you can create full 360° strokes with noncomputed brushes by completing an arc without interruption. Computed brushes use bearing, with the exception of those that use the Rendered dab type, so you cannot use them to create 360° strokes.


Exploring Painting

On this page, you will find information about

•
Painting with Color
•
Creating Two-Color Brush Strokes
•
Loading Multiple Colors
•
Troubleshooting
•
Painting with Gradients and Patterns
•
Painting with Airbrushes
•
Adjusting Spread
•
Recording and Playing Back Strokes

Many Corel Painter brush variants are digital equivalents of real-life brushes you might already use. Others let you create images that aren’t possible with real-life tools.

Corel Painter features “computed” brushes that create smooth, continuous strokes. You can use these brushes to apply color, brush on gradients, or paint with patterns. For more information about computed brushes, refer to "Using a Stylus or Mouse".

Corel Painter brushes can be changed in many ways to create the look you desire. For example, you can start with a pencil and then change the settings until the tool works like an airbrush. You can also modify an oil pastel to create a pastel brush, or make a leaky pen act like a camel hair brush. Suddenly, the art store has unlimited aisles and floors, giving you the freedom to create whatever you imagine. For more information about using controls to customize brushes, refer to "Customizing Brushes".

The result of any single mark or stroke you make with a Corel Painter drawing tool depends on the following:

•
The brush category (or drawing tool) you choose. Refer to "Understanding Brush Categories" for more information.
•
The brush variant you select within the brush category. Refer to "Selecting a Brush" for more information about selecting a specific brush variant.
•
Controls such as brush size, opacity, and the amount of color penetrating paper texture. Refer to "Choosing Brush Settings" for more information.
•
The current paper texture. Refer to "Choosing Paper Textures" for more information about selecting paper.
•
The color, gradient, or pattern you use as media. Refer to "Painting with Color" and "Painting with Gradients and Patterns" for more information about choosing media.
•
The brush method. Refer to "Methods and Subcategories".

Painting with Color

 Back to Top

Before actually painting, you must choose which media to apply. Most often, you may choose to apply a color, but selecting a color is just the beginning. Corel Painter offers a powerful range of color features, including random color variability and color sets. For more detailed information about using color, refer to "Getting Started with Color".

To paint with color

1
Select a brush that applies media to a document.
2
On the Colors palette, click the palette menu arrow, and choose Standard Colors.

Use the Colors palette to choose a color for painting.

3
Drag or click in the Hue Ring to select a hue.
4
Drag or click in the Saturation/Value Triangle to pick the saturation.
The color you select becomes the main color and is displayed in the front square below the Hue Ring. The back square shows the additional color. The additional color is not the canvas color; it is used to create two-color brush strokes and two-point gradients. Refer to "Understanding Main and Additional Colors" for more information.
5
Paint in the document window.

Drag in the Hue Ring to select a hue. Drag in the Saturation/Value Triangle to pick the saturation.

To paint with a color already in the image

1
Select a brush that applies media to a document.
2
Hold down Option (Mac OS) or Alt (Windows), and click a color in the image.
The Brush tool switches to the Dropper tool [image]. The color is “picked up” by the Dropper tool and becomes the main color. Refer to "Understanding Main and Additional Colors" for more information about using the Dropper tool.
3
Paint in the document window.

Creating Two-Color Brush Strokes

 Back to Top

Usually, you work with only the main color — the front square of the two overlapping squares on the Colors palette. Using one color produces a solid, one-color brush stroke. By selecting an additional color, you can create a two-color brush stroke.

To set up a two-color brush stroke

1
On the Brush Selector bar, choose a brush category.
Not all brushes can create two-color brush strokes. Among those that can are Acrylics, Calligraphy, and Chalk.
2
From the Brush Variant selector, choose a variant with a noncomputed dab type — for example, the Circular dab type.
A noncomputed dab type is dab-based, as opposed to rendered. For more information, see "Dab Types".
3
On the Colors palette, click the palette menu arrow, and choose Standard Colors.
If the Colors palette is not displayed, choose Window menu [image] Color Palettes [image] Show Colors.
4
Click the Main Color (front) square [image].
5
Choose a color on the Colors palette or the Color Sets palette.
The front square changes according to your selection.
6
Click the Additional Color (back) square [image].
7
Choose a color on the Colors palette or the Color Sets palette.
The back square changes according to your selection.
8
Click the Main Color (front) square.
This step reactivates the main color for the next time you pick a color.
9
Choose Window menu [image] Brush Controls [image] Show Color Expression to display the Color Expression palette.
If the palette is not expanded, click the palette arrow.
10
On the Color Expression palette, choose Direction from the Controller pop-up menu.
11
Paint a “T” in your document. Draw some loops and circles to see how the transition between colors depends on brush stroke direction.
•
For information about using the Color Sets palette to choose a color, see "Using Color Sets".
•
For different results, try different Controller settings. For example, choose Pressure to create color transitions based on the pressure you apply with your stylus.

Loading Multiple Colors

 Back to Top

Imagine the ability to load color at a bristle level, picking up different colors with each “hair” of a brush — as though filling tiny ink wells. Imagine also the ability to move multiple colors along with a palette knife, dragging them across your canvas or paper. The Brush Loading feature affects how paint comes off a brush and what happens to the pixels underneath.

When Brush Loading is not active, brushes interact with previously applied colors by sampling underlying pixels and then loading the brush with one new color — the average of those that were sampled. With Brush Loading active, brushes can literally “pick up” existing colors, hair by hair. This capability offers truer color interaction, astounding color variations, and better cloning results.

To paint with multiple colors

1
Choose a brush.
2
On the Stroke Designer page of the Brush Creator, click General.
3
Choose Static Bristle from the Dab Type pop-up menu.
4
Choose Multi from the Stroke Type pop-up menu.
5
On the Stroke Designer page, click Well, and enable the Brush Loading check box.
This step activates the brush’s ability to pick up underlying colors.
6
Adjust the Resaturation and Bleed sliders.
The Bleed setting determines how much underlying paint is affected by the brush stroke. A higher Bleed setting, combined with a low Resaturation setting, can enhance the Brush Loading feature. A resaturation value of 0, combined with different levels of bleed, will cause your brush to smear image color, rather than deposit it. In this case, the lower the bleed, the longer the smear.
7
On the Stroke Designer page, click Spacing, and adjust the Spacing and Min Spacing sliders to create fewer “echo” artifacts in your smeared stroke.
8
Drag a brush stroke through existing paint to see how the paint is “picked up” from the underlying pixels and moved across the canvas.
•
It is easier to see the Brush Loading feature if the canvas is not white. To fill the canvas with another color, see "Filling an Area with Media".
•
You can tie brush controls like Bleed to the Controller setting on the Color Expression palette. For example, if you choose Pressure, each stroke bleeds more or less, depending on how hard you press the stylus. For more information, refer to "Expression Settings".

Troubleshooting

 Back to Top

Why doesn’t your brush stroke appear? What to check:

•
Main color — On the Colors palette, what color is the Main Color (front) square? Is it a color that will show up when applied to your image? If not, click the Main Color square to be sure it’s selected, and then set a different color.
•
Opacity — Check the Opacity setting on the property bar and, if necessary, adjust the pop-up slider to increase opacity.
•
Brush method — The brush method determines the basic nature of a brush. To check the brush method, click General on the Stroke Designer page of the Brush Creator. If you’re drawing with a light color on a dark background, the method must be set to Cover, in order to show the lighter color.
•
Drawing mode — If you have made a selection, the drawing mode determines what part of the selection is protected. Refer to "Selecting a Drawing Mode" for more information.
•
Layers — Are you drawing on the canvas with a layer blocking your view of the brush stroke? On the Layers palette, close the visibility eye of each layer to view only the canvas.

Painting with Gradients and Patterns

 Back to Top

With the Corel Painter computed brushes, you can brush on gradients, which are gradual transformations of one color into another. Refer to "Working with Gradients" for more information. You can also use the Corel Painter computed brushes to brush on patterns (repeating designs). Refer to "Using Patterns" for more information.

When you paint with a pattern, you can adjust the pattern’s scale. Scale affects a pattern brush stroke in a special way by determining the resolution of the painted patterns.

Small scale causes blurry computed brush strokes; large scale causes sharper strokes. Here’s why: The brush stroke is always drawn as the entire pattern, sized to fit in the current dab size. Scaling the pattern down very small (for example, to 20%) makes the brush stroke appear blurry, because the dab is significantly bigger than the pattern. Scaling the pattern up to 100% makes the dab as clear as it can get. Settings higher than 100% have no effect on the appearance of the brush stroke.

You can picture this process by imagining that the current pattern is 100 pixels across and the current brush size is 50 pixels across. With the pattern set to 100%, Corel Painter shrinks 100 pixels into a 50-pixel area, which it can easily do without visible loss of accuracy. If you scale the pattern up to 200%, it looks as clear as the original, so that fitting it into the 50-pixel brush size creates a brush stroke that looks the same as when the pattern was scaled at 100%. If you scale the pattern to 50%, the original will be the same size as the brush, so there is still no difference in the resulting brush stroke.

Now, keep scaling downward. As the size of the pattern is scaled below the size of the brush, Corel Painter must increase the size of the pattern to fit the 50-pixel area of the brush stroke. When images are scaled up, after first being scaled down, the image becomes blurry. This is especially noticeable if you scale the pattern well below brush size. At 20%, the pattern now consists of only 20 pixels and has lost 80% of the original data. When Corel Painter expands that to 50 pixels (the brush stroke size), the loss of data becomes very visible. Lower settings in scale result in even blurrier brush strokes. If you scale down to 2%, the pattern is only 2 pixels across and is able to contain, at most, four colors (two across and two down). When Corel Painter expands the image to fit the brush stroke, you won’t see any of the original pattern, just a fairly uniform color, across the dab.

To paint with a gradient

1
Select a brush that applies media to a document.
If the Gradients palette is not displayed, choose Window menu [image] Library Palettes [image] Show Gradients.
If the Gradients palette is not expanded, click the palette arrow.

The Gradients palette.

2
On the Gradients palette, choose a gradient from the Gradient Selector.
In the center of the palette, the Gradient Preview Window shows the selected gradient.
3
Click one of the following Gradient Order buttons:
•
Left to Right Gradient
•
Mirrored Right to Left Gradient
•
Double Left to Right Gradient
•
Right to Left Gradient
•
Mirrored Left to Right Gradient
•
Double Right to Left Gradient
The Gradient Preview Window above the Order buttons illustrates how the selected order affects the gradient. Refer to "Working with Gradients" for more information about gradient order.
4
On the Stroke Designer page of the Brush Creator, click General.
5
From the Dab Type pop-up menu, choose a dab type that activates the Source pop-up menu (for example, Rendered).
6
Choose one of the following from the Source pop-up menu:
•
Gradient, which applies the current gradient across the width of the stroke.
•
Gradient Repeat, which repeats the current gradient along the length of the stroke.
7
Paint in the document window.

Painting with a gradient by using Gradient (left) and Gradient Repeat (right).

•
If the Source pop-up menu is not available (appears gray), the selected brush can apply color only. In that case, you can select a computed brush or choose a dab type that activates the Source pop-up menu.
•
Although you can choose a gradient type (Linear, Radial, Circular, or Spiral) on the Gradients palette, you always use a Linear gradient type when painting with a gradient.
•
You can also choose a gradient from the Gradient Selector in the toolbox. Corel Painter uses the current gradient order.
•
Direction matters when you paint with a gradient. Corel Painter flips the gradient when you change direction. For a uniform effect, apply strokes in the same direction.

To paint with a pattern

1
Select a brush that applies media to a document.
2
On the Patterns palette, choose a pattern from the Pattern Selector.
3
Adjust the Pattern Scale slider.
4
On the Stroke Designer page of the Brush Creator, click General.
5
From the Dab Type pop-up menu, choose a dab type that activates the Source pop-up menu (for example, Rendered).
6
Choose one of the following from the Source pop-up menu:
•
Pattern, to paint with a pattern containing no mask information
•
Pattern with Mask, to paint by using mask data contained in the pattern
•
If the Source option is not available (appears gray), the selected brush can only apply color. To activate the Source pop-up menu, you must choose a dab type that activates the Source pop-up menu.
•
Direction matters when you paint with a gradient — Corel Painter flips the gradient when you change direction. For a uniform effect, apply strokes in the same direction.

The Patterns palette.

To paint with pattern opacity

1
Select a brush that applies media to a document.
2
On the Patterns palette, choose a pattern from the Pattern Selector.
3
On the Stroke Designer page of the Brush Creator, click General.
4
From the Dab Type pop-up menu, choose a dab type that activates Source (for example, Rendered).
5
Choose Pattern As Opacity from the Source pop-up menu.
Pattern As Opacity is the only computed dab type that responds to methods (Cover and Buildup), allowing it to respond to Graininess.
6
Paint on your image.
Corel Painter applies the current color, using luminance in the pattern to control opacity. Light colors in the pattern are rendered as transparent (or as having very low opacity). Dark colors in the pattern are rendered as very dark (or as having high opacity).

Painting with Airbrushes

 Back to Top

The Corel Painter computed airbrushes are so realistic, you feel as though you’re using the real thing. Taking advantage of computed dab-type technology, most airbrush functionality is now available. For more about computed brushes, refer to "Dab Types".

The best way to get used to the Corel Painter airbrushes is to play with them. Select each variant and spray paint onto the canvas without worrying about running out of compressed air. With computed airbrushes, you can paint with color, patterns, or variants. One variant blows hairlike strokes; another variant just blows existing paint around on the canvas, like a hose without an airbrush attached.

Try using the Fine Spray variant in the Airbrushes category for an example of how Bearing and Flow settings combine to give realistic airbrush results.

For information about the Airbrush controls in the Brush Creator, refer to "Airbrushes".

Conic Sections

Previous versions of digital airbrushes projected a thin mist of dots (or paint dabs) onto the canvas. The Digital Airbrush variant (named Fat Stroke in previous versions of Corel Painter) is included in the default brush library. With a digital airbrush, dots are laid down, or sprayed, within a circular area, resembling the circle thrown by a flashlight that is perfectly perpendicular to a piece of paper. The area of application remains circular, regardless of tilt, bearing, or stylus pressure. Density, or flow, adjustments can be mimicked with adjustments to the Opacity setting.

Previous versions of airbrushes sprayed a thin layer of dots within an area that was always circular, like a circle of light from a flashlight that is perpendicular to a piece of paper.

Now, airbrushes respond to angle (tilt), bearing (direction), and flow (fingerwheel setting) data from a stylus, allowing for a truly realistic brush stroke. For example, as you tilt your stylus, specks of media land on the paper in a way that reflects that tilt. Imagine, again, the circle of light thrown by a flashlight. The moment the flashlight is no longer perpendicular to the paper — rather, the shape of the cone of light changes, creating a conic section. In the same manner, Corel Painter airbrushes create conic sections that mirror your stylus movements.

Angle and tilt determine the shape and size of the conic section created by Corel Painter airbrushes, which resembles a circle of light from a flashlight that is no longer perpendicular to the paper.

Extreme-tilt angles affect large areas of the canvas. This can slow the brush down as it tries to squirt paint too far from the stylus.

Adjusting Spread

 Back to Top

You can adjust airbrush spread in the Brush Creator. Airbrush spread affects how paint spreads out as it is applied. In other words, it sets the size of the cone of spread from the tip of the airbrush or spray can.

A good range for the Spread setting is 30° to 40°. Narrow settings for Spread and Angle can cause problems. Combined with a very tilted stylus, a narrow setting for Spread can cause paint to be deposited away from the cursor.

Varying Edges

You can vary the edges of the paint sprayed from an airbrush to achieve desired softness. You do this by selecting a brush tip or “profile” in the Brush Creator. Each profile gives you a different edge to the paint you spray. For more information, refer to "Brush Tip Profiles".

Airbrush edges created with the Watercolor profile (left) and the Medium profile (right).

Adjusting Flow

Although you can still adjust Opacity to apply fainter or darker dots of media, some Corel Painter airbrushes, for example, the Fine Wheel Airbrush variant, take advantage of stylus fingerwheel controls. Like the needle control on real airbrushes, the wheel fingerwheel control adjusts airbrush flow — that is, how much media is applied.

Adjust airbrush flow with the fingerwheel control on many airbrush styluses.

Controlling Droplet Size

You can control the size of the airbrush droplets. This is not the same as adjusting the size of the brush (the larger the brush, the more droplets are sprayed).

To change the size of airbrush droplets

1
On the Stroke Designer page of the Brush Creator, click General.
2
Choose Airbrush from the Dab Type pop-up menu.
3
Choose Size from the left column.
4
Move the Feature slider left for smaller droplets, or right for larger droplets.
•
Very large droplets may produce unexpected results.
•
The Feature setting is not available for variants using the Pixel Airbrush or Line Airbrush dab types.

To increase or decrease media flow from an airbrush

•
Move the stylus fingerwheel toward the tip, or forward, to decrease flow. Move it away from the tip, or backward, to increase flow.
•
You can also control media flow from an airbrush on the Stroke Designer page of the Brush Creator, by clicking Airbrush and adjusting the Flow and Min Flow sliders. Flow sets the maximum flow. Min Flow sets the minimum amount of flow as a percentage of Flow.
•
Depending on the Airbrush variant, you can reverse the effect of moving the airbrush fingerwheel by enabling the Invert check box on the Color Expression palette, or by enabling the Invert Flow Expression check box on the Stroke Designer page of the Brush Creator.
•
In the Brush Creator, you can also determine flow based on stylus information, such as velocity or pressure, by choosing an expression from the Flow Expression pop-up menu.

Recording and Playing Back Strokes

 Back to Top

Corel Painter will play back any stroke you record, wherever you click in the document window. In this way, you can easily create a series of identical strokes — for example, when you create hatching effects.

A brush stroke (top) is recorded and played back within a triangular selection.

Another way to use a recorded stroke is with Auto Playback, which lets you repeat the recorded stroke at random positions on the page.

You can also save recorded strokes for later use. You can play back saved strokes, and you can paint with the data from a saved stroke. This way of working can be particularly useful if you work sometimes with a stylus and sometimes with a mouse: you can record the brush strokes you make with a stylus, save them for later use, and then use a mouse to obtain the data from that stroke, allowing stylus-quality results.

Corel Painter has a number of brush stroke scripts that can be played back on their own or used in conjunction with an original brush stroke. When you use a brush stroke script, your freehand brush strokes adhere to the stroke data in the script. This allows you to emulate features of a tablet and stylus while using a mouse.

To record a stroke

•
On the Brush Selector bar, click the menu arrow, and choose Record Stroke.
The next brush stroke you make is saved in memory.

To play back a stroke

1
On the Brush Selector bar, click the menu arrow, and choose Playback Stroke.
2
Click where you want to repeat the stroke.
Corel Painter centers the stroke on the point on which you click. You can repeat the stroke as many times as you want.
3
On the Brush Selector bar, click the menu arrow, and choose Playback Stroke to turn off playback.

To play back strokes randomly

•
On the Brush Selector bar, click the menu arrow, and choose Auto Playback.
Corel Painter repeats the stroke at random positions until you click.

To save a stroke

1
On the Brush Selector bar, click the menu arrow, and choose Save Stroke.
2
In the Save Stroke dialog box, type a name.
Corel Painter adds the stroke to the list of saved strokes.

To select a saved stroke

•
On the Brush Selector bar, click the menu arrow, choose Strokes, and choose a saved stroke.
The selected stroke is used when you play back strokes or use stroke data.

To use stroke data

1
On the Brush Selector bar, click the menu arrow, then choose Strokes, and choose one of the following:
•
Pressure Modulate varies the stylus pressure in a brush stroke.
•
360° Bearing Rotate rotates the stylus bearing by 360°.
•
Size/Bearing Modulate varies the size of the brush tip and stylus bearing in a brush stroke.
•
Size/Tilt Modulate varies the size of the brush tip and tilt of the stylus in a brush stroke.
•
Fade In/Out fades the start point and endpoint of a brush stroke.
•
Short Stroke decreases the length of a brush stroke.
•
Bearing Rotate rotates stylus bearing in a brush stroke.
You can also base stroke data on brush strokes that you’ve already saved.
2
On the Brush Selector bar, click the menu arrow, and choose Use Stroke Data.
3
Draw brush strokes.


Working with Fill

On this page, you will find information about

•
Filling an Area with Media
•
Filling Images Based on Color
•
Limiting and Preventing Leakage

Corel Painter gives you many options for filling images with media. You can use a gradient, pattern, weave, or color to fill an area of an image. You can apply a fill to only part of an image, to a layer of an image, to an alpha channel, or to an entire image. You can also use the Paint Bucket tool to fill image areas based on pixel color.

Filling an Area with Media

 Back to Top

You can fill an area of an image with a gradient, pattern, weave, or color.

What about filling with paper? The paper is a texture; it has no color by itself. You can apply texture to an image, however, with various image effects. Many surface control effects let you use paper as the control medium. For more information about surface control effects, refer to "Working with Surface Texture" and "Using Other Surface Control Effects".

To fill an area of an image

1
Do one of the following:
•
If you want to fill only part of an image, select the area of the image you want to fill.
•
If you want to fill a layer, select the layer on the Layers palette.
•
If you want to fill an alpha channel, select the channel on the Channels palette.
•
If you want to fill the entire image, make sure there are no selections.
2
Choose Effects menu [image] Fill, or press Command + F (Mac OS) or Ctrl + F (Windows).
3
In the Fill dialog box, enable one of the following filling options:
•
Current Color
•
Pattern
•
Gradient
•
Weave
4
Adjust the Opacity slider.
•
Corel Painter uses the current color, pattern, gradient, or weave. Before filling, choose the media you want from the corresponding selector in the toolbox.

Filling Images Based on Color

 Back to Top

You can use the Paint Bucket tool to fill image areas based on pixel color. This method can be used on the canvas or in a channel. Corel Painter fills areas based on color boundaries and the current Tolerance and Feather settings.

Tolerance sets the amount of variance allowed from the color of the pixel you choose. With a low Tolerance setting, the Paint Bucket fills only contiguous pixels that are very close to your chosen pixel color. With a high Tolerance setting, the Paint Bucket fills a greater range of colors.

Feathering softens the edges of the fill by controlling the fill opacity for pixels with colors outside the Tolerance range. With Feather set to zero (the default), only pixels in the Tolerance range are filled. With a low Feather setting, pixels with colors just outside the Tolerance range receive partial fill. Increasing the Feather setting increases the range of colors that receive partial fill. Pixels with colors farther from the Tolerance range receive a more transparent fill. Typically, when Feather is set high, Tolerance is set low.

The Lock Out Color feature protects areas of a given color from accidental filling. You can choose a color that will not accept filling when clicked with the Paint Bucket. Black is the default locked-out color.

You can use the Paint Bucket tool to fill the interior of areas bounded by lines. This is especially good for producing solid fills of regions bounded by anti-aliased lines. If you want to fill regions completely, without affecting the lines, you can first copy the lines to a selection. Then, when you fill the cells, the lines are protected.

To fill an image based on color

1
Choose the Paint Bucket tool [image] from the toolbox.
2
Click the Fill Image button [image] on the property bar.
3
Choose one of the following options from the Fill pop-up menu:
•
Current Color, which fills with the selected color.
•
Gradient, which fills with the selected gradient.
•
Clone Source, which fills with the current clone source image. If you haven’t defined a clone source, Corel Painter fills with the current pattern.
•
Weaves, which fills with the selected weave.
4
Choose the specific material you want from the Select Fill pop-up menu.
5
Type a value in the Tolerance box, or adjust the pop-up slider, to specify the range of colors to be filled.
6
Type a value in the Feather box, or adjust the pop-up slider, to specify the fill opacity for pixels outside the Tolerance range.
If you want to create intermediate fill values on the boundaries, enable the Anti-Alias check box. This gives soft edges to the fill. Anti-aliasing is desirable when the Feather setting is zero or extremely low. Click the area of the image you want to fill.
If the result is not what you want, undo the fill, change the settings, and try again.
•
You can constrain the fill to a rectangular area by dragging with the Paint Bucket tool.

To choose a lock-out color

1
On the Colors palette, choose the color you want to protect.
2
Double-click the Paint Bucket tool in the toolbox.
3
In the Lock Out Color dialog box, click Set.
The color swatch updates to the new color, and the Lock Out Color check box is enabled.

To copy lines to a selection

1
Choose Select menu [image] Auto Select.
2
In the Auto Select dialog box, choose Image Luminance from the Using pop-up menu.
3
Click OK.
Corel Painter creates a selection that will protect the dark lines.
When you protect anti-aliased or non-black lines in this way, the lines in the selection have varying levels of transparency, depending on the pixel luminance. The mask threshold lets you compensate for the semitransparency of the selection, allowing you produce just the fill you want.

Limiting and Preventing Leakage

 Back to Top

In complex drawings, lines don’t always meet. This can create fill leaks into areas you don’t want to be filled — sometimes through the whole image. You can’t always tell if there’s a leak just by looking at your image. If you click a small area and see the prompt, “Now Looking for Extent of Fill,” there’s probably a leak, and Corel Painter is preparing to fill a bigger area than you had in mind. In this case, you can abort the fill.

You can limit leakage to a specific rectangular area. In typical cartoon line work, unbounded areas — for example, hair, tail feathers, and brush bristles — sometimes must be filled. By limiting leakage to a specific area, you can close off these items. You can also close leaks by copying the lines to a selection (refer to "To copy lines to a selection"), saving the selection to a channel, editing the channel, and then reloading it to the selection. For more information about editing channels, refer to "Managing and Editing Channels".

To undo a fill

•
To undo a fill, do one of the following:
•
Choose Edit menu [image] Undo Paint Bucket Fill.
•
Press Command + Z (Mac OS), or Ctrl + Z (Windows).

To limit leakage

1
Choose the Paint Bucket tool from the toolbox.
2
On the property bar, click the Fill Cell button or the Fill Image button.
3
Drag to create a rectangle that just covers the area you want to fill.
If there is no leak, only the area within the lines is filled. If there is a leak, the fill goes outside the area, but not beyond the constraints of your rectangle.

To close a leak

1
Copy the lines to a selection.
See "To copy lines to a selection".
2
Choose Select menu [image] Save Selection.
3
In the Save Selection dialog box, choose New from the Save To pop-up menu.
4
Click OK.
A new channel is displayed on the Channels palette.
5
On the Channels palette, display and select the channel.
6
On the Brush Selector bar, choose the same brush you used to create the lines.
7
On the Colors palette, set Black as the current main color.
8
Paint in the channel to close the gaps.
9
Choose Select menu [image] Load Selection.
10
In the Load Selection dialog box, choose the modified channel from the Load From pop-up menu.
11
Enable the Replace Selection option to replace the original with the edited version.
If you want to adjust the mask threshold, double-click the Paint Bucket tool in the toolbox, and move the slider.

The channel does not have to be selected to contain the fill. If you deselect the channel on the Channels palette, the loaded selection is still in effect.

Edit the channel to close leaks. Remember to load the channel back into the selection after editing.


Working with RealBristle Brushes

RealBristle brushes bring a new level of realism to the digital painting experience by simulating the natural movement of an artist’s brush. The resulting brush strokes and their interaction with the canvas more closely reflect the look and feel of working with a traditional art brush.

The RealBristle Painting System.
Image created by Cher Threinen-Pendarvis.

RealBristle brush variants are based on brush variants from different brush categories, such as Acrylics, Artists’ Oils, and Watercolor.

When you work with RealBristle brushes, enabling the Enhanced Brush Ghost option gives you more visual feedback about your brush. For information about the Enhanced Brush Ghost, see "To set brush ghost options".

See Also

•
Getting Started with RealBristle brushes
•
RealBristle settings


Getting Started with RealBristle brushes

RealBristle brush variants are available from the RealBristle brush category on the Brush Selector bar. The RealBristle brush category consists of a broad range of bristle-based brushes that let you apply brush strokes to the canvas or a layer.

To choose a RealBristle brush variant

1
On the Brush Selector bar, choose RealBristle from the Brush Category selector.
2
Choose a variant from the Brush Variant selector.


RealBristle settings

On this page, you will find information about

•
The RealBristle Palette

You can work with a preset RealBristle brush variant or customize a preset brush and save it as a new brush variant. The RealBristle palette gives you easy access to settings that let you modify a brush variant.

The following diagram outlines some key terminology used to describe RealBristle brushes and their settings.

The RealBristle Palette

 Back to Top

The RealBristle palette contains the following settings:

Brush Tip Profile — based on the profiles of traditional artist brushes, this setting affects the shape of the brush stroke and density distribution. For general information about brush tip profiles, see "Size Controls".

The RealBristle palette lets you choose a brush tip profile.

Roundness — lets you control the rounding along the width of the brush and overall shape of the brush. With a round brush, lower values flatten the brush to create an elliptical shape (can be flattened to a minimum thickness of 10% of the diameter). With a flat brush, lower values create a brush with more angular corners (90 degree edges as opposed to rounded edges).

The brush on the left approximates the rounded edges created by a flat brush with a Roundness setting of 100%; The brush on the right approximates a round brush with a Roundness setting of 100%.

Bristle Length — lets you control the length of the bristles, from the end of the ferrule to the tip of the brush. The Bristle Length is calculated by multiplying the Brush Size value by the Bristle Length value you choose. For example, if your Brush Size setting is 20, and your Bristle Length setting is 2, the length of the bristles is 40.

The brush on the left approximates a brush with a Bristle Length setting of 1; the brush on the right approximates a brush with a setting of 2.

Profile Length — lets you control the length of the profile as a percentage of the overall length of the bristles.

Although quite different in shape, both brushes have a Profile Length of approximately 50%.

Bristle Rigidity — lets you control the flexibility of the bristles. Lower values create a more flexible brush, similar to a sable hair brush; higher values create a more rigid brush, similar to a hog hair brush.

The brush on the left approximates a Bristle Rigidity setting of approximately 90%; the brush on the right approximates a setting of approximately 30%.

Fanning — lets you control how the bristles spread out from the ferrule. Lower values keep the bristles closer together, creating a more pointed tip; higher values spread the bristles out.

The brush on the left represents a Fanning setting of 100%; the brush on the right represents a setting of 0%.

Friction — lets you control how smoothly the bristles move across the canvas. This setting works in conjunction with the Rigidity setting. Lower values produce smoother strokes; higher values produce more textured, splayed brush strokes.

Height — lets you control the minimum distance between the ferrule and the canvas. Higher values let you paint with the tip of the brush only; lower values let you compress the bristles against the canvas, causing the bristles to splay in different directions.

The brush on the left represents a Height setting of 100%; the brush on the right represents a height setting of 50%.

To open the RealBristle palette

•
Choose Window menu [image] Brush Controls [image] Show RealBristle.

To customize a RealBristle brush variant

1
On the Brush Selector bar, choose RealBristle from the Brush Category selector.
2
Choose a variant from the Brush Variant selector.
3
Choose Window menu [image] Brush Controls [image] Show RealBristle.
Ensure the Enable RealBristle check box is enabled.
4
Click the brush tip profile that you want to use.
5
Adjust any of the Brush sliders.
6
Adjust any of the Surface sliders.
•
You can save your customized brush variant by clicking the menu arrow on the Brush Selector bar, choosing Save Variant, and typing a name for your variant in the Save Variant dialog box. For more information about saving brush variants, see "Saving Brush Variants".
•
By enabling the Enable RealBristle check box, you can create RealBristle brushes from the any brush variant that uses the following Dab types: Camel Hair, Flat, Palette Knife, or Bristle Spray.


Watercolor

Corel Painter features two ways to work with watercolors: the Watercolor layer and Digital Watercolor.

See Also

•
Getting Started with Watercolor
•
Working with Digital Watercolor


Getting Started with Watercolor

On this page, you will find information about

•
Working with the Watercolor Layer
•
Working with Watercolor Brush Variants
•
Applying a Paper Texture

Watercolor brushes paint into a watercolor layer, which enables the colors to flow and mix and absorb into the paper. In Corel Painter, you can edit the Watercolor layer as you would any other layer — even erase and blur — without changing anything in the image layer. For example, you can draw pencil outlines in the image layer and then overlay watercolor shading without smudging the pencil lines.

You can sketch on one layer and paint with watercolors on a separate Watercolor layer.

Working with the Watercolor Layer

 Back to Top

You can transfer, or lift, information from the canvas to the Watercolor layer. This is useful if you want to apply Watercolor effects to a photograph. You can also wet the entire Watercolor layer, which activates a diffusion process that you can control. Unless a Watercolor layer is already selected, a new Watercolor layer is automatically created when a Watercolor brush is applied to an image.

The Watercolor layer is represented on the Layers palette by a blue water droplet icon. When the icon is falling, it indicates that the drying process is underway. It is a good practice to monitor the Watercolor icon while painting with Watercolor brushes. If too many strokes are made within a short period, particularly with slow-drying brushes, the application can become slower. In this situation, it is best to wait for the drying process to finish before continuing.

To create a new Watercolor layer

1
Choose Window menu [image] Show Layers to display the Layers palette.
If the Layers palette is not expanded, click the palette arrow.
2
Do one of the following:
•
On the Layers palette, click the palette menu arrow, and choose New Watercolor Layer.
•
Click the New Watercolor Layer button [image] at the bottom of the Layers palette.

To lift the canvas to the Watercolor layer

1
Apply one or more strokes to the canvas with a Watercolor brush variant.
2
Choose Window menu [image] Show Layers to display the Layers palette.
3
Click the palette menu arrow, and choose Lift Canvas to Watercolor Layer.

To wet the Watercolor layer

1
Apply one or more strokes to the canvas with a Watercolor brush variant.
2
Choose Window menu [image] Show Layers to display the Layers palette.
3
Click the palette menu arrow, and choose Wet Entire Watercolor Layer.
•
To stop the diffusion process, click the palette menu arrow on the Layers palette, and choose Dry Watercolor Layer.

Working with Watercolor Brush Variants

 Back to Top

The Watercolor brush variants produce natural-looking watercolor effects. All Watercolor brush variants, except Wet Eraser, interact with the canvas texture.

Stylus pressure affects the width of the brush stroke for all Watercolor brush variants except Wet Eraser. Increased pressure widens a brush stroke; less pressure narrows a stroke.

Watercolor Dab Types

Refer to "Dab Types" for more information about Watercolor Dab Types.

Water Controls

You can adjust the Water controls when you have selected a Watercolor brush from the Brush Selector bar. Located on the Stroke Designer page of the Brush Creator, or the Brush Controls palette, the Water controls allow you to specify various settings for your Watercolor brushes. For example, you can adjust brush size, control diffusion, and determine how the paper texture will interact with the brush strokes. Refer to "Water Controls" for more information.

A watercolor stroke before (left) and after (right) diffusion.

Applying a Paper Texture

 Back to Top

The Watercolor brushes interact with paper grain — the colors flow, mix, and are absorbed into the paper. The luminance information of the current paper grain is used to determine how the paint diffuses into the paper and how it dries.

You can experiment by adjusting the sliders on the Papers palette to see their effect on the Watercolor brushes. The Scale slider controls the size of the grain. The Contrast slider, as it applies to the Watercolor layer, controls the height of the grain surface. Adjusting the Contrast slider to the right increases the height of the grain and adds more texture as a result. Refer to "Using Paper Texture" for more information.

The Scale slider controls the size of the paper grain. Left=50%, right=200%.


Working with Digital Watercolor

On this page, you will find information about

•
Digital Watercolor Diffusion
•
Wet Fringe

The Digital Watercolor brushes paint directly on both the Canvas layer or a default layer so you can create effects similar to those of Watercolor brushes without using a separate layer. The watercolor behavior of Corel Painter 6 has been integrated with Digital Watercolor, which allows for the dynamic adjustment of the wet fringe. Corel Painter X and Corel Painter 8 handle digital watercolor differently. Corel Painter 8 can open any Corel Painter X file containing digital watercolor, but the file’s contents might look different. To ensure that the image looks the same in Corel Painter 8, you should first dry the digital watercolor in Corel Painter X.

You can use Digital Watercolor brushes to create effects similar to those produced with Watercolor brushes, without having to create a separate layer. Settings such as Diffusion, Opacity, and Wet Fringe control the appearance of the stroke.

Digital Watercolor Diffusion

 Back to Top

Digital Watercolor brushes also use diffusion to create soft, feathery edges on the brush strokes. You can adjust the amount of diffusion by using the controls on the property bar.

To adjust diffusion

1
On the property bar, adjust the Diffusion pop-up slider.
Drag the slider to the right to increase diffusion, to the left to decrease diffusion.
2
Apply one or more strokes with a Digital Watercolor variant.
If you would like to restrict the diffusion to a region, make a selection with any selection tool. The diffusion effect will apply only within the selection.
•
The Diffusion slider is also accessible on the Brush Controls palette and in the Digital Watercolor area of the Stroke Designer page of the Brush Creator.

Wet Fringe

 Back to Top

The Wet Fringe slider controls the amount of pooling of water and paint at the edges of Digital Watercolor brush strokes. You can dynamically adjust the wet fringe on any Digital Watercolor brush stroke before you dry it. Dynamically adjusting the Wet Fringe affects every wet Digital Watercolor brush stroke, which remains wet until you dry it. Once you’re satisfied with the wet fringe, it’s a good idea to dry Digital Watercolor brush strokes. This allows you to dynamically adjust the Wet Fringe on future Digital Watercolor brush strokes without affecting existing brush strokes that you’re satisfied with.

To adjust wet fringe

1
Apply one or more strokes with a Digital Watercolor variant.
If you would like to restrict the diffusion to a region, make a selection with any selection tool. The pooling effect will apply only within the selection.
2
On the property bar, adjust the Wet Fringe slider.
Drag the slider to the right to increase pooling, to the left to decrease pooling.
•
You can also adjust wet fringe before applying brush strokes by adjusting the Wet Fringe slider.
•
The Wet Fringe slider is also accessible on the Brush Controls palette and in the Digital Watercolor area of the Stroke Designer page of the Brush Creator.

To dry Digital Watercolor brush strokes

•
Choose Layer menu [image] Dry Digital Watercolor.
•
After you dry a Digital Watercolor brush stroke, you can no longer adjust its wet fringe.


Liquid Ink

Liquid Ink brushes in Corel Painter create liquid paint effects that simulate traditional ink-based media.

See Also

•
Working with the Liquid Ink Layer
•
Using Liquid Ink Controls


Working with the Liquid Ink Layer

On this page, you will find information about

•
Creating a New Liquid Ink Layer
•
Adjusting Attributes of the Liquid Ink Layer

Liquid Ink layers are displayed on the Layers palette. They are identified by an ink droplet icon.

Creating a New Liquid Ink Layer

 Back to Top

Unless you have a Liquid Ink layer already selected, a new Liquid Ink layer is automatically created when a Liquid Ink brush is applied to an image.

To create a new Liquid Ink layer

1
Choose Window menu [image] Show Layers to display the Layers palette.
If the Layers palette is not expanded, click the palette arrow.
2
Do one of the following:
•
On the Layers palette, click the palette menu arrow, and choose New Liquid Ink Layer.
•
Click the New Liquid Ink Layer button [image] at the bottom of the Layers palette.

Adjusting Attributes of the Liquid Ink Layer

 Back to Top

You can experiment with the settings in the Liquid Ink Layer Attributes dialog box, which let you control the appearance of depth and adjust the threshold of the edges of the ink.

To adjust Liquid Ink layer attributes

1
On the Layers palette, double-click the Liquid Ink layer you want to modify.
2
In the Liquid Ink Layer Attributes dialog box, do one or more of the following:
•
Type a name for the layer in the Name box.
•
Adjust the position of the layer in the Top and Left boxes.
•
Type layer information in the Notes box.
•
Adjust the Threshold slider to increase or decrease the width of the brush stroke.
•
Adjust the Amount slider to increase or decrease the height, or three-dimensional appearance, of the brush stroke.


Using Liquid Ink Controls

You can adjust the Liquid Ink controls when you have selected a Liquid Ink brush from the Brush Selector bar. The controls on the Stroke Designer page of the Brush Creator allow you to specify various settings for your Liquid Ink brushes. For example, you can select Liquid Ink brush type, size, smoothness, and stroke volume. Refer to "Liquid Ink Controls" for more information.

Size

The Feature slider in the Size area of the Stroke Designer page lets you determine the space between bristles. You can experiment with the Feature slider and its effect on different Liquid Ink brushes; the higher the setting, the farther apart the bristles appear. Lower settings produce more solid strokes. With Liquid Ink brushes, the adhesion of the bristles minimizes the appearance of individual bristles.

The Feature slider and its effect on Liquid Ink brush strokes.

Expression

You can use the Expression settings in the Liquid Ink area of the Stroke Designer page to vary Liquid Ink effects. For example, you can vary the stroke volume by adjusting controllers such as Direction or Velocity. You can also use the Pressure controller to create layered Liquid Ink strokes. Refer to "Expression Settings" for more information.

Light pressure is used to apply overlapping strokes (left). Increased pressure produces a heavier layering effect (right).

Lighting Effects

You can use the Surface Lighting controls to add light sources and change lighting angles to give the appearance of height to a Liquid Ink brush stroke. Refer to "Using Lighting" for more information about applying lighting effects.

By adjusting lighting angles and adding multiple light sources, you can add height to Liquid Ink brush strokes.


Impasto

Impasto is the classic technique of applying thick paint on a canvas to create depth. In Corel Painter, impasto refers to the brush feature that allows brushes to paint with the illusion of depth. You can use different brushes to simulate different types of traditional art media, such as thick oil paint or chalk with texture.

See Also

•
Getting Started with Impasto
•
Adjusting Surface Lighting


Getting Started with Impasto

On this page, you will find information about

•
Working with the Impasto Layer
•
Creating an Impasto Effect
•
Creating Custom Impasto Brushes

To create an impasto effect, you must first activate the Impasto layer. Next, you choose the Impasto brush category and a brush variant. Impasto brush strokes appear textured and three-dimensional. You can alter the appearance of impasto brush strokes by using depth and lighting controls.

In Corel Painter, you can transform most brush variants into custom impasto brushes by using the Brush Creator or the Brush Controls palettes.

With Impasto, you can create wonderfully textured paintings.

Working with the Impasto Layer

 Back to Top

When you use an Impasto brush, you paint on a virtual Impasto layer that accumulates depth information as you paint. The Impasto layer is not part of the layer hierarchy and does not appear on the Layers palette.

The Canvas layer holds the depth information for the entire image, including any additional layers. When the Impasto layer is active, it also shows how the Impasto Lighting affects your strokes.

To activate or deactivate the Impasto layer

•
To activate the Impasto layer, click the Impasto icon [image] on the document window.
•
To deactivate the Impasto layer, click the icon again.

The Impasto icon on the document window.

To clear the Impasto layer

•
Choose Canvas menu [image] Clear Impasto.

Creating an Impasto Effect

 Back to Top

You can apply a variety of Impasto brush strokes by using an Impasto brush variant. These brushes simulate different types of depth effects achieved with traditional art media, such as thick oil paint. You control the Impasto effect by changing the paint thickness, or depth. Refer to "Impasto Controls" for more information.

You can control the appearance of depth by using the Amount, Picture, Shine, and Reflection settings in the Surface Lighting dialog box. At any time, you can change these settings to produce different texture effects:

•
The Amount setting affects the thickness of the entire Impasto layer. It does not affect individual brush strokes, nor does it affect other Impasto strokes.

You can control the appearance of depth in the entire Impasto layer by adjusting the Amount slider.

•
The Picture setting controls how much color appears in the image. At its lowest value, all color is washed out, leaving only the highlights.
•
The Shine setting controls how much highlight appears on the surface of strokes. Higher Shine values make the stroke look metallic.
•
The Reflection setting maps a clone source image or pattern onto the texture at a variable percentage. For more information, see "Working with Reflection Maps".

Adjustments affect the entire Impasto layer. To change the depth of individual brush strokes, you can vary stylus settings or build up media. Refer to "Controlling the Depth Interaction of a Medium" for more information.

You can also set how light sources shine on the Impasto brush strokes, add or delete lights, and change light color and position. Refer to "Adjusting Surface Lighting" for more information.

If you want to create your own custom brush variants, use the Brush Creator to adjust brush properties. Refer to "Creating Custom Impasto Brushes" for more information.

To create an Impasto effect

1
Click the Impasto icon on the upper-right corner of the document window.
2
Choose Impasto from the Brush Selector bar.
3
Choose a brush variant from the Brush Variant selector.
4
Choose Canvas menu [image] Surface Lighting.
5
In the Surface Lighting dialog box, use the sliders to set attributes for Appearance of Depth and Light Controls.
6
Paint on the canvas or layer.

Creating Custom Impasto Brushes

 Back to Top

You can change most brush variants into Impasto brushes by using the Impasto brush settings in the Brush Creator. The controls let you set drawing and depth methods, the amount of depth applied, and the brush interaction. The Impasto settings act identically to other brush settings, in that they can be saved as part of a brush variant or applied to any active brush. For more information on creating new brush variants, see "Customizing Brushes".

Setting Drawing Method

All of the drawing methods affect the next strokes you make in the document.

Impasto has three drawing methods:

•
The Draw to Color method applies color. You can set the color on the Colors palette.
•
The Draw to Depth method applies depth to the image.
•
The Draw to Depth and Color method applies both color and depth to the image.
Setting Depth Method

The Depth Method pop-up menu lets you choose a control medium for applying depth. Corel Painter uses the luminance (brightness) information in the control medium to determine how much depth is applied within a stroke. Light areas of the medium receive more depth; dark areas receive less. Black areas appear flat.

For example, when you use Paper as the Depth Method, the bright and dark areas of the paper grain determine where grooves and bumps appear in the stroke.

This Impasto stroke is produced when Paper is used as the Depth Method.

You can choose from five depth methods:

•
The Uniform method applies depth evenly. Strokes have little texture.
•
The Erase method levels the depth layer. If you’ve created texture strokes that you don’t like, you can use this setting to remove them.
Erase applies only to depth, not to color. With the Depth and Color drawing method, the Erase method removes depth while applying color.
The amount of depth removed depends on the value of the Depth slider. If you want to remove the entire Impasto stroke, set Depth to 0.
•
The Paper method uses the current paper method to control depth. You can choose different papers and change their scale by using the Paper Selector in the toolbox. Refer to "Inverting and Scaling Paper Textures" for more information.
•
Original Luminance uses a clone source’s luminance to control depth. Refer to "Using Clone Source Luminance to Create Texture" for more information.
•
Weaving Luminance controls depth using the current Weave. You can choose different weaves by using the Weaves Selector in the toolbox.
Inverting a Depth Method

You can invert the depth method by using the Invert option. When a method is inverted, the negative of the source is used in the stroke. For example, using the Invert option with Weave luminance switches the luminance values of the current weave so that light areas of the weave become dark and vice versa. This change results in an inverted texture within the Impasto brush strokes.

Controlling the Depth Interaction of a Medium

When you use a depth method, you paint with a new medium that has texture and builds up depth as you layer brush strokes.

The Impasto sliders in the Brush Creator let you set how much depth is applied with a stroke, the amount of texture applied within a stroke, and how each stroke interacts with other Impasto brush strokes.

•
The Depth slider controls the depth of individual strokes. Higher values produce strokes that have deeper grooves.
•
The Smoothing slider controls the transition of the texture applied to a stroke.
•
The Plow slider controls how much a stroke interacts with other Impasto brush strokes.
When a stroke with a high Plow value encounters another Impasto stroke, it displaces the depth of the existing stroke. In essence, your brush stroke “plows” through existing strokes.
By adjusting the Plow slider, you can produce incredibly realistic effects.

The effects of high (left) and low (right) Plow settings.

•
The Negative Depth option changes the direction of depth. When Negative Depth is enabled, the brush digs valleys instead of raising ridges.

Normally, Impasto raises ridges and bumps. The Negative Depth option forces Impasto to excavate instead.

To create an Impasto brush variant

1
Choose the Brush tool [image] from the toolbox.
2
On the Stroke Designer page of the Brush Creator, click Impasto.
3
Choose a drawing method from the Draw To pop-up menu.
4
Choose an application method from the Depth Method pop-up menu.
5
Adjust the Depth slider to set how much depth the brush applies.
6
Adjust the Smoothing slider to set the transitions in the texture.
Higher Smoothing values produce less textured strokes.
7
Adjust the Plow slider to control how much a depth stroke displaces other strokes that it intersects.
Varying Input to Control Depth

In addition to the Impasto controls, you can also use the Depth slider in the Brush Creator to add more complexity to your strokes. The Depth slider can alter the flow of depth as you paint. By using one of the nine input controllers, you can control the flow of depth based on pressure, velocity, or bearing. Refer to "Impasto Controls" for complete descriptions of controllers.

To use the Depth brush feature

1
On the Stroke Designer page of the Brush Creator, click Impasto.
2
Choose Depth from the Draw To pop-up menu.
3
Choose a depth method from the Depth Method pop-up menu.
4
Adjust the Depth slider, and choose an expression from the Expression pop-up menu.
•
For a realistic effect, try varying Depth inversely with Pressure. Set the Expression pop-up menu to Pressure, and enable the Invert option. This lets you apply paint more thickly when you press lightly, but more thinly when you press firmly, just as if you were using real paint.
Blending Impasto with Other Layers

You can control how Corel Painter blends Impasto brush strokes with images on other layers by selecting a composite depth method on the Layers palette.

The Composite Depth menu provides the following methods for combining Impasto brush strokes:

•
The Add method combines depth information between layers. Brush strokes on different layers build up where they overlap. If the composite depth method is set to Add and you paint with an Impasto brush variant on a layer, the composite depth setting does not change.

An example of the Add composite depth method.

•
The Subtract method removes depth information between layers. Impasto brush strokes on top layers create grooves in the image data beneath them. If the composite depth method is set to Subtract and you paint with an Impasto brush variant on a layer, the composite depth method does not change.

An example of the Subtract composite depth method.

•
The Replace method uses layer masks to replace the depth information from lower layers with information from top layers. Wherever strokes overlap, only the top strokes are visible; the lower strokes are completely covered. If the composite depth method is set to Replace and you paint with an Impasto brush variant on a layer, the composite depth method does not change.

An example of the Replace composite depth method.

•
The Ignore method prevents impasto brush strokes from interacting with image data on different layers. With the Ignore method active, the display of depth for the layer is turned off, even when the View Depth icon on the document window is active. This makes it possible to disable display of depth for individual layers. If the composite depth method is set to Ignore and you paint with an Impasto brush variant on a layer, the method changes back to Add.
Ignore is the default composite depth method.

You can set a different composite depth method for every layer in a document. Refer to "Blending Layers by Using Composite Methods" for more information.


Adjusting Surface Lighting

On this page, you will find information about

•
Setting Light Position
•
Adding and Deleting Lights
•
Setting Light Properties

Lighting can be a big part of the overall depth effect that Impasto creates. Just as the right lighting can bring out the deep-textured look of a stroke, the wrong lighting can wash out the effect altogether. The Surface Lighting controls let you set up the position and attributes of light sources that shine on your Impasto brush strokes. These controls are global — they affect all the Impasto brush strokes on all layers.

Setting Light Position

 Back to Top

The lighting sphere shows all of the possible surface angles and how the lights illuminate them. The light indicators on the sphere show the current positions of all of the light sources.

The Display slider beneath the sphere controls the brightness of the sphere, so that it’s easier to see light positions. It does not affect the lights themselves. The Show Light Icons check box lets you show or hide the light indicators on the sphere.

The lighting sphere with a light indicator.

To change a light’s angle

1
Choose Canvas menu [image] Surface Lighting.
2
In the Surface Lighting dialog box, drag a light indicator on the sphere.

Adding and Deleting Lights

 Back to Top

You can add as many light sources as your system’s memory allows. Remember, each light interacts with all the Impasto brush strokes, so be careful not to set up colored lights that clash with the colors in your composition or light sources that create unwanted shadows.

To add a light

1
Choose Canvas menu [image] Surface Lighting.
2
In the Surface Lighting dialog box, click on the lighting sphere. A new light indicator (small circle) appears where you click.

To delete a light

•
In the Surface Lighting dialog box, click on a light indicator and press Delete.

Setting Light Properties

 Back to Top

The three Light Controls sliders let you set the intensity and brightness of a light source.

•
The Brightness slider indicates how much light the light source contributes to the overall lighting color.
•
The Conc (concentration) slider adjusts the spread of the light over the surface.
•
The Exposure slider globally adjusts the overall lighting amount from darkest to brightest.

You can also change a light’s color by using the Light Color control. You can have multiple colored lights interact with the depth to produce different textural effects.

The image above uses two different colored light sources.

To change light color

1
In the Surface Lighting dialog box, click a light indicator.
2
Click the Light Color icon.
3
Choose a color from the Color dialog box.


Customizing Brushes

The Brush Creator makes it fun and easy to create brush variants in Corel Painter. This chapter provides descriptions and procedures for building, customizing, and saving the many parameters of any brush type.

Some of the brush settings in the Brush Creator can also be found in the Brush Control palettes (available from the Window menu). The palettes match the categories on the Stroke Designer page of the Brush Creator. The Brush Control palettes are ideal for making small adjustments to a brush variant while you work. However, if you’re unfamiliar with the settings, and want to preview and adjust a brush variant before you apply strokes to the canvas, the Brush Creator is a better choice.

You can adjust the Corel Painter brushes in many different ways. In fact, the default variants in the libraries on the Brush Selector bar are built with the same set of controls used to build every other variant. They’ve just been adjusted so that the results emulate a real-life drawing tool.

Although these default brushes do excellent work, you’ll probably want to adapt them to your particular needs, refining them to fit your own style of working. You can change their size, shape, angle, flow, and much more.

Changes you make to brush variants, including basic controls like Size and Opacity, are saved until the Restore Default Variant command is selected. Corel Painter also allows you to save custom brushes as the default, as new variants, or as looks.

•
When Corel Painter starts, it references a folder (called “Brushes”) in the user folder. Any customizations made to brushes are saved to this folder and are referenced by Corel Painter in place of the original default brushes and settings stored in the application folder. When a user resets a brush variant, Corel Painter removes only the related files from the user folder.

See Also

•
Getting Started with the Brush Creator
•
Managing Settings and Controls
•
Managing Custom Brushes


Getting Started with the Brush Creator

On this page, you will find information about

•
The Brush Creator Workspace
•
The Brush Creator Toolbox
•
The Randomizer
•
The Transposer
•
The Stroke Designer

The Brush Creator provides controls for customizing and creating brush variants. The Brush Creator is integrated tightly with Corel Painter but contains its own tools, palettes, menus, and workflow. The user interface of the application changes, depending on whether you are using the main application or the Brush Creator.

There are three elements to the Brush Creator: the Randomizer, the Transposer, and the Stroke Designer. The Randomizer creates random brush settings for the selected brush category and variant. The Transposer creates new brush settings based on the transition from one brush category and variant to another. The Stroke Designer lets you control the size and shape of the media applied by a brush, the way the dabs are repeated in a stroke, the media (usually color) that flows from a brush, and how a brush interacts with underlying pixels.

The Brush Creator Workspace

 Back to Top

The main window of the Brush Creator contains three tabs, each with its own user interface: Randomizer, Transposer, and Stroke Designer. The other components of the main window are the toolbox, the preview grid and window, the Scratch Pad, and the palettes.

The main window of the Brush Creator.

There are seven palettes used with the Brush Creator: Colors, Tracker, Color Variability, Color Expression, Papers, Patterns, and Gradients. Color Variability and Color Expression controls appear in the Brush Creator window (on the Stroke Designer page); the others are available through the Window menu. The Colors and Tracker palettes are open by default. You can choose the main and additional colors on the Colors palette, or you can choose to clone color. For more information, see "Getting Started with Color".

The Tracker palette keeps a visual record of all brush strokes made in the Scratch Pad. You can choose a brush variant from the Tracker palette to use in Corel Painter. Colors and brush strokes selected in the Brush Creator apply to Corel Painter as a whole. For more information, see "Using the Tracker Palette".

The preview grid is located on the left side of the main window on the Randomizer and Transposer pages. It contains a Brush Selector bar, and it displays several variations of brush strokes for the selected brush. You can use these brush strokes as variants to be randomized or transposed. The preview window displays the variant you select.

By increasing the size of the main window, you also make more brush strokes available in the preview grid.

The preview grid.

To open the Brush Creator

•
Press Command + B (Mac OS) or Ctrl + B (Windows).
•
You can also open the Brush Creator by choosing Window menu [image] Show Brush Creator.

To access the Randomizer, Transposer, or Stroke Designer page

1
Choose Window menu [image] Show Brush Creator.
2
Click one of the following tabs:
•
Randomizer
•
Transposer
•
Stroke Designer
•
Throughout the documentation, the steps for accessing these pages are replaced with a direction to go directly to the particular page; for example, “On the Stroke Designer page, click General.”

To resize the preview grid

•
Drag the resize handle at the bottom-right corner of the main window of the Brush Creator.

The Brush Creator Toolbox

 Back to Top

The Brush Creator toolbox contains tools, color selection squares, and access to four content libraries to use in designing brush variants.

The Brush Creator toolbox.

The Brush tool applies brush strokes to the Scratch Pad, just as it applies brush strokes to the canvas in Corel Painter. The Brush tool is selected by default when you open the Brush Creator, and it’s set to the brush you were last using in Corel Painter.

The Rectangular and Oval Selection tools, and the Lasso tool, let you make selections on the Scratch Pad, just as you would in Corel Painter. The Magnifier tool lets you zoom in on areas of the Scratch Pad. The Grabber tool lets you scroll around the Scratch Pad.

The toolbox contains two overlapping squares for selecting a main color and an additional color. Double-click either square to open the Color dialog box and choose a new color.

Four libraries are accessible in the toolbox through the Paper Selector, Gradient Selector, Nozzle Selector, and Pattern Selector.

When creating new brushes, you can test the brush strokes on the Scratch Pad. You can zoom in on and zoom out of specific areas of the Scratch Pad, adjust the brush size, make selections, and clear the Scratch Pad.

To zoom in on the Scratch Pad

1
Do one of the following:
•
Choose the Magnifier tool [image] in the toolbox.
•
Hold down Command + Spacebar (Mac OS) or Ctrl + Spacebar (Windows).
The Magnifier cursor shows a plus sign (+), which indicates that you are increasing magnification (zooming in).
2
Click or drag in the Scratch Pad.

To zoom out of the Scratch Pad

1
Do one of the following:
•
Choose the Magnifier tool, and hold down Option (Mac OS) or Alt (Windows).
•
Hold down Option + Command + Spacebar (Mac OS), or Alt + Ctrl + Spacebar (Windows).
The Magnifier cursor shows a minus sign (-), which indicates that you are decreasing magnification (zooming out).
2
Click in the Scratch Pad.
•
You can also adjust the Scale slider in the lower-right corner of the main window to zoom in and out.

To adjust brush size in the Scratch Pad

•
Adjust the Brush Size slider above the Scratch Pad.

To make a selection in the Scratch Pad

1
In the toolbox, choose the Rectangular Selection, Oval Selection, or Lasso tool [image].
These three selection tools share the same space in the toolbox. Holding down the tool button provides access to the hidden tools.
2
Drag in the document to make your selection.
For more information about making selections, see "Creating Selections".

To clear the Scratch Pad

•
Click Clear.

The Randomizer

 Back to Top

The Randomizer takes the current brush category and variant, creates random settings for them, and displays variants created from these random settings. You can then choose a new randomized variant from the preview grid to use in the application, or you can use one of these new variants to create even more randomized variants.

Randomized brush variants.

To create a random brush variant

1
On the Randomizer page of the Brush Creator, do one of the following:
•
On the Brush Selector bar, choose a brush category and variant.
•
Choose a brush stroke from the preview grid.
Random settings are created according to the default settings.
2
To fine-tune the settings of the randomized variants displayed in the preview grid, adjust the Amount of Randomization slider.
Move the slider to the right to increase randomization; move it to the left to decrease randomization.
3
To create a new set of randomized settings, click the Randomize Current Selection button [image].
•
You can also choose a brush category and variant in the main application before you open the Brush Creator.

The Transposer

 Back to Top

The Transposer creates new brush variants based on a transition from one variant to another. For example, you can choose to combine variants from two categories, such as Pencils and Felt Pens. The Transposer uses the settings from each variant to create new variants.

The Transposer uses two Brush Selector bars, at the top and bottom of the page. The top Brush Selector bar is used to choose the From variant; the bottom one is used to choose the To variant. The Transposer uses these two variants to create a series of new brush strokes.

Transposed brush variants.

To create a transposed brush variant

1
Do one of the following:
•
On the Brush Selector bars at both the top and bottom of the Transposer page, choose a brush category and brush variant.
•
Choose a brush stroke from the preview grid.
This brush variant becomes the next variant to be transposed.
2
Click the Transpose Current Selection button [image].

To choose a new brush variant from the preview window

•
Click a brush stroke in the preview window.
This brush variant becomes the next variant to be transposed.

The Stroke Designer

 Back to Top

The Stroke Designer lets you tweak the various settings for each brush variant to create new brushes. A series of controls, each containing its own settings, can be adjusted on the Stroke Designer page. The Stroke Designer page contains the same controls available in the Brush Control palettes.


Managing Settings and Controls

On this page, you will find information about

•
General Controls
•
Size Controls
•
Spacing Controls
•
Angle Controls
•
Bristle Controls
•
Well Controls
•
Rake Controls
•
Random Controls
•
Mouse Controls
•
Cloning Controls
•
Impasto Controls
•
Image Hose Controls
•
Airbrush Controls
•
Water Controls
•
Liquid Ink Controls
•
Digital Watercolor Controls
•
Artists’ Oils Controls
•
Color Variability Controls
•
Color Expression Controls
•
Expression Settings
•
RealBristle Controls

You can access settings and controls on the Stroke Designer page of the Brush Creator to modify and customize brush variants. Some controls are specific to a brush category, such as Artists’ Oils or Impasto. Other controls and settings are specific to a type of variant. For example, Rake controls are only active when a rake brush variant is selected, regardless of brush category.

General Controls

 Back to Top

Corel Painter provides extensive control over brush properties and dab types. You can also choose how brush strokes interact with existing color in the image. Some General controls work in conjunction with Expression settings. For more information about Expression settings, see "Expression Settings".

Dab Types

Dab types are methods of media application. To produce “computed” brush strokes, Corel Painter uses rendered dab types that are computed during the stroke.

Earlier versions of Corel Painter used “dab-based” media application, in which brushes applied small dots of media to create brush strokes. With Spacing between dabs set small, strokes appear smooth. If you zoom in close enough, you can probably tell that the brush stroke is made up of tiny dabs of color. If you make a rapid brush stroke or set large spacing between dabs, strokes can become trails of dots.

Rendered dab types create continuous, smooth-edged strokes. They’re fast and less prone to artifacts than dab-based media application. In fact, you can’t draw fast enough to leave dabs or dots of color showing in a stroke, because they’re just not there. Rendered dab types allow rich new features that were not possible with dab-based media application.

The Scratchboard Tool variant of the Pen brush category illustrates the smooth stroke that can be accomplished with the Corel Painter rendered Dab Types.

Corel Painter brushes use dab-based or rendered dab types:

Dab-based Dab Type | Description
Circular | Dabs are controlled by the sliders in the Size and Angle areas of the Stroke Designer.
Single-Pixel | Consists of one pixel only. You can’t change its size. You use single-pixel brushes when you zoom in for editing at the pixel level.
Static Bristle | Controlled by the sliders in the Size area of the Stroke Designer. When you select the Static Bristle dab type, the preview grid displays a bristly profile.
Captured | Shapes that you create and capture. Refer to "Capturing Brush Dabs".

A captured dab is for a captured brush. It lets you paint with specific shapes and designs.

Rendered Dab Type
Description
Camel Hair
Creates bristle brushes with circular arrays of bristles. Individual brush hairs can have their own color and can pick up underlying colors independently of the Brush loading option. By increasing color variability in Corel Painter, you can make each hair a separate color. For more information, see "Setting Color Variability".
The Feature slider in the Size area separates bristles. The higher the setting, the farther apart hairs appear. Using a low setting makes the strokes more solid. For more information about the Size controls, see "Size Controls".
Flat
Creates flat brushes, like those used to apply paint to houses or walls. Brushes that use Flat dabs respond to bearing, allowing for flat or narrow strokes, depending on how the stylus is held. Flat dabs are always perpendicular to the shaft of the stylus.
The Feature setting in the Size area separates bristles.
Palette Knife
Creates brushes that are the opposite of Flat dab brushes. With resaturation set low, you can use these brushes to scrape, push, pick up, or rapidly drag colors along. Palette Knife dabs are always parallel to the shaft of the stylus.
The Feature setting in the Size area separates bristles.
Bristle Spray
Creates brushes that can use airbrush controls. These brushes recognize tilt, which separates bristles on the opposite side of the tilt. Holding down Option + Shift (Mac OS) or Alt + Shift (Windows) reverses the spray direction when you paint.
By adjusting the Feature slider in the Size area, you can separate bristles.
Airbrush
Creates brushes that act like airbrushes. Bearing (direction) and angle (tilt) affect the eccentricity of the resulting conic section. The Feature slider in the Size area controls the size of the individual droplets of media. Setting the Feature slider too high might produce undesirable artifacts.
By holding down Option + Shift (Mac OS), or Alt + Shift (Windows), you can reverse the spray direction when you paint.
Pixel Airbrush
Creates brushes that work like airbrushes. Brushes that use Pixel Airbrush dabs cannot use the Feature slider to control the size of individual droplets of media. Holding down Option + Shift (Mac OS) or Alt + Shift (Windows) when painting reverses the spray direction.
Line Airbrush
Creates brushes that work like airbrushes. Brushes that use Line Airbrush dabs spray lines instead of droplets of media. By holding down Option + Shift (Mac OS), or Alt + Shift (Windows), you can reverse the spray direction when you paint.
Projected
Creates brushes that act like airbrushes. Brushes created with Projected dabs work similarly to the airbrush from previous versions of the application, but react to bearing and angle data. They create conic sections with an overall softness. By holding down Option + Shift (Mac OS), or Alt + Shift (Windows), you can reverse the spray direction when you paint.
Rendered
Creates brushes that conform the source to a stroke. Use the Source pop-up menu to control what is mapped into the computed brush strokes. For more information, see "Source, Opacity, and Grain Settings".

The effects of Feature on the stroke.

•
Liquid Ink dabs create liquid paint effects that simulate traditional ink-based media. You can give a Liquid Ink brush stroke the appearance of height by applying lighting effects. There are five types of Liquid Ink dab types: Liquid Ink Camel Hair, Liquid Ink Flat, Liquid Ink Palette Knife, Liquid Ink Bristle Spray, and Liquid Ink Airbrush.
•
Watercolor dabs create brushes that work like watercolor brushes. The colors flow and mix and absorb into the paper. You can control the wetness and evaporation rate of the paper. There are five types of Watercolor dab types: Watercolor Camel Hair, Watercolor Flat, Watercolor Palette Knife, Watercolor Bristle Spray, and Watercolor Airbrush.
•
Artists’ Oil dabs produce brushes that work like real-world, high quality oil brushes.

To choose a dab type

1
On the Stroke Designer page of the Brush Creator, click General.
2
Choose a dab type from the Dab Type pop-up menu.
Stroke Types

Stroke type determines how media is applied during a brush stroke. Corel Painter brushes use one of the following stroke types. Some stroke types may be grayed out depending on the currently selected brush variant and dab type.

•
The Single stroke type draws one dab path that corresponds exactly to your brush stroke.
You can use Static Bristle, Captured, or one of the bristly rendered dab types (such as Camel Hair) with the Single stroke type to create the effect of multiple bristles.

The Single stroke type has one dab path.

•
The Multi stroke type draws a set of randomly distributed dab paths, positioned around the brush stroke you make. These dabs leave dab paths that are not parallel and might overlap. The Multi stroke type may produce different results each time you use it.
Increasing the Jitter value in the Random area spreads out the strokes in a multi-stroke brush.
Multi-stroke brushes must be precomputed, which can generate a delay in their appearance on the screen. Because of this delay, multi-stroke brushes work best when you apply them in short, controlled strokes.

The Multi stroke type draws a set of randomly distributed dab paths.

•
The Rake stroke type draws a set of evenly distributed dab paths. The several dab paths in a rake brush stroke are parallel. You can control all other aspects of the stroke by using settings in the Rake area of the Stroke Designer.
Each bristle in a Rake brush can have a different color. Increasing Color Variability in Corel Painter causes bristles to be colored differently.

A rake stroke is composed of evenly distributed dab paths.

•
The Hose stroke type applies only to the Image Hose. It’s a single stroke composed of the current Image Hose Nozzle file. To learn more about the Image Hose and Nozzle files, refer to "Image Hose".

The Hose stroke type uses the current Nozzle file as media.

To choose a stroke type

1
On the Stroke Designer page of the Brush Creator, click General.
2
Choose a stroke type from the Stroke Type pop-up menu.
Methods and Subcategories

The brush method defines the most basic level of brush behavior and is the foundation on which all other brush variables build. You can think of the method and method subcategory as attributes of the stroke’s appearance.

Because the method sets a brush variant’s most basic behavior, you can alter a variant’s behavior by changing its method. For example, suppose you want a stroke that looks like Charcoal, but instead of hiding underlying strokes, you want the brush strokes to build to black. You can get this effect by changing the method to Buildup. Perhaps you want a variant of the Pens brush category to smear underlying colors. You can change its method from Cover to Drip. Some brush effects are less easily affected by other methods, and results may differ.

Each method can have several variations, called method subcategories. These subcategories further refine the brush behavior. The following terms are used in describing most method subcategories:

•
Soft methods produce strokes with feathered edges.
•
Flat methods produce hard, aliased strokes with pixelated edges.
•
Hard methods produce smooth strokes.
•
Grainy methods produce brush strokes that react to paper texture.
•
The words “edge” and “variable” are sometimes used to describe a method subcategory. “Edge” means that strokes are thick and sticky-looking. “Variable” means that a brush stroke is affected by tilt and direction.

Combining a method with a method subcategory results in a specific brush style that you can assign to a given brush. For example, Grainy Hard Cover brush strokes interact with paper grain and are semi–anti-aliased so that they hide underlying pixels. Grainy Hard Cover is the default method for Chalk and Charcoal.

Grainy Hard Buildup was used to create the brush stroke on top. Soft Variable Buildup was used to create the stroke on the bottom.

Corel Painter supplies the following methods:

•
Buildup
•
Cover
•
Eraser
•
Drip
•
Mask (Cover)
•
Cloning
•
Wet
•
Digital Wet
•
Plug-in

The Buildup methods produce brush strokes that build toward black as you overlay them. A real-world example of buildup is the felt pen: scribble on the page with blue, then scribble on top of that with green, and then red. The scribbled area keeps getting darker, approaching black. Even if you were to apply a bright color like yellow, you couldn’t lighten the scribble — it would stay dark. Crayons and Felt Pens are buildup brushes.

An example of the Buildup method.

The Cover methods produce brush strokes that cover underlying strokes, as oil paint does in a traditional art studio. No matter what colors you use, you can always apply a layer of paint that completely hides what’s underneath. Even with a black background, a thick layer of yellow remains pure yellow. Some Chalk and Pen variants are examples of brushes that use the Cover method.

An example of the Cover method.

The Eraser methods erase, lighten, darken, or smear the underlying colors.

An example of the Eraser method.

The Drip methods interact with the underlying colors to distort the image.

An example of the Drip method.

You do not normally need to use the Mask method, because the masking capabilities of Corel Painter are provided by the Cover method. The Mask method is provided only for compatibility with earlier versions of the application.

The Cloning methods take images from a clone source and re-create them in another location, often rendering them in a Natural-Media style. For more information about cloning images, refer to "Cloning Images".

The image on the left was created with a brush that used the image on the right as the clone source.

Plug-in is a special category of method subcategories. It defines no specific brush behavior, but is an open door to a wide range of subcategories.

It’s well worth your time to browse through the Plug-in method subcategories. There, you’ll find methods such as Left Twirl, which gives you a brush with the dab and stroke of an Impressionist performing left-handed twirls.

You can give any built-in brush the power of a plug-in by changing its method and subcategory.

The Wet method applies brush strokes to a Watercolor layer. For more information, see "Working with the Watercolor Layer".

The Digital Wet method applies digital watercolor brush strokes to the canvas or a regular layer. For more information, see "Working with Digital Watercolor".

To choose a method and subcategory

1
On the Stroke Designer page of the Brush Creator, click General.
2
Choose a method from the Method pop-up menu.
3
Choose a subcategory from the Subcategory pop-up menu.
Source, Opacity, and Grain Settings

The Source setting specifies the media that is applied by the brush variant. Source applies only to some dab types, such as Line Airbrush, Projected, and Rendered. Refer to "Painting with Color" for more information about setting a media source.

Corel Painter brushes use one of the following source types:

•
Color applies primary or secondary color.
•
Gradient applies the current gradient across the length of the stroke.
•
Gradient Repeat applies the current gradient repeatedly along the stroke.
•
Pattern paints with a pattern containing no mask information.
•
Pattern With Mask paints with a pattern limited by the pattern’s mask.
•
Pattern As Opacity paints a pattern in which the luminance of the pattern becomes the opacity of the stroke.

The Opacity slider determines how Corel Painter should vary the density of the media being applied. It sets the maximum opacity of the selected brush. The opacity of an Airbrush variant is often set to be determined by stylus pressure. Heavier pressure produces more opaque strokes. You can use the Expressions settings on the Stroke Designer page to link opacity to stylus or mouse data.

The Grain slider determines the maximum amount of paper texture that Corel Painter should reveal in a brush stroke. Some default variants have their grain component determined by pressure. Increasing pressure causes the pencil to “dig into” the paper. You can use the Expressions settings on the Stroke Designer page to link grain to stylus or mouse data. You can also use the paper’s brightness and contrast settings to control brush–grain interaction. For more information, see "Using Paper Texture".

To choose a media source

1
On the Stroke Designer page of the Brush Creator, click General.
2
Choose a source from the Source pop-up menu.

To set brush opacity

1
On the Stroke Designer page of the Brush Creator, click General.
2
Move the Opacity slider to the left to reduce opacity, or to the right to increase opacity.

To set grain

1
On the Stroke Designer page of the Brush Creator, click General.
2
Move the Grain slider to the left to reduce the penetration into the grain. Move it to the right to increase the penetration.

Size Controls

 Back to Top

The Size brush feature determines how Corel Painter varies the width of the brush stroke. The range from minimum to maximum is determined by Size and Min Size sliders in the Size area of the Stroke Designer page. Some Size controls work in conjunction with Expression settings. For more information about Expression settings, see "Expression Settings".

The Brush Dab Preview Window in the Size area of the Stroke Designer page shows how your changes affect the brush dab. Clicking in this preview window lets you toggle between “hard” and “soft” views of the dab. The Preview supports only hard and soft views of dab based brushes.

Click in the preview window to toggle between “hard” (left) and “soft” (right) views.

In the hard view, concentric circles show the minimum and maximum sizes of a brush. The inner (black) circle shows the minimum dab width. The outer (gray) circle shows the maximum dab width. Remember that some brushes vary the line width based on pressure or stroke speed. The difference between the diameter of the two circles shows the range in which the stroke width can vary.

In the soft view, shading shows the density distribution of the brush tip. The density distribution describes how much of the medium is conveyed by a given point on the brush dab. For example, an individual dab made by an airbrush produces a soft-edged circular mark with minimum density at the outer edge of the dab. Density increases inward to a maximum value at the exact center of the dab. The soft view cannot be used for the Image Hose or rendered dab types.

Brush Tip Profiles

The brush tip, or “profile,” shows a cross-section of density distribution across the diameter of the dab. You can think of a brush tip profile as a bell-curve graph representing the density spread across the brush dab.

Different media have different density distributions. Changes in the density distribution produce different marking qualities in a brush stroke. For rendered airbrush dab types, the tip profile controls the concentration of the spray.

Each Corel Painter brush uses one of the following brush tip profiles.

Profile | Description
Pointed Profile | Provides maximum density at the center, with rapid falloff to the edge.
Medium Profile | Has a wide area of greater density at the center, with rapid falloff to the edge.
Linear Profile | Provides maximum density at the center, with even falloff to the edge.
Dull Profile | Provides maximum density at the center, with high density weighting to the edge.
Watercolor Profile | Provides maximum density at the outer edge in a ringlike fashion, with medium internal density. This tip may be used with the rendered dab types to yield a hollow dab or a spray concentration.
1-Pixel Edge | 1-Pixel Edge provides maximum density throughout, with rapid falloff at the edge, producing a 1-pixel, anti-aliased edge.

Artists’ Oils Brush Tip Profiles

There are six brush tips designed specifically for Artists’ Oils brushes. You can also use any brush tip, listed in the table above, with Artists’ Oils brushes.

Artists’ Oils Profile | Description
Soft Round | Provides maximum density throughout, with rapid falloff at the edge.
Pointed Rake | Provides a range of bristle lengths, with bristles longer in the center and tapering in length toward the edge.
Flat Rake | Provides a range of bristle lengths and maximum density throughout, producing pronounced, even bristling.
Flat | Designed for Artists’ Oils palette knives, it provides maximum density throughout, with rapid falloff at the edge.
Chisel | Designed for Artists’ Oils palette knives, its maximum density is off-center, with uneven falloff.
Wedge | Designed for Artists’ Oils palette knives, it provides maximum density at one edge, with consistent falloff to the other edge.

To choose a brush tip

1
On the Stroke Designer page of the Brush Creator, click Size.
2
Click the brush tip profile that you want to use.
Stroke Size

The Size slider controls the width of the brush and the brush stroke. As Size changes, you may need to adjust the Spacing controls for brushes that use nonrendered or dab-based dab types to prevent gaps from appearing in the stroke.

The Size slider controls the width of the brush.

In your studio, you expect the pressure you exert on a brush or drawing tool to make a difference in the width of the resulting brush stroke. The Min Size control allows you to create a brush stroke that is amazingly realistic. You can set up a brush that responds to the elegance of subtle hand movements. As stylus pressure eases, brush strokes taper. As pressure increases, brush strokes widen, just as they would with a real brush.

Min Size represents the smallest stroke size for the selected brush and is expressed as a percentage of the Size setting. Knowing that Size sets the largest stroke size and that Min Size sets the smallest stroke size (in relationship to the Size setting), you can easily control the overall variation in stroke size.

The minimum and maximum sizes of a stroke can be linked to stylus settings, such as pressure or velocity. The small black circle shows the minimum stroke size, and the gray circle shows the maximum stroke size.

The Size Step slider controls the transition between narrow and wide sections of a stroke. Moving the slider to the right makes the transition appear more abrupt. Moving it to the left makes the transition smoother. Size step is applicable only to dab-based brushes.

The Size Step slider controls the transition between the narrow and wide sections of a stroke. Settings shown are 1% (top) and 100% (bottom).

For brushes that use rendered dab types, the Feature slider determines the size of the dabs of paint applied.

To set brush size in the Stroke Designer

1
On the Stroke Designer page of the Brush Creator, click Size.
2
Move the Size slider to the right to make the brush larger, or to the left to make it smaller.
•
You don’t need to open the Size area of the Stroke Designer page to adjust the size of a brush. You can type a value in the Size box on the property bar, or you can adjust the slider on the property bar. For more information on the property bar, see "Property Bar Basics".
•
You can also press the square brackets, ( [ or ] ), to decrease and increase the brush size according to the value specified in General Preferences. For more information, see "General Preferences".

To use the brush sizing shortcut

1
Hold down Command + Option (Mac OS) or Ctrl + Alt (Windows), and drag in the image window.
A circle that represents the brush diameter appears beneath the cursor.
2
When you’ve dragged the circle to the size you want, release the mouse button.

The brush sizing shortcut lets you use keyboard commands to adjust the brush size in the document window.

To set minimum stroke size

1
On the Stroke Designer page of the Brush Creator, click Size.
2
Move the Min Size slider to the right to increase the minimum brush size. Move it to the left to decrease the minimum brush size.

To set stroke transition

1
On the Stroke Designer page of the Brush Creator, click Size.
2
Move the Size Step slider to the right to increase the transition between brush sizes. Move it to the left to make the transitions smaller.

Spacing Controls

 Back to Top

When a brush stroke uses a dab-based dab type, Corel Painter creates the stroke with a series of dabs. By adjusting the spacing between those dabs, you can control the continuity of the brush stroke.

The Spacing slider controls the distance between brush dabs in a stroke. The Min Spacing slider specifies the minimum number of pixels between dabs. If you don’t want a continuous stroke, you can adjust the Min Spacing to create a dotted or dashed line. Each dot or dash represents one brush dab.

The Min Spacing slider controls the minimum number of pixels between dabs. Settings shown are 2.0 (top) and 10.5 (bottom).

Damping is used to smooth otherwise jagged brush strokes for brushes using rendered dab types. Higher values make the stroke smoother. (Damping suspends a stroke in a mathematical spring area by using calculations to even out edges and reduce jaggedness.)

High values of Damping round out corners of a stroke. A value of 50% works best. Higher values might be necessary for jittery input devices such as a mouse.

Continuous Time Deposition controls whether you must move a brush before a medium is applied. With Continuous Time Deposition enabled, the medium begins flowing at the first touch.

Brushes that use rendered dab types take full advantage of this setting, causing the medium to pool realistically when the stroke is slowed or paused. Brushes that use dab-based dab types require a full pause in the stroke before the medium begins to pool. You use Continuous Time Deposition mostly with airbrush tools.

With Continuous Time Deposition disabled, you must move a brush before the medium flows.

Cubic Interpolation smooths jagged brush strokes by adding points to dab paths, primarily for brushes that use dab-based dab types. Unlike Damping, which uses mathematical calculations to smooth jagged edges, Cubic Interpolation inserts additional points into dab paths, which are used to replot brush strokes.

Cubic Interpolation is best for dab-based dab types, while Damping is best for rendered dab types.

To set spacing between brush dabs

1
On the Stroke Designer page of the Brush Creator, click Spacing.
2
Do one of the following:
•
To increase the spacing between dabs, move the Spacing slider to the right bringing it closer to the size of the dab itself.
When the Spacing slider is at 100%, the size of the dab equals the spacing. For example, a dab that is 10 pixels across is repeated every 10 pixels.
•
To decrease the distance between dabs, move the Spacing slider to the left until the dabs begin to overlap.
Overlapping increases the density of the stroke and makes it look more continuous.

To set minimum dab spacing

1
On the Stroke Designer page of the Brush Creator, click Spacing.
2
Move the Min Spacing slider to the right to increase the minimum spacing between dabs. Move it to the left to decrease the minimum spacing between dabs.

To set smooth rendered dab strokes

1
On the Stroke Designer page of the Brush Creator, click Spacing.
2
Move the Damping slider to the right to even out jagged strokes. Move it to the left to allow for more ragged transitions between points on the stroke.

To set Continuous Time Deposition

1
On the Stroke Designer page of the Brush Creator, click Spacing.
2
Enable the Continuous Time Deposition check box.

To set smooth strokes by adding path points

1
On the Stroke Designer page of the Brush Creator, click Spacing.
2
Move the Points slider to the right to add points and even out jagged strokes. Move it to the left to decrease the number of additional points.

Angle Controls

 Back to Top

Corel Painter gives you extensive control over brush shape. Some Angle controls work in conjunction with Expression settings. For more information about Expression settings, see "Expression Settings".

The Squeeze slider controls the shape of the brush dab. Squeezing a brush changes it from round to elliptical. You use Squeeze controls with Circular and Captured dab types.

The Squeeze slider controls the shape of the brush dab. Settings shown are 100% (left) and 25% (right).

Examples of Squeeze used to create a Calligraphy effect with a Pen brush.

The Angle slider controls the angle of an elliptical brush dab and the length of the ellipse. You use Angle controls with Circular and Captured dab types.

The Angle slider controls the angle of an elliptical brush dab. It is significant only for dabs with Squeeze settings under 100%. Angle settings shown are 90° (top) and 45° (bottom).

For dab-based brushes, the Ang Range slider lets you specify a range of dab angles that may appear in a brush stroke. To take advantage of this feature, you must use the Expression settings on the Stroke Designer page to base the angle on some factor, such as stroke direction or bearing.

The Ang Range slider controls the range of dab angles that can appear in a brush stroke. Settings shown are 0° (left) and 180° (right).

For dab-based brushes, the Ang Step slider controls the increment of change for brushes with an Ang Range setting greater than 0°. For example, setting the Ang Step to 5° produces a brush dab every 5° within the current Ang Range setting.

The Ang Step slider controls the increment of change for brushes with an Ang Range setting greater than 0°. Settings shown are 0° (left) and 90° (right).

To set brush shape

1
On the Stroke Designer page of the Brush Creator, click Angle.
2
Move the Squeeze slider to the left to make the Brush dab more elliptical. Move it to the right to make it rounder.

To set elliptical brush dab angle

1
On the Stroke Designer page of the Brush Creator, click Angle.
2
Move the Angle slider to the right to rotate the dab counterclockwise. Move the slider to the left to rotate the brush clockwise.

To set brush dab angle range

1
On the Stroke Designer page of the Brush Creator, click Angle.
2
Move the Ang Range slider to the right to increase the range of angles that can appear in a dab. Move the slider to the left to reduce the range of angles that can appear in a stroke.
Setting this slider to 360° allows for any angle in your stroke.

To set brush angle increment

1
On the Stroke Designer page of the Brush Creator, click Angle.
2
Move the Ang Step slider to the right to produce fewer angles between dabs. Move it to the left to create more angles between dabs.

Bristle Controls

 Back to Top

Bristles create the look of a real brush stroke, complete with the striations that hairs on a real brush make. Use the controls in the Bristle area of the Stroke Designer page to design the many individual bristles in a single brush dab.

The best place to see the effect of the Bristle sliders is on the Brush Control palettes. If you open the Bristle and Size sections, you can click in the preview window of the Size section to show the “soft” view of the dab. The bristled dab changes as you move bristle control sliders in the Bristle section. For more information about Size controls, see "Size Controls".

If you choose Rake as the stroke type, you can adjust brush scale and contact angle in the Rake area of the Stroke Designer page. For more information on the Rake controls, refer to "Rake Controls".

The Thickness slider controls the diameter of separate bristles.

The Thickness slider controls the diameter of the individual bristles. Settings shown are 17% (left) and 87% (right).

The Clumpiness slider applies a random variance to the thickness of each bristle, which makes some of the bristles look like they are clumping together. Clumpiness is proportional to Thickness.

The Clumpiness slider controls how bristles “clump together.” Settings shown are 0% (left) and 100% (right).

The Hair Scale slider controls the density of bristles in the brush dab and, therefore, the number of bristles in the dab.

The Hair Scale slider controls the density of bristles in the brush dab. Settings shown are 410% (top) and 990% (bottom).

The Scale/Size slider controls the degree of Size variation applied to the bristles of a brush. At 0%, there is no size change applied to the bristles. Setting this slider to a value greater than 0% creates a set of scaled iterations of the dab.

The Scale/Size slider controls the degree of Size variation applied to a bristle set. Settings shown are 0% (top) and 100% (bottom).

At a Scale/Size setting of 100%, when the brush size changes, the bristles scale in proportion to the size. At a Scale/Size setting of 8%, when the brush size changes, the bristles remain a constant absolute size. The Scale/Size control is invalid if a size range is not specified (that is, if Size Min is set to 100%).

To set bristle thickness

1
On the Stroke Designer page of the Brush Creator, click Bristle.

2
Move the Thickness slider to the left to reduce the density of the medium left by the stroke. Move it to the right to increase brush density.
When the slider is moved fully to the left, the brush will leave a faint stroke — even if Opacity is set to 100%.

To set clumping of bristles

1
On the Stroke Designer page of the Brush Creator, click Bristle.
2
Move the Clumpiness slider to the left to reduce bristle clumping. Move it to the right to increase bristle clumping.

To set bristle density

1
On the Stroke Designer page of the Brush Creator, click Bristle.
2
Move the Hair Scale slider to the left to reduce the amount of bristle density and create a fine-hair brush. Move it to the right to increase density.

To scale bristles according to brush size

1
On the Stroke Designer page of the Brush Creator, click Bristle.
2
Move the Scale/Size slider to the left to reduce the degree of size variation. Move it to the right to increase size variation.

Well Controls

 Back to Top

The Well controls determine how a brush conveys its medium (color) to the paper. The Resaturation, Bleed, and Dryout controls work together to determine how much color a brush has at the start and finish of a stroke. Some Well controls work in conjunction with Expression settings. For more information about Expression settings, see "Expression Settings".

Brush Loading affects how dab-based brushes interact with underlying pixels. When Brush Loading is active, brushes can literally “pick up” existing colors, hair by hair. This capability offers truer color interaction, astounding color-variations, smearing, and better cloning results. For more information about dab-based brushes, see "Dab Types".

When Brush Loading is not active, brushes interact with previously applied colors by sampling underlying pixels and then loading the brush with one new color — the average of those colors that were sampled. When you use Brush Loading, it’s best to use a very low setting for spacing. For more information about spacing controls, see "Spacing Controls".

The Resaturation slider controls the amount of color that is replenished in a stroke. If it is set at zero, the brush does not produce any color. When Resaturation is less than 10% (and Bleed is less), a brush stroke fades in gently. When the Resaturation slider is set at zero and Bleed is set high, an airbrush can move underlying colors, as when just the airbrush hose is used to blow paint around on the canvas.

The Bleed slider controls how much the brush colors smear underlying colors, including the paper color. When Bleed is higher than resaturation, more color bleeds than covers, so the stroke never reaches full Opacity.

The Bleed slider controls the amount of underlying color mixed in with the selected color. Settings shown are 55% (left) and 1% (right).

The Resaturation slider controls the amount of color replenished in the stroke. Settings shown are 25% (top) and 100% (bottom).

The Dryout control determines how quickly a brush runs out of medium. Dryout is measured in pixels. Moving the slider to the left causes a brush’s reservoir empty more quickly. This can produce brush strokes that fade out gently. If Dryout is set high, the brush never runs out of color.

Dryout works in conjunction with Bleed, so Bleed must be set above zero if you want to take advantage of Dryout. You can modulate the Dryout effect by changing the Bleed setting.

The Dryout slider controls how fast the brush runs out of medium. Settings shown are 724 (left) and 22026 (right).

To set resaturation

1
On the Stroke Designer page of the Brush Creator, click Well.
2
Move the Resaturation slider to the left to reduce the amount of color replenished in a stroke. Move it to the right to increase the amount of color.

To set color bleed

1
On the Stroke Designer page of the Brush Creator, click Well.
2
Move the Bleed slider to the left to reduce the amount of interaction with underlying pixels. Move it to the right to increase the interaction.

To set brush dryout

1
On the Stroke Designer page of the Brush Creator, click Well.
2
Move the Dryout slider to the left to shorten the distance the brush can move before it dries out. Move it to the right to lengthen the distance.

Rake Controls

 Back to Top

The Rake controls lets you control the sophisticated features of a Rake stroke, which maintains the angle of the brush head as the stroke changes direction. As the brush turns, bristles come in and out of contact with the painting surface.

The Contact Ang slider adjusts how much of the brush touches the painting surface — in other words, the number of rake “tines” that touch the canvas at once.

The Contact Ang controls determine how much of the brush contacts the painting surface. Settings shown are 180° (left), 125° (middle), and right=0° (right), with a Brush Scale setting of 450%.

Brush Scale controls the spacing between individual bristles that compose the Rake. The size of each dab is determined in the Size area of the Stroke Designer page. For more information, see "Spacing Controls".

Brush Scale controls the spacing between individual dabs in the rake. Higher Brush Scale settings spread the dabs. Settings shown are 2500% (left) and 0% (right).

When you turn a real brush to paint a curve, bristles at the edges move in and out of contact with the painting surface, depending on the brush’s location on the curve (inside or outside). Turn Amount simulates this bristle displacement.

The Turn Amount slider controls the displacement of inside and outside bristles. Settings shown are 0% (left) and 150% (right).

The Bristle controls set the number of bristles or dabs used for Multi and Rake stroke types.

The Spread Bristles control dynamically adjusts brush scale on the basis of pressure. The harder you press, the more the brush fans out.

Spread Bristles controls the spacing of bristles, based on stylus pressure. The harder you press, the more the bristles spread. If you want the spread constant, disable this option. Enabled (left) and disabled (right) settings are shown.

Soften Bristle Edge makes a brush’s outer dabs semitransparent. This option is particularly effective when used with Turn Amount.

Soften Bristle Edge turns the outer dabs semitransparent. Disabled (left) and enabled (right) settings are shown.

To set brush contact angle

1
On the Stroke Designer page of the Brush Creator, click Rake.
2
Move the Contact Ang slider to the left to create a low contact angle (few of the dabs are in contact with the paper). Move the slider all the way to the right to create a high contact angle (all of the dabs are in contact with the paper).

To set brush scale

1
On the Stroke Designer page of the Brush Creator, click Rake.
2
Do one of the following:
•
To bring the scale closer to equaling the dab width, move the Brush Scale slider to the right. When the scale is 100%, the stroke width equals the dab width multiplied by the number of dabs.
•
To cause dabs to overlap, move the Brush Scale slider to the left. When the scale is less than 100%, the dabs overlap. Overlapping dabs create a natural, subtle stroke when used with Turn Amount and Soften Bristle Edge.

To set bristle displacement

1
On the Stroke Designer page of the Brush Creator, click Rake.
2
Do one of the following:
•
To increase the degree to which the displacement changes are based on the direction of the brush, move the Turn Amount slider to the right.
•
To decrease the degree to which the displacement changes are based on the direction of the brush, move the Turn Amount slider to the left.

To set bristle number

1
On the Stroke Designer page of the Brush Creator, click Rake.
2
Move the Bristle slider to the right to increase, or to the left to decrease, the number of bristles in the brush.

To set bristle spacing

1
On the Stroke Designer page of the Brush Creator, click Rake.
2
Enable the Spread Bristles check box.

To soften bristle edge

1
On the Stroke Designer page of the Brush Creator, click Rake.
2
Enable the Soften Bristle Edge check box.

Random Controls

 Back to Top

Corel Painter uses randomness to introduce an “accidental” quality in color and stroke. Randomness contributes to the appealing, unique look of artwork created in Corel Painter. You can control brush randomness with settings in the Random area of the Stroke Designer page. Some Random controls work in conjunction with Expression settings. For more information about Expression settings, see "Expression Settings".

The Jitter control introduces a randomized jitter to the brush stroke. Instead of appearing directly along the stroke, dabs appear randomly outside the brush stroke path.

The Jitter slider creates a randomized jitter in the brush stroke. Settings shown are 0 (top) and 3.13 (bottom).

Both Clone Location sliders work with brushes of the Cloning method. The Variability control lets you randomly offset the location where the clone brush samples the source. When Variability is set at zero, the pixels of the source and destination images correspond precisely — using a cover brush at full Opacity (and no Grain) simply re-creates the source image.

The Variability slider controls the offset of the clone based on the location of the source image. Settings shown are 0 (top) and 12 (bottom).

Introducing a degree of randomness disturbs the pixel-to-pixel correspondence. The resultant variations in the image distance the clone from its photographic source, which can contribute to a Natural-Media appearance.

The How Often slider controls the period between random offsets.

Normally, when you make a brush stroke, the paper grain is fixed. Strokes repeated over an area bring out the same grain. The Random Brush Stroke Grain option randomly moves the paper grain for each dab of each stroke.

The Random Brush Stroke Grain option randomly moves the paper grain for each stroke. Disabled (top) and enabled (bottom) settings are shown.

Random Clone Source randomly samples the source document and then places strokes on the clone destination. There is no correspondence between the samples taken from the source and where they are placed on the clone. The result is a random pattern of the predominant colors and edges of the source. The brush and stroke determine the nature of the pattern.

You might use Random Clone Source with a faint stipple brush to add “noise” to an image. In this case, the clone source image merely contains the “noise” colors you wish to add.

The Random Clone Source option randomly samples the source document. Disabled (left) and enabled (right) settings are shown.

To set Jitter

1
On the Stroke Designer page of the Brush Creator, click Random.
2
Move the Jitter slider to the left to decrease deviation from the stroke path, or to the right to increase the deviation.

To set clone location variability

1
On the Stroke Designer page of the Brush Creator, click Random.
2
Do one of the following:
•
To increase the range (distance) that the sample can be offset, move the Clone Location Variability slider to the right.
•
To limit offset so that source and destination images correspond more precisely, move the Clone Location Variability slider to the left.
•
Clone location sliders have no effect when Clone Color is enabled in the Colors palette. They have an effect only when a Clone method is used.

To set the period between random offsets

1
On the Stroke Designer page of the Brush Creator, click Random.
2
Do one of the following:
•
To offset a greater number of samples and give the clone image a rough, distorted look, move the How Often slider to the left.
•
To offset samples less frequently and keep the clone image more coherent, move the How Often slider to the right.

The How Often slider controls the period between random offsets. Settings shown are 0 (top) and 15 (bottom).

To choose the Random Brush Stroke Grain option

1
On the Stroke Designer page of the Brush Creator, click Random.
2
Enable the Random Brush Stroke Grain check box.

To choose the Random Clone Source option

1
On the Stroke Designer page of the Brush Creator, click Random.
2
Enable the Random Clone Source check box.

Mouse Controls

 Back to Top

In theory, a mouse has no pressure information. A mouse button is either “on” (button down), or “off” (button up). The Corel Painter Mouse controls let you simulate the following stylus settings: Pressure (how hard you would be pressing with a stylus), Tilt (how close to vertical the stylus is held), Bearing (the compass direction in which the stylus is pointing), and Wheel (how much ink is sprayed).

You can record and save brush strokes created with a stylus and then have Corel Painter use the saved settings for the stroke when you switch to a mouse. Refer to "Recording and Playing Back Strokes" for more information about using saved brush strokes to further enhance mouse functionality.

To set pressure for the mouse

1
On the Stroke Designer page of the Brush Creator, click Mouse.
2
Drag the Pressure slider.
A 100% setting uses maximum pressure.

To set tilt for the mouse

1
On the Stroke Designer page of the Brush Creator, click Mouse.
2
Drag the Tilt slider.
A 90º setting indicates that if a stylus were in use, it would be perpendicular to the tablet.

To set bearing for the mouse

1
On the Stroke Designer page of the Brush Creator, click Mouse.
2
Drag the Bearing slider.
A setting of zero indicates that if a stylus were in use, it would be pointing left.

To set ink flow for the mouse

1
On the Stroke Designer page of the Brush Creator, click Mouse.
2
Drag the Wheel slider.
A setting of 100% indicates that maximum flow is in effect.

Cloning Controls

 Back to Top

The Cloning controls are specific to cloning method brushes and affect other brushes only when the Clone Color option is enabled.

The Clone Color control directs a brush to pick up color from a source image. Clone Color takes averaged samples of color from the clone source, resulting in an approximation of the original. The Clone Color option is also available on the Colors palette. For more information, see "Cloning Color".

The Clone Type control lets you choose between several cloning variations. These variations are arranged according to the number of reference points used. With two or more reference points, you can apply a transformation (rotate, skew, scale mirror, perspective) during cloning. For complete information on using the different clone types, refer to "Cloning Images".

The Obey Source Selection option uses any selection in the clone source region to constrain painting in the destination. If a transform Clone Type is used, the selection is appropriately transformed. This option is available only with the Cloning method.

When Copy Source Selection is enabled, the Cloner brush reproduces the source selection information in the destination selection. This option is available only with the Cloning method.

With the 4-Point Tiling option enabled, your clone source is tiled in a repeating pattern.

To set Clone Color

1
On the Stroke Designer page of the Brush Creator, click Cloning.
2
Enable the Clone Color check box.

To set Clone Type

1
On the Stroke Designer page of the Brush Creator, click Cloning.
2
Choose a type from the Clone Type pop-up menu.

To constrain painting in the destination

1
On the Stroke Designer page of the Brush Creator, click Cloning.
2
Enable the Obey Source Selection check box.

To reproduce the source selection information in the destination selection

1
On the Stroke Designer page of the Brush Creator, click Cloning.
2
Click the Copy Source Selection check box to enable or disable the option.

To tile clone source

1
On the Stroke Designer page of the Brush Creator, click Cloning.
2
Enable the 4-Point Tiling check box.

Impasto Controls

 Back to Top

Impasto controls let you create brush variants that give the illusion of depth. For more information about Impasto techniques, see "Impasto".

Some Impasto controls work in conjunction with Expression settings. For more information about Expression settings, see "Expression Settings".

There are three Impasto Drawing Methods: Color, which applies only color, Depth, which applies only depth, and Color and Depth, which applies both color and depth to the image.

The Depth Methods in Corel Painter use the luminance information in the control medium to determine how much depth is applied within a stroke. You can use the Invert and Negative Depth options to affect the stroke’s appearance. For more information on Depth methods, see "Setting Depth Method".

The Depth slider determines how much depth is applied to Impasto brush strokes. When you set Depth Expression to Pressure and the Invert option is enabled, less depth is applied as you press harder, just as it would if you were using a real brush. For more information on painting with depth, see "Creating an Impasto Effect".

Smoothing controls the transition of the texture applied to a stroke.

Plow controls the degree to which a stroke interacts with other Impasto brush strokes. In essence, your brush stroke “plows” through existing strokes.

To choose a drawing method

1
On the Stroke Designer page of the Brush Creator, click Impasto.
2
Choose a drawing method from the Draw To pop-up menu.

To choose a depth method

1
On the Stroke Designer page of the Brush Creator, click Impasto.
2
Choose a depth method from the Depth Method pop-up menu.

To invert a depth method

1
On the Stroke Designer page of the Brush Creator, click Impasto.
2
Enable the Invert check box.

To choose the Negative Depth option

1
On the Stroke Designer page of the Brush Creator, click Impasto.
2
Enable the Negative Depth check box.

To set depth

1
On the Stroke Designer page of the Brush Creator, click Impasto.
2
Drag the Depth slider to the right to increase depth, or to the left to decrease it.

To set Smoothing

1
On the Stroke Designer page of the Brush Creator, click Impasto.
2
Move the Smoothing slider to the right to increase the Smoothing effect, or to the left to decrease it.

To set Plow

1
On the Stroke Designer page of the Brush Creator, click Impasto.
2
Move the Plow slider to the right to increase the Plow effect, or to the left to decrease it.

Image Hose Controls

 Back to Top

The Image Hose controls let you design nozzles designated Rank 1, 2, and 3. Refer to "Creating, Loading, and Saving Nozzles for the Image Hose" for more information.

The settings for each rank consist of the Expression settings plus one additional setting — Sequential. For more information, see "Expression Settings".

Rank 1

The Rank 1 control lets you assign an input to locate Rank 1 imagery within an Image Hose nozzle.

Rank 2

The Rank 2 control lets you assign an input to locate Rank 2 imagery within an Image Hose nozzle.

Rank 3

The Rank 3 control lets you assign an input to locate Rank 3 imagery within an Image Hose nozzle.

To choose expression settings for Ranks

1
On the Stroke Designer page of the Brush Creator, click Image Hose.
2
Choose a setting from each of the Rank pop-up menus.

Airbrush Controls

 Back to Top

Airbrush controls adjust Spread, or the amount of media that spreads out as it is applied, and Flow, or the amount of media that is actually applied. Some Airbrush controls work in conjunction with Expression settings. For more information about Expression settings, see "Expression Settings".

Spread controls how paint spreads out as it is applied. In other words, it sets the size of the cone of spread from the tip of the airbrush or spray can. A good range for the Spread setting is 30% to 40%. Narrow settings for Spread and Angle can cause problems. Narrow settings for Spread and Tilt can cause paint to be deposited away from the cursor.

The Min Spread control determines the smallest amount of paint that can spread out as it is applied. The Min Spread setting represents a percentage of the Spread setting.

Flow controls how much media is applied by an airbrush stroke. The Flow control acts like the needle control on a real airbrush. Use the Expression settings on the Stroke Designer page to tie Flow to the wheel on an airbrush stylus. Because the airbrush dab types deposit many small dabs to create their spray-paint look, you might need to cut down on the flow to speed up the airbrush.

The Min Flow control determines the smallest amount of paint flow that can be applied during a stroke. The Min Flow setting represents a percentage of the Flow setting.

To set paint spread

1
On the Stroke Designer page of the Brush Creator, click Airbrush.
2
Move the Spread slider to the left to reduce the amount of spread, or to the right to increase the amount of spread.

To set minimum paint spread

1
On the Stroke Designer page of the Brush Creator, click Airbrush.
2
Move the Min Spread slider to the left to reduce the smallest amount of spread allowed, or to the right to increase the smallest amount of spread allowed.

To set ink flow

1
On the Stroke Designer page of the Brush Creator, click Airbrush.
2
Move the Flow slider to the left to reduce the smallest amount of media applied with a stroke, or to the right to increase it.

To set minimum ink flow

1
On the Stroke Designer page of the Brush Creator, click Airbrush.
2
Move the Min Flow slider to the left to reduce the smallest amount of flow allowed, or to the right to increase it.

Water Controls

 Back to Top

Water controls work with Watercolor layers. A Watercolor layer is automatically created when you apply a stroke with a Watercolor brush. The layer can be edited from the Layers palette.

Wetness controls the dilution and the spread of paint. As Wetness is increased, the resulting stroke expands over a larger area, eliminating the appearance of brush hairs.

The Wetness slider controls the dilution and spread of the paint. Settings shown are 0 (top) and 40 (bottom).

Pickup controls how much dry paint gets picked up during diffusion. Lower values mean that there is no mixing or leaching of paints. Higher values produce more leaching.

The Pickup slider controls how much paint gets picked up during diffusion. Settings shown are 0% (top) and 100% (bottom).

Dry Rate controls the rate at which water dries during diffusion. Lower values cause greater spread; higher values reduce the amount of spread.

The Dry Rate slider controls the rate at which water dries during diffusion. Settings shown are 1% (top) and 50% (bottom).

The evaporation threshold (Evap Thresh slider) controls the minimum amount of water that can still diffuse. Lower values cause greater spread; higher values reduce the amount of spread.

The Evap Thresh slider controls the minimum amount of water which can still diffuse. Settings shown are 1% (top) and 50% (bottom).

The diffusion setting (Diffuse Amt slider) controls the amount of paint diffused. Using high diffusion creates soft edges that feather into the grain, as though you were painting on wet absorbent paper. Using low diffusion is similar to painting on dry paper.

The Diffuse Amt slider controls the spread of the stroke. Settings shown are 0% (top) and 8% (bottom).

The capillary factor (Cap Factor slider) controls the grain’s effect on diffusion. Lower values result in a smoother edge.

The grain soak-in (Grn Soak-In slider) controls the graininess of soak-in when paint is drying. You can lower both capillary factor and grain soak-in values to reduce grain effects.

The Grn Soak-In slider controls the graininess of soak-in when paint is drying. Settings shown are 0% (top) and 100% (bottom).

Enable the Accurate Diffusion check box to use a smaller diffusion window. Disabling Accurate Diffusion results in a larger, less accurate window being used.

With Accurate Diffusion enabled, a smaller diffusion window is used. Enabled (top) and disabled (bottom) settings are shown.

You can specify the amount of wind force exerted on the diffusing particles. Set the Wind Force slider to zero to turn off directional diffusion.

Wind Force controls the amount of force exerted on diffusing particles. Settings shown are 0% (top) and 25% (bottom).

You can specify wind direction, which controls the direction in which the particles diffuse. This can be used to simulate tilting of a wet watercolor image to introduce the paint migration effects of gravity.

Wind Direction controls the direction in which the particles diffuse. Settings shown are 270° (top) and 180° (bottom).

To set wetness

1
On the Stroke Designer page of the Brush Creator, click Water.
2
Move the Wetness slider to the left to create a more uniform brush stroke, or to the right to have the water flow more in the direction of the wind.

To set paint pickup

1
On the Stroke Designer page of the Brush Creator, click Water.
2
Move the Pickup slider to the right to increase the amount of leaching, or to the left to reduce it.

To set the dry rate

1
On the Stroke Designer page of the Brush Creator, click Water.
2
Move the Dry Rate slider to the right to reduce the amount of spread, or to the left to increase it.

To set the evaporation threshold

1
On the Stroke Designer page of the Brush Creator, click Water.
2
Move the Evap Threshold slider to the right to reduce the amount of spread, or to the left to increase it.

To set the diffusion amount

1
On the Stroke Designer page of the Brush Creator, click Water.
2
Move the Diffuse Amt slider right to create soft edges that feather into the grain, or to the left to emulate painting on dry paper.

To set the effect of grain on diffusion

1
On the Stroke Designer page of the Brush Creator, click Water.
2
Move the Cap Factor slider to the right to create rougher edges, or to the left to create smoother, more continuous results.

To set grain soak-in

1
On the Stroke Designer page of the Brush Creator, click Water.
2
Move the Grn Soak-In slider to the right to create rougher surfaces, or to the left to create smoother, more continuous results.

To set accurate diffusion

1
On the Stroke Designer page of the Brush Creator, click Water.
2
Click the Accurate Diffusion check box.

To set wind force

1
On the Stroke Designer page of the Brush Creator, click Water.
2
Move the Wind Force slider to the right to increase wind force, or to the left to decrease it.

To set wind direction

1
On the Stroke Designer page of the Brush Creator, click Water.
2
Drag the Wind Direction control to the desired setting.

To delay diffusion

1
On the Stroke Designer page of the Brush Creator, click Water.
2
Enable the Delay Diffusion check box.
Diffusion begins when you finish the brush stroke.
•
When you enable the Delay Diffusion check box, you increase the speed of Watercolor brush variants.
•
You can also access the Delay Diffusion check box on the Watercolor palette of the Brush Controls by clicking Window [image] Brush Controls [image] Water.

Liquid Ink Controls

 Back to Top

Liquid Ink controls work with Liquid Ink layers. Use the Liquid Ink controls to specify qualities such as type, smoothness, and volume of a brush stroke. You can adjust the Liquid Ink controls when you have selected a Liquid Ink brush from the Brush Selector bar. Some Liquid Ink controls work in conjunction with Expression settings. For more information about Expression settings, see "Expression Settings".

Liquid Ink is divided into two basic properties: Ink and Color. The Ink component provides the form of the brush stroke, while the Color component applies color to the Ink form. The Ink and Color components can be used together or controlled separately.

You can select from the following Ink types:

•
Ink Plus Color applies the currently selected color to the Ink form.

•
Ink Only applies only the Ink component.

•
Color Only applies only the Color component.

•
Soften Ink Plus Color applies Color to an Ink form, causing inks and colors to blend into one another.

•
Soften Ink Only applies only the Ink component.

•
Soften Color Only applies only the Color component.

•
Resist repels Ink.

•
Erase deletes Ink and Color.

•
Presoftened Ink Plus Color is applied in conjunction with surface depth effects.

The Smoothness slider controls the “tack” of the brush strokes. Lower values result in coarser brush strokes. Higher values cause brush strokes to appear smoother.

The Smoothness slider controls the “tack” of brush strokes. Settings shown are 0% (top) and 100% (bottom).

The Volume slider controls the height of the brush stroke, or the amount of medium applied to the image. Higher values result in thicker strokes.

The Wheel option in the Expression pop-up menu under the Volume slider allows you to control the amount of spray from the Liquid Ink airbrush by adjusting the wheel on the airbrush stylus (especially the Intuos Airbrush Stylus). The wheel on the stylus acts like a needle control on a real airbrush.

You can use the Depth controls in the Impasto area of the Stroke Designer to give Liquid Ink brush strokes the appearance of height. For more information about Depth controls, see "Impasto Controls".

The Volume slider controls the height of the brush stroke. Settings shown are 100% (top) and 500% (bottom).

The Min Volume slider controls the maximum variation in volume. A value of 100%, for example, produces no variation in volume during the brush stroke.

The Min Volume slider controls the maximum variation in volume. Settings shown are 100% (top) and 0% (bottom).

The Rand Vol slider controls the randomness in volume within the brush stroke. A value of zero results in a perfectly smooth brush stroke.

The Rand Vol slider controls the randomness in volume within the brush stroke. Settings shown are 0% (top) and 100% (bottom).

The Rand Size slider controls the randomness in size within a brush stroke. A value of zero results in a perfectly smooth brush stroke.

The Rand Size slider controls the randomness in size within a brush stroke. Settings shown are 0% (top) and 100% (bottom).

The bristle fraction (Bristle Frac slider) controls the thickness of the bristles. Higher values cause the bristles to stick together and result in a smoother brush stroke. Lower values cause the individual brush strokes to become visible.

The Bristle Frac slider controls the thickness of the bristles. Settings shown are 3% (top) and 20% (bottom).

The Rand Br Vol slider controls the variation in bristle height. A value of zero signifies that all of the bristles are of equal height.

The Rand Br Vol slider controls the variation in bristle height. Settings shown are 0% (top) and 75% (bottom).

The Rand Br Size slider controls the variation in bristle width. A value of zero signifies that all of the bristles are of equal width.

The Rand Br Size slider controls the variation in bristle width. Settings shown are 0% (top) and 100% (bottom).

To choose an ink type

1
On the Stroke Designer page of the Brush Creator, click Liquid Ink.
2
Choose a Liquid Ink type from the Ink Type pop-up menu.

To set smoothness

1
On the Stroke Designer page of the Brush Creator, click Liquid Ink.
2
Adjust the Smoothness slider.
Lower values result in coarse brush strokes. Higher values cause brush strokes to blend into one another and appear smoother.

To set ink volume

1
On the Stroke Designer page of the Brush Creator, click Liquid Ink.
2
Adjust the Volume slider.
Higher values result in thicker strokes.

To set maximum variation in volume

1
On the Stroke Designer page of the Brush Creator, click Liquid Ink.
2
Adjust the Min Volume slider.
If you want volume to respond to stylus pressure, choose Pressure from the Expression pop-up menu.

To set random volume

1
On the Stroke Designer page of the Brush Creator, click Liquid Ink.
2
Adjust the Rand Vol slider.
Lower values result in more uniform brush strokes.

To set random size

1
On the Stroke Designer page of the Brush Creator, click Liquid Ink.
2
Adjust the Rand Size slider.
Lower values result in more uniformly sized brush strokes.

To set bristle fraction

1
On the Stroke Designer page of the Brush Creators, click Liquid Ink.
2
Adjust the Bristle Frac slider.
Higher values result in strokes in which individual bristles are less visible.

To set random bristle volume

1
On the Stroke Designer page of the Brush Creator, click Liquid Ink.
2
Adjust the Rand Br Vol slider.
Higher values result in a greater variation in the length of brush bristles.

To set random bristle size

1
On the Stroke Designer page of the Brush Creator, click Liquid Ink.
2
Adjust the Rand Br Size slider.
Higher values result in a greater variation in the length of brush bristles.

Digital Watercolor Controls

 Back to Top

Digital Watercolor controls let you create effects similar to those of Watercolor brushes without requiring a separate layer.

The Diffusion slider is used to create soft, feathery edges on the brush strokes. For more information about diffusion, see "Digital Watercolor Diffusion".

The Wet Fringe slider controls the amount of pooling of water and paint at the edges of Digital Watercolor brush strokes. For more information about wet fringe, see "Wet Fringe".

Artists’ Oils Controls

 Back to Top

The Artists’ Oils controls are divided into three critical components: Paint, Brush, and Canvas. You can control Artists’ Oils brush size and opacity with a tablet expression. For more information about setting brush size, grain and opacity, see "General Controls". For more information about Expression settings, see "Expression Settings".

The Grain slider on the property bar affects the look of Artists’ Oils by controlling the level at which paper absorbs paint. When the Grain slider is set to 0%, the paper absorbs a very limited amount of paint; no paper grain is visible in the stroke and the paint color appears lighter. When the Grain slider is set to 100%, the paper completely absorbs the paint; no paper grain is visible, and the paint color appears darker. Grain is visible with Artists’ Oils when the Grain slider is set between 1% and 99%. As an Artists’ Oils brush runs out of paint, paper grain becomes more visible, so the Amount slider also affects how much grain appears.

Artists’ Oil brushes hold a finite amount of paint. As the paint runs out, the stroke becomes fainter.

Paint

The Amount slider determines how much paint is loaded before each new brush stroke. The more paint you load, the longer the brush stroke lasts.

The Viscosity slider controls the rate of paint transfer to the canvas. The higher the viscosity, the faster the brush runs out of paint, creating shorter brush strokes.

The Blend slider controls how the paint color mixes with paint already on the canvas. High blend levels allow paint on the brush to blend easily with existing paint.

To set the amount of Artists’ Oils paint loaded

1
With an Artists’ Oils brush active, click Artists’ Oils on the Stroke Designer page of the Brush Creator.
2
Do one of the following:
•
Move the Amount slider to the right to increase the amount of paint loaded for each brush stroke.
•
Move the Amount slider to the left to decrease the amount of paint loaded for each brush stroke.

To set the viscosity of Artists’ Oils paint

1
With an Artists’ Oils brush active, click Artists’ Oils on the Stroke Designer page of the Brush Creator.
2
Do one of the following:
•
Move the Viscosity slider to the right to increase the rate at which paint is transferred to the canvas.
Higher viscosity settings make for a shorter brush stroke.
•
Move the Viscosity slider to the left to decrease the rate at which paint is transferred to the canvas.
•
You can also set the viscosity of Artists’ Oils on the Viscosity slider on the Artists’ Oils property bar.

To set Artists’ Oils paint blending

1
With an Artists’ Oils brush active, click Artists’ Oils on the Stroke Designer page of the Brush Creator.
2
Do one of the following:
•
Move the Blend slider to the right to increase the blending of brush stroke paint and existing paint.
•
Move the Blend slider to the left to decrease the blending of brush stroke paint and existing paint.
•
You can also set how Artists’ Oils paint blend on the Blend slider on the Artists’ Oils property bar.
Brush

The Bristling slider controls the amount of bristling at the tail and tip of a brush stroke. The farther to the right you move the slider, the more irregular the bristling.

The Clumpiness slider controls brush bristle fineness. The farther to the right you move the slider, the greater the amount of brush hair variation, or clumpiness.

The Trail-off slider determines the length of a brush stroke tail when the brush is running out of paint. This doesn’t change the length of the brush stroke, just the look of the end of the stroke. The farther to the right you move the slider, the longer the trail-off of the brush stroke tail.

To set Artists’ Oils brush bristling

1
With an Artists’ Oils brush active, click Artists’ Oils on the Stroke Designer page of the Brush Creator.
2
Do one of the following:
•
Move the Bristling slider to the right to increase the length of the bristling and the tip and tail of the brush stroke.
•
Move the Bristling slider to the left to decrease the length of the bristling and the tip and tail of the brush stroke.

To set Artists’ Oils brush stroke trail-off

1
With an Artists’ Oils brush active, click Artists’ Oils on the Stroke Designer page of the Brush Creator.
2
Do one of the following:
•
Move the Trail-off slider to the right to increase the length of brush stroke trail-off.
•
Move the Trail-off slider to the left to decrease the length of brush stroke trail-off.
Canvas

The Wetness slider determines the wetness of the paint on the canvas. This affects how paint from a brush stroke interacts with paint already on the canvas.

To set canvas wetness for Artists’ Oils

1
With an Artists’ Oils brush active, click Artists’ Oils on the Stroke Designer page of the Brush Creator.
2
Do one of the following:
•
Move the Wetness slider to the right to increase the mixing of brush stroke color and existing color.
•
Move the Wetness slider to the left to decrease the mixing of brush stroke color and existing color.
•
You can also set how Artists’ Oil paints blend on the Blend slider on the Artists’ Oils property bar.
Painting in Dirty Mode

Painting in Dirty Mode allows you to further replicate the experience of using artists’ oil paints in the real world. In this mode, any paint remaining on the brush upon completion of a brush stroke is left to interact with paint loaded for the next brush stroke. When you select another color, the brush is cleared of remaining paint.

To paint in Dirty Mode

1
With an Artists’ Oils brush active, click Artists’ Oils on the Stroke Designer page of the Brush Creator.
2
Enable the Dirty Mode check box.
•
You can also enable the Dirty Mode check box on the Artists’ Oils property bar.

Color Variability Controls

 Back to Top

The color variability controls in the Brush Creator are identical to those on the Color Variability palette. For more information, see "Setting Color Variability".

Color Expression Controls

 Back to Top

The color expression controls in the Brush Creator are identical to those on the Color Expression palette. For more information, see "Setting Color Expression".

Expression Settings

 Back to Top

Corel Painter lets you control brush effects along the stroke based on a number of real-time input factors. For example, many brushes vary their Opacity or Size in response to changes in stylus pressure. These responses reflect their default settings. You can use the Expression settings on the Stroke Designer page to vary these effects in response to other factors, such as stroke direction or velocity.

Expression settings are linked to the individual controls on the Stroke Designer page: General, Size, Angle, Well, Random, Impasto, Airbrush, and Liquid Ink.

The Direction slider below the Expression pop-up menu adjusts the angle value of the Direction controller. When the Expression pop-up menu is set to Direction, it specifies the angle at which a brush stroke narrows or widens, which is particularly useful for calligraphic effects.

To choose an Expression setting

1
On the Stroke Designer page of the Brush Creator, click a control that contains Expression settings.
2
Choose one of the following options from the Expression pop-up menu:
•
None applies no adjustment to the brush feature.
•
Velocity adjusts the brush feature based on the dragging speed. Dragging quickly minimizes the setting; dragging more slowly increases it.
•
Direction adjusts the selected brush feature based on the direction of the stroke.
•
Pressure adjusts the brush feature based on stylus pressure. Greater pressure increases the setting for that brush feature.
•
Wheel adjusts the brush feature based on the wheel setting on an airbrush stylus, specifically the Intuos Airbrush stylus. The maximum value is set when the wheel is pushed all the way forward. The minimum is set when the wheel is pushed all the way back.
•
Tilt adjusts the brush feature based on the angle of the stylus from the tablet. For example, when the stylus is perpendicular to the tablet, Tilt is set at zero.
•
Bearing adjusts the brush feature according to the direction in which the stylus points.
•
Source adjusts the brush feature according to the luminance of the clone source. Higher luminance (closer to white) increases the setting for that component, producing, for example, a wider stroke.
•
Random adjusts the brush feature on a random basis.
•
Sequential applies only to Rank settings for Image Hose brushes. When enabled, this feature picks out nozzles from the index, in order.
3
If you like, enable the Invert check box beside the Expression pop-up menu to reverse the effect of the Expression setting.
•
Not all stylus models convey tilt or bearing information.

To set controller direction

1
On the Stroke Designer page of the Brush Creator, click a control that contains Expression settings.
2
Choose Direction from the Expression pop-up menu.
3
Drag the Direction slider until the desired angle is achieved.

RealBristle Controls

 Back to Top

RealBristle controls let you choose a brush tip profile, adjust the brush, and determine how the brush interacts with the surface of the canvas. For detailed information about RealBristle controls, see "RealBristle settings".


Managing Custom Brushes

On this page, you will find information about

•
Saving Brush Variants
•
Copying Variants Between Brush Categories
•
Capturing Brush Dabs
•
Creating a New Brush Category
•
Saving a Look
•
Using Brush and Look Libraries

After you’ve customized a variant, you can use it immediately. In fact, adjusting brushes as you paint is something you’ll probably do often. Changes you make to brush variants are saved until the Restore Default Variant command is selected.

Saving Brush Variants

 Back to Top

If you want to keep a customized version of a brush variant, Corel Painter lets you do it as a new variant or as a Look. Variant settings are included when you save a Look, but Looks also include paper texture, pattern, gradient, and nozzle data. Refer to "Saving a Look" for more about saving the combined look of a variant.

It’s easier to find a variant when the variant list is short. You can manage the number of variants in a Brush category by creating new categories in which to save the variants you create.

To save current settings as a custom variant

1
Do one of the following:
•
On the Tracker palette, choose the variant you want to save, click the Tracker palette menu arrow, and choose Save Variant.
•
From outside of the Brush Creator, click the selector menu arrow on the Brush Selector bar and choose Save Variant.
•
From within the Brush Creator, choose Variant menu [image] Save Variant.
2
In the Save Variant dialog box, type a name for the new variant.
The name can have up to 23 characters.
3
Enable the Save Current Colors check box if you want the current main and additional colors saved with the variant.
If a variant uses the Clone Color option, it is not necessary to enable Save Current Colors.
Your new variant appears on the variant menu, in the current brush category. A new XML file is created in the Brushes category folder.

To return the current brush variant to default settings

1
Choose the brush variant from the Brush Selector bar.
2
Click the selector menu arrow and choose Restore Default Variant.
Choose Restore All Default Variants to reset settings for all brush variants that you may have adjusted.

To delete a brush variant

1
Choose the brush variant from the Brush Selector bar.
2
Click the selector menu arrow, and choose Delete Variant.
3
Click Yes to delete the variant.
The variant’s related XML file is deleted from the Brushes category folder.

Copying Variants Between Brush Categories

 Back to Top

If you create a brush variant and then decide that you want it in a different brush category, you can copy it there. After copying, you can then delete the original.

To copy a variant to a different brush category

1
Choose the brush variant you want to copy from the Brush Selector bar.
2
Click the selector menu arrow, and choose Copy Variant.
3
In the Copy Variant dialog box, choose the destination brush category from the pop-up menu.
The brush variant is copied to the selected category. (Remember to delete the variant in the category from which it was copied.)
•
You can also copy brush variants at the root of the category folder by copying the XML files to the desired category. Use this method to save time when you need to copy multiple files.

Capturing Brush Dabs

 Back to Top

You can create your own brush dab shapes. Any shape is possible.

When you’ve created a shape you like, select and capture it.

To create a brush dab shape

1
On a white background, draw a brush shape in black.
Use shades of gray to define what you wish to be partially transparent areas of the brush.
To follow stroke direction, a captured brush set must face toward the right side.
2
Choose the Rectangular Selection tool [image] from the toolbox.
3
Drag across your brush shape to create a square selection.
Corel Painter uses the selected area to map brush size. When the brush is created, this area is sampled to compute each brush dab.
When the original area must be scaled to the size of the brush dab, sampling can appear aliased. The greater the scaling, the more aliasing is apparent. To prevent too much aliasing from appearing, create a shape with soft (grayscale) edges that is close to the size you’ll be using.
4
On the Brush Selector bar, choose the brush category in which you want to save the variant for the captured dab shape.
5
Click the selector menu arrow, and choose Capture Dab.
6
On the Stroke Designer page of the Brush Creator, click Size to see the captured brush dab.
7
If necessary, change the Size, Squeeze, and Angle settings.
8
Draw with the brush on the canvas.
If you like the results you’ve captured, you can save the brush as a new variant. For information on how to save brush customizations for later use, see "Saving Brush Variants".

You can paint with a captured brush just as you would with other brushes.

Creating a New Brush Category

 Back to Top

The brushes that appear as icons on the Brush Selector bar are really categories for collections of similar variants. You can add your own brush categories to the Brush Selector bar.

You might want to create a brush category if you’ve customized a medium and you want to keep its related tools organized.

To create a new brush category

1
Draw a small image to use as the icon for the new brush.
This icon will appear on the Brush Selector bar with the default brush category icons.
2
Choose the Rectangular Selection tool [image] from the toolbox.
3
Drag across the image to create a square selection.
4
Do one of the following:
•
On the Brush Selector bar, click the selector menu arrow, and choose Capture Brush Category.
•
In the Brush Creator, choose Brush menu [image] Capture Brush Category.
5
Type a name in the Capture Brush dialog box.
Your new brush and its icon now appear on the Brush Selector bar.

Saving a Look

 Back to Top

A Look retains all brush variant settings, plus the paper, pattern, gradient, or nozzle settings. For example, if you customize a brush variant and paper texture to achieve a specific effect that you want to use in the future, you can save these settings as a Look. When you save a Look, it is added to the Look Selector.

A brush variant is not itself associated with data about underlying texture or other elements. The Look, on the other hand, is associated with additional data about a particular variant. Regardless of a document’s current libraries, when you select a Look, you use the elements that are part of that look.

To save a Look

1
Open or create an image and ensure that all settings for your new Look are satisfactory.
2
Click the Rectangular Selection tool, and select a square portion of the image.
The selected area will be the icon that appears in the Look Selector for your Look.
3
With the image selected, click the Brush tool in the toolbox.
4
In the toolbox, click the Look Selector menu arrow, and choose Save Look.
5
In the New Look dialog box, type a name for your new Look, and click OK.
6
Choose Select menu [image] None to clear the selection used for the icon.
Your new Look appears as the last item in the Look Selector.

Saved Looks appear in the Look Selector in the toolbox.

In the case of the Image Hose brush, the Look may have a particular nozzle file attached. For more information about working with the Image Hose and Nozzle files, refer to "Getting Started with the Image Hose".

To use a saved Look

1
In the toolbox, choose a look from the Look Selector.
Corel Painter loads the correct variant and materials for the saved Look.
2
Paint in the document window.

Using Brush and Look Libraries

 Back to Top

Corel Painter comes with several brush libraries. You can also create new libraries for brushes and Looks and add your custom brushes to them. You can create as many brush libraries as you need.

Library features are identical for all resource types (Papers, Brushes, Looks, Patterns, Gradients, Weaves, Scripts, Layers, and Selections). For more information on Library features, refer to "Libraries and Movers". For more information on Library features, refer to “Libraries and Movers” in the Help.

It’s a good idea to limit the number of tools in a library. This makes it easier to find a particular tool and helps Corel Painter manage memory.

Corel Painter loads brushes into memory when you launch it, so adding variants to the default brush library increases the program’s need for RAM. To improve efficiency, you can organize new brushes into secondary libraries. When you want a different brush set, you can just switch libraries.

•
When Corel Painter starts, it references a folder (called “Brushes”) in the user folder. Any customizations made to brushes are saved to this folder and are referenced by Corel Painter in place of the original default brushes and settings that are stored in the application folder. The user’s brush library is built by recalling the information stored in the user folder and supplementing it with the noncustomized brushes and settings stored in the application folder.


Photo Painting System

The Photo Painting System consists of three palettes that help you transform a photo into a painting. The process involves three basic steps:

•
Creating an underpainting — You create an underpainting to prepare a photo for painting. An underpainting is a version of the photo in which you adjust the photo’s colors, tones, and sharpness. After adjusting these elements, you can clone the underpainting to preserve it.
•
Auto-painting — You use the Auto-Painting palette to apply brush strokes to the canvas.
•
Fine-tuning — You fine-tune your artwork by using the Restoration palette to restore some detail to the image.

See Also

•
Creating Underpaintings
•
Auto-Painting Photos
•
Restoring Detail to Paintings


Creating Underpaintings

On this page, you will find information about

•
Choosing an Underpainting Method
•
Adding Edge Effects to Underpaintings
•
Cloning Underpaintings

Historically, an underpainting was used to establish the overall color values for a painting. Similarly, the Underpainting palette lets you adjust the color, tone, and detail of a photo to prepare it for auto-painting. For example, you can darken colors to simulate the colors used in an 18th-century painting, or you can soften colors to simulate the colors found in watercolor paintings.

One method you can use to prepare a photo for painting (left) is to choose a source image (center) that contains the colors and tones you want to use. The color and tone of the source image can be applied to your photo to create an underpainting (right).

Choosing an Underpainting Method

 Back to Top

Depending on the effect you want to achieve, you can choose one of the following methods for creating an underpainting:

•
Quickly simulate the color and tone used in some popular art styles, such as watercolor paintings or chalk drawings, by using a Color Scheme preset.
•
Match the color and tone of your underpainting to an existing image, such as a photo, scanned image, or digital artwork.
•
Quickly lighten, darken, or shift the color or contrast of your photo by using a Photo Enhance preset.
•
Adjust individual settings in the Photo Enhance area, and save the settings as a custom preset. You can use the following settings:
•
Brightness — lets you brighten or darken the photo
•
Contrast — lets you increase or decrease the difference in tone between the dark and light areas of the photo
•
Hue — lets you shift the color balance of the photo. For example, you can correct a color cast or apply a cast to create a special effect.
•
Saturation — lets you adjust the vividness of colors
•
Value — lets you brighten or darken the photo by using the HSV color space values
•
Smart Blur — lets you adjust the level of detail in the photo. More detail is maintained in high-contrast areas than in low-contrast areas.

You can prepare a photo for painting by using the Underpainting palette.

To create an underpainting

1
Choose File menu > Open, choose an image from the Open (Mac OS) or Select Image (Windows) dialog box, and click Open.
2
On the Underpainting palette, do any of the following:
•
From the Color Scheme pop-up menu, choose a preset.
•
From the Photo Enhance pop-up menu, choose a preset.
•
In the Photo Enhance area, adjust any of the sliders.
A preview of the change is shown in the photo, but the change is not applied until you click Apply.
3
Click Apply.
•
Before clicking Apply, you can return the photo to its original state by clicking Reset.

To save Photo Enhance settings as a preset

1
On the Underpainting palette, adjust the Photo Enhance sliders to achieve the style you want.
2
Click the Add Preset button [image].
3
In the Save Preset dialog box, type a name for your preset.
The preset appears in the Photo Enhance pop-up menu.
•
You can delete a preset by choosing it in the Photo Enhance pop-up menu and clicking the Delete Preset button [image].

To create an underpainting by matching another image’s color and tone

1
Open the image that you want to use as a source for color matching.
2
Open the image that you want to use as an underpainting.
This image is now the active document.
3
On the Underpainting palette, choose the filename for the source image from the Color Scheme pop-up menu.
The underpainting is automatically updated with the color scheme from the source image.
If you want to fine-tune the underpainting, you can adjust the Photo Enhance settings.
4
Click Apply.
•
If you want more control over the matching process, you can use the Match Palette effect. For more information, see "Matching Color and Brightness across Images".

Adding Edge Effects to Underpaintings

 Back to Top

You can add an edge effect to simulate the unpainted edge of a canvas or to create a frame effect. You can choose from rectangular, circular, or jagged vignettes.

To add an edge effect to an underpainting

1
On the Underpainting palette, choose an edge from the Edge Effect pop-up menu.
2
Adjust the Amount slider.
3
Click Apply.

Cloning Underpaintings

 Back to Top

After you create an underpainting, it is recommended that you use Quick Clone. Creating a clone lets you preserve the underpainting before the image is auto-painted. For more information about Quick Clone, see "Using Quick Clone".

To clone an underpainting

•
On the Underpainting palette, click the Quick Clone button.


Auto-Painting Photos

On this page, you will find information about

•
Using the Auto-Painting Palette

Even if you have no experience with digital art, the Auto-Painting palette lets you create paintings based on digital images or scanned photos. You simply choose a Smart Stroke Brush variant and let Smart Stroke Painting and Smart Settings do the work. If you want more control over how the brush strokes interact with the canvas, you can set individual stroke settings. Although the Smart Stroke Brush variants are optimized for auto-painting, you can also use any Cloner brush variant.

Auto-painting applies brush strokes to the canvas.

Using the Auto-Painting Palette

 Back to Top

The Auto-Painting palette lets you specify how paint strokes are applied to a photo. You can choose from the following options:

•
Smart Stroke Painting — automatically applies paint strokes that follow forms in the photo
•
Smart Settings — changes the size, length, and pressure of brush strokes in areas of greater detail. This option can be used with Smart Stroke Painting to preserve detail from the source photo.
•
Stroke — lets you choose a brush stroke. You can also add custom brush strokes to the list.
•
Randomness — introduces an “accidental” quality in color and stroke. Randomness contributes to the appealing, unique look of artwork created with Corel Painter. You can control the randomness of the following settings:
•
Pressure — lets you set a value from 0 to 200 to specify the amount of pressure with which brush strokes are applied. This setting represents the percentage of the preset pressure for the Stroke option.
•
Length — lets you set a value from 0 to 200 to specify the length of the brush strokes. This setting represents the percentage of the preset length for the Stroke option.
•
Rotation — lets you set a value from 0 to 360 degrees to specify the rotation of the brush strokes.
•
Brush Size — lets you set the brush size

The Auto-Painting palette provides a range of options.

You can control the speed of auto-painting so that you can see how and where individual strokes are applied. You can also stop the auto-painting process at any time.

To auto-paint a photo by using Smart Stroke Painting

1
In the document window, select the image that you want to auto-paint.
The image is usually a Quick Clone of an underpainting. For information about creating an underpainting, see "Creating Underpaintings".
2
On the Auto-Painting palette, enable the Smart Stroke Painting check box.
If you want the paint strokes to adjust automatically in size, length, and pressure to areas of greater detail, enable the Smart Settings check box.
3
From the Brush Selector bar, choose a Smart Stroke Brushes variant.
4
On the Auto-Painting palette, adjust the Speed slider to control the speed at which brush strokes are applied.
5
Click the Play button [image].
Brush strokes are applied automatically. You can view the auto-painting progression more easily when Tracing Paper is turned off. If Tracing Paper is turned on, you can turn it off by pressing Command + T (Mac OS) or Ctrl + T (Windows).
6
Click the Stop button [image] when you are satisfied with the results.
If you do not click the Stop button, auto-painting stops at the end of the brush stroke cycle.
•
You can view the auto-painting progression more easily when Tracing Paper is turned off. If Tracing Paper is turned on, you can turn it off by choosing Canvas menu [image] Tracing Paper.

To auto-paint a photo by using Stroke settings

1
In the document window, select the image that you want to auto-paint.
The image is usually a Quick Clone of an underpainting. For information about creating an underpainting, see "Creating Underpaintings".
2
From the Brush Selector bar, choose a Smart Stroke Brush variant or a Cloner brush variant.
3
On the Auto-Painting palette, choose a stroke from the Stroke pop-up menu.
4
Adjust any of the following settings: Randomness, Pressure, Length, Rotation, or Brush Size.
5
Adjust the Speed slider to control the speed at which brush strokes are applied.
6
Click the Play button [image].
Brush strokes are applied automatically.
7
Click the Stop button [image] when you are satisfied with the results.
If you do not click the Stop button, auto-painting stops at the end of the brush stroke cycle.
•
You can use a custom stroke by clicking the menu arrow beside the Stroke pop-up menu and choosing Record Stroke. Paint a stroke on the canvas, and choose Save Stroke from the same menu. Your stroke is added to the Stroke pop-up menu. For general information about recording brush strokes, see "Recording and Playing Back Strokes".
•
You can randomize the pressure, length, and rotation values of the brush strokes in the clone by enabling a check box next to the corresponding slider and adjusting the Randomness slider. The settings in the slider determine the range of randomness. For example, if the Pressure slider is set to 32% and you set the Randomness slider to 64%, the pressure for each stroke is between 0% and 32% with a variation of 64%.


Restoring Detail to Paintings

On this page, you will find information about

•
Using the Restoration Palette

After using the Auto-Painting palette, you can use the Restoration palette to recover detail in the portrait from the original photo. For example, the Restoration palette is ideal for restoring some detail in the area of a subject’s eyes.

You can restore detail from the original photo by using brushes in the Restoration palette.

Using the Restoration Palette

 Back to Top

The Restoration palette gives you access to two cloner brushes, which you can use in specific areas of your photo to restore detail. You can adjust the settings for these brushes on the property bar.

You can restore detail by using the Restoration palette.

To restore photo detail

1
On the Restoration palette, click one of the following buttons:
•
Soft Edge Cloner Brush [image] — activates the Soft Edge Cloner brush variant, which restores detail gradually
•
Hard Edge Cloner Brush [image] — activates the Straight Cloner brush variant, which restores detail quickly with a few brush strokes
2
Adjust the Brush Size slider.
3
Paint over the area in which you want to restore detail.


Cloning and Tracing

Cloning can help you create art quickly and easily. Cloning is the process of taking an image from one area or document (the source) and re-creating it in another area or document (the destination).

Cloning is a two-step process: First, you set a clone source; then, you work in a destination area. The source and destination can be in separate documents or in different areas of the same document.

See Also

•
Cloning Images
•
Using Clone Tools
•
Turning Other Brushes into Cloners
•
Using Selections and Transformations with Cloning


Cloning Images

On this page, you will find information about

•
Cloning a Document
•
Using Tracing Paper
•
Changing Clone Source
•
Using Quick Clone

Using a cloning-method brush variant is the most common way to develop an image in a clone destination. The variant re-creates the source image while it effectively “filters” it, reproducing it in an artistic style, such as pastel chalk or watercolor.

Cloning allows you to “filter” source images to create Natural-Media renderings.

Advanced, multipoint cloning lets you transform (rotate, scale, slant, or apply perspective to) an image as you clone it. Corel Painter offers other interesting ways to take advantage of clone source–destination relationships, such as the Corel Painter imaginary light box method provided by the Tracing Paper feature. Because cloning can be simple or complex, this chapter begins with the basics and then progresses to advanced cloning techniques.

You can also use the Quick Clone effect to automatically set up everything you need to clone an image. For more information, see "Using Quick Clone".

Cloning a Document

 Back to Top

One way to use the Corel Painter cloning feature is to clone an entire file, creating a clone source–destination relationship between two documents. The clone of the file is more than a copy. It maintains a pixel-for-pixel correspondence with its source document. For this reason, the source must remain open while you work in the clone.

Here are some ways to take advantage of a clone source–destination relationship:

•
Trace the source image by using Tracing Paper (the “light box” method). Refer to "Using Tracing Paper" for more information.
•
Paint a source image into a destination area by using cloner brushes (Cloners). Refer to "Painting in the Clone" for more information about painting with cloner brushes.
•
Load a brush with color taken from a clone source. Refer to "Cloning Color" for more information.
•
Create a mosaic or tessellation by using a source image. Refer to "Mosaics".
•
Add three-dimensional effects after setting up a clone source–destination relationship.
•
Use variant settings from the source image to control brush features for painting.
•
Develop a selection or channel. Refer to "Selections" and "Alpha Channels".

To clone a document

1
Open the image you want to clone.
This is the clone source. A good clone source contains a well-defined image.
2
Choose File menu [image] Clone.
Corel Painter creates a clone, or duplicate, of the source image. The clone appears in its own document window, with the words “Clone of” preceding the source document’s name in the title bar.
•
If a source image has layers, cloning creates a fully composited copy — that is, all layers in the image are dropped automatically. This aspect of cloning lets you to flatten an image for faster printing.

Using Tracing Paper

 Back to Top

You can use Tracing Paper, the on-screen “light box” in Corel Painter, to help you trace, or clone, the source image. To use Tracing Paper, the source and clone documents must be the same size. When Tracing Paper is in use, you see a faded-out version of the clone source, as if it were displayed under real tracing paper on top of a light box.

As you trace, brush strokes appear at the opacity you set (by default, 50%). When you finish tracing and turn Tracing Paper off, the faint source image disappears, and your brush strokes appear at 100% opacity.

Use the Tracing Paper feature to view the clone source for tracing (left). When you turn Tracing Paper off, you can see what you’ve traced (right).

To trace an image

1
Choose File menu [image] Clone to create a clone of the original image you wish to trace.
2
Choose Select menu [image] All.
3
Press Delete (Mac OS) or Backspace (Windows) to clear the entire canvas.
4
Do one of the following:
•
Click the Tracing Paper icon on the vertical scroll bar.
•
Choose Canvas menu [image] Tracing Paper.
•
Press Command + T (Mac OS) or Ctrl + T (Windows).
A faint rendering of the source image shows through the tracing paper.
5
Trace over the image using any Corel Painter brush variant.

Click the Tracing Paper icon to toggle tracing paper on and off.

To change the opacity of tracing paper

1
Click and hold the Tracing Paper icon.
2
Choose an opacity setting from the pop-up menu.

To turn Tracing Paper off

•
Click the Tracing Paper icon again.
The faint source image disappears, and brush strokes appear at 100% opacity.
•
You can also turn Tracing Paper on or off by choosing Canvas menu [image] Tracing Paper or by pressing Command + T (Mac OS) or Ctrl + T (Windows).

To resume tracing

•
To resume tracing, turn Tracing Paper back on.
The faint source image returns, and you can continue tracing.

Changing Clone Source

 Back to Top

For more flexibility in setting up cloning relationships, Corel Painter lets you set any open document as a clone source. You can do this to reestablish a source–destination relationship between two files. You might also do this to choose a special source image for controlling an image effect.

To set an open document as the clone source

•
Choose File menu [image] Clone Source, and select which of the open documents is the clone source.
•
If you forget which document is the clone source, choose File menu [image] Clone Source. The filename with a check beside it is the clone source.

To make an open file the clone source for the next file you open

1
Hold down Option (Mac OS) or Ctrl (Windows).
2
Choose File menu [image] Clone.
3
In the Open dialog box (Mac OS) or Select Image dialog box (Windows), choose a file to use as the clone destination.

Using Quick Clone

 Back to Top

The Quick Clone effect automatically sets up everything you need to clone an image. Quick Clone can create the clone image, delete its contents, turn on Tracing Paper, and select the last Cloner brush you used.

To clone using Quick Clone

1
Choose File menu [image] Quick Clone.
2
Trace over the image using any Corel Painter brush variant.
If you have enabled the Switch to Cloner Brushes check box in the Preferences dialog box, the last Cloner brush you used is automatically selected.
•
You can customize the Quick Clone effect. You can choose whether to delete the image from the clone or to turn on Tracing Paper. You can also select the last-used Cloner brush or choose to clone color with any brush variant. For more information, see "Setting Quick Clone Preferences".


Using Clone Tools

On this page, you will find information about

•
Painting in the Clone
•
Using Point-to-Point Cloning
•
Using Multipoint Cloning
•
Selecting a Clone Type for Multipoint Cloning
•
Setting Reference Points for Multipoint Cloning

Clone tools are similar to other Brush tools, except that clone tools take their color information from a clone source instead of from the Colors palette.

Corel Painter has two tools dedicated to cloning:

•
Cloner tool — similar to the Brush tool, the Cloner tool gives you direct access to the Cloner Brush Category on the Brush Selector bar. Some cloner brush variants reproduce a source image directly, but most variants let you reproduce a source image with media effects, such as paper grain and specialized dabs. You can use the Cloner tool to clone within a document or between documents.
•
Rubber Stamp tool — a basic clone tool designed for point-to-point cloning within a document. This tool gives you an easy way to copy a portion of your image to another area by setting source and destination points.

Painting in the Clone

 Back to Top

When you use the Cloner tool, it picks up color from the clone source while you control the size and direction of brush strokes. Painting with a cloner brush is a great way to obtain Natural-Media renderings from photographic source material.

The Oil Brush Cloner is just one of many cloner brush variants.

You can create new cloner brushes or refine existing cloner brush variants by using the Brush Controls palette or the Brush Creator. For more information about customizing brushes, refer to "Customizing Brushes".

Brushes that use buildup methods, like pencils and felt pens, build toward black. If you clone with one of these brushes in a dark area of your image, you may not achieve the desired results. You can use the Opacity pop-up slider on the property bar to control how rapidly these brushes build up to black. You can also choose chalk or one of the other tools that cover underlying colors.

To paint with cloner brushes

1
Create a clone of the document you wish to paint.
If you are not using Quick Clone, select the clone, choose Select menu [image] All, and then press Delete (Mac OS) or Backspace (Windows) to clear the entire canvas.
2
Choose the Cloner tool [image] in the toolbox.
3
Choose a cloner brush variant from the Brush Selector bar.
4
On the property bar, adjust size, opacity, and grain penetration.
5
Paint in the image.
•
If you don’t set a clone source, cloner brushes paint with imagery from the currently selected pattern.
•
For increased color accuracy, you can enable the Brush Loading option. For more information, see "Using Brush Loading".
•
You can use Edit menu [image] Fade after clearing the canvas to bring back some of the image.
•
Using a cloner brush can take a long time if you’re working on a large area. To work more quickly, you can have Corel Painter make brush strokes for you, using the Auto Clone feature. For more information, see "Using Auto Clone". You can also have Corel Painter place directional brush strokes to produce a Van Gogh–like rendition of a cloned image. For more information, see "Using Auto Van Gogh".

Using Point-to-Point Cloning

 Back to Top

Point-to-point cloning lets you clone within a document or between different areas of separate documents. This type of cloning is also known as “offset cloning.” To apply point-to-point cloning effects, you must set source and destination reference points. Source reference points specify the area in the source document that you want to clone. Destination reference points indicate the area where you want the cloned image to appear. To indicate the area of the source document you’re cloning, you can turn the crosshair cursor on.

To clone point to point within a document

1
Do one of the following:
•
Choose the Rubber Stamp tool [image] in the toolbox.
•
Choose the Cloner tool [image] in the toolbox, and choose a cloner brush variant from the Brush Selector bar.
2
Hold down Option (Mac OS) or Alt (Windows).
A crosshair cursor appears.
3
Click to set the source reference point.
A green marker appears on the image, indicating the reference point for the source image.
4
Begin painting in the destination area.
•
You can set the destination area before painting by clicking while holding down Option + Shift (Mac OS) or Alt + Shift (Windows). A red marker indicates the destination area.

Cloning within a document with the destination marker showing.

To clone point to point between documents

1
Choose the Cloner tool [image] in the toolbox, and choose a cloner brush variant from the Brush Selector bar.
2
Hold down Option (Mac OS) or Alt (Windows), and click inside the source document to set the reference point for the source area.
A green marker appears on the image to indicate the reference point for the source image.
3
Select the destination document.
4
Start painting at the point where you want to begin applying the source image.

To change to a crosshair cursor

1
Do one of the following:
•
(Mac OS) Choose Corel Painter X menu [image] Preferences [image] General.
•
(Windows) Choose Edit menu [image] Preferences [image] General.
2
In the Preferences dialog box, enable the Indicate Clone Source with Crosshairs While Cloning option.
The crosshairs indicate which area of the original image you’re cloning as you paint.

Using Multipoint Cloning

 Back to Top

Some variants of the Cloners brush category use multipoint cloning to apply a transformation to the source image when you clone it. To take advantage of the cool effects you can get with these cloning brush variants, you need to set multiple source and destination reference points.

Selecting a Clone Type for Multipoint Cloning

 Back to Top

Corel Painter lets you establish different kinds of relationships between the clone source and destination based on the number of reference points you use. The number of reference points determines which clone type you can select and, therefore, which transformations you can apply. All clone types are valid for brushes that use the cloning method and for brushes that use either the Clone Color option or a clone source. You must set source and destination reference points before using a multipoint cloning brush.

The number of source and destination reference points required for each of the following clone types is shown in parentheses:

•
Normal (0), or zero-point, cloning references the upper-left corners of the source and destination documents and patterns. This means that the pixels of the destination document correspond directly with the pixels of the source document. This type of cloning, in which no transformations occur, is valid only between documents. This type of cloning is the basic type of cloning between documents. Refer to "Cloning a Document" for more information about basic cloning.
•
Offset (1) cloning offsets the image from the source. The source and destination areas can be separate places in the same or different documents. Offset cloning is basic point-to-point cloning and is useful for retouching photographs. Refer to "Using Point-to-Point Cloning" for more information about point-to-point cloning.
•
Rotate & Scale (2) cloning rotates and scales the source image.

Rotate & Scale cloning. Note that the source and destination reference points are numbered and connected by a line.

•
Scale (2) cloning scales the source image. The distance between the two destination points, in relation to the distance between the two source points, determines the scaling transformation.

Scale cloning.

•
Rotate (2) cloning rotates the source image. The line between the two destination points in relation to the line between the two source points determines the rotation transformation.

Rotate cloning.

•
Rotate & Mirror (2) cloning rotates and mirrors (flips) the source image.

Rotate & Mirror cloning.

•
Rotate, Scale, & Shear (3) cloning rotates, scales, and shears (slants) the source image. The relative positions of the three source and destination reference points determine the transformation effect.

Rotate, Scale, & Shear cloning.

•
Bilinear (4) cloning applies a bilinear warp to the source image. The relative positions of the four source and destination points describe the bilinear transformation.

Bilinear cloning.

•
Perspective (4) cloning applies perspective to the source image. The relative positions of the four source and destination points describe the perspective transformation.

Perspective cloning.

To set a Clone Type

1
Choose the Cloner tool [image] in the toolbox, and choose a cloner brush variant from the Brush Selector bar.
2
Choose Window menu [image] Brush Controls [image] Show Cloning to display the Cloning palette.
3
Choose a clone type from the Clone Type pop-up menu.

Setting Reference Points for Multipoint Cloning

 Back to Top

Before you can paint with a multipoint cloner brush, you must set the correct number of source and destination reference points. Source points can be in one document and destination points in another, or both sets of points can be in the same document.

Multipoint cloner brush variants are indicated by the number of source and destination reference points required for each clone type beside the variant name. For example, the xScale 2P variant requires two reference points. Once source and destination reference points are set, you can start painting with the multi-point cloner brush.

In some cases, you don’t have to place source points. When you clone source files and patterns, Corel Painter places source points for you in each corner of the document. These corner source points are ideal for perspective cloning with 4-point tiling. If you don’t want to use these default source points, just move them or set source points of your own. For more information, see "Filling with Transformed Cloning".

To set the number of reference points

1
Choose Window menu [image] Brush Controls [image] Show Cloning to display the Cloning palette.
2
Enable the Clone Color check box.
3
Choose the transformation you want from the Clone Type pop-up menu.
The number that follows each option in the Clone Type pop-up menu indicates the number of required reference points.

To set source reference points

1
On the Brush Selector bar, click the Brush Variant selector arrow and choose a multi-point cloner brush variant.
2
Hold down Option (Mac OS) or Alt (Windows), and click in the source area for each reference point required.
3
Points appear in the source image as you click, along with identifying numbers.
•
You can use other cloner brush variants by selecting a new variant and setting a clone type. Refer to "Selecting a Clone Type for Multipoint Cloning" for more information.
•
You can reposition reference points by holding down Option (Mac OS) or Alt (Windows) and dragging the points to their new position.

To set destination reference points

1
Select the destination document.
2
On the Brush Selector bar, click the variant selector arrow, and choose a multi-point cloner brush variant.
3
Hold down Option + Shift (Mac OS) or Alt + Shift (Windows), and click in the destination area for each reference point required.

Two destination reference points are set in preparation for Rotate & Scale cloning.

Sample source–destination reference points are set for Rotate, Scale, & Shear cloning.

Sample source–destination reference points are set for Perspective cloning.

To move source points to a pattern

•
On the Patterns palette, click the palette menu arrow, and choose Check Out Pattern.
Source points are moved into a new “checked out pattern” window. For more information about checking out patterns, refer to "To edit a pattern tile".
•
You can reposition reference points by holding down Option (Mac OS) or Alt (Windows) and dragging the points to their new position.


Turning Other Brushes into Cloners

On this page, you will find information about

•
Using Clone Color
•
Using Brush Loading
•
Choosing a Cloning Method

Corel Painter offers two ways to use other brushes as Cloners:

•
the Clone Color button
•
the Cloning method

Using Clone Color

 Back to Top

You can turn almost any brush into a cloner with the Clone Color button. The Clone Color button causes a brush to pick up color from the source image while staying true to its own stroke nature. The Clone Color button is useful for creating mosaics and tessellations based on a source image.

To use Clone Color

1
Choose Window menu [image] Show Colors to display the Colors palette.
If the Colors palette is not expanded, click the palette arrow.
2
Click the Clone Color button [image].
•
If you change brushes while cloning images, you must click the Clone Color button [image] again.
•
Clicking the Clone Color button in the Colors palette also enables the Clone Color check box on the Cloning palette.

Using Brush Loading

 Back to Top

For greater color accuracy while cloning, you can use the Brush Loading option. This causes the brush to pick up individual colors in different regions of the brush dab.

Without Brush Loading, the Clone Color option uses a single, averaged color from the source for each brush dab. This results in an approximation of the original. You can use the Clone Color button without Brush Loading to create an artistic impression of the source.

To enable the Brush Loading option

1
Choose Window menu [image] Brush Controls [image] Show Well to display the Well palette.
2
Enable the Brush Loading check box.

Choosing a Cloning Method

 Back to Top

You can turn almost any brush into a cloner variant by setting its method to Cloning and choosing the Cloning method subcategory appropriate to the intended media style.

Because the cloning methods use a full set of pixels from the original document for each brush dab, you get a truer copy of the original than you might by using the Clone Color button. Unlike the Clone Color option, the cloning methods preserve the original image texture in the clone. Cloning methods are good to use when you want to precisely re-create portions of a source image. To modify a cloning method, you can adjust the settings on the Random palette.

The Cloning method subcategories are briefly described here. For a more detailed discussion of these methods, refer to "Methods and Subcategories".

•
Hard Cover Cloning results in partially anti-aliased brush strokes that hide underlying strokes.
•
Soft Cover Cloning produces anti-aliased brush strokes that cover layered ones.
•
Grainy Hard Cover Cloning works like Hard Cover Cloning, but brush strokes also interact with paper grain.
•
Grainy Soft Cover Cloning works like Soft Cover Cloning, but brush strokes also interact with paper grain.
•
Drip Cloning pushes color around as if it were wet, cloning the original with distortions based on your stroke.

To choose a cloning method for a brush

1
Choose a brush from the Brush Selector bar.
2
Choose Window menu [image] Brush Controls [image] Show General to display the General palette.
3
From the Method pop-up menu, choose Cloning.
4
From the Subcategory pop-up menu, choose a method.

To adjust a cloning method

1
Choose a brush from the Brush Selector bar.
2
Choose Window menu [image] Brush Controls [image] Show Random to display the Random palette.
3
Modify the sliders and options to change the character of the brush variant:
•
Move the Jitter slider to the right to determine the amount of randomness in the brush stroke.
•
Choose an expression from the Expression pop-up menu to vary the brush stroke.
•
Move the Direction slider to adjust the angle value of the direction control.
•
Move the Variability slider to the right to soften brush strokes. This works best with bristle brushes, creating an impressionistic effect.
•
Move the Variability slider a bit to the right and the How Often slider to the left to give drawing tools a “sketchy” feel.
•
Enable the Random Clone Source check box to make the cloning method randomly pick up pieces from the source document. Your brush then gives you random snippets of the source image. This option is not available for all Brush categories.
•
Enable the Random Brush Stroke Grain check box to make the cloning methods randomly pick up texture from the current paper grain. This option is not available for all Brush categories.
•
For more information about the controls on the Random palette, see "Random Controls".


Using Selections and Transformations with Cloning

On this page, you will find information about

•
Using a Selection While Cloning
•
Repeating Source Images
•
Filling with Transformed Cloning

You can use a selection while cloning in two ways: by making brush strokes in the destination image respect the selection in the source image, or by copying the active selection in the source region. These two options can be used together for In addition, you can also tile source images, where the source image is repeated in the clone destination. You can also produce a transformed image in the destination image with the Paint Bucket tool or the Fill command.

Using a Selection While Cloning

 Back to Top

The Cloning control in the Brush Controls and the Brush Creator provides two options for using the active selection from the source region:

•
Obey Source Selection causes brush strokes to respect the active selection in the source region. When you paint in the destination, your strokes are constrained to a region that corresponds to the source selection. For cloning types that apply a transformation, the selection is transformed.
•
Copy Source Selection copies the active selection in the source region. When you paint in the destination, your strokes clone the selection’s pixels as well as the RGB pixels. For cloning types that apply a transformation, the copied selection is transformed. Copy Source Selection is often used together with Obey Source Selection.

These selection options require a Cloning method. They do not work for brushes of other methods that use the Clone Color button on the Colors palette.

Use Obey Source Selection to paint in the area that corresponds to the source selection.

Use Copy Source Selection to clone the selection and the color.

To clone by using a source selection

1
Set up a selection for the portion of the source image you want to clone.
2
The selection should closely outline the region you want to use. For information about setting up a selection, refer to "Selections".
3
Choose the Cloner tool [image] in the toolbox.
4
Choose a cloner brush variant from the Brush Selector bar.
5
Choose Window menu [image] Brush Controls [image] Show Cloning to display the Cloning palette.
6
Enable the Clone Color check box.
7
Choose a cloning option from the Clone Type pop-up menu.
8
Enable the Obey Source Selection option or the Copy Source Selection option, or both.
9
Set source and destination reference points.
10
Destination reference points can be in the same file or a different file.
11
Click the drawing mode icon in the bottom left corner of the canvas, and choose Draw Anywhere [image].
If you try to clone while in another drawing mode, your strokes will not reach the canvas.
12
Paint in the destination.

This image uses Rotate & Scale cloning with both Obey Source Selection and Copy Source Selection enabled.

Repeating Source Images

 Back to Top

Tiling allows you to repeat source images across a larger area in the clone destination. The 4-Point Tiling option is available for Bilinear or Perspective cloning.

The quadrilateral set by the four clone source points defines an image tile. In the clone destination, the tile is warped according to the relative positions of the source and destination reference points and repeated as necessary to cover the area. This feature is particularly useful when filling with the clone source. For more information, see "To fill with a transformed clone image".

With 4-Point Tiling, the source image is repeated.

Filling with Transformed Cloning

 Back to Top

Instead of using a Brush tool to produce a transformed image in the destination, you can use the Paint Bucket tool or the Fill command. Filling is preferred when you want to cover a large area evenly. Filling is particularly helpful when you use Perspective cloning with 4-Point Tiling and a seamless pattern as the source.

If you use 4-Point Tiling with a pattern, you don’t need to set source reference points. Corel Painter automatically puts reference points in the corners of the pattern, starting in the upper left (0, 0) and moving clockwise. This method is ideal for most uses of Bilinear or Perspective cloning.

If you want to set the source references of a pattern to points other than the corners, you can set the source points in the “checked out pattern” window. For more information, refer to "To edit a pattern tile".

To fill with a transformed clone image

1
Choose the Cloner tool [image] in the toolbox.
2
Choose a cloner brush variant from the Brush Selector bar.
3
Choose Window menu [image] Brush Controls [image] Show Cloning to display the Cloning palette.
4
Choose the transformation you want from the Clone Type pop-up menu.
5
Set up clone source and destination reference points.
If you want, create a selection to constrain the fill.
6
Do one of the following:
•
Choose the Paint Bucket tool [image] from the toolbox, and click in the destination area.
•
Choose Effects menu [image] Fill. In the Fill dialog box, choose a fill option.

The destination points determine where the transformation occurs.

By using transformed clone information, the brick pattern becomes a steep wall.


Selections

A selection marks off areas of the canvas for special treatment. It can either protect an area from change or designate the area that you want to change.

You can save selections as alpha channels. This lets you store selections and edit them with brushes and image effects. For more information about alpha channels, refer to "Alpha Channels".

Having one selection, but multiple channels, is convenient and powerful. It’s easy to save selections and then reactivate them later. You can also create a selection from multiple channels by adding, subtracting, or intersecting them.

See Also

•
Getting Started with Selections
•
Creating Selections
•
Saving, Loading, and Combining Selections
•
Editing Selections


Getting Started with Selections

On this page, you will find information about

•
Selecting a Drawing Mode
•
Turning Selections On and Off
•
Hiding and Showing the Marquee
•
Inverting Selections

Corel Painter provides a variety of tools and commands for creating selections in a document. Each time you create a new selection, Corel Painter deactivates the old one.

You can use selections in several ways:

•
To constrain brush strokes. You can protect the area inside or outside the selection.
•
To isolate an area of the canvas for applying an image effect. Corel Painter applies the effect only to the selection. You can also set different levels of protection within a selection to create partial intensity of the effect.
•
To choose the area of the canvas you want to cut or copy.
•
To choose the area of the canvas that you want to move or copy to a new layer.
•
To apply a brush stroke along a selection border.

You can save and reload selections. Saving a selection creates a channel. Loading a selection reactivates it on the canvas, where it controls your painting and image effects. Corel Painter lets you combine selections in powerful ways. Refer to "Combining Selections by Using Boolean Operations" for more information.

The method you use to create a selection determines its type. There are two types of selections:

•
Path-based selections are defined by a closed path. They provide two levels of selection — what’s inside the path is selected, and what’s outside is not. You can move path-based selections around, and scale and rotate them with the Selection Adjuster tool.
•
Pixel-based selections are defined at the pixel level. These selections can be moved, but not resized or rotated. They can, however, be transformed into path-based selections.
Pixel-based selections provide 256 levels of protection to the canvas. Each pixel in the selection sets a level of protection for its corresponding color pixel in the RGB image. Opaque areas of the selection provide 100% protection and prevent brush strokes and effects from marking the canvas. Clear areas of the selection provide no protection and allow brush strokes and effects to mark the canvas. Where the selection is shaded, or semitransparent, brush strokes and effects are partially applied. This lets you paint and apply effects with varying levels of intensity within a selection.

When you save a selection, it becomes a channel, which is pixel-based. When you load a channel to a selection, the selection is always pixel-based. A pixel-based selection can be converted to a path-based selection. For more information, refer to "To convert a pixel-based selection to a path-based selection".

Selecting a Drawing Mode

 Back to Top

The drawing mode determines whether the inside or outside of a selection is protected when you paint on an image.

To select a drawing mode

1
Click and hold the drawing mode icon in the bottom-left corner of the document window.
2
Choose one of the following buttons:
•
Draw Anywhere [image] disables protection based on the selection. Brush strokes are allowed anywhere on the canvas. The selection is active only for applying effects and using the Cut or Copy command.
•
Draw Outside [image] protects the area inside the selection.
•
Draw Inside [image] protects the area outside the selection, similar to using a stencil. Only the selected region accepts brush strokes.

Turning Selections On and Off

 Back to Top

You can turn a selection off and reactivate it when you need it later.

To turn off a selection

•
Choose Select menu [image] None.
•
You can also turn off a selection by clicking outside of it with the Oval Selection, Rectangular Selection, or Lasso tool.

To reactivate a selection

•
Choose Select menu [image] Reselect.
•
This command is available only if you have turned off a selection.

Hiding and Showing the Marquee

 Back to Top

You can control display of the selection marquee.

To hide or show the selection marquee

•
From the menu bar, choose one of the following:
•
Select menu [image] Hide Marquee.
•
Select menu [image] Show Marquee.
•
The drawing mode is in effect even if the marquee is hidden.

Inverting Selections

 Back to Top

Inverting a selection switches the selected and nonselected areas. For example, if you have an image of a boat on the water and you’ve created a precise selection of the boat, you can select everything but the boat by inverting the selection.

The flower is selected (left). After inverting the selection, everything but the flower is selected (right).

A pixel-based selection can have 256 values in it, like a grayscale image. An inverted a pixel-based selection is equivalent to the negative of a grayscale image. For example, a pixel that has 80% luminance will have 20% luminance when inverted.

To invert a selection

•
Choose Select menu [image] Invert.


Creating Selections

On this page, you will find information about

•
Creating Path-based Selections
•
Creating Pixel-based Selections
•
Creating Selections from Layers

The method you use to create a selection determines its type. Selections created with the Rectangular Selection, Oval Selection, and Lasso tools, and selections converted from shapes, are path-based. Selections created with the Magic Wand tool or the Auto Select or Color Select command are pixel-based.

Creating Path-based Selections

 Back to Top

You can create path based selections that are rectangular or oval, or you can create a freehand selection. You can also create path-based selections by converting shapes or pixel-based selections. You can create a selection from the border, or outline, of the current path-based selection. You can also select the entire canvas.

Converting a shape creates a path-based selection. This is useful if the path you want for a selection already exists as a shape or text.

You can also convert a pixel-based selection to a path-based selection to apply transformations to it. However, when you convert a pixel-based selection, the modified selection is reduced to having two levels of protection.

To select an area

To select | Do the following
An oval area | Choose the Oval Selection tool [image] from the toolbox. Drag in the document window to select an area.
A rectangular area | Choose the Rectangular Selection tool [image] from the toolbox. Drag in the document window to select an area.
A freehand area | Choose the Lasso tool [image] from the toolbox. Draw a freehand border around the area you want to select in the document window.
The entire canvas | Choose Select menu [image] All.

•
When working with the Rectangular Selection tool or Oval Selection tool, you can constrain your selection to a square or a circle by holding down Control+Shift (Mac OS) or Ctrl+Shift (Windows) while making your selection.
•
If you draw an open path with the Lasso tool, Corel Painter connects the endpoints with a straight line before creating the selection.

To convert a shape to a selection

1
Select the shape you want to convert.
The shape must be closed.
2
Choose Shapes menu [image] Convert to Selection.
The outline of the shape creates the selection path. Everything within the outline is 100% selected.
•
You can also convert the current selection to a shape. For more information, see "To convert a selection to a shape".

To convert a pixel-based selection to a path-based selection

1
Create a pixel-based selection.
For more information, see "Creating Pixel-based Selections".
2
Choose Select menu [image] Transform Selection.
Corel Painter generates paths from the outlines of the pixel-based selection. You can now use the Selection Adjuster tool for transformations.

To create a border selection

1
Choose Select menu [image] Modify [image] Border.
2
In the Border Selection dialog box, enter the number of pixels for the width of the border.

A border selection with airbrush strokes applied

Creating Pixel-based Selections

 Back to Top

The Magic Wand tool lets you create pixel-based selections. Groups of pixels are selected based on color. You can adjust settings to control the range of colors, and you can choose to include contiguous or noncontiguous pixels.

You can use the Auto Select command to create a pixel-based selection from your choice of image characteristics Corel Painter also lets you create a noncontiguous pixel-based selection based on a range of colors.

To select an area using the Magic Wand tool

1
Choose the Magic Wand tool [image] from the toolbox.
2
On the property bar, adjust any of the following settings:
•
Tolerance controls the amount of variance allowed from the selected color. Higher values create a larger range of colors.
•
Anti-Alias creates intermediate selection values on the selection boundaries. This gives soft edges to the work you do with the selection.
•
Contiguous, when enabled, selects contiguous pixels.
3
On the property bar, click one of the following buttons:
•
New Selection
•
Add to Selection
•
Subtract from Selection
4
In the document window, do one of the following:
•
Click to select the color in the middle of the range of colors used to make the selection.
•
Click and drag over an area to define the range of colors used to make the selection.
It may take a moment for Corel Painter to calculate and load the selection.
•
The default tolerance for selections is 32. It can be adjusted from 1 to 255.
•
If you add to the current selection, you add to the range of values that the Magic Wand tool selects rather than create an additional selection with a unique seed color.
•
If you want to restrict your selection to a rectangular area, press Option+Shift (Mac OS) or Alt+Shift (Windows) and drag a bounding rectangle in your image.
•
You can restore the default settings by clicking the Reset Tool button [image] on the property bar.

Adding to a selection with the Magic Wand

To generate a selection with the Auto Selection command

1
Choose Select menu [image] Auto Select.
2
In the Auto Select dialog box, choose an image characteristic from the Using pop-up menu.
•
Paper creates a selection using the current paper texture.
•
3D Brush Strokes creates a selection based on the difference between the current image and the clone source. If no clone source is selected, Corel Painter uses the current pattern. For information about clones, refer to "Cloning and Tracing".
•
Original Selection imports the selection from the clone source document. You can use this feature to transfer a selection from another document. For best results, the dimensions of the source and working document should match. You must establish a clone source file, and create a selection in this file, for this option to be valid. For information about clones, refer to "Cloning and Tracing".
•
Image Luminance creates a selection based on the current image’s light and dark areas.
•
Original Luminance produces a selection in the current document based on the clone source’s light and dark areas. This option lets you import an image to the selection. If no clone source is selected, Corel Painter uses the current pattern.
•
Current Color creates a selection of pixels of the current main color. You might want to use the Dropper tool to pick a color from the image before using the Current Color option.
If you want to invert the selection, enable the Invert check box.

To generate a color-based selection

1
Choose Select menu [image] Color Select.
2
With the Color Select dialog box open, click in the document window to pick a color.
3
Adjust the H Extents (hue), S Extents (saturation), and V Extents (value) sliders to control the range of colors.
These sliders control the selected range. You can drag the limits of the range in either direction.
4
Adjust the H Feather (hue), S Feather (saturation), and V Feather (value) sliders to control the feathering at the edges of the color space extents.
This helps soften the selection edge.
5
The Preview window shows the selected area as a red overlay on the image. Drag in the Preview window to see other parts of the document.

Creating Selections from Layers

 Back to Top

You can create a selection from a layer. The new selection outlines the contents of the layer, without modifying the layer. For more information about layers, refer to "Getting Started with Layers".

To create a selection from a layer

1
On the Layers palette, select a layer.
2
Perform an action from the following table.

To | Do the following
Create a selection from Pixel-based, Watercolor, Liquid Ink, or Reference layer | Choose Select menu [image] Load Selection. In the Load Selection dialog box, choose the selected layer’s transparency from the Load From pop-up menu, and enable the Replace Selection option.
Create a selection from a Dynamic, Shape or Text layer | On the Layers palette, click the palette menu arrow, and choose Convert to Default Layer. Choose Select menu [image] Load Selection. In the Load Selection dialog box, choose the selected layer’s transparency from the Load From pop-up menu, and enable the Replace Selection option.


Saving, Loading, and Combining Selections

On this page, you will find information about

•
Saving Selections
•
Loading Selections
•
Using the Selection Portfolio
•
Combining Selections by Using Boolean Operations

When you save a selection, you create a channel, which you can later reuse as a selection. Loading a selection reactivates a selection that was saved as a channel. You can also choose from the Selection Portfolio, a library of ready-to-use selections. New selections can be created by using Boolean operations to combine selections with alpha channels.

Saving Selections

 Back to Top

Saving a selection generates a channel. Channels save selections for future use and provide additional editing control. When you save a selection, you can create a new channel or modify an existing channel. You can replace an existing channel, add the selection to an existing channel, subtract it from an existing channel, or intersect it with an existing channel. For more information, refer to "Combining Selections by Using Boolean Operations".

To save a selection to a new channel

1
Create a selection.
2
Do one of the following:
•
Choose Select menu [image] Save Selection.
•
On the Channels palette, click the Save Selection as Channel button [image].
3
In the Save Selection dialog box, choose New from the Save To pop-up menu.
If you want to specify a name, type a name in the Name box.
•
If you do not specify a name, new channels are named incrementally: Alpha 1, Alpha 2, and so on.

To modify an existing channel

1
Create a selection.
2
Do one of the following:
•
Choose Select menu [image] Save Selection.
•
On the Channels palette, click the Save Selection as Channel button [image].
3
In the Save Selection dialog box, choose an existing channel from the Save To pop-up menu.
4
Select an operation:
•
Replace Mask replaces the channel with the saved selection.
•
Add to Mask combines the current selection with the chosen channel.
•
Subtract from Mask subtracts the current selection from the chosen channel.
•
Intersect with Mask determines the intersection of the selection and the chosen channel, and saves this to the channel.

Loading Selections

 Back to Top

Loading a selection reactivates a selection that was saved as a channel. When you load a selection, you can replace the current selection, add it to the current selection, subtract it from the current selection, or intersect it with the current selection. For more information, refer to "Combining Selections by Using Boolean Operations".

To load a selection from a channel

1
Do one of the following:
•
Choose Select menu [image] Load Selection.
•
Click the Load Channel as Selection button [image] on the Channels palette.
2
In the Load Selection dialog box, choose a channel from the Load From pop-up menu.
3
Choose a loading operation:
•
Replace Selection replaces the current selection with the chosen channel.
•
Add to Selection adds the channel to the current selection.
•
Subtract from Selection subtracts the channel from the current selection. In other words, the channel “cuts away” from the selection.
•
Intersect with Selection determines the intersection of the channel and the current selection. This intersection becomes the new selection.

Using the Selection Portfolio

 Back to Top

Corel Painter provides a library of sample selections in the Selection Portfolio. You can use any of the selections in the portfolio. If you create a path-based selection that you want to use again, you can store it in the portfolio. You can add your selections to the sample library, or you can create your own library. For information about creating and using your own libraries, refer to "Libraries and Movers".

To store a selection in the portfolio

1
Create the path-based selection you want to store.
2
Choose Window menu [image] Show Selection Portfolio.
3
Choose the Selection Adjuster tool [image] from the toolbox.
4
Drag the selection to the Selection Portfolio palette.
5
In the Save Selection dialog box, type a name for the selection.

To use a selection from the portfolio

•
On the Selection Portfolio palette, do one of the following:
•
Drag a selection to the document window.
•
Double-click a selection.
The selection replaces the previous selection and appears in its original position on the canvas, provided that the document dimensions are the same.

Combining Selections by Using Boolean Operations

 Back to Top

When you save selections, you can use Boolean operations (add, subtract, and intersect) to combine the saved selection with an existing channel. Adding a selection combines it with the existing channel. Subtracting a selection cuts it out of the existing channel. When you intersect a selection, you include only those parts that are common to the selection and the existing channel. For information about specifying Boolean operations when saving selections, refer to "To modify an existing channel".

When you load saved selections, or channels, you can use Boolean operations to combine the loaded channel with the current selection. Adding a channel combines it with the current selection. Subtracting a channel cuts it out of the current selection. When you intersect a channel, you include only those parts that are common to the current selection and the loaded channel. For information about specifying Boolean operations when loading selections, refer to "Loading Selections".

There are many practical uses for loading a selection by using Boolean operations. For example, in the owl images below, the artist created and saved selections for each area she wanted to work with separately — the eyes, beak, and outline. To show the selections clearly in these graphics, the selections were saved to channels, reloaded, and displayed as red overlays. For information about displaying channels as colored overlays, refer to "To view or hide a channel". The following graphics appear with the steps performed to create a precise “face” selection that does not include the beak and eyes:

The original image

The eye and beak channels (saved selections) are loaded and added. The combined selection is saved to the “eyebeak” channel.

The “outline” channel is loaded.

The “eyebeak” channel is loaded and subtracted from the “outline” channel. The resulting selection is saved to the “head” channel.

A rough “face” selection is drawn with the Lasso tool. The eyes, beak, and a portion of the background are included.

The “head” channel (the outline with eyes and beak subtracted) is loaded and intersected with the rough “face” selection. This removes the eyes, beak, and background portion. The resulting selection is saved to the “face” channel.

Now, with a precise selection of the face, it’s easy to control brush strokes and constrain effects. You can also combine selections when you create them by adding to, or subtracting from, the current selection. You can combine selections made with different tools. For more information, refer to the procedures "To convert a pixel-based selection to a path-based selection" and "To add to or subtract from a selection".


Editing Selections

On this page, you will find information about

•
Editing Path-based or Pixel-based Selections
•
Editing Path-Based Selections Only
•
Stroking Selections

Path-based selections support many transformations that pixel-based selections do not. You can convert a pixel-based selection to a path-based selection to apply transformations to it. However, when you convert a pixel-based selection, the modified selection is reduced to having two levels of protection.

To determine whether a selection is pixel- or path-based, use the Selection Adjuster tool. If the selection displays handles when the Selection Adjuster tool is active, the selection is path-based. If the selection does not have handles, it is pixel-based. For more information about selection types, refer to "Getting Started with Selections".

Editing Path-based or Pixel-based Selections

 Back to Top

You can add and subtract selections using any combination of selection tools. For example, you can create a selection with the Magic Wand tool and add a rectangular area with the Rectangular Selection tool, or you can create a selection with the Lasso tool and add to it with the Magic Wand tool.

You can feather both path-based and pixel-based selections to soften the transitions between selected and unselected areas. If you feather a path-based selection, it is converted to a pixel-based selection to allow varying levels of protection at the edges.

To add to or subtract from a selection

To | Do the following
Add to a selection | With a selection tool chosen, click the Add to Selection button [image] on the property bar, and select the area you want to add. You can also hold down Shift, and select the area you want to add.
Subtract from a selection | With a selection tool chosen, click the Subtract from Selection button [image] on the property bar, and select the area you want to subtract. You can also hold down Option (Mac OS) or Alt (Windows), and select the area you want to subtract.

•
You can add selections using any combination of selection tools, including the Magic Wand tool. If you add both pixel- and path-based selections, the result is a pixel-based selection. For more information about creating pixel-based selections with the Magic Wand tool, refer to "To select an area using the Magic Wand tool".

Adding to a path-based selection.

Subtracting from a path-based selection.

To feather a selection

1
Choose Select menu [image] Feather.
2
In the Feather Selection dialog box, enter the number of pixels you want to feather.
•
When the selection marquee is shown, feathering may be difficult to see. It is easier to see the effect of feathering if you save the selection to a channel and view the channel. For more information, refer to "To view or hide a channel".

To move a selection

1
Choose the Selection Adjuster tool [image] from the toolbox.
2
Drag the selection.
•
You can move a pixel-based selection with the Selection Adjuster tool; however, if a portion moves off the canvas, it is subtracted from the selection.
•
You can also move a path-based selection by nudging it with the arrow keys. With the Selection Adjuster tool, click the selection, and then press an arrow key a few times.

Drag a selection with the Selection Adjuster tool to move it to a new position. A rectangular marquee is displayed while you are dragging the selection.

Editing Path-Based Selections Only

 Back to Top

You can use the Selection Adjuster tool to make changes to your selection. You can scale, rotate, or skew path-based selections. The Select menu also has several options for editing selections. You can widen or contract a selection by a set number of pixels. When you widen a selection, it is expanded on all sides by the specified number of pixels. When you contract a selection, Corel Painter shrinks it on all sides by the specified number of pixels. You can smooth a selection by removing sharp edges, rounding corners, and straightening the outline path.

Unless otherwise noted, the procedures in this section are possible only with path-based selections.

To scale, rotate, or skew a selection

1
Choose the Selection Adjuster tool [image] from the toolbox.
2
Click the selection.

To | Do the following
Scale a selection | Drag a corner handle to scale in two dimensions. If you want to constrain the aspect ratio, hold down Shift while you drag. You can also drag a side, top, or bottom handle to scale in one dimension.
Rotate a selection | Hold down Command (Mac OS) or Ctrl (Windows), and drag a corner handle.
Skew a selection | Hold down Command (Mac OS) or Ctrl (Windows), and drag a side handle.

Drag a side handle to scale horizontally.

Rotating a selection.

Skewing a selection.

To widen, contract, or smooth a selection

To | Do the following
Widen a selection | Choose Select menu [image] Modify [image] Widen. In the Widen Selection dialog box, enter a number of pixels.
Contract a selection | Choose Select menu [image] Modify [image] Contract. In the Contract Selection dialog box, enter a number of pixels.
Smooth a selection | Choose Select menu [image] Modify [image] Smooth. Repeat the command until the path is as smooth as you want it.

The selection — before and after smoothing.

Stroking Selections

 Back to Top

You can apply a stroke to a path-based selection. Corel Painter uses the current brush variant, brush size, color, and paper texture to apply a stroke along the border of a selection. This is an excellent way to get brush strokes to follow specific contours.

You can set the drawing mode to control whether brush strokes are placed inside the selection border, outside the selection border, or on both sides of the selection border. For more information, refer to "Selecting a Drawing Mode".

To stroke a selection

1
Create a path-based selection.
2
Choose the brush variant, color, and paper texture you want to use.
3
On the property bar, type a value in the Size box, or adjust the pop-up slider.
4
Click the drawing mode icon in the bottom-left corner of the document window, and choose a drawing mode.
5
Choose Select menu [image] Stroke Selection.
Repeat the command to build strokes. Change brushes if you like.
•
For a unique effect, you can nudge the selection by a few pixels and choose the command again. To nudge the selection, click it with the Selection Adjuster tool, and then press an arrow key a few times.

Stroking a selection using the Draw Anywhere drawing mode applies strokes to both sides of the selection border.


Alpha Channels

The primary function of an alpha channel, also referred to simply as a channel, is to store a selection you might want to use later. You can save multiple selections in a channel.

An alpha channel is a mask through which you can paint on, and apply effects to, an image. The alpha channel stores 8 bits of information per pixel, which means that each pixel can be assigned one of 256 (28) levels of gray — from 0 (black) to 255 (white). White areas of the channel are selected, and black areas of the channel are protected. Intermediate levels of gray are partially protected. For example, areas that are 50% gray will allow 50% of the brush stroke or effect to get through the channel to the image.

Alpha channels work like selections. Selections, however, are available only when working with the active image during the current session. You can save your selection, which creates an alpha channel. Channels remain inactive (for canvas control) until you load them to a selection. You can think of a channel as a dormant selection. For more information about selections, refer to "Selections".

Corel Painter lets you create up to 32 alpha channels. The channels are listed on the Channels palette, where you can select and control them. You can edit a channel in a number of ways and then load it as a selection.

Stored channels remain part of the file when you save in Corel Painter or Photoshop format. No matter how many times you work on a file, the channels are available whenever you need them.

See Also

•
Creating, Generating, and Importing Channels
•
Managing and Editing Channels


Creating, Generating, and Importing Channels

On this page, you will find information about

•
Creating Channels
•
Generating Channels Automatically
•
Importing Channels from Other Programs

You can create channels, generate them based on lightness and darkness of one of several sources, or import channels them other applications.

Creating Channels

 Back to Top

You can create a channel from a selection or create a new, blank channel. You can also create a new channel by copying an existing channel.

To save a selection to a channel

1
Choose Select menu [image] Save Selection.
2
Type a name in the Name box.
For additional information, refer to "Saving, Loading, and Combining Selections".

To create a new, blank channel

•
On the Channels palette, do one of the following :
•
Click the palette menu arrow, and choose New.
•
Click the New Channel button [image].

To copy a channel

1
On the Channels palette, choose a channel from the list.
2
Click the palette menu arrow, and choose Duplicate.
3
In the Duplicate Channel dialog box, choose New from the Destination pop-up menu.
•
You can also copy a channel to an existing channel, so that the existing channel is replaced. To do this, choose the existing channel from the Destination pop-up menu.

Generating Channels Automatically

 Back to Top

Corel Painter lets you generate a channel based on the light and dark areas of a number of sources, including paper, pattern, and clone source. You can also create a channel based on a range of colors.

To generate a channel based on luminance

1
On the Channels palette, do one of the following:
•
To generate a new channel, choose the RGB channel from the list.
•
To replace a channel, choose it from the list.
2
Click the palette menu arrow, and choose New From.
3
In the New From dialog box, choose one of the following options from the pop-up menu:
•
Paper uses the current paper texture to create the channel.
•
3D Brush Strokes creates a channel based on the difference between the current image and the clone source. If no clone source is selected, Corel Painter uses the current pattern. For information about clones, refer to "Alpha Channels".
•
Original Selection imports the selection from the clone source document. You can use this feature to transfer a selection from another document. For best results, the dimensions of the source and working document should match. You must establish a clone source file, and create a selection in this file, for this option to be available. For information about clones, refer to "Cloning and Tracing".
•
Image Luminance creates a channel based on the current image’s light and dark areas. For Image Luminance to be effective, the image must have high contrast. Images with low contrast produce a semisolid channel, without clear delineation between the selected and protected areas.
•
Original Luminance produces a channel based on the clone source’s light and dark areas. This option lets you import an image to the channel. If no clone source is selected, Corel Painter uses the current pattern.
•
Current Color creates a channel based on pixels of the current main color. Areas of the current color are protected; the rest of the image is selected. You might want to use the Dropper tool to pick a color from the image before using the Current Color option.
If you want to invert the channel, enable the Invert check box.
•
Like a grayscale image, a channel can have 256 values in it. Inverting a channel is equivalent to creating the negative of a grayscale image. For example, a pixel with 80% luminance will have 20% luminance when inverted. A pixel with 30% luminance will have 70% luminance when inverted.

An image (left), the channels created using image luminance (middle), and inverted image luminance (right).

To generate a color-based channel

1
On the Channels palette, do one of the following:
•
To generate a new channel, choose the RGB channel from the list.
•
To replace a channel, choose it from the list.
2
Click the palette menu arrow, and choose New From Color Range.
3
With the Color dialog box open, click in the document window to pick a color.
The color you select is the middle of the range of colors used to create the channel.
4
In the Color dialog box, adjust the H Extents (hue), S Extents (saturation), and V Extents (value) sliders.
These sliders control the selected range. You can drag the limits of the range in either direction.
5
Adjust the H Feather (hue), S Feather (saturation), and V Feather (value) sliders to control the feathering at the edges of the color space extents.
This helps soften the edges of the channel.
If you want to invert the channel, enable the Inverted check box.
•
The Preview window in the Color dialog box shows the channel as a red overlay on the image. You can drag in the Preview window to see other parts of the image.

Importing Channels from Other Programs

 Back to Top

When RGB files that were created in Photoshop are opened in Corel Painter, anything in the alpha channels (#4 and above) will appear as a channel in Corel Painter. Conversely, when you save your Corel Painter file in Photoshop format, all channels are placed into channels #4 and above.


Managing and Editing Channels

On this page, you will find information about

•
Selecting and Viewing Channels
•
Setting Channel Attributes
•
Deleting and Clearing Channels
•
Editing Channels

The Channels palette lists the RGB color image and each channel you’ve saved. If a layer is selected, and the layer has a layer mask, the Channels palette also lists the layer mask. For information about layer masks, refer to "Working with Layer Masks". A channel allows certain types of editing that are not possible in a selection.

Selecting and Viewing Channels

 Back to Top

Selecting and viewing a channel are distinct operations — you can view a channel without selecting it, and you can select a channel without viewing it. If you want to edit a particular channel, you must select it.

You can view or hide a channel by clicking the eye icon next to the channel’s thumbnail on the Channels palette. When the eye is open, the channel displays in the document window. When the eye is closed, the channel is hidden.

Corel Painter offers two ways to view a channel — as a colored overlay on the image or in grayscale. Colored overlays are red by default, but you can change the color. For more information, refer to "To set channel attributes".

You can view the RGB image and more than one channel, but your editing applies only to the one item selected on the Channels palette — either the RGB image or a channel.

To display the Channels palette

•
Choose Window menu [image] Show Channels.
If the palette is not expanded, click the palette arrow.

To select a channel

•
On the Channels palette, choose a channel from the list.
•
When you want to work on the image again, choose RGB from the list.

To view or hide a channel

To | Do the following
View a channel as a colored overlay | On the Channels palette, click the eye icon next to the channel’s thumbnail to open the eye. In this mode, the RGB image is always displayed.
View a channel as a grayscale image | On the Channels palette, make sure the channel is hidden (eye closed) and not selected, and click the channel name. In this mode, the RGB image is hidden.
Hide a channel | Click the eye icon next to the channel item to close the eye.

Left: The “wings” channel and the RGB image are displayed. Right: The “wings” and “body” channels are displayed as red overlays on the RGB image. The eye icons for both channels and for RGB are open.

A channel protecting the wings and body is displayed in grayscale. The RGB image is hidden.

Setting Channel Attributes

 Back to Top

Each channel has a set of display attributes that can make it easier to use and help you distinguish it from the other channels. These attributes do not affect the function of the channel; they affect only how the channel displays as you work on it.

Corel Painter names new channels incrementally: Alpha 1, Alpha 2, and so on. Renaming a channel makes it easier to work with, especially if you have several in the document. You can find the channel you want immediately if you’ve given it a descriptive name.

To set channel attributes

1
On the Channels palette, choose a channel from the list.
2
Do one of the following:
•
Click the palette menu arrow, and choose Channel Attributes.
•
Double-click the channel name in the list.
3
In the Channel Attributes dialog box, drag the Opacity slider to set the channel display strength.
4
Click the Color chip, and choose a display color in the Color dialog box.
If you want to see the color overlay in grayscale, choose black.
A channel is easiest to use as an overlay when its color contrasts strongly with the predominant hue of the RGB image. You might want to use a different color for each channel.
5
Click OK.
6
Enable one of the following options to specify where the color overlay displays:
•
Masked Areas
•
Selected Areas
If you want to rename the channel, type a name in the Name box.
•
If you want the channel displayed at its full intensity, move the Opacity slider to 100%. Choose a lower value to display the channel more transparently so you can follow the underlying RGB image as you edit the channel.

Deleting and Clearing Channels

 Back to Top

If you’ve finished working with a particular channel you can delete it. You can also clear a channel without deleting it, leaving you with a blank channel.

To delete a channel

1
On the Channels palette, choose a channel from the list.
2
Do one of the following:
•
Click the palette menu arrow, and choose Delete.
•
Click the Delete button [image] at the bottom of the Channels palette.

To clear a channel

1
On the Channels palette, choose a channel from the list.
2
Click the palette menu arrow, and choose Clear.

Editing Channels

 Back to Top

You can paint in a channel or apply effects to it. Feathering a channel softens the transitions between light and dark areas. In addition, because a channel is a grayscale image, you can make dark pixels light and light pixels dark by inverting it.

You can also fill a channel with a color, pattern, gradient, or weave. You can fill an entire channel or an area of a channel, or you can fill a channel based on existing color. For more information, refer to "Filling Images Based on Color".

When you edit a channel, you are making modifications to the channel, and not the image. Because the alpha channel is a grayscale image, separate from the RGB image, you can use shades of gray only; no colors are available. You can use the resulting channel afterwards to make changes to your image.

If you want to modify a specific area of a channel, you can create a selection. The current selection is available to the RGB image and all channels. For more information, refer to "Creating Selections".

Editing a channel does not affect how the channel displays. For information about setting the color and opacity of the displayed channel overlay, refer to "Setting Channel Attributes".

To paint in a channel

1
On the Channels palette, display and select the channel you want to work with.
If you want to paint only on a specific area of the channel, make a selection.
2
Choose the Brush tool [image] from the toolbox.
3
On the Brush Selector bar, choose a brush category and variant.
The Pen and Airbrush brush categories make good choices.
4
On the Colors palette, choose a color.
Only grayscale values are available. Black adds to the channel. White erases from it.
When you paint in the channel, hue is irrelevant. The channel carries 8 bits of information and you need only set a level in that range. The value scale is between black and white.
5
On the property bar, type a value in the Opacity box, or adjust the pop-up slider.
6
Type a value in the Size box, or adjust the pop-up slider.
7
Paint in the document window.

To apply an effect to a channel

1
On the Channels palette, display and select the channel you want to work with.
If you want to apply the effect to a specific area of the channel, make a selection.
2
Choose an effect from the Effects menu.
To learn more about image effects, see "Image Effects".

To feather a channel

1
On the Channels palette, display and select the channel you want to work with.
2
Click the palette menu arrow, and choose Feather.
3
In the Feather dialog box, type a number of pixels.

A channel — before and after feathering.

To invert a channel

1
On the Channels palette, choose a channel from the list.
2
Click the palette menu arrow, and choose Invert.

A channel — before and after inversion.

To fill a channel

1
On the Channels palette, display and select the channel you want to work with.
If you want to fill only a specific area of the channel, make a selection.
2
In the toolbox, choose a color, pattern, gradient, or weave from the corresponding selector.
3
Choose Effects menu [image] Fill.
4
In the Fill dialog box, enable one of the following options on which to base the fill:
•
Current Color (the current shade of gray)
•
Pattern
•
Gradient
•
Weave
5
Adjust the Opacity slider.
•
For more information on the working with fills, refer to "Filling an Area with Media".

To fill a channel based on color

1
On the Channels palette, display and select the channel you want to work with.
2
Choose the Paint Bucket tool [image] from the toolbox.
3
On the property bar, click the Fill Image button [image].
4
Choose one of the following from the Fill pop-up menu:
•
Current Color fills with the current color — a shade of gray.
•
Grad fills with the selected gradient.
•
Clone Source fills using the current clone source image. If you haven’t defined a clone source, Corel Painter fills with the current pattern.
•
Weave fills with the selected weave.
5
Choose the specific material you want from the Fill selector.
6
To specify the range of gray to be filled, type a value in the Tolerance box, or adjust the pop-up slider.
7
To specify the fill opacity for pixels outside the Tolerance range, type a value in the Feather box, or adjust the pop-up slider.
If you want to create intermediate fill values on the boundaries, enable the Anti-Alias check box. This gives soft edges to the fill. Anti-aliasing is desirable when Feather is zero or extremely low.
8
Click the area of the channel you want to fill.
If the result is not what you want, undo the fill, change the settings, and try again.
•
The Paint Bucket tool applies a fill only to a visible channel. Make sure the channel’s eye icon is open before using the Paint Bucket tool.
•
For complete information on Paint Bucket tool controls, refer to "Filling Images Based on Color".
•
You can return to the default Paint Bucket tool settings by clicking the Reset Paint Bucket button [image] on the property bar.


Layers

When you open a new document and create an image, your work appears on a background layer known as the Canvas layer. You can add additional layers to a document, which allows you to manipulate the visual elements in the image independently of the canvas.

Layers provide one of the great advantages of creating images in a digital workspace — the freedom to experiment with different compositions and effects without risking an unwanted, permanent edit. The Corel Painter RIF file format preserves layers when you save a document, so you can easily make changes at a later time. There’s no need to re-create the entire composition — just modify one or more layers. The result is a dynamic and flexible design environment.

Think of layers as sheets of clear material, such as acetate. Painting on a layer obscures the image below it. Areas of a layer that don’t contain images remain transparent.

See Also

•
Getting Started with Layers
•
Managing Layers
•
Editing Layers
•
Working with Layer Masks


Getting Started with Layers

On this page, you will find information about

•
Layer Basics
•
Layer Types
•
The Layers Palette
•
The Layer Adjuster Tool
•
Creating Layers
•
Naming Layers
•
Saving Files That Contain Layers
•
Deleting Layers

Corel Painter uses different types of layers; how you work with each layer depends on the type of data it contains. You can manage layers by using the Layers palette, and modify layers by using the Layer Adjuster tool. You can also create, name, save, and delete layers.

Layer Basics

 Back to Top

In Corel Painter, layers are objects that contain image data. Because each layer is a distinct object, you can move it around and edit it without interfering with the image data on the canvas or other layers. Likewise, you can work on the canvas without interfering with any of the other layers.

Layers can contain either pixel-based or vector-based images. How you work with a layer depends on the type of data it contains. When you work with layers, you use the Layers palette and the Layer Adjuster tool.

Layer Types

 Back to Top

Layers can contain two types of images:

•
Pixel-based images
•
Vector-based images

Corel Painter also features specialized types of layers:

•
Floating object layers
•
Reference layers
•
Dynamic layers
•
Watercolor layers
•
Liquid Ink layers

Some features in Corel Painter can be applied only to default, pixel-based layers. If you want to use these features on shapes, Watercolor layers, Liquid Ink layers, dynamic layers, and so on, you must convert them to default layers.

Pixel-based Layers

You can create pixel-based images on a layer using any brush variant, with the following exceptions: Watercolor brushes, Liquid Ink brushes, brushes that use the Wet method. You can also create pixel-based images on a layer by pasting or placing an image.

Layers play a role in more specialized functions, such as building an image hose nozzle, embedding a URL in an image, or creating an animation.

Vector Shape Layers

Shapes are vector-based objects. When you create a shape with one of the shape tools (Pen, Quick Curve, Rectangular Shape, Oval Shape, or Text), Corel Painter automatically adds a new layer to the document. Each new shape becomes a separate layer; you can group multiple shapes together or merge them into a single shape.

Shapes cannot contain pixel information. To perform pixel-based operations — such as painting in a shape with a brush or filling it with a gradation — you must convert the shape to a pixel-based layer.

The information in this chapter can help you manage shapes on the Layers palette. For detailed information about creating and working with shapes, see "Using Shapes".

Floating Object Layers

Floating object layers contain images that can be moved around the layer. For more information, refer to "Working with Floating Objects".

Reference Layers

Reference layers are low-resolution representations of other layers. Using reference layers lets you more easily manipulate standard layers. For more information, refer to "Working with Reference Layers".

Dynamic Layers

Dynamic layers provide dynamic effects to the underlying image. Some dynamic layers, such as Glass Distortion and Equalize, interact with the underlying images in a specific area to produce effects. Other dynamic layers, such as Liquid Metal, interact with the underlying images as you apply brush strokes.

Dynamic layers are different from other effects because they are distinct objects — you can access them on the Layers palette and update their controls to modify them at any time.

This chapter can help you manage dynamic layers on the Layers palette. For detailed information about creating and working with dynamic layers, see "Dynamic Plug-ins".

Watercolor Layers

The Watercolor layer is reserved for Watercolor brushes. It enables the paint applied with these brushes to mix and flow together. You can create multiple Watercolor layers in a document. These layers are part of the layer hierarchy and appear on the Layers palette, where they are characterized by a blue ink droplet icon [image].

In earlier versions of the application, if you applied watercolor brush strokes, they were applied to the Canvas layer and, as such, were uneditable. Now, when you apply a Watercolor brush to the canvas or to an image layer, a new Watercolor layer is automatically created. You can edit Watercolor layers as you would any other layer, including erasing and blurring, without affecting other layers.

Refer to "Working with the Watercolor Layer" for more information about working with Watercolor layers.

Liquid Ink Layers

The Liquid Ink layer is reserved for Liquid Ink brushes. You can create multiple Liquid Ink layers in a document. These layers are part of the layer hierarchy and appear on the Layers palette, where they are characterized by a black ink droplet icon [image].

When you apply one of the Liquid Ink brushes to the canvas or to an image layer, a new Liquid Ink layer is automatically created. You can edit Liquid Ink layers without affecting other layers.

Refer to "Working with the Liquid Ink Layer" for more information about working with Liquid Ink layers.

The Layers Palette

 Back to Top

All layers in a document are listed on the Layers palette. The Layers palette manages the hierarchy of layers and includes controls for selecting, hiding, locking, deleting, naming, and grouping layers.

You can access many layer functions and commands using the buttons at the bottom of the palette, and the palette menu (accessed by clicking the palette menu arrow in the upper-right corner of the palette).

The Layers palette displays icons next to each layer to indicate the layer’s type and characteristics. The following table lists the icons that appear in the Layers palette:

Pixel-based layer | Floating object | Expanded group
Watercolor layer | Reference layer | Visible layer
Liquid Ink layer | Dynamic layer | Hidden layer
Shape layer | Grouped layer | Locked layer

On the Layers palette, you can set layer opacity and choose a composite method. For information about layer opacity, refer to "Setting Layer Opacity". For information about composite methods, refer to "Blending Layers by Using Composite Methods".

The Info palette displays information about the dimensions and position of layer content. For more information, refer to "Using the Info Palette".

To display the Layers palette

•
Choose Window menu [image] Show Layers.
If the palette is not expanded, click the palette arrow.

To convert to a default layer

1
On the Layers palette, select the layer that you want to convert.
Types of layers that you may want to convert include shape, Watercolor, Liquid Ink, and dynamic layers.
2
Click the palette menu arrow, and choose Convert to Default Layer.

The Layer Adjuster Tool

 Back to Top

With the Layer Adjuster tool, you can select and work with layers. When you choose the Layer Adjuster tool from the toolbox, the property bar contains options for selecting layers automatically and for changing a layer’s position in the hierarchy. For information about selecting layers automatically, refer to "Selecting Layers". For information about changing the layer hierarchy, refer to "Changing Layer Hierarchy".

You can also cut, copy, paste, and duplicate layers using the Layer Adjuster tool. For more information, see "Creating Layers".

Creating Layers

 Back to Top

You can create new pixel-based, Watercolor, or Liquid Ink layers directly from the Layers palette. You can also duplicate layers and copy layers between documents.

How you create a layer determines its place in the layer hierarchy on the Layers palette. If you use a button on the Layers palette, a Layers menu command, or a keyboard shortcut to create a layer, the new layer is placed directly above the selected layer. If the selected layer belongs to a group, the new layer is added to the group. If a group of layers is selected, the layer is placed above the group. For more information, see "Grouping Layers".

Another way to create a layer is to base it on a selection. To do this, you can copy or convert the contents of a selection to a new layer. For information about creating selections, refer to "Creating Selections".

For information about creating dynamic layers, refer to "Creating Dynamic Layers". For information about creating vector shape layers, see "Creating Shapes".

To create a new layer

•
Click one of the following buttons at the bottom of the Layers palette:
•
New Layer
•
New Watercolor Layer
•
New Liquid Ink Layer
•
You can also create a new layer by clicking the palette menu arrow and choosing New Layer, New Watercolor Layer, or New Liquid Ink Layer.

To duplicate or copy and paste a layer

1
Choose the Layer Adjuster tool [image] from the toolbox.
2
On the property bar, enable the Auto Select Layer check box.
3
Perform an action from the following table.

To
Do the following
Duplicate a layer
In the document window, hold down Option (Mac OS) or Alt (Windows), and click the layer.
A duplicate layer is created on top of the original layer. Drag the new layer to reveal the original layer in the document window.
Copy a layer between documents
In the document window, select a layer, and do one of the following:
•
In the document window, drag the layer to another document.
•
Choose Edit menu [image] Copy, display the other document, and then choose Edit menu [image] Paste.

•
For more information about selecting layers, refer to "Selecting Layers".
•
You can also paste a copied layer from the Clipboard to a new document by choosing Edit menu [image] Paste Into New Image.

To create a layer based on a selection

1
Make a selection.
2
Perform an action from the following table.

To | Do the following
Convert the selection to a layer | Choose Select menu [image] Float or click the selection with the Layer Adjuster tool [image] .
Convert, cut, and move the selection to layer | Drag the selection with the Layer Adjuster tool.
Copy the selection to a layer | Hold down Option (Mac OS) or Alt (Windows), and click the selection with the Layer Adjuster tool.
Copy and move the selection to a layer | Hold down Option (Mac OS) or Alt (Windows), and drag the selection with the Layer Adjuster tool.

•
You can also convert a selection to a layer by rotating, scaling, distorting, or flipping a selection. Refer to "Using Orientation Effects" for more information.
•
You can also create a new layer by copying or cutting a selection and then pasting it.

Naming Layers

 Back to Top

Corel Painter assigns each layer or group a default name when you create it. This name references the object’s type and creation order. For example, pixel-based layers are titled Layer 1, Layer 2, and so on. A shape’s title is based on the tool you use to create it — Rect # for the Rectangular Shape tool, Oval # for the Oval Shape tool, and Shape # for the Pen and Quick Curve tools.

As you add more layers and groups to a document, it can become difficult to remember which image data each layer contains. By assigning descriptive names to layers and groups, you can easily keep track of the separate pieces of an image.

To name a layer or group

1
On the Layers palette, select a layer or group.
2
Click the palette menu arrow, and choose Layer Attributes.
3
In the Layer Attributes dialog box, type a new name in the Name box.
•
For pixel-based layers and reference layers, double-click the item on the Layers palette, or select an item and press Return (Mac OS) or Enter (Windows).
•
You cannot change the name of the Canvas layer.
•
You can add extra information to a layer using notes. For more information, see "Adding Notes to a Layer".

Saving Files That Contain Layers

 Back to Top

You can save your Corel Painter document in the RIFF format with “live” layers — the layers continue to function when you reopen the file. RIFF is the only format that preserves layers in their original state.

If you save a Corel Painter document in PSD (Photoshop) format, all layers convert to standard Photoshop transparent layers. Photoshop does not preserve groups; each layer in a group becomes its own Photoshop layer. For information about grouping layers in Corel Painter, refer to "Grouping Layers".

If you save a Corel Painter document to PSD format, keep in mind how layer composite methods in Corel Painter convert to blend modes in Photoshop:

CorelPainter Composite Method | Photoshop Blend Mode | CorelPainter Composite Method | Photoshop Blend Mode
Gel | Darken | Overlay | Overlay
GelCover | not converted | Soft Light | Soft Light
Colorize | Color | Hard Light | Hard Light
Reverse-Out | Normal | Darken | Darken
Shadow Map | Multiply | Lighten | Lighten
Magic Combine | Lighten | Difference | Difference
Pseudocolor | Normal | Hue | Hue
Normal | Normal | Saturation | Saturation
Dissolve | Dissolve | Color | Color
Multiply | Multiply | Luminosity | Luminosity
Screen | Screen |  |

For more information about composite methods, refer to "Blending Layers by Using Composite Methods".

If you save a file to a file format other than RIFF or PSD, the layers drop (or merge) into a single background image.

Deleting Layers

 Back to Top

You can delete layers from the Layers palette, but you cannot delete the canvas.

To delete a layer

1
On the Layers palette, select the layer.
2
Do one of the following:
•
Click the palette menu arrow, and choose Delete Layer.
•
Click the Delete button [image] at the bottom of the Layers palette.
•
You can also delete vector shape layers by pressing Delete (Mac OS) or Backspace (Windows).
•
You cannot delete the Canvas layer.


Managing Layers

On this page, you will find information about

•
Selecting Layers
•
Moving Layers
•
Aligning Layers
•
Locking Layers
•
Viewing Layers
•
Changing Layer Hierarchy
•
Viewing Layer Position
•
Showing Layer Indicators
•
Grouping Layers
•
Merging Layers with the Canvas

To manage layers in a document, you can select, lock, view, or hide them, or change their position in the hierarchy.

Selecting Layers

 Back to Top

Selecting a layer lets you make changes to it. If no layers are selected, any changes you make apply to the canvas. The Auto Select Layer option changes your ability to select and move layers with the Layer Adjuster tool.

By default, the Auto Select Layer option is disabled. This means that the layer selection is “locked in” — the Layer Adjuster tool affects only the selected layer or layers. In other words, you cannot select a layer by clicking it in the document window; you must select a layer by clicking it on the Layers palette. When the Auto Select Layer option is enabled, you can select layers automatically with the Layer Adjuster tool by clicking an area of layer content in the document window.

To select a layer

To
Do the following
Select a single layer
Do one of the following:
•
Click a layer on the Layers palette.
•
Choose the Layer Adjuster tool [image] from the toolbox. With the Auto Select Layer check box on the property bar enabled, click anywhere in a layer’s content.
Select multiple layers
Do one of the following:
•
On the Layers palette, hold down Shift and click each layer you want to select.
•
Choose the Layer Adjuster tool from the toolbox. With the Auto Select Layer check box on the property bar enabled, drag over the layers you want to select in the document window.
Select all layers in a document
On the Layers palette, click the palette menu arrow, and choose Select All Layers. All layers, except the canvas, are selected.

•
You can also press the F key to activate the Layer Adjuster tool.
•
If you are working with a shape, you can switch to the Shape Selection tool by double-clicking a shape with the Layer Adjuster tool.

To deselect layers

•
On the Layers palette, click Canvas (the last item in the list).
Deselecting one or more layers automatically selects the Canvas layer.
•
You can also click the palette menu arrow on the Layers palette, and choose Deselect.

Moving Layers

 Back to Top

When a layer is selected, you can move its content anywhere in the document to create a new image layout.

Repositioning layer content helps you achieve the optimal image composition quickly and easily.

Think of a layer’s content as being contained by an invisible bounding box. This bounding box is a rectangle that marks the left, right, top, and bottom edges of the layer’s content. When you move or align a layer, you work with the dimensions and position of this bounding box, not with the entire area of the layer. This allows you to easily position the contents of a layer in relation to the canvas.

This layer contains a brush stroke. The content area is defined by an invisible bounding box (indicated by a dashed outline in the image).

The layer indicators provide a visual representation of the bounding box. Refer to "Showing Layer Indicators" for more information.

To move or nudge a layer

1
On the Layers palette, select the layer or group you want to move.
2
Perform an action from the following table.

To | Do the following
Move a layer | Choose the Layer Adjuster tool [image] from the toolbox, and drag the selected layer in the document window.
Move a layer one pixel at a time | Press the Arrow keys to move the selected layer one pixel at a time.

To move a layer to a specific location

1
On the Layers palette, select a layer or group.
2
Click the palette menu arrow, and choose Layer Attributes.
3
In the Layer Attributes dialog box, type values in the following boxes:
•
Top defines the distance in pixels from the top edge of the canvas to the top edge of the layer’s content. Increase to move the layer down, or decrease to move the layer up.
•
Left defines the distance in pixels from the left edge of the canvas to the left edge of the layer’s content. Increase to move the layer to the right, or decrease to move the layer to the left.
•
If you use negative values, or values larger than the canvas dimensions, the layer is placed partially or wholly outside the canvas.
•
You can also open the Layer Attributes dialog box for pixel-based and reference layers by double-clicking the item on the Layers palette, or by selecting an item and pressing Return (Mac OS) or Enter (Windows).

Aligning Layers

 Back to Top

You can align layers horizontally or vertically. When you align layers, Corel Painter calculates the “destination” point for alignment. For example, if you align layers to the left, the destination is the leftmost point of all selected layers. If you align horizontally to the center, the destination is the midpoint between the leftmost edge and the rightmost edge of the selected layers.

Next, Corel Painter aligns the corresponding edge of each selected layer’s bounding box with the destination point.

For example, if you align layers to the left, each layer is moved so that the left edge of its bounding box lines up with the destination point. If you align horizontally to the center, each layer is moved so that the horizontal midpoint of its bounding box lines up with the destination point.

The left edge of the square is the leftmost point of all the layers (left). The layers are aligned horizontally to the left so that all the layers line up with the leftmost point (right).

To align layers

1
Select the layers or groups that you want to align.
2
Choose Effects menu [image] Objects [image] Align.
3
In the Align Shapes dialog box, enable any of the following Horizontal options:
•
Left aligns the left edges of the layers’ content.
•
Center aligns the midpoints of the layers’ content horizontally.
•
Right aligns the right edges of the layers’ content.
•
None preserves the existing horizontal alignment.
4
Enable any of the following Vertical options:
•
Top aligns the top edges of the layers’ content.
•
Middle aligns the midpoints of the layers’ content vertically.
•
Bottom aligns the bottom edges of the layers’ content.
•
None preserves the existing vertical alignment.

Locking Layers

 Back to Top

You can lock layers to avoid accidentally changing them. When a layer is locked, you cannot select it with the Layer Adjuster tool in the document window. You can, however, move a locked layer or shape by nudging it. For more information, refer to "Working with Reference Layers".

To lock or unlock a layer

1
Select the layer on the Layers palette.
2
Do one of the following:
•
On the Layers palette, click the Lock Layer button [image].
•
Click the palette menu arrow, and choose Lock or Unlock.
The Locked Layer icon [image] appears next to a locked layer on the Layers palette.

Viewing Layers

 Back to Top

You can control your view of an image in the document window by changing layer visibility settings. This is helpful in both compositing an image and applying effects. You can hide one layer to gain better visibility of the layer below it. Or, you can set up different states of an image to create rollover effects for use on the Web. For more information about creating rollovers, refer to "Creating Rollovers from Image Slices".

In the example on the left, the layers containing the background are hidden; in the example on the right, the layers containing the background are visible.

Layer visibility settings stay active when you print or save documents to certain file formats. In other words, the content of hidden layers does not print and is not saved. However, saving a document in RIF or PSD format preserves hidden layers as part of the document. Refer to "Saving Files That Contain Layers" for more information about how layers are saved in different file formats.

To show or hide a layer or the canvas

•
On the Layers palette, click the eye icon next to the layer name or the canvas.
When the eye is shut [image], the layer is hidden in the document window. When the eye is open [image], the layer is visible in the document window.
•
You can show or hide multiple layers at the same time by dragging over eye icons in the Layers palette. The state of the first eye icon you drag over determines what will happen with subsequent layers. For example, if you first drag over a layer that is hidden, and then drag over some layers that are visible and some that are hidden, all layers you drag over become visible.

Changing Layer Hierarchy

 Back to Top

The hierarchy of layers determines how the layers in a document interact. When you create a new pixel-based layer, it appears on top of the existing layers (when the canvas is selected) or on top of the selected layer. New Watercolor, Liquid Ink, and dynamic layers are always created on top of existing layers. Depending on its transparency, masking, and compositing characteristics, the layer will obscure or otherwise affect the underlying layers.

A document’s layer hierarchy is reflected on the Layers palette. The bottom layer is always the canvas.

Change the hierarchy of layers to create different effects.

To change a layer’s position in the hierarchy

1
Choose the Layer Adjuster tool [image] from the toolbox.
2
On the Layers palette, select the layer you want to reposition in the hierarchy.
3
From the menu bar, choose Layers, and one of the following:
•
Move to Bottom
•
Move to Top
•
Move Down One Layer
•
Move Up One Layer
•
When you have nonoverlapping layers in a document, the Move Up One Layer and Move Down One Layer commands may move the selected layer past multiple layers. This is because nonoverlapping layers are considered to be at the same level. The Move Up One Layer and Move Down One Layer commands move the selected layer (or layers) above or below the next level. To move a layer to a position between nonoverlapping layers, drag it on the Layers palette.
•
You can also reposition a layer by dragging it to a new position on the Layers palette, by clicking the Move to Bottom [image], Move to Top [image], Move Down One Layer [image], or Move Up One Layer [image] buttons on the property bar.

Viewing Layer Position

 Back to Top

The Info palette contains information about the size and position of the selected layer’s content on the canvas. Think of the area of a layer that contains images as being marked by a bounding box. The Info palette displays the dimensions and position of the bounding box, not the entire area of the layer. This makes it easy to determine the exact size and location of a layer’s content in the document.

The following list describes information displayed in the Info palette:

•
X is the x-coordinate of the pointer on the canvas, measured in pixels.
•
Y is the y-coordinate of the pointer on the canvas, measured in pixels.
•
W is the width of the layer’s content, measured in pixels.
•
H is the height of the layer’s content, measured in pixels.
•
T is the position of the top edge of the layer’s bounding box, measured in pixels from the top edge of the canvas.
•
L is the position of the left edge of the layer’s bounding box, measured in pixels from the left edge of the canvas.
•
B is the position of the bottom edge of the layer’s bounding box, measured in pixels from the top edge of the canvas.
•
R is the position of the right edge of the layer’s bounding box, measured in pixels from the left edge of the canvas.

In the document window, you can also view indicators that mark the corners of the selected layer’s content. For more information, see "Showing Layer Indicators".

Showing Layer Indicators

 Back to Top

You can show the layer indicators to see display handles at the corners of a layer’s content when it is selected. You can also display information about the size of a layer’s content and its position on the canvas. For more information, see "Viewing Layer Position".

Show the layer indicators to mark the corners of a selected layer.

To display the Info palette

1
Choose Window menu [image] Show Info.
If the palette is not expanded, click the palette arrow.

To show layer indicators

1
On the Layers palette, select a non-Canvas layer.
2
Click the palette menu arrow, and choose Show Layer Indicators.
•
To hide the layer indicators, click the palette menu arrow, and choose Hide Layer Indicators.

Grouping Layers

 Back to Top

Grouping layers enables you to control layers as a unit. A group can contain any combination of layers: pixel-based layers, Watercolor layers, Liquid Ink layers, vector-based shapes, and dynamic layers.

You can move, rename, hide, show, lock, and set options for a group just as you do for a single layer. However, you cannot paint across layers in a group or change the composite method for a group; you must collapse the group into a single layer if you want to paint on it.

To work with individual layers in a group, you must open the group. To regain control of the group as a unit, you must close the group. Collapsing a group reduces its contents to a single layer.

If you create a layer with a button on the Layers palette, a Layers menu command, or a keyboard shortcut when a layer within a group is selected, the new layer is added to the group. If the group is selected, the layer is placed above the group.

To create a group

1
On the Layers palette, select the layers you want to group.
For more information about selecting multiple layers, refer to "Selecting Layers".
2
Do one of the following:
•
Click the Layer Commands button [image], and choose Group.
•
Click the palette menu arrow, and choose Group.
The layers are collected under a group item on the Layers palette.
•
If you select nonsequential layers (layers not next to each other in the list), Corel Painter creates the group at the position of the topmost layer. To select nonsequential layers, on the Layers palette, hold down Shift and click each layer you want to select.

To open or close a group

•
On the Layers palette, click the palette arrow to the left of the group.
When the arrow points down [image] and you can see the group items, the group is open. When the arrow points to the right [image] and the names of the group members are hidden, the group is closed.

To add or remove a layer in a group

1
On the Layers palette, open the destination group.
2
Perform an action from the following table.

To | Do the following
Add a layer to a group | Drag a layer to the group.
Remove a layer from a group | Drag the layer out of the group.

•
You can create a nested group by dragging a closed group to the open destination group.

To ungroup layers

1
On the Layers palette, select the group.
If the group is open, click the palette arrow to close it.
2
Do one of the following:
•
Click the Layer Commands button [image], and choose Ungroup.
•
Click the palette menu arrow, and choose Ungroup.

To collapse a group

1
On the Layers palette, select the group.
2
Do one of the following:
•
Click the Layer Commands button [image], and choose Collapse.
•
Click the palette menu arrow, and choose Collapse.
If the group contains shapes, Liquid Ink layers, or dynamic layers, the Commit dialog box is displayed. Click Commit All to convert the items to pixel-based layers before collapsing the entire group.
•
If you want to collapse a group containing a Watercolor layer, you must first convert the Watercolor layer to a default layer and change its composite method to Default. For more information about composite methods, refer to "Blending Layers by Using Composite Methods".

Merging Layers with the Canvas

 Back to Top

Dropping a layer or group merges its contents with the canvas. Once you drop a layer, you can no longer access the layer’s content separately from the canvas. You can drop specific layers or you can drop all layers at once.

When you drop a layer, you can choose to create a selection based on the layer contents. If the layer has a layer mask, the mask is used to make the selection. For more information about layer masks, refer to "Working with Layer Masks". For more information about selections, refer to "Selections".

To drop a layer

To
Do the following
Drop specific layers
On the Layers palette, select the layers (or groups) that you want to drop, and do one of the following:
•
Click the Layer Commands button [image], and choose Drop.
•
Click the palette menu arrow, and choose Drop.
Drop all layers
On the Layers palette, click the palette menu arrow, and choose Drop All.
Make a selection by dropping a layer
On the Layers palette, click the palette menu arrow, and choose Drop and Select.


Editing Layers

On this page, you will find information about

•
Painting on Layers
•
Brush Methods and Painting on Layers
•
Preserving Layer Transparency
•
Picking up color from underlying layers
•
Working with Floating Objects
•
Adding Drop Shadows
•
Creating Patterns on Layers
•
Working with Reference Layers
•
Setting Layer Opacity
•
Blending Layers by Using Composite Methods
•
Adding Notes to a Layer
•
Storing Images with the Image Portfolio
•
Organizing Layers with Image Portfolio Libraries

You can paint on layers, and preserve layer transparency to prevent painting on transparent areas. You can also move layer content to change the overall image layout. Using selections, you can turn an area of a layer into a floating object so that you can move it separately. Reference layers, low-resolution representations of an image, let you quickly manipulate images in ways that might otherwise require more time.

You can edit a layer’s content by applying effects to it, such as drop shadows and patterns, and by transforming its dimensions. You can also change a layer’s opacity, and use composite methods to change how a layer blends with other layers. The Image Portfolio lets you save the contents of a layer for future use.

Painting on Layers

 Back to Top

When a layer is selected, you can use the brushes to paint, draw, erase, or clone. When painting on layers, keep the following points in mind:

•
Watercolor brushes can be used only on Watercolor layers; on a Watercolor layer, you can paint only with Watercolor brushes.
•
Liquid Ink brushes can be used only on Liquid Ink layers; on a Liquid Ink layer, you can paint only with Liquid Ink brushes.
•
You can’t paint across grouped layers — you must collapse the group first. For more information, see "To collapse a group".
•
Before painting on a shape, you must commit it to a pixel-based layer. Corel Painter prompts you to commit a shape if you attempt to paint on it. Once you commit the shape, you cannot re-access the shape’s vector controls. For more information, see "To paint a shape".
•
You can protect areas of a layer from painting by creating a selection. For more information, see "Creating Selections".
•
You can control what parts of a layer are visible and hidden by creating a layer mask. For more information, refer to "Working with Layer Masks".

To paint on a layer

1
On the Layers palette, select a layer.
2
On the Brush Selector bar, choose a brush category and variant.
3
Paint on the layer in the document window.
The Preserve Transparency option on the Layers palette affects what areas of a layer you can paint on. Refer to "Preserving Layer Transparency" for more information.

Brush Methods and Painting on Layers

 Back to Top

The Natural-Media environment allows brush strokes on different layers to interact with each other. However, mixing brush strokes that use the Cover and Buildup methods on the same layer can produce unexpected results. This is caused by a conflict between the brush method and the layer’s composite method.

•
Brushes that use the Buildup method — such as those in the Felt Pens or Pencils category — work best on layers that use the Gel composite method. In fact, when you use the Buildup method to paint on a blank layer, Corel Painter automatically sets the layer’s composite method to Gel.
•
Brushes that use the Cover method work best on layers that are set to the Default composite method.

For more information about layer composite methods, refer to "Blending Layers by Using Composite Methods". For more information about brush methods, refer to "Methods and Subcategories".

Preserving Layer Transparency

 Back to Top

Areas of a layer that don’t contain images are transparent. You can preserve the transparent areas of a layer with the Preserve Transparency check box on the Layers palette. This option affects which areas of a layer you can create images on. It also affects the results of erasing or deleting images on a layer.

By default, the Preserve Transparency check box is disabled, which lets you paint anywhere on the layer. When Preserve Transparency is enabled, the transparent areas are preserved, and you are confined to painting on areas of the layer that already contain images.

The results of painting on a layer with the Preserve Transparency option disabled (left) and enabled (right).

If you want to paint on a shape, you must first commit the shape to a pixel-based layer. For more information, see "To paint a shape".

A good way to think about the Preserve Transparency option is in terms of a layer mask. As described in "Working with Layer Masks", a layer mask defines the visible areas of a layer.

Preserve Transparency provides a powerful selective editing capability to create interesting effects by altering the strokes you’ve already applied. For example, you can enable Preserve Transparency to fill a set of hand-drawn letters with a pattern, a color gradient, or other brush strokes.

Preserve Transparency also affects the results of cutting or erasing on a layer.

•
When Preserve Transparency is disabled, erasing or deleting images restores transparency to the area and reveals the underlying image.
•
When Preserve Transparency is enabled, erasing or deleting images reveals the document’s paper color. In effect, erasing or deleting with Preserve Transparency enabled is the same as painting or filling with the document’s paper color.

Erasing part of a layer (the top-right wing of the butterfly) with the Preserve Transparency check box disabled restores transparency (left). When the option is enabled, erasing reveals the paper color (right).

You can create a layer mask based on the layer’s transparency. A layer mask defines which areas of a layer are visible in the document window. For more information, see "Creating Layer Masks".

To preserve layer transparency

•
On the Layers palette, enable the Preserve Transparency check box.
•
You can also load a layer’s transparency to a selection. On the Layers palette, hold down Control and click the layer (Mac OS), or right-click the layer (Windows), and choose Select Layer Transparency. For more information about selections, refer to "Selections".

Picking up color from underlying layers

 Back to Top

You can choose to pick up colors from underlying layers when you use brush variants that push paint, rather than apply paint. For example, if you have red paint on the top layer, and blue paint on the bottom layer, you can use the Subtle Palette Knife brush variant to blend the red and blue paint.

To pick up color from underlying layers

•
On the Layers palette, enable the Pick Up Underlying Color check box.

Working with Floating Objects

 Back to Top

You can make a selection on a layer using the Rectangular Selection, Oval Selection, Lasso, or Magic Wand tool. Selections on layers function in the same way as selections on the canvas — you can use them to constrain brush strokes, to isolate an area of the layer for applying an effect, or to choose an area of the layer to cut or copy. For more information about working with selections, see "Selections".

By default, when you move a selection, only the selection marquee moves, not the images. To move selected images on a layer, you must “float” the selection. In effect, this turns the selected area of the layer into a floating object. You can move floating objects around a layer to create new compositions.

Each layer in a document can have only one floating object at a time. You can drop a floating object to merge it with the layer. Many operations automatically drop (or merge) the floating object back to its parent layer.

Floating objects are created by making a selection on a pixel-based layer. Shapes cannot be floating objects because they are vector-based. However, you can turn a shape into a pixel-based layer. For instructions, see "To convert a shape to a pixel-based layer"

When you save a document to RIF format, Corel Painter preserves all floating objects. However, saving a document in a non-RIF format automatically drops floating objects onto their parent layers.

To create a floating object

1
Create a selection on a layer using a selection tool.
2
Do one of the following:
•
Click the selection with the Layer Adjuster tool [image].
•
Choose Select menu [image] Float.
The floating object appears as an item below the parent layer on the Layers palette.

To reposition or drop a floating object

1
On the Layers palette, select the floating object.
2
Perform an action from the following table.

To | Do the following
Reposition a floating object | In the document window, drag the floating object to the new location with the Layer Adjuster tool [image] . Then, press the arrow keys to move the floating object one pixel at a time.
Drop a floating object | Click the Layer Commands button [image] , and choose Drop.

Adding Drop Shadows

 Back to Top

Adding shadows to a layer’s content can enhance the appearance of an image. You can add a drop shadow to a single layer or to a group.

Drop shadows are also helpful for developing Image Hose nozzles. For more information, refer to "Preparing Images".

When you add a drop shadow, Corel Painter creates a new layer for the shadow and groups it with the original. This enables you to select and modify the drop shadow layer independently from the original layer.

To add a drop shadow

1
Select a layer or group.
2
Choose Effects menu [image] Objects [image] Create Drop Shadow.
3
In the Drop Shadow dialog box, type values in the following boxes:
•
X-Offset and Y-Offset specify the distance, in pixels, from the center of the layer image to the shadow.
•
Opacity specifies the degree to which the shadow covers underlying images. Setting Opacity to 100% obscures underlying images; lower values create a more transparent shadow.
•
Radius specifies the amount of blur at the edge of the shadow. The radius is half the distance across the blurred region. If you set Radius to zero, you create a sharp-edged shadow.
•
Angle specifies the direction of the blur.
•
Thinness specifies the amount of blur applied perpendicular to the Angle. If a blur shows streaks, increase Thinness to soften it.
If you want to merge the drop shadow layer with the image layer, enable the Collapse to One Layer check box.

Creating Patterns on Layers

 Back to Top

You can use the same techniques to create patterns on layers as you do to create them on the canvas. However, a pattern’s wrap-around features do not apply to layers. This is because the canvas has edges, but layers do not — they are unlimited in size. If you shift a pattern on a layer, the pattern does not wrap around. Refer to "Using Patterns" for more information.

Working with Reference Layers

 Back to Top

Reference layers get their image content from an external source — either a pixel-based layer in the current document or a separate file. They provide a low-resolution representation of the original image that you can quickly manipulate in ways that would otherwise require more time. Working with a reference layer allows you to transform (resize, rotate, or slant) a layer onscreen by dragging its handles. You can adjust various options. Transformations are immediately displayed in the document window. When you finish applying transformations, you commit the reference layer back to a standard layer. Corel Painter examines the source image to restore the original resolution.

You cannot edit the image data in a reference layer. If you try to paint on or apply effects to a reference layer, Corel Painter prompts you to commit it back to a pixel-based layer.

You can create a reference layer by basing it on an existing layer or by placing an image. For more information about placing images, see to "Placing Files".

To create a reference layer

1
Select a layer.
2
Choose Effects menu [image] Orientation [image] Free Transform.
The layer’s icon on the Layers palette changes to an eight-handled square [image], and an eight-handled box marks the boundary of the layer’s contents in the document window.

To transform a reference layer

•
Select a reference layer.

To | Do the following
Resize a reference layer in one direction | Drag a side handle to resize the layer in one direction only.
Resize a reference layer in more than direction | Drag a corner handle to resize the layer in two directions at once. If you want to maintain the layer proportions, hold down Shift as you drag. The pointer changes when you position it over a corner handle [image] .
Rotate a reference layer | Hold down Command (Mac OS) or Ctrl (Windows), and drag a corner handle. The pointer changes when you position it over a corner handle [image] .
Skew a reference layer | Hold down Command (Mac OS) or Ctrl (Windows), and drag a side handle. The pointer changes when you position it over a side handle [image] .

To set reference layer options

1
Select a reference layer.
2
Choose Effects menu [image] Orientation [image] Set Transform.
3
In the Set Transform dialog box, adjust any of the following settings:
•
Retain Alpha works with placed images to retain the file’s alpha channel. When the image is placed, the channel becomes the layer mask. Disable this option to discard the channel.
•
Horizontal and Vertical define the scaling relationship between the reference layer and the source layer. If the scaling is low, 33% for example, and you increase it, Corel Painter refers to the source layer to obtain more pixel data.
•
Constrain Aspect Ratio maintains the proportions of the image. Disable this option to distort the image proportions.
•
Rotation and Slant rotates or slants the layer based on an original position of 0°. Enter positive values to rotate or slant the layer counterclockwise; enter negative values to rotate or slant the layer clockwise.
•
Fast sets a high sampling ratio to produce a low-resolution reference layer. A low-resolution reference layer contains less information, so it can be transformed quickly.
•
Clean sets the sampling ratio at 1 to 1 to produce a reference layer of the highest possible resolution — up to that of the source. This shows a better image as you work, but takes much longer to calculate transformations.
•
The Quality setting (Fast or Clean) applies only to the quality of the reference layer. When you convert a reference layer to a pixel-based layer, Corel Painter resamples the original image to produce the best possible resolution.
•
Reference Image shows the pixel dimensions of the original image. This is static information — you can’t change the Reference Image values.

To commit a reference layer

1
Select a reference layer.
2
Choose Effects menu [image] Orientation [image] Commit Transform.

The conversion process might take a few seconds, depending on the size and quality of the layer.

Setting Layer Opacity

 Back to Top

You can adjust a layer’s opacity to create different levels of transparency. The Opacity slider covers a range of 0% (completely transparent) to 100% (completely opaque).

To change a layer’s opacity

1
Select the layer you want to change.
2
On the Layers palette, do one of the following:
•
Move the Opacity slider.
•
Type a percentage in the Opacity box, and press Return (Mac OS) or Enter (Windows).

The example on the left shows the background layers at 100% opacity. The example on the right shows them at 50% opacity.

Blending Layers by Using Composite Methods

 Back to Top

A layer’s composite method controls how it interacts with the underlying image. You can change composite methods to create special effects without changing the actual images that make up a document.

Corel Painter provides two types of composite settings:

•
Composite Method sets the standard composite method.
•
Composite Depth controls how a layer’s image data interacts with depth information on the canvas and other layers.

For example, if the canvas contains Impasto brush strokes, the Composite Depth setting determines what happens when these brush strokes intersect with brush strokes on the layer. Refer to "Blending Impasto with Other Layers" for more information about Composite Depth options.

You can set a different composite method for every layer in a document. Keep in mind the role of the underlying image in creating an effect — you might achieve an unexpected result if the underlying image is solid black or white.

The best way to understand the different composite methods is by seeing them in action. Quickly cycle through a layer’s composite methods to create new and interesting versions of your image. For a comparison of Corel Painter composite methods and Adobe PhotoShop blend modes, see "Saving Files That Contain Layers".

The available composite methods are described in the following table:

Composite method
Example
Default
In the Default method, the layer covers and hides the underlying image.

Gel
The Gel method tints the underlying image with the layer’s color. For example, a yellow layer gives the underlying image a yellow cast.
Corel Painter automatically sets a layer’s composite method to Gel if you paint on it with a brush that uses the Buildup method.

GelCover
The GelCover method uses a combination of the Default method and the Gel method. The edges of the layer’s content tint the underlying image with their color (the Gel method). The rest of the layer covers the underlying image (Default method).
If you save a file that uses a GelCover composite method layer to the PSD file format, the GelCover information will be lost.

Colorize
The Colorize method replaces the hue and saturation of the canvas pixels with the hue and saturation of the layer pixels.
You can use this feature to convert a color image to grayscale, or a grayscale image to color. A black layer turns the underlying color image into a grayscale image. A colored layer adds color to an underlying grayscale image.

Reverse-Out
In the Reverse-Out method, the layer inverts the colors beneath it. This method is a great way to remove text. Place a layer over black text to turn it white.
A color’s inverse, also known as its complementary color, is the color on the opposite side of the color wheel.
With Reverse-Out, the colors in the layer are ignored; the layer content becomes transparent and reveals the inverse of the colors beneath it.

Shadow Map
Shadow Map blocks light, letting you create shadows without changing the image.

Magic Combine
In the Magic Combine method, the layer is combined with the underlying image based on luminance. The parts of the layer that are lighter than the underlying image are visible. The parts that are darker are replaced by the lighter area of the underlying image.
One way to use this method is to fill text. With a photograph as the top layer and black text as the underlying image, choosing Magic Combine fills the text with the image.

Pseudocolor
The Pseudocolor method translates the layer’s luminance into hue. You can use this method to turn a grayscale layer into a spectrum of color.

Normal
The Normal method works like the Default method; the layer covers the underlying image. The Normal method is the default mode in Photoshop.

Dissolve
Dissolve combines the image color with the layer color based on opacity.

Multiply
Multiply combines colors to create a darker color.

Screen
Screen combines colors to create a lighter color.

Overlay
Overlay combines colors while preserving the highlights and shadows of the image color.

Soft Light
Soft Light darkens or lightens colors depending on the luminance of the layer color.

Hard Light
Hard Light multiplies or screens colors, depending on the luminance of the layer color.

Darken
Darken colors with the image color or the layer color — whichever is darker.

Lighten
Lighten colors with the image color or the layer color — whichever is lighter

Difference
Difference subtracts one color from the other, depending on which color has a greater brightness value.

Hue
Hue creates a color by combining the luminance and saturation of the image color with the hue of the layer color.

Saturation
Saturation creates a color by combining the luminance and hue of the image color with the saturation of the layer color.

Color
Color creates a new color by combining the luminance of the image color with the hue and saturation of the layer color. This method is the opposite of Luminosity.

Luminosity
Luminosity creates a new color from the hue and saturation of the image color and the luminance of the layer color. This method is the opposite of Color.

To change a layer’s composite method

1
Select a layer.
2
On the Layers palette, choose a composite method from the Composite Method pop-up menu.

Adding Notes to a Layer

 Back to Top

In the Layer Attributes dialog box, you can attach additional information to a layer by adding notes to it.

To record notes for a layer

1
Select a layer or group.
2
Do one of the following:
•
Choose Layers menu [image] Layer Attributes.
•
Click the palette menu arrow on the Layers palette, and choose Layer Attributes.
3
Type in the Note box.
•
You cannot record notes for a layer if you enable the WWW Map Clickable Region check box for image mapping.
•
You can also record notes for pixel-based layers and reference layers, by double-clicking the item on the Layers palette, or selecting an item and press Return (Mac OS) or Enter (Windows).

Storing Images with the Image Portfolio

 Back to Top

The Image Portfolio is a convenient place to store images you that want to use again.

To display the Image Portfolio palette

1
Choose Window menu [image] Show Image Portfolio.
If the Image Portfolio palette is not expanded, click the palette arrow.

To add a layer to the Image Portfolio

1
Select a layer.
2
In the toolbox, click the Layer Adjuster tool [image].
3
Drag the layer from the document window to the Image Portfolio palette.
The layer is cut from the current document.
4
In the Save Image dialog box, type a name in the Save As box.
•
To copy the layer from the current document, hold down Option (Mac OS) or Alt (Windows), and drag it to the Image Portfolio palette using the Layer Adjuster tool [image].
•
The Image Portfolio holds only pixel-based layers. If you want to add a shape, Watercolor, Liquid Ink, or dynamic layer to the Image Portfolio, you must first convert it to a default layer. On the Layers palette menu, click Convert to Default Layer.

To use an image from the Image Portfolio

•
Drag an item from the Image Portfolio palette to the document window.

Corel Painter places the Image Portfolio item on a new layer.

Organizing Layers with Image Portfolio Libraries

 Back to Top

You can create your own Image Portfolio libraries to organize layers by category. When you’re creating a library, keep in mind that the smaller the library, the easier it will be to see its contents at a glance.

The Image Mover command on the Image Portfolio palette menu lets you move items between Image Portfolio libraries. For more information about moving items between libraries, refer to "Libraries and Movers".


Working with Layer Masks

On this page, you will find information about

•
Layer Masks vs. Channels
•
Creating Layer Masks
•
Selecting and Viewing Layer Masks
•
Managing Layer Masks
•
Editing Layer Masks

You can create a layer mask to define what areas of a layer are visible in the document window. Masking originated as a technique for creating color separations, where sheets of masking material were hand-cut to define the color regions in an image. In the Corel Painter digital workspace, the layer mask is a powerful tool for controlling image composition and effects.

Layer Masks vs. Channels

 Back to Top

A layer mask is similar to an alpha channel. Both are grayscale images that you can create and edit. Although the Channels palette provides access to both channels and layer masks, their characteristics and functions are different:

•
A layer mask is attached to a layer, but an alpha channel is independent.
•
The canvas can have up to 32 alpha channels; each layer can have only one layer mask.
•
Channels don’t influence the visibility of the canvas image; a layer mask defines what areas of a layer’s image are visible.
•
An alpha channel, when loaded, protects designated areas of an image; a layer mask does not provide protection.
•
A channel is enabled by loading it to a selection. A layer mask can be enabled and disabled at any time, and it can also be loaded to a selection.

For more information about channels, refer to "Creating, Generating, and Importing Channels".

Creating Layer Masks

 Back to Top

A layer mask is a grayscale image. In the white areas of the mask, the layer content is visible; in the black areas of the mask, the layer is transparent, revealing the images below it. Intermediate levels of gray are partially transparent.

You can create a new, blank layer mask, or you can create a layer mask based on the layer’s transparency. A layer mask based on transparency is white wherever the layer has content, and black in other areas. For more information about layer transparency, refer to "Preserving Layer Transparency".

A layer mask for the butterfly layer is created based on its transparency. Black areas are transparent; white areas reveal the image.

To create a new, blank layer mask

1
Select a layer.
2
Do one of the following:
•
On the Layers palette, click the Create Layer Mask button [image].
•
Choose Layers menu [image] Create Layer Mask.
The blank layer mask icon displays next to the layer name on the Layers palette.
•
The layer mask icon varies in appearance depending on how you’re viewing the layers. If you are displaying layers as No Thumbnails, the icon is the same as the Create Layer Mask button [image]. If you’re viewing layers as any size of thumbnail, a small-scale representation of the mask displays as the icon.

To create a layer mask based on transparency

1
Select a layer.
2
Choose Layers menu [image] Create Layer Mask from Transparency.
The layer mask icon displays next to the layer name on the Layers palette.
•
You can create layer masks based on transparency for pixel-based layers only. Other layers must first be converted to default layers by choosing Convert to Default Layer in the Layers palette menu.
•
Earlier versions of Corel Painter used layer visibility masks. If you have a file with a modified visibility mask that was created with an earlier version of Corel Painter, use this procedure to load the visibility mask to a layer mask.

Selecting and Viewing Layer Masks

 Back to Top

Before you work with a layer mask, you must select it. You can also view a layer mask as a grayscale image. Selecting a layer mask and viewing it are distinct operations — you can select a layer mask without viewing it.

To select a layer mask

1
On the Layers palette, choose a layer that has a layer mask.
The layer mask is displayed on the Channels palette.
2
Do one of the following:
•
On the Channels palette, click the layer mask.
•
On the Layers palette, click the layer mask icon next to the layer name.

To view a layer mask

1
Select a layer with a layer mask.
2
On the Channels palette, click the layer mask.
In this mode, the RGB image is hidden.

To hide a layer mask

•
On the Channels palette, click the eye icon next to the layer mask item, so that the icon changes to a closed eye.

Managing Layer Masks

 Back to Top

You can copy a layer mask to an alpha channel. If you’ve finished working with a layer mask, you can delete it. You can also clear a layer mask without deleting it, leaving you with a blank mask.

The layer mask is a grayscale image. By inverting it, you can make dark pixels light, and light pixels dark. When you move a layer, Corel Painter also moves the layer mask to maintain the pixel correspondence.

You can disable a layer mask, which lets you view the entire layer. The layer mask can be re-enabled at any time. If you like the result of a layer mask, you can apply it. Applying the layer mask permanently removes the hidden parts of the layer and deletes the layer mask.

Although a layer mask does not protect areas of a layer from being edited, you can load a layer mask to a selection. The selection provides protection to the hidden parts of the layer. For more information about selections, refer to "Selections".

The name of a layer mask on the Channels palette reflects the name of the layer ([Layer Name] [Layer Mask]). Although you cannot change the name of a layer mask, it automatically updates if you change the layer name. You can also copy a channel to a layer mask.

To copy a layer mask to a channel

1
Select a layer mask.
2
On the Channels palette, click the palette menu arrow, and choose Duplicate.
3
In the Duplicate Channel dialog box, choose New from the Destination pop-up menu.
•
You can also copy a layer mask to an existing channel, which replaces that channel. To do this, choose the channel to be replaced from the Destination pop-up menu.

To copy a channel to a layer mask

1
Select a layer on the Layers palette.
2
Click the Create Layer Mask button [image].
A blank layer mask is created.
3
On the Channels palette, select the channel you want to copy.
4
Click the palette menu arrow, and choose Duplicate.
5
In the Duplicate Channel dialog box, choose the layer mask from the Destination pop-up menu.
Corel Painter copies to the layer mask the portion of the channel that coincides with the layer content.

To delete or clear a layer mask

•
Select the layer mask you want to delete or clear.

To
Do the following
Delete a layer mask
Do one of the following:
Choose Layers menu [image] Delete Layer Mask.
On the Channels palette, click the palette menu arrow, and choose Delete.
•
Click the Delete button [image] at the bottom of the Channels palette.
Clear a layer mask
On the Channels palette, click the palette menu arrow, and choose Clear.

To invert a layer mask

1
Select a layer mask.
2
On the Channels palette, click the palette menu arrow and choose Invert.

To enable or disable a layer mask

•
Select a layer mask.

To | Do the following
Enable a layer mask | Choose Layers menu [image] Enable Layer Mask.
Disable a layer mask | Choose Layers menu [image] Disable Layer Mask. A red ‘X’ is displayed over the layer mask icon [image] .

To apply a layer mask

1
Select a layer mask.
2
Choose Layers menu [image] Apply Layer Mask.

To load a layer mask to a selection

1
On the Layers palette, select a layer that has a layer mask.
2
Control + click the layer mask icon (Mac OS), or right-click the layer mask icon (Windows), and choose Load Layer Mask to Selection.

Editing Layer Masks

 Back to Top

When you select a layer mask, you can edit it as you would edit a channel. You can paint in a layer mask; apply effects to it; fill it with a color, pattern, gradient, or weave; and feather it. You do not have to view a layer mask to edit it; you can select the layer mask, make changes to it, and view the resulting image immediately.

For information about editing layer masks, refer to "Editing Layer Masks".

A layer mask before (left) and after (right) feathering.

When you edit a layer mask, you are making modifications to the mask, not to the layer’s image. You can use shades of gray only; no colors are available. This is because the layer mask is a grayscale image that is separate from the RGB image.

The paint and effects you apply to a layer mask are reflected as follows:

•
Applying white removes areas from the mask and reveals more of the layer.
•
Applying black adds to the mask, which conceals more of the layer.
•
Applying an intermediate gray value makes the mask semitransparent.


Image Effects

Inspired by traditional artistic methods, the Corel Painter image effects let you do everything from correcting colors to retouching images to creating a completely new image from a source. The effects range from practical tools, like the orientation, tonal control and focus effects, to artistic expressions, like embossing, color overlay, and posterize.

For some effects, you use other Corel Painter features such as clones, special brushes, or layers. This chapter contains most of the information you’ll need to use an effect; however, you will find cross-references provided when you need more detailed information about specific Corel Painter features.

There are two Objects effects — Drop Shadow and Align. These effects work only on layers and are explained in "Adding Drop Shadows" and "Working with Reference Layers".

See Also

•
Applying Effects
•
Working with Third-party Plug-ins
•
Using Orientation Effects
•
Correcting and Adjusting Colors
•
Equalizing Images
•
Other Tonal Control Effects
•
Using Lighting
•
Working with Surface Texture
•
Using Other Surface Control Effects
•
Using Focus Effects
•
Using Esoterica Effects


Applying Effects

On this page, you will find information about

•
Where to Apply Effects
•
Changing Effects with Open Palettes
•
Using Fade with Effects
•
Applying Recently Used Effects
•
Understanding the Using Pop-up Menu

You apply most of the Corel Painter effects in the same manner:

•
Select where to apply the effect.
•
Choose a specific effect.
•
Set effect options, and click OK to apply the effect to your image.

Each effect can have several options and parameters that might require you to use other features, such as selections, layers, colors, paper textures, and gradients. In addition to working with other palettes, you can get the most out of the effects if you understand more about application methods and the Fade command.

Where to Apply Effects

 Back to Top

You can apply special effects to a selection, a layer, or the entire image.

•
If there is no selection, the effect is applied to the entire image.
•
If you want to apply an effect to a region of the canvas, use any selection tool to select that area before you choose an effect command. For more information about these tools, refer to "Creating Selections".
•
If you want to apply an effect to a layer, select that layer before you choose an effect command. Corel Painter applies the effect to the entire layer. For more information about selecting a layer, refer to "Selecting Layers".
•
If you apply an effect to a shape, dynamic layer, or reference layer, you must first commit the layer to an image layer.

Changing Effects with Open Palettes

 Back to Top

You can change settings such as colors, papers, patterns, and gradients while you experiment with an effect. To do this, you must display all required palettes before choosing an effect. For example, the Color Overlay effect combines the selected paper texture and main color to define the overlay. If the Papers and Colors palettes are open when you choose the effect, you can change paper grains and colors to create different overlays before applying the effect to your image. Any changes in the paper or color appear in the Preview window in the Color Overlay dialog box. You can move an effect’s dialog box around on your screen, if necessary, for full access to other palettes.

Using Fade with Effects

 Back to Top

The Fade command lets you undo a percentage of the last effect applied to the image. You can use this feature to control the intensity of an effect.

Use the Fade command to undo a percentage of your last effect.

To experiment with Fade

1
Open a new document.
2
Paint a colorful image, or fill the document window with a pattern.
3
Choose an effect, adjust the settings, and click OK to apply the effect.
4
Choose Edit menu [image] Fade.
5
In the Fade dialog box, move the slider.
The image in the Preview window changes.
6
When you are satisfied with the settings, click OK to apply the effect.
If you change your mind, choose Edit menu [image] Undo.

Applying Recently Used Effects

 Back to Top

At the top of the Effects menu, Corel Painter displays the last two effects you applied. This lets you quickly reapply frequently used effects. You can also use keyboard shortcuts to apply the last two effects.

Reapply the last effect by pressing Command + / (Mac OS) or Ctrl + / (Windows). Reapply the next-to-last effect by pressing Command + ; (Mac OS) or Ctrl + ; (Windows).

Understanding the Using Pop-up Menu

 Back to Top

Many of the Corel Painter effects dialog boxes have a Using pop-up menu that lets you specify a source, or method. The source determines how an effect is applied to different areas of an image. A larger degree of change is applied to light areas of the source, and a smaller degree of change is applied to dark areas. For example, when you use the Paper method, the effect is applied according to the light and dark areas of the selected paper texture.

The choices available in the Using pop-up menu vary between effects. The choices include

•
Uniform Color
•
Paper
•
Image Luminance
•
Original Luminance (clone source)
•
3D Brush Strokes
•
Alpha channel or layer mask
This option is available only if your document has a channel or a layer with a layer mask. These options are explained in greater detail in the overview for each effect.

In most cases, you can see the results of choosing different options in the Preview window of an effect’s dialog box. The best way to see how these options affect your images is to try them.


Working with Third-party Plug-ins

On this page, you will find information about

•
Accessing Third-party Plug-ins from within Corel Painter

You can obtain additional effects by using third-party plug-ins. Usually, these plug-ins are purchased separately. You can access third-party plug-ins from within Corel Painter by using the Effects menu.

For information on locating your plug-ins for Corel Painter, see "Understanding Plug-ins". For information about installing third-party effects plug-ins, see "To install and activate an Effects, Acquire, or Export plug-in".

Accessing Third-party Plug-ins from within Corel Painter

 Back to Top

You can use the Acquire or Export commands in the File menu to transfer images to and from supported devices, such as scanners, film recorders, and color printers.

To use third-party plug-ins from within Corel Painter

1
Select all or part of your image.
2
Choose Effects menu [image] Other [image] Plug-in Filter, and choose the effect you want.
All third-party plug-ins are located in submenus.
•
Plug-ins that pertain to grayscale or CMYK images are not supported.


Using Orientation Effects

On this page, you will find information about

•
Rotating Images
•
Scaling Images
•
Flipping Images
•
Distorting Images
•
Free-Transforming Images

You can change the orientation of part or all of your image by rotating, scaling to a larger or smaller size, or flipping horizontally or vertically. Images can also be distorted.

Corel Painter applies orientation effects to layers only. Therefore, when you rotate, scale, flip, or distort an image or selection, Corel Painter first converts it to a layer. The image or selection remains a layer until you merge it with the canvas. For more information, refer to "Merging Layers with the Canvas".

Rotating Images

 Back to Top

The Rotate effect lets you rotate all or part of an image.

You can rotate part of an image.

To rotate an image

1
Select a layer or area of the canvas.
If you want to rotate the entire image, do not make a selection.
2
Choose Effects menu [image] Orientation [image] Rotate.
3
Do one of the following:
•
In the document window, drag a corner handle of the selection. The Rotate Selection dialog box displays the rotated angle in degrees.
•
In the Rotate Selection dialog box, specify the rotation angle in degrees. A positive number rotates counterclockwise; a negative number rotates clockwise.
•
Sometimes the rotated layer does not fit within the canvas area. You can change the canvas size so that you can see the entire rotated image. For more information, refer to "Resizing the Canvas".

Scaling Images

 Back to Top

The Scale effect lets you change the dimensions of part or all of an image.

To scale an image

1
Select a layer or area of the canvas.
If you want to scale the entire image, do not make a selection.
2
Choose Effects menu [image] Orientation [image] Scale.
3
Do one of the following:
•
In the document window, drag a handle of the selection. The Scale Selection dialog box displays the horizontal and vertical scale percentages.
•
In the Scale Selection dialog box, specify the horizontal and vertical scale percentages.
4
Enable or disable the following check boxes:
•
Constrain Aspect Ratio. Enable this check box to maintain the selection’s proportions. Disable this check box if you want to change horizontal and vertical measurements independently.
•
Preserve Center. Enable this check box to keep the image or selection anchored in its location, based on the center of the image.

Flipping Images

 Back to Top

You can flip all or part of an image horizontally (from left to right) or vertically (from top to bottom).

To flip an image

1
Select a layer or area of the canvas.
If you want to flip the entire image, do not make a selection.
2
Choose Effects menu [image] Orientation, and choose one of the following:
•
Flip Horizontal
•
Flip Vertical

Original image.

Image flipped horizontally.

Image flipped vertically.

Distorting Images

 Back to Top

You can distort all or part of an image.

Original image (left) and part of the image distorted (right).

To distort an image

1
Select a layer or area of the canvas.
If you want to distort the entire image, do not make a selection.
2
Choose Effects menu [image] Orientation [image] Distort.
3
In the document window, drag any of the selection handles to reshape the selection.
4
If you want to see a more accurate, but slower, rendering of your changes, enable the Better (Slower) check box in the Distort Selection dialog box.
Enabling this option is particularly useful in highly distorted images.

Free-Transforming Images

 Back to Top

The Free Transform, Set Transform, and Commit Transform effects work only with reference layers. Refer to "Working with Reference Layers" for more information on these effects.


Correcting and Adjusting Colors

On this page, you will find information about

•
Using Contrast and Brightness to Correct Colors
•
Using Curve to Correct Colors
•
Using Freehand to Correct Colors
•
Using the Advanced Method to Correct Colors
•
Adjusting Colors
•
Adjusting Selected Colors
•
Adjusting Brightness and Contrast

Color correction lets you adjust the relative amounts of the color components in an image. Color correction is often used to improve a color-casted or washed-out photo. You can also use it to create surreal color effects. If a layer is selected, color correction is applied only to the layer; if no layer is selected, the entire image is color corrected.

Color correction is based on adjusting gamma response curves. You can adjust the gamma curves for red, green, blue, or all three color components. The black Master curve controls all color components equally. The curves describe how the input color values are adjusted to create the output (corrected) color values.

A gamma curve.

The horizontal axis represents the input (original color) values. The vertical axis represents the output (corrected) values. Before you adjust a curve, it appears perfectly diagonal (45°), which indicates that all input and output values are equal. Corel Painter maps light values at the top of the graph and darker values at the bottom. When you edit RGB curves, the current color is indicated by a colored point on the curve.

Use the Color Correction dialog box to correct colors.

The Color Correction dialog box provides access to four methods of adjusting a gamma curve:

•
Contrast and Brightness
•
Curve
•
Freehand
•
Advanced

You can use a single method or a combination of methods to adjust the image.

You can also adjust an image to by matching the colors and brightness of another image.

Using Contrast and Brightness to Correct Colors

Back to Top

You can adjust the contrast or brightness of colors while maintaining the tonal transitions in the original image. As you adjust the Contrast or Brightness sliders, the endpoints of the curves remain fixed. Because the effect maintains the levels from the original image, there are always 256 distinct levels, regardless of how much you adjust the sliders.

Contrast adjusts the difference between light and dark values. As you increase Contrast, the curve takes on an “S” shape, indicating that light colors are becoming lighter and dark colors darker.

Original image.

Contrast method of color correction.

Brightness moves all values on a curve to a brighter tone or darker tone.

Brightness method of color correction.

To correct colors by using contrast and brightness

1
Choose Effects menu [image] Tonal Control [image] Correct Colors.
2
In the Color Correction dialog box, choose Contrast and Brightness from the pop-up menu.
3
For each color you want to adjust, click the color icon and adjust the Contrast and Brightness sliders.
Click the black Master icon to adjust all color curves at once.

Color icons in the Color Correction dialog box.

Using Curve to Correct Colors

Back to Top

Curve lets you drag the color curves to reshape them. This method lets you to create very specific changes in color values.

Curve method of color correction.

You can control the overall effect of your changes using the Effect slider. The slider controls how much of the curve moves in response to your dragging. When the slider is all the way to the right, the entire curve moves. As the value is reduced, a smaller portion of the curve moves.

To correct colors by reshaping curves

1
Choose Effects menu [image] Tonal Control [image] Correct Colors.
2
In the Color Correction dialog box, choose Curve from the pop-up menu.
3
Click the color icon for the curve you want to reshape.
If you want to reshape all color curves at once, click the black Master icon.
4
Adjust the position of the Effect slider to set the intensity of your changes.
5
Move the crosshair cursor over the curve; when the crosshair cursor changes to a black arrowhead, drag the curve.

Using Freehand to Correct Colors

Back to Top

The Freehand method lets you draw the curve as you want it. This color correction method is particularly useful when you want posterized or solarized effects.

Freehand method of color correction.

To correct colors by using the Freehand method

1
Choose Effects menu [image] Tonal Control [image] Correct Colors.
2
In the Color Correction dialog box, choose Freehand from the pop-up menu.
3
Click the color icon for the color you want to adjust.
If you want to redraw all color curves at once, click the black Master icon.
4
Move the pointer over the graph; when the pointer changes to a pencil, drag to draw a new curve.

Using the Advanced Method to Correct Colors

 Back to Top

The Advanced method lets you set the red, green, and blue curves numerically at five points: Highlight, 1/4 Tone, Midtone, 3/4 Tone, and Shadow. These points coincide with the vertical gridlines.

Advanced method of color correction.

To correct colors by using the Advanced method

1
Choose Effects menu [image] Tonal Control [image] Correct Colors.
2
In the Color Correction dialog box, choose Advanced from the pop-up menu.
3
Click a color icon, and drag the corresponding curve.
If you want to redraw all color curves at once, click the black Master icon.
•
You can also correct colors using the Advanced method by choosing Advanced from the pop-up menu and typing values in the boxes.

Adjusting Colors

 Back to Top

The Adjust Colors effect lets you control the hue, saturation, and value of an image in much the same way as you would adjust your television.

Use the Adjust Color dialog box to change the hue, saturation, and value of an image.

To adjust colors

1
Select a layer or area of the canvas.
If you want to adjust colors in the entire image, do not make a selection.
2
Choose Effects menu [image] Tonal Control [image] Adjust Colors.
3
In the Adjust Color dialog box, choose one of the following methods from the Using pop-up menu:
•
The Uniform Color method adjusts all pixels equally.
•
The Paper method uses the selected paper grain to control the color adjustment.
•
The Image Luminance method uses the luminance of the image as the model for color adjustment. Areas of greater luminance are adjusted more.
•
The Original Luminance method uses the luminance of the clone source as the model for color adjustment. If you have not set up a clone source, the current pattern is used.
•
[Alpha channel] or [Layer mask] sets the selected alpha channel or layer mask as the model for controlling color adjustment. For example, a black-to-white gradation in the channel or mask lets you adjust the color progressively across the image. In black areas of the channel or mask, colors are not changed. In white areas of the channel or mask, the adjustment applies fully. Transitional areas receive proportional color adjustments.
4
Adjust the sliders to control the overall hue, saturation, and value levels in the selection.
•
The Hue Shift slider adjusts the colors of the pixels by changing their hue. Moving the slider to the right increases the hue.
•
The Saturation slider adjusts the amount of pure hue in the color. Moving the slider all the way to the left creates a grayscale image.
•
The Value slider adjusts color brightness. Moving the slider to the left darkens colors.
You can see changes in the Preview window. To see areas of the image that aren’t visible, drag in the Preview window.
If you want to return the image or selection to the way it was, click Reset to reset all of the sliders.
•
With all methods other than Uniform Color, a greater color adjustment results for pixels that are assigned higher luminance.

Adjusting Selected Colors

 Back to Top

The Adjust Selected Colors effect is similar to the Adjust Colors effect, but it works only on a specified range of colors within an image. You choose a color in an image and adjust colors within a range of that color. You could, for example, change yellow peppers to red peppers. You can adjust colors that are exactly the same as the color you select, or you can choose colors within a range, based on proximity (on the color wheel or the color space) to the selected color.

Selective color adjustments change only certain colors in the image.

The Extents sliders determine the extent of the HSV color space around the selected center color:

•
H Extents controls the number of hues adjusted. Only hues within the specified percentage of hues on the color wheel are adjusted.
•
S Extents controls the range of saturation adjusted. Only saturations within this range are adjusted.
•
V Extents controls the range of values adjusted.

By combining these three settings, you can set up a very specific range of colors to adjust. For example, you can limit changes to a precise shade of red.

The Feather sliders affect the softness at the edge of the selected colors. These sliders can help you create smoother transitions between the replaced color and the original.

A replaced color with and without feathering.

The choice of methods is the same as for Adjust Colors. For more information, refer to "To adjust colors".

To adjust a selected color

1
Choose Effects menu [image] Tonal Control [image] Adjust Selected Colors.
The Adjust Selected Colors dialog box appears.
2
Move your cursor over the original image in the document window (your cursor becomes a dropper), and click the color you want to adjust.
The Colors palette displays the selected color as the main color.
3
Choose a method from the Using pop-up menu to determine the source that Corel Painter will use for the color adjustment.
4
Adjust the Extents and Feather sliders to select a range of colors to adjust.
Move the Extents sliders to the right to increase the amount of color space affected.
5
Adjust the bottom three sliders to control the overall hue, saturation, and value levels.
You can see changes in the Preview window. To see areas of the image that aren’t visible, drag in the Preview window.
If you want to reset the sliders to the default settings, click Reset.

Adjusting Brightness and Contrast

 Back to Top

You can adjust the brightness and contrast of the overall image in RGB in the Brightness/Contrast dialog box. You can also adjust brightness and contrast as a function of dye densities by adjusting the dye concentration. Refer to "Adjusting the Dye Concentration" for more information.

Before (left) and after (right) applying the Brightness/Contrast effect.

To adjust RGB brightness and contrast

1
Select a layer or area of the canvas.
If you want to apply the effect to the entire image, do not make a selection.
2
Choose Effects menu [image] Tonal Control [image] Brightness/Contrast.
The Brightness/Contrast dialog box appears.
3
Move the upper slider to adjust image contrast. Move the lower slider to adjust image brightness.
The image is adjusted when you stop dragging.
If you want to reset the sliders to the default settings, click Reset.
4
Click Apply.


Equalizing Images

On this page, you will find information about

•
Using Curve to Equalize Images
•
Using the Equalize Effect to Equalize Images

Equalizing an image involves increasing the contrast by resetting the darkest and lightest points and then evenly distributing the values across those two points.

Using Curve to Equalize Images

 Back to Top

The Curve feature lets you produce an equalizing effect by adjusting the black and white points in your image. You can set the black and white points for your image automatically or manually.

To automatically set black and white points

1
Choose Effects menu [image] Tonal Control [image] Correct Colors.
2
In the Color Correction dialog box, choose Curve from the pop-up menu.
3
Click Auto Set.

To manually set black or white points

1
Choose the Dropper tool [image] from the toolbox.
2
In the document window, click the color you want to assign as the darkest or lightest point.
3
Choose Effects menu [image] Tonal Control [image] Correct Colors.
4
In the Color Correction dialog box, choose Curve from the pop-up menu.
5
Click one of the following:
•
Black Point, to assign all colors equal to or darker than the current main color to black.
•
White Point, to assign all colors equal to or lighter than the current main color to white.

Using the Equalize Effect to Equalize Images

 Back to Top

The Equalize effect improves contrast, adjusting black and white points, and distributing the brightness levels throughout the entire range of available levels. Corel Painter lets you equalize an image by creating a histogram showing the number of pixels for each brightness level value and then allowing you to adjust those values. The Equalize effect also allows gamma adjustment, which lightens or darkens an image without changing highlights or shadows.

Before (left) and after (right) applying the Equalize effect.

Each peak shows the number of pixels for a brightness level. You can adjust white and black points by dragging the triangles.

To equalize colors

1
Select a layer or area of the canvas.
If you want to apply the effect to the entire image, do not make a selection.
2
From the menu bar, choose Choose Effects menu [image] Tonal Control [image] Equalize.
Corel Painter automatically adjusts the image or selection so that the lightest color is white and the darkest color is black.
3
In the Equalize dialog box, adjust contrast by dragging the black and white markers under the histogram.
Any values in the image located to the right of the white marker become white; any values to the left of the black marker become black.
4
Move the Brightness slider to adjust the gamma.
Moving the slider to the right darkens the image; moving the slider to the left lightens the image.
Changing the gamma adjusts only the midtones of an image and leaves the black and white areas untouched.
5
Click OK to apply changes.
A preview of the changes is applied to the original image, but the changes are not final until you click OK. If you want to revert to the original image, click Cancel.
•
If you made a selection and you want to equalize the entire image, enable the Apply to Entire Image check box in the Equalize dialog box.


Other Tonal Control Effects

Corel Painter has a variety of effects that let you adjust color and tone. Some effects are designed primarily for correcting colors, while others let you adjust colors for special effects. For example, you can match colors across images, invert colors, or posterized colors.

You can also use tools to adjust color and tone in specific areas, such as the Dodge tool and the Burn tool.

For information about color correction, see "Correcting and Adjusting Colors".

Matching Color and Brightness across Images

 Back to Top

The Match Palette effect lets you apply the color and brightness of a source image to a destination image. For example, you can match the colors in a photo to the colors in a favorite painting. You can then clone and paint your photo in the same style as your favorite painting. You can also use the Match Palette effect to ensure that the color and brightness in a group of photos is consistent.

You can apply the color and brightness from a source image (centre) to your working image (left) to create a new effect (right).

To match colors across images

1
Open both the source image and the destination image.
2
Select the destination image.
3
Choose Effects menu [image] Tonal Control [image] Match Palette.
The Match Palette dialog box appears.
4
From the Source pop-up menu, select the source image.
The filenames for all open images appear in the pop-up menu.
5
Adjust any of the following sliders:
•
Color — lets you determine how the colors from the source image blend with the colors in the destination image. At higher settings, more source color is applied.
•
Variance (Color) — lets you adjust the range of the source colors. Higher settings increase the number of shades used from the source image.
•
Brightness — lets you determine how the luminance from the source image blends with the luminance in the destination image. Higher Brightness settings pull more highlights and shadows from the source image into the destination image.
•
Variance (Brightness) — lets you adjust the range of highlights and shadows. Higher settings increase the contrast between the highlights and shadows.
6
Move the Amount slider to specify the overall intensity of the other settings.
Start at 100%, and decrease the amount until you are satisfied with the results.

Inverting Colors

 Back to Top

The Negative effect inverts all the colors in your image or in the selected layer.

Positive (left) and negative (right) versions of an image.

To invert colors

1
Select a layer or area of the canvas.
If you want to invert the entire image, do not make a selection.
2
Choose Effects menu [image] Tonal Control [image] Negative.

Posterizing an Image

 Back to Top

Posterizing reduces the number of color levels an image contains.

To posterize an image

1
Select a layer or area of the canvas.
If you want to apply the effect to the entire image, do not make a sure that there are no selection.
2
Choose Effects menu [image] Tonal Control [image] Posterize.
3
In the Posterize dialog box, specify a number of levels.
The fewer levels you specify, the more dramatic the effect.
•
To posterize an image combined with a paper grain, refer to "Applying a Screen".
•
To posterize to two levels and also adjust the brightness, refer to "Using the Equalize Effect to Equalize Images".

Posterize by Using a Color Set

 Back to Top

Corel Painter can posterize your image based on a color set. This effect lets you create an image with only a specified set of colors in it. This is useful for multimedia work, as well as applications such as silkscreening.

This effect can also be used to reduce an image’s colors so that the image appears correctly on the Web. For more information, refer to "Working with Posterize Using Color Set".

To posterize an image by using a color set

1
Select a layer or area of the canvas.
If you want to apply the effect to the entire image, do not make a selection.
2
Open or create a color set.
For instructions on creating a color set, refer to "Using Color Sets".
3
Choose Effects menu [image] Tonal Control [image] Posterize Using Color Set.
The image is reduced to the colors in the current color set.

Applying Video Legal Colors

 Back to Top

The Video Legal Colors effect makes the colors in an image compatible with video. Colors that aren’t possible in video are converted to video legal colors.

Only bright yellows and cyans are not video legal. Corel Painter supports both the National Television System Committee (NTSC) for video systems in the United States, U.S. and Phase Alternation by Line (PAL) for video systems in Europe.

To apply Video Legal Colors

1
Select a layer or area of the canvas.
If you want to apply the effect to the entire image, do not make a selection.
2
Choose Effects menu [image] Tonal Control [image] Video Legal Colors.
3
In the Video Legal Colors dialog box, choose NTSC or PAL from the System pop-up menu.

Dodging and Burning

 Back to Top

The Dodge and Burn tools let you adjust the highlights, midtones, and shadows in an image. The Dodge tool lightens the tone; the Burn tool darkens it. You can dodge and burn anywhere in a photo, affecting an area as large or as small as you like.

To lighten the tone

1
Choose the Dodge tool [image] from the toolbox.
2
On the property bar, move the Size slider, or type a value in the Size box, to adjust the size of the Dodge tool.
3
Move the Opacity slider, or type a value in the Opacity box, to adjust the opacity of the Dodge tool.
4
Move the Jitter slider, or type a value in the Jitter box, to specify the amount of randomness in the stroke.
5
Drag the brush in the image to apply the effect.

The Dodge tool was used to lighten the girl’s eye.

To darken the tone

1
Choose the Burn tool [image] from the toolbox.
2
On the property bar, move the Size slider, or type a value in the Size box, to adjust the size of the Burn tool.
3
Move the Opacity slider, or type a value in the Opacity box, to adjust the opacity of the Burn tool.
4
Move the Jitter slider, or type a value in the Jitter box, to specify the amount of randomness in the stroke.
5
Drag the brush in the image to apply the effect.

The Burn tool was used to reduce the strong highlights on the faces.


Using Lighting

On this page, you will find information about

•
Applying Preset Lighting Effects
•
Creating Custom Lighting
•
Adding, Deleting, and Repositioning Light Sources
•
Setting Light Properties
•
Saving Lighting Effects
•
Creating Lighting Effects Libraries

The Apply Lighting effect lets you shine one or more light sources on an image. Using this effect is like hanging your artwork in a gallery and adjusting colored spotlights to illuminate it. You can choose different lighting effects from the Corel Painter library, or you can create your own effects by defining brightness, distance, color, and other characteristics. Once you’ve produced a lighting effect you like, you can save it in a library for use with other images.

Before (left) and after (right) Apply Lighting.

Applying Preset Lighting Effects

 Back to Top

The Lighting library contains several preset lighting environments. You can use these directly or as a starting point for customized lighting.

To apply preset lighting effects

1
Select a layer or area of the canvas.
If you want to apply the effect to the entire image, do not make a selection.
2
Choose Effects menu [image] Surface Control [image] Apply Lighting.
3
In the Apply Lighting dialog box, click a preset thumbnail.
The lighting effect is displayed in the Preview window.

Creating Custom Lighting

 Back to Top

You can use the controls in the Apply Lighting dialog box to add, delete, and position light sources. You can also set light properties to create unique lighting effects.

The Preview window shows the current position of each light source and the angle of its projection.

The four steps to creating custom lighting are

•
Adding or deleting light sources
•
Positioning lights
•
Setting light properties
•
Saving light settings

Adding, Deleting, and Repositioning Light Sources

 Back to Top

The lighting effect is created by applying light from different sources to the image. You can add or delete as many light sources as you wish. Your only limit is your system’s memory.

When you add a light source, a new indicator appears in the preview window. The small part of the light indicator is the origin (the point from which the light is shining). The large part of the indicator is the point toward which the light is shining.

The type of lighting effect you create is determined by the position of light on the image. You can use the light indicators to move and direct light sources.

Light source indicator.

To add, delete, or reposition a light source

1
Choose Effects menu [image] Surface Control [image] Apply Lighting.
2
Perform a task from the following table:

To | Do the following
Add a light source | Click anywhere in the Preview window.
Delete a light source | Click an indicator, and press Backspace.
Move a light source | Drag the large end of the indicator to the point where you want the light to originate.
Change the direction of a light | Drag the small end of the light indicator until the light is pointing in the desired direction.

Setting Light Properties

 Back to Top

You can set light properties such as brightness, distance, elevation, and color. Light properties have a cumulative effect. For example, if you turn up a light’s brightness, you might need to adjust exposure.

To change a light’s properties

1
Choose Effects menu [image] Surface Control [image] Apply Lighting.
2
In the Preview window, click an indicator to select it.
3
Adjust any of the following sliders:
•
The Brightness slider is like a dimmer knob. Moving it to the left turns down the light source; moving it to the right increases brightness.
•
The Distance slider controls how far the light is from the image. If you move the light source closer, you can compensate for the increased light by adjusting the Exposure slider to compensate.
•
The Elevation slider sets the light’s angle in relation to the canvas. At 90°, the light is shining straight down, and at 1°, it’s nearly horizontal.
•
The Spread slider sets the angle of the light cone.
•
The Exposure slider controls the image’s brightness, as in photography. Moving the slider to the left decreases exposure and darkens the image; moving it to the right increases exposure and lightens the image.
•
The Ambient slider controls the surrounding light in an image. If you have no individual lights in your image, the ambient lighting governs the overall lightness of the image. Moving the slider to the left darkens the overall lighting; moving it to the right increases the light.

To change light color

1
Choose Effects menu [image] Surface Control [image] Apply Lighting.
2
In the Preview window, click an indicator.
3
Click the Light Color chip, choose a color from the Color dialog box, and click OK.
4
Click the Ambient Light Color chip, choose a color from the Color dialog box, and click OK.

Saving Lighting Effects

Back to Top

After you’ve adjusted lighting and created an effect you like, you can save the settings in the library. This lets you quickly use the same settings on another image.

To save specific lighting effects

1
Choose Effects menu [image] Surface Control [image] Apply Lighting.
2
In the Apply Lighting dialog box, after setting up a lighting effect, click Save.
3
In the Save Lighting dialog box, type a name for your new lighting effect in the Save As box.
The effect is saved to the default Corel Painter settings library, and a thumbnail is displayed in the Apply Lighting dialog box.

Creating Lighting Effects Libraries

 Back to Top

You can create your own lighting libraries to store your custom lighting effects. You can use the Lighting Mover to move saved lighting effects into your new library, which lets you set up effects for different purposes and access them quickly.

To create a custom lighting library

1
Choose Effects menu [image] Surface Control [image] Apply Lighting.
2
In the Apply Lighting dialog box, click Lighting Mover.
3
Click New.
4
In the New Lighting Library dialog box, specify a name for your library, and click Save.
A blank library is created and becomes the current library. It appears on the right side of the Lighting Mover dialog box.
5
Click the effect you want to move into your new library.
The effects name appears in the center of the dialog box.
6
Drag the effect to the new library on the right.
The effect is copied to the new library. If you want to delete it from the Corel Painter Settings library (PAINTER.pre), click Delete.


Working with Surface Texture

On this page, you will find information about

•
Setting Appearance of Depth Properties
•
Using Paper to Create Texture
•
Using 3D Brush Strokes to Create Texture
•
Creating 3D Oils
•
Using Image Luminance to Create Texture
•
Using Clone Source Luminance to Create Texture
•
Creating Embossing Effects
•
Using Channels and Layer Masks to Create Texture
•
Working with Reflection Maps
•
Applying Lighting to a Texture

The Apply Surface Texture effect lets you add a three-dimensional (3D) surface texture to your image. You can use this feature to apply a paper texture across the image, to give depth to the brush strokes of an oil painting, or to create 3D mosaic tiles.

Surface texture is created either by applying a paper texture or by using information from a clone source to determine depth and height. There are five methods for creating texture:

•
Using a paper texture
•
Using the difference from a clone source
•
Using image luminance
•
Using the luminance from a clone source
•
Using a channel or layer mask

The Apply Surface Texture effect also lets you apply a reflection map to your surfaces, which can make the textured parts of the image look metallic or glasslike. Refer to "Working with Reflection Maps" for more information.

Examples of effects created with Apply Surface Texture.

Setting Appearance of Depth Properties

 Back to Top

The surface texture you apply is made up of a material. That material can be subtle and blend with the original image, or it can be highly reflective or shiny, distorting the original image.

The Appearance of Depth sliders on the Apply Surface Texture dialog box let you control material properties.

•
The Amount slider controls how much surface texture is applied to the image. Moving the slider all the way to the right applies the maximum amount.
•
The Picture slider controls how much of the color from the original image is applied to the texture. At 100%, the full color of the picture shines through. Moving the slider to the left displays more black, leaving only the shine.
•
The Shine slider controls how much highlight appears on the surface of the texture. Higher Shine values make the texture look metallic.
•
The Reflection slider maps a clone source image or pattern onto the texture at a variable percentage.

Using Paper to Create Texture

 Back to Top

When you create a texture by using the Paper method, the current paper texture is applied to your image. If the Papers palette is open, you can choose different papers and change their scale to try different textures. The Preview window is updated automatically to reflect paper changes.

Before (left) and after (right) creating texture by using paper grain.

To create surface texture by using paper

1
Select a layer or area of the canvas.
If you want to apply the effect to the entire image, do not make a selection.
2
Choose Effects menu [image] Surface Control [image] Apply Surface Texture.
3
In the Apply Surface Texture dialog box, choose Paper from the Using pop-up menu.
If you want to apply an inverted paper texture, enable the Inverted check box.
4
Adjust the Softness slider to control the amount of distortion created by the texture.
Increasing softness creates more intermediate steps, which produces a smoother distortion.
5
Adjust the Appearance of Depth sliders.
Refer to "Setting Appearance of Depth Properties" for more information.
6
Adjust the Light Controls sliders.
For more information, refer to "Applying Lighting to a Texture".

Using 3D Brush Strokes to Create Texture

 Back to Top

When you create a texture using the 3D Brush Strokes method, the difference in luminance between the clone source and the current document is used to determine the look of the texture.

If you change the colors in the clone or posterize the clone, the texture is based on color differences. If you paint on the clone, however, you can make the brush strokes appear three-dimensional, giving them the illusion of oil paints. For information about cloning, refer to "Cloning Images".

An example of the texture created when Posterize (right) is applied to the clone source (left).

An example of the texture created when brush strokes (right) are applied to a cloned image (left).

To create surface texture by using 3D Brush Strokes

1
Open the original image.
2
Choose File menu [image] Clone.
If you want to alter the clone before using the 3D Brush Strokes method, apply an effect or paint on it.
3
Select a layer or area of the canvas.
If you want to apply the effect to the entire image, do not make a selection.
4
Choose Effects menu [image] Surface Control [image] Apply Surface Texture.
5
In the Apply Surface Texture dialog box, choose 3D Brush Strokes from the Using pop-up menu.
If you want to apply an inverted texture, enable the Inverted check box.
6
Adjust the Softness slider to control the amount of distortion created by the texture.
Increasing softness creates more intermediate steps, which produces a smoother distortion.
7
Adjust the Appearance of Depth sliders.
Refer to "Setting Appearance of Depth Properties" for more information.
8
Adjust the Light Controls sliders.
For more information, refer to "Applying Lighting to a Texture".

Creating 3D Oils

 Back to Top

Because the 3D Brush Strokes method uses the difference between the clone source and its clone to define a 3D texture, you can create the illusion of dimensional oils by painting on the clone. The look of the strokes on the clone determines how realistic the final 3D strokes appear. So, you may want to set up a more complex brush before painting. For example, you can apply a paper texture to the stroke. Many of the brush variants reveal the paper texture automatically in their strokes.

An example of 3D brush strokes with paper texture.

You can apply a paper texture when you first create an image, and then paint or draw over it to make a textured canvas for your strokes. However, the texture is erasable, so you might not end up with the same texture across the document surface. As a rule, you add the paper texture as the last step in producing artwork.

You can also use advanced brush settings to make realistic strokes. For example, you can use the Brush Loading option to move underlying colors as you make brush strokes. You can also apply other settings, like Bleed, or adjust brush size to create complex strokes. For more information, see "Customizing Brushes".

An example of 3D brush strokes with Brush Loading (left) and Bleed (right) settings applied.

Using Image Luminance to Create Texture

 Back to Top

When you create a texture by using the Image Luminance method, the current image’s luminance, or lightness, determines where surface texture is added. Light parts of the image create dents; darker parts create raised areas. The overall effect gives an embossed look to the edges of the image.

Before (left) and after (right) adding texture based on Image Luminance.

To create surface texture by using Image Luminance

1
Select a layer or area of the canvas.
If you want to apply the effect to the entire image, do not make a selection.
2
Choose Effects menu [image] Surface Control [image] Apply Surface Texture.
3
In the Apply Surface Texture dialog box, choose Image Luminance from the Using pop-up menu.
If you want to apply an inverted texture, enable the Inverted check box.
4
Adjust the Softness slider to control the amount of distortion created by the texture.
Increasing softness creates more intermediate steps, which produces a smoother distortion.
5
Adjust the Appearance of Depth sliders.
Refer to "Setting Appearance of Depth Properties" for more information.
6
Adjust the Light Controls sliders.
For more information, refer to "Applying Lighting to a Texture".

Using Clone Source Luminance to Create Texture

 Back to Top

When you create a texture by using clone source luminance, the dents and bumps in the texture are determined by the light and dark areas in the clone source and are applied to its clone. What is unique about this method is that you can create interesting embossed looks by changing the clone source.

Texture based on clone source luminance.

Any image effects or brush strokes that you apply to the source result in different textures. For example, you can create raised areas in the clone by darkening the area in the source image.

To create surface texture based on clone source luminance

1
Open an image.
2
Choose File menu [image] Clone.
3
Alter the clone by applying an effect, by painting, or by choosing a pattern or gradient.
4
Select a layer or area of the canvas.
If you want to apply the effect to the entire image, do not make a selection.
5
Choose Effects menu [image] Surface Control [image] Apply Surface Texture.
6
In the Apply Surface Texture dialog box, choose Original Luminance from the Using pop-up menu.
If you want to apply an inverted texture, enable the Inverted check box.
7
Adjust the Softness slider to control the amount of distortion created by the texture.
Increasing softness creates more intermediate steps, which produces a smoother distortion.
8
Adjust the Appearance of Depth sliders.
Refer to "Setting Appearance of Depth Properties" for more information.
9
Adjust the Light Controls sliders.
For more information, refer to "Applying Lighting to a Texture".

Creating Embossing Effects

 Back to Top

One of the most effective ways of using the Original Luminance method is to create an embossed image. Unlike standard emboss effects, Apply Surface Texture lets you control not only the height of the texture, but also the lighting and material properties of the embossing.

Before (left) and after (right) applying the embossed effect.

To create an embossed effect

1
Open an image.
2
Choose File menu [image] Clone.
3
Choose a color other than black from the Colors or Color Sets palette.
If you want the embossed image to be white, select all, and then press Delete (Mac OS) or Backspace (Windows).
4
Choose Effects menu [image] Fill.
5
In the Fill dialog box, enable the Current Color option.
6
Adjust the Opacity slider to set the opacity of the fill.
7
Click OK to fill the clone file with color.
8
Choose Effects menu [image] Surface Control [image] Apply Surface Texture.
9
In the Apply Surface Texture dialog box, choose Original Luminance from the Using pop-up menu.
The Preview window shows how the embossed image will look.
10
Adjust any of the Appearance of Depth or Light Controls sliders.
11
Enable a Light Direction option to change the location of highlights and shadows.
If you want to change the light color, click the Light Color chip, and choose a color from the Color dialog box.

Using Channels and Layer Masks to Create Texture

Back to Top

Corel Painter lets you produce surface texture based on an alpha channel or a layer mask. You can use this method only if your image has a saved alpha channel or a layer with a layer mask.

When you choose a channel, the texture is applied around the edges of the channel so that the area it covers appears raised. When you choose a layer mask, the layer mask is used to determine the boundaries of the texture. In this case, texture is applied to the edges of the layer mask. Refer to "Working with Layer Masks" for more information on layer masks.

Before (left) and after (right) adding texture based on a saved alpha channel.

Before (left) and after (right) adding texture based on a layer mask.

To create surface texture based on a channel or layer mask

1
Select a layer or the canvas.
If you want to use a layer mask, you must select the layer to which the layer mask is attached. Make sure that the layer mask is not blank.
2
Choose Effects menu [image] Surface Control [image] Apply Surface Texture.
3
In the Apply Surface Texture dialog box, choose the channel or layer mask from the Using pop-up menu.
If you want to apply an inverted texture, enable the Inverted check box.
4
Adjust the Softness slider to control the amount of distortion created by the texture.
Increasing softness creates more intermediate steps, which produces a smoother distortion.
5
Adjust the Appearance of Depth sliders.
Refer to "Setting Appearance of Depth Properties" for more information.
6
Adjust the Light Controls sliders.
For more information, refer to "Applying Lighting to a Texture".

Working with Reflection Maps

 Back to Top

A reflection map is an image mapped onto a texture to produce the illusion that it’s reflecting light from the surrounding environment. You can use the reflection map pattern to quickly apply a realistic reflection. In most cases, a reflection map makes your texture look like chrome or polished metal.

Before (left) and after (right) applying a typical reflection map.

You can use either a pattern or a clone source image as a reflection map. By adjusting the Reflection slider, you control how much of the image appears in the texture. If your image has a clone source, the source image is mapped onto the texture. Otherwise, Corel Painter uses the current pattern as the reflection map.

You can use the Image Warp effect to approximate the reflection from a curved surface. For more information, refer to "Warping an Image".

To create a reflection map from a clone source

1
Open an image or create a new image to use as the reflection.
If you want to approximate the reflection from a curved surface, apply the Image Warp effect.
2
Choose File menu [image] Clone Source [image] [filename].
3
Select the area that you want to be reflective.
4
Choose Edit menu [image] Cut.
5
Choose Edit menu [image] Paste in Place.
A new layer is created.
6
On the Layers palette, select the layer, and click the Create Layer Mask button [image].
Using a layer mask simplifies the process because the layer mask exactly matches the shape of the reflection area. Refer to "Working with Layer Masks" for more information.

A selected image area, ready to become reflective.

7
Choose Effects menu [image] Surface Control [image] Apply Surface Texture.
8
In the Apply Surface Texture dialog box, choose the layer mask from the Using pop-up menu.
9
Adjust the Reflection slider to control the amount of reflection you want.
10
Adjust the Softness slider to control the mapping from the edges of the layer’s image.
Increasing Softness gives a rounder, more 3D look to the surface.

The resulting chrome-plated butterfly.

Applying Lighting to a Texture

 Back to Top

A large part of the final look of your textures is determined by the lighting you apply. Bad lighting can obscure details in a pattern or surface. Good lighting can add interesting highlights and enhance reflections.

You can add, delete, and position light sources, and you can set light properties. You can also position lights by enabling one of the Light Direction options, which represent eight different preset lighting angles. You can also create a custom lighting setup by working in the sphere.

The lighting sphere shows all possible surface angles and how they are illuminated. The light indicators on the sphere show the current positions of each light source.

The lighting sphere with a light indicator.

The Display slider beneath the lighting sphere controls the brightness of the sphere so that it’s easier to see light positions. It does not affect the lights themselves.

Sliders for the three Light Controls let you set the properties of a light source. You can also change a light’s color.

•
The Brightness slider indicates the intensity of the light.
•
The Conc (concentration) slider adjusts the spread of the light’s shine over the surface.
•
The Exposure slider globally adjusts the overall lighting amount from darkest to brightest.

To add or delete a light

To | Do the following
Add a light | In the Apply Surface Texture dialog box, click the lighting sphere. A new light indicator (a small circle) is added to the lighting sphere.
Delete a light | In the Apply Surface Texture dialog box, click a light indicator, and press Delete (Mac OS) or Backspace (Windows).

•
The Show Light Icons check box lets you hide or show the light indicators.

To change a light’s position or color

To | Do the following
Change light position | In the Apply Surface Texture dialog box, drag a light indicator on the lighting sphere.
Change light color | In the Apply Surface Texture dialog box, click the Light Color chip. In the Color dialog box, choose a new color.

•
You can also change a light’s position by selecting a light indicator on the sphere and enabling one of the Light Direction options.


Using Other Surface Control Effects

On this page, you will find information about

•
Applying a Screen
•
Creating a Color Overlay
•
Adjusting the Dye Concentration
•
Applying Express Texture
•
Warping an Image
•
Applying Woodcut Effects
•
Applying Distress Effects
•
Applying Serigraphy Effects
•
Applying the Sketch Effect

The Surface Control effects let you manipulate paper, color, and light to produce a variety of interesting visual effects. Many of these effects also let you add texture to an image, producing the illusion of paint on a canvas or paper.

Applying a Screen

 Back to Top

The Apply Screen effect is another way to add texture to an image. It combines luminance, the selected paper texture, and the three colors you pick, to add a three-color screen to an image.

Before (left) and after (right) using Apply Screen with Image Luminance.

To apply a screen

1
Select a layer or area of the canvas.
If you want to apply the effect to the entire image, do not make selection.
2
Choose Effects menu [image] Surface Control [image] Apply Screen.
3
In the Apply Screen dialog box, choose three colors by clicking each color chip and choosing a color from the Color dialog box.
4
Move the Threshold 1 slider to determine how much of the second and third colors will be in the image.
Moving the slider to the left increases the amount of the third color. Moving it to the right increases the amount of the second color.
5
Move the Threshold 2 slider to determine how much of the first color will be in the image.
Moving the slider to the left decreases the amount of the first color. Moving it to the right increases the amount of the first color.
6
Choose one of the following methods from the Using pop-up menu:
•
The Paper method produces a screen using the paper grain. If the Papers palette is open, you can choose different textures while the Apply Screen dialog box is open.
•
The Image Luminance method creates texture based on the image’s brightness. It is similar to a three-level posterization.
•
The Original Luminance method adds texture based on the clone source document’s brightness.
•
[Alpha channel] or [Layer mask] adds texture based on the luminance of a channel or layer mask. The pop-up menu lists each alpha channel in the document. If a layer with a layer mask is selected, the layer mask is also listed.

Creating a Color Overlay

 Back to Top

Use the Color Overlay effect to simultaneously add color and texture to an image. The color is taken from the current color on the Colors palette. Both color and texture are applied using one of five methods:

•
The Uniform Color method adds a flat tint to the image.
•
The Paper method overlays a color using the paper texture as a mapping model. More color is applied to light areas in the paper grain; less color is applied to dark areas.
•
The Image Luminance method uses the image’s brightness as the model for the color overlay. More of the effect is applied to light areas in the original image; less color is applied to dark areas.
•
The Original Luminance method uses the luminance of the clone source as the model for the color overlay. Light areas in the clone source produce more color in the image.
•
[Alpha channel] or [Layer mask] sets the values in the channel or layer mask as the model for the color overlay. More color is applied to the light areas of the channel or mask; less color is applied to dark areas.
You can use this method only if you have a saved alpha channel or a layer mask in your image.

Before (left) and after (right) applying the Color Overlay effect.

To create a color overlay

1
Show the Colors palette and the Papers palette.
2
Select a layer or area of the canvas.
If you want to apply the effect to the entire image, do not make selection.
3
Choose a color from the Colors palette.
If you want to base the color on a paper grain, choose a paper texture on the Papers palette.
4
Choose Effects menu [image] Surface Control [image] Color Overlay.
5
In the Color Overlay dialog box, choose a method from the Using pop-up menu.
6
Move the Opacity slider until the preview reflects the desired opacity.
7
Enable or disable the following options:
•
Dye Concentration. Enabling this option allows the paper to absorb the color.
•
Hiding Power. Enabling this option allows the color to cover what lies beneath it.

Adjusting the Dye Concentration

 Back to Top

The Dye Concentration effect lets you adjust pigments to adjust color intensity and add surface texture. You can use this effect to lighten an underexposed photo or to darken an overexposed one.

To adjust the dye concentration

1
Select a layer or area of the canvas.
If you want to apply the effect to the entire image, do not make a selection.
2
Choose Effects menu [image] Surface Control [image] Dye Concentration.
The Adjust Dye Concentration dialog box is displayed. While the dialog box is open, the controls on the Papers palette can be adjusted.
3
Choose a method from the Using pop-up menu:
•
The Uniform Color method adjusts color based solely on Maximum slider values. Setting the Maximum slider above 100% increases color density; setting it below 100% decreases color density. With this method, moving the Minimum slider has no effect.
•
The Paper method adjusts color by using the paper texture as a mapping model.
•
The Image Luminance method uses the image’s brightness as the model for the color adjustment.
•
The Original Luminance method uses the luminance of the clone source as the model for the adjustment.
•
[Alpha channel] or [Layer mask] sets the values in the alpha channel or layer mask as the model for the dye concentration adjustment. You can use this method only if you have a saved channel or a layer mask in your image.
4
Adjust the Minimum and Maximum sliders as needed.
If you think of texture as peaks and valleys, the Maximum slider controls the amount of dye on the peaks, and the Minimum slider controls the amount of dye in the valleys. You can set the Maximum slider as high as 800%.
The Minimum slider can be set as low as 0%. The lower you set the Minimum slider, the higher the contrast between peaks and valleys. The higher you set the Minimum slider, the flatter the paper appears.

Applying Express Texture

 Back to Top

The Express Texture effect generates a high-contrast version of an image in grayscale. With this feature, you can create a visual effect similar to a custom halftone screen, like a mezzotint or line screen. Like the Apply Screen effect, the Express Texture effect has anti-aliasing built in.

The Express Texture effect.

To apply Express Texture

1
Select a layer or area of the canvas.
If you want to apply the effect to the entire image, do not make a selection.
2
Choose Effects menu [image] Surface Control [image] Express Texture.
3
In the Express Texture dialog box, choose a method from the Using pop-up menu.
You can base the effect on the current paper texture, a channel or layer mask, image luminance, or original luminance (clone source).
4
Use the following guidelines to adjust the sliders:
•
The Gray Threshold slider determines where the threshold is, between pure black and pure white.
•
The Grain slider determines how deeply the texture penetrates the surface.
•
The Contrast slider determines the number of levels of black and white. For example, low contrast generates pure gray, medium contrast produces levels of grayscale, and high contrast produces a black and white screen.
•
If you want to restore some of the original color to the image after applying this effect, choose Edit menu [image] Fade. The Fade command restores some or all of the original colors.
•
If you want to add a new set of colors, you can apply an express gradient to the image. On the Gradients palette, choose a gradient, click the palette menu arrow, and choose Express In Image.

Warping an Image

 Back to Top

The Image Warp effect lets you distort the surface of an image as if it were a sheet of pliable film. You can make images look as though they’re reflected in a fun house mirror.

Before (left) and after (right) applying the Image Warp effect.

The Quick Warp effect lets you create some basic distortions, like stretch or bulge. These distortions are useful for preparing images for reflection maps when applying surface texture. For more information about surface texture and reflection maps, refer to "Working with Reflection Maps". Quick Warp applies to the entire canvas — not to selections or layers.

Quick Warp lets you create five types of distortions:

•
Sphere warps the image spherically, like a reflection on a polished silver ball. You can use the Power and Angle Factor sliders to intensify and twist the effect.

An example of a Sphere distortion.

•
Bump warps the center of the image toward you, making it appear convex. Use the Angle Factor slider to twist the effect.

An example of a Bump distortion.

•
Valley warps the center of the image away from you, making it appear concave. Use the Angle Factor slider to twist the effect.
•
Swirl distorts the image in a spiral. The Angle Factor slider controls how many times the image spirals.
•
Ripple distorts the image in concentric rings, like the rings created when you drop a stone into a pool of water. Use the Power and Angle Factor sliders to intensify and twist the effect.

To warp an image

1
Select a layer or area of the canvas.
If you want to apply the effect to the entire image, do not make a selection.
2
Choose Effects menu [image] Surface Control [image] Image Warp.
3
In the Image Warp dialog box, choose one of the following warp methods:
•
The Linear method pulls the selected area as if you were pulling from the top of a cone.
•
The Cubic method pulls a flat surface outward.
•
The Sphere method pulls a surface as if it were a lens.
4
Adjust the Size slider.
This slider controls the size of the area affected by dragging the cursor. The higher the number, the smaller the affected area.
5
In the preview window, drag to distort the image.
A circle displays as you drag, indicating the area affected.

To apply Quick Warp effects

1
Choose Effects menu [image] Surface Control [image] Quick Warp.
2
In the Quick Warp dialog box, enable a warp method.
3
Adjust the Power and Angle Factor sliders to control the warp effects.

Applying Woodcut Effects

 Back to Top

The Woodcut effect is useful for creating woodcut or linoleum block prints of photographs. You can save preset Woodcut effects to apply to other photographs or paintings.

Before (left) and after (right) applying the Woodcut effect.

To apply Woodcut effects

1
Choose Effects menu [image] Surface Control [image] Woodcut.
2
In the Woodcut dialog box, enable or disable the following check boxes:
•
Output Black uses the black part of the effect in the final image. Disable this check box if you want to use color only in the final image.
•
Output Color uses the color part of the effect in the final image. Disable this check box if you want to use black and white only in the final image.
3
If you enable the Output Black check box, you can adjust the following sliders:
•
Black Edge determines the detail of the black edge. Larger values produce thick, black edges around objects. Smaller values produce more intricate edges.
•
Erosion Time determines the number of erosion iterations performed on the black edge. The higher the erosion, the simpler the edge.
•
Erosion Edge controls the amount of smoothing on the black edge. Larger values produce a rounded appearance of the black edge.
•
Heaviness determines the amount of black in the final image.
4
Enable one of the following options:
•
Auto Color automatically computes the color set from the original image’s colors.
•
Use Color Set uses a predefined color set.
5
Use the following guidelines to adjust the sliders:
•
The N Colors slider determines the number of colors used in the effect, ranging from 2 to 256. You can adjust the number of colors only if you have enabled the Auto Color option and the Output Color check box.
•
The Color Edge slider determines the thickness of a colored edge applied to the image boundaries. Moving the slider to the right increases edge thickness, which is measured in pixels. The edge color is selected by choosing a color swatch below the Preview window. Before you use this feature, you must enable the Output Color check box.
•
You can change the colors in a color set by clicking a color and then clicking a new color on the Color Sets palette.
•
You can save a Woodcut effect as a preset by clicking Save in the Woodcut dialog box and specifying a preset name in the Save Preset dialog box.

Applying Distress Effects

 Back to Top

The Distress effect can be used on images and text. You can base the effect on the currently selected paper or pattern.

Before (left) and after (right) applying the Distress effect.

To apply Distress effects

1
Choose Effects menu [image] Surface Control [image] Distress.
2
In the Distress dialog box, adjust any of the following sliders:
•
The Edge Size slider determines the size of the edge enhancement.
•
The Edge Amount slider determines the amount of edge enhancement.
•
The Smoothing slider determines the roundness of the edge between black and white.
•
The Variance slider determines the amount of grain added to the edge.
•
The Threshold slider determines how much black is in the image.
3
Choose a method from the Using pop-up menu.
You can base the effect on the current paper grain or on the original luminance (clone source).

Applying Serigraphy Effects

 Back to Top

With the Serigraphy effect, you can use photographs to generate images that appear to be silk-screened or woodblock cuts. Each color reduction is saved as a separate layer, so you can edit the layer individually after the effect has been applied.

Before (left) and after (right) applying the Serigraphy effect.

To apply Serigraphy effects

1
Choose Effects menu [image] Surface Control [image] Serigraphy.
2
In the Serigraphy color dialog box, adjust any of the following sliders:
•
The Smoothing slider determines the smoothness of the black edge.
•
The Threshold slider determines the total amount of color difference from the center color.
•
The Dist Weighting slider determines the amount of color distance from the center color.
•
The Hue Weighting slider determines how much hue contributes to the effect.
•
The Sat Weighting slider determines how much saturation contributes to the effect.
•
The Lum Weighting slider determines how much luminance contributes to the effect.
3
Click the Match Color chip, and choose a color from the Color dialog box.
This is the center color — the color on which the effect will be based.
4
Click the Fill Color chip, and choose a color from the Color dialog box.
This color is used on the new layer.
5
Click Create Serigraphy Layer.
6
Click Done.
•
You can also specify Match and Fill Colors by clicking a color in the image.

Applying the Sketch Effect

 Back to Top

You can use the Sketch effect to convert an image to a black and white pencil sketch.

The Sketch effect.

To apply the Sketch effect

1
Select a layer or area of the canvas.
If you want to apply the effect to the entire image, do not make a selection.
2
Choose Effects menu [image] Surface Control [image] Sketch.
3
In the Sketch dialog box, adjust any of the following sliders:
•
The Sensitivity slider determines sensitivity to detail. Low values detect only the main edges. High values detect the main edges as well as thin lines, such as the lines around a person’s eyes.
•
The Smoothing slider determines how much noise is filtered out. Higher values result in wider, lighter, and blurrier lines.
•
The Grain slider determines how much of the paper grain is revealed in the sketch marks. Move this slider to the right to show more of the paper grain.
•
The Threshold slider removes noise after edge detection. Threshold High is used to flag light pixels which may be just noise in the image. Threshold Low is used to test surrounding pixels.
If you want to save your settings as a preset, click Save and specify a preset name in the Save Preset dialog box.


Using Focus Effects

On this page, you will find information about

•
Applying Camera Motion Blur
•
Applying Depth of Field
•
Applying Glass Distortion
•
Applying Motion Blur
•
Sharpening Focus
•
Softening Focus
•
Applying Zoom Blur

The Focus commands in the Effects menu let you create sharpening, softening, motion blurring, and glass distortion effects.

Applying Camera Motion Blur

 Back to Top

This effect creates a blur similar to what you’d get in a photograph by jostling the camera during a long exposure. It’s particularly effective with an image showing lights on a dark background.

Before (left) and after (right) using Camera Motion Blur.

To apply Camera Motion Blur

1
Select a layer or area of the canvas.
If you want to apply the effect to the entire image, do not make a selection.
2
Choose Effects menu [image] Focus [image] Camera Motion Blur.
3
In the document window, drag to create the blur motion.
The direction and intensity of the blur is determined by your cursor movement. For example, fast movement produces a different blur than slow. A longer drag path increases the amount of blur. Straight, curved, and zigzag movements also produce different effects.
4
In the Camera Motion Blur dialog box, adjust the Bias slider to move the origin of motion along the drag path.

Applying Depth of Field

 Back to Top

This effect creates a blur similar to the distance from the plane of camera focus in photography. Because you’re working in a 2D image, you can use the control medium to describe the distance of different pixels. The Depth of Field effect is a variable circle-of-confusion blur. You can specify the radius of the confusion circles for different regions of the image.

The “M” is a floating shape. The blur on the shadow was created by using Depth of Field.

To apply Depth of Field

1
Select a layer or area of the canvas.
If you want to apply the effect to the entire image, do not make a selection.
2
Choose Effects menu [image] Focus [image] Depth of Field.
3
In the Depth of Field dialog box, choose a source from the Using pop-up menu.
Darker regions of the source receive greater blur.
4
Adjust the sliders to set the minimum and maximum radius of the blur regions.
The maximum size must be greater than the minimum size.
•
This effect can take quite a while to process — especially with higher Min Size and Max Size settings.

Applying Glass Distortion

 Back to Top

The Glass Distortion effect creates the kind of distortions you would see if you were looking at your image through a sheet of glass. You can make your image appear as if it is behind the pebble glass of a shower door, or you can distort your image beyond recognition.

Glass Distortion works by relocating the pixels of the image based on a displacement map. The map is created by combining displacement information from a source with a preset map type.

Before (left) and after (right) applying Glass Distortion.

There are five sources of displacement information:

•
Paper uses the information in a paper texture to displace pixels. More displacement is applied to light areas of the texture, and less to dark areas. Paper texture is good for creating the pebbled glass effect. Unless you want frosted glass, you’ll probably want to increase the scale of the paper.
•
3D Brush Strokes uses the difference in luminance between the clone source and the current document.
•
Image Luminance uses the light and dark areas in the current document to determine the intensity of distortions.
•
Original Luminance uses the clone source’s luminance. Use a tessellation as the clone source to produce a bumpy glass effect.
•
[Alpha channel] or [Layer mask] uses the luminance of a channel or layer mask. More distortion appears in the light areas of the channel. You must have a saved alpha channel or layer mask to use this source.
An alpha channel or a layer mask is a good source to choose for a controlled distortion map. For example, gradations in the channel lead to a progressive distortion effect. Shapes in the channel produce distortions with distinct outlines.

There are three types of maps:

•
Refraction displaces pixels in the same way that an optical lens bends light. This is the best map type for creating distortions that you’d expect from looking through glass.
•
Vector Displacement moves pixels in a specific direction.
•
Angle Displacement moves pixels in different directions.

To apply a Glass Distortion effect

1
Select a layer or area of the canvas.
If you want to apply the effect to the entire image, do not make a selection.
2
Choose Effects menu [image] Focus [image] Glass Distortion.
3
In the Glass Distortion dialog box, choose a source from the Using pop-up menu.
The amount of displacement depends on the value assigned to the image pixels from the Using source.
If you want to work with an inversion of the selected source, enable the Inverted check box.
4
Adjust the Softness slider to control the transitions between displaced colors.
Increasing the Softness setting creates more intermediate steps, which produces a smoother distortion. If you experience aliasing in a glass distortion, try increasing the Softness setting.
5
Choose a map type from the Map pop-up menu.
6
Choose a quality type from the Quality pop-up menu.
7
Adjust the following sliders:
•
The Amount slider controls the degree of displacement. Moving the slider to the right increases the distortion.
•
The Variance slider creates multiple variations in the neighborhood of the displacement. The result of increasing variance depends on the type of image and other settings.
•
The Direction slider controls the direction of displacement. The 3 o’clock position corresponds to 0°. The Refraction map type is not dependent on direction.
As you make changes, the Preview window shows their effects.

Applying Motion Blur

 Back to Top

This effect makes an image appear as if it has been blurred by movement.

The Motion Blur effect.

To apply a Motion Blur effect

1
Select a layer or area of the canvas.
If you want to apply the effect to the entire image, do not make a selection.
2
Choose Effects menu [image] Focus [image] Motion Blur.
In the Motion Blur dialog box, adjust the following sliders:
•
The Radius slider sets the amount of blur. Moving the slider to the right makes the image look as though it’s moving faster.
•
The Angle slider sets the direction in which the image appears to travel. A setting of 0° blurs in the direction of 3 o’clock.
•
The Thinness slider blurs the image in a direction perpendicular to the angle you choose with the Angle slider.

Sharpening Focus

 Back to Top

This effect heightens contrast by intensifying highlights and shadows. Sharper images are created by using either the Gaussian or Circular aperture options. Gaussian aperture sharpens the red, green, and blue components of color; Circular aperture sharpens an image based on luminance.

Before (left) and after (right) applying Sharpen.

To sharpen focus

1
Select a layer or area of the canvas.
If you want to apply the effect to the entire image, do not make a selection.
2
Choose Effects menu [image] Focus [image] Sharpen.
3
In the Sharpen dialog box, enable an aperture option.
4
Use the following guidelines to adjust the sliders:
•
The Amount slider determines how much of the edge of an element is affected.
•
The Highlight slider determines the intensity of the bright areas. Move the slider to the right to brighten the highlights.
•
The Shadow slider determines the depth of the shadows. The higher the percentage, the darker the shadows.
If you have chosen the Gaussian aperture option and you want to sharpen only selected colors, enable any combination of the Red, Green, or Blue check boxes.

Softening Focus

 Back to Top

The Soften effect increases the transition from one part of your image to another, enhancing the anti-aliasing of strokes. Images are softened using either the Gaussian or Circular aperture options. The Gaussian aperture is useful for creating smooth, optical blurs or defocusing; the Circular aperture is useful for creating shadow maps cast by a circular light source like the sun. The Super Soften effect is a stronger version of Soften.

To soften focus

1
Select a layer or area of the canvas.
If you want to apply the effect to the entire image, do not make a selection.
2
Choose Effects menu [image] Focus [image] Soften.
3
In the Soften dialog box, enable an aperture option.
4
Adjust the Amount slider.
The farther the slider is to the right, the more steps there are between image elements, which creates more blurring.

Applying Zoom Blur

 Back to Top

This effect creates a blur by zooming in on, or out from, an area. The greater the distance from the zoom point, the more the image is blurred. This effect lets you call attention to a particular area of the image.

Before (left) and after (right) applying the Zoom Blur.

To apply Zoom Blur

1
Select a layer or area of the canvas.
If you want to apply the effect to the entire image, do not make a selection.
2
Choose Effects menu [image] Focus [image] Zoom Blur.
3
In the document window, click the image to specify the zoom point.
4
In the Zoom Blur dialog box, adjust the Amount slider to determine the amount of blur.
If you want to create the blur by zooming in, enable the Zoom In check box. If you want to create the blur by zooming out, disable the Zoom In check box.


Using Esoterica Effects

On this page, you will find information about

•
Applying Marbling
•
Using Auto Clone
•
Using Auto Van Gogh
•
Applying Blobs
•
Creating Custom Tiles
•
Applying Grid Paper
•
Applying Growth Effects
•
Applying Highpass
•
Applying a Maze Effect
•
Placing Elements
•
Applying Pop Art Fill

Corel Painter lets you add interesting and specialized Esoterica effects.

Applying Marbling

 Back to Top

The Marbling effect creates intricate distortions of an image, following a technique that dates back to the 12th century. Marbling is created by dragging a fork, or rake, across an image, which produces an effect similar to a fork dragging through a mix of chocolate syrup and melted ice cream.

Before (left) and after (right) applying the Marbling effect.

Each time you drag a rake across an image, you create a step. You can create marbling “recipes” that include several steps — each one using a different rake, direction, and waviness. You can save marbling recipes and reuse them.

Marbling works best with patterns or textures. The Blobs effect is an excellent way of creating the raw materials for marbling; filling with a pattern is another. Refer to "Applying Blobs" for more information on the Blobs effect.

To create a marbling recipe

1
Select a layer or area of the canvas.
If you want to apply the effect to the entire image, do not make selection.
Selections can help you control the marbling when you have a particular effect in mind. For example, the rake path normally begins from the edge of the image. If you want the rake path to begin in the center of a blob, select an area that begins at the blob’s center.
2
Choose Effects menu [image] Esoterica [image] Apply Marbling.
3
In the Apply Marbling dialog box, choose a Direction option for the rake stroke.
4
Create a rake stroke by adjusting any of the following sliders and clicking Add Step:
•
The Spacing slider adjusts the distance between rake teeth. The slider controls the number of teeth in the rake. When the slider is all the way to the right, the rake has one tooth.
•
The Offset slider moves the rake in a perpendicular direction to the path direction. Use this slider to adjust the position of the rake lines.
•
The Waviness slider changes the amplitude (height) of the waves. When this slider is set to zero, the path is straight.
•
The Wavelength slider determines the distance between wave peaks.
•
The Phase slider moves the wave in the rake direction. This lets you set where in the curve — peak, downslope, valley, or upslope — the rake begins in the image.
•
The Pull slider controls how much the rake distorts the image. Lower values produce thin, short distortions. Higher values create stronger distortions.
•
The Quality slider lets you control the smoothness in the marbled image. Low settings produce an aliased effect. The marbling looks rough with scattered pixels. Increasing the Quality setting adds anti-aliasing, making color distortions appear smoother and more fluid.
As you adjust the sliders, the dotted lines in the preview window show the rake path.
5
Repeat steps 3 and 4 for each rake step you want to create.
The Apply Marbling dialog box displays the current step number and the total number of steps in the recipe. You can move between steps by clicking the forward and backward arrow buttons.
•
Steps are applied in order, so subsequent steps are based on the result of each previous one.
•
The final look of the marble largely depends on whether you start horizontally or vertically, and whether you work with a fine comb or a coarse rake.
•
Each step you add increases the time it takes to apply the recipe.

To modify, save, or load a recipe

To | Do the following
Replace a step | In the Apply Marbling dialog box, click Replace. The current step is replaced, based on the current settings.
Clear a recipe | In the Apply Marbling dialog box, click Reset. The current recipe is deleted.
Save a recipe | In the Apply Marbling dialog box, click Save. In the Save Marbling dialog box, specify a name.
Load a recipe | In the Apply Marbling dialog box, click Load. In the Marbling Recipes dialog box, choose a recipe.

Using Auto Clone

 Back to Top

The Auto Clone effect automatically applies brush dabs to your image. The types of dabs depend on the currently selected brush. The color is picked up from the clone source. Unlike most other effects, Auto Clone has no dialog box, using the current brush settings and the clone color instead.

The best way to produce a Natural-Media version of an image is to first clone it and then choose a brush that produces artistic dabs. The Driving Rain variant of the Cloner brush works well for generating a hand-drawn look. The Seurat variant of the Artists brush also works well.

In this example, the Seurat variant was used with the Auto Clone effect.

If you apply Auto Clone to a large area, the paint may fill smaller rectangular tiles one at a time. If you click to stop Auto Clone, it won’t automatically finish the final tile of the overall selected area. To fill in nonrectangular areas, you can use Auto Clone with a selection. For more information, refer to "Creating Selections".

When you use Auto Clone with the Felt Pen Cloner and other tools that turn black as you repeat strokes, areas darken rapidly. By dimming your original image, you can slow down the color buildup and still use Auto Clone.

Another way to automate cloning is by recording and playing back individual brush strokes. This feature is especially useful for filling in backgrounds. For more information, refer to "Recording and Playing Back Strokes". For information on cloning, refer to "Cloning Images".

To automatically fill an area with cloned brush strokes

1
Open an image file to use as a clone source.
2
Do one of the following:
•
To use Auto Clone in a new, blank document, choose File menu [image] Clone. In the clone, choose Select menu [image] All, and press Delete.
•
To enhance an existing image with Auto Clone, open the image and choose File menu [image] Clone Source [image] [clone source]. Any open image can be selected as the clone source. Differences in file size might affect results. If no source is selected, the current pattern is used.
3
Select the brush and variant you want to use to add strokes.
If you chose a variant from a brush category other than Cloners, click the Colors palette menu arrow and enable Use Clone Color.
4
Make a selection if you want to apply the effect to a portion of your image.
If nothing is selected, the entire image is affected.
5
Choose Effects menu [image] Esoterica [image] Auto Clone.
Dabs of paint are automatically applied to the selected area.
6
Click anywhere in the image to turn off Auto Clone.
•
If you apply Auto Clone to a large area, the paint may fill areas sparsely. When you click to stop Auto Clone, it stops at that point. It won’t continue to fill the selected area. To fill an area completely, you must let the Auto Clone continue.
•
If you use a variant with Auto Clone that isn’t a Cloner variant, you can click Clone Color on the Colors palette to make it pick up color from the source document. For more color variety in the dabs Corel Painter applies, set the ±H, ±S, and ±V sliders on the Color Variability palette to 15% each.

Using Auto Van Gogh

 Back to Top

The Auto Van Gogh effect works with the Auto Van Gogh variant of the Artists brush. This algorithmic approach to placing directional brush strokes results in a Van Gogh–like rendition of an image.

The Auto Van Gogh effect.

The effect requires two passes. The first pass determines the angles of the brush dabs. The second pass applies the dabs. The image is then rendered in a set of directional brush strokes.

To apply Auto Van Gogh to an image

1
Select the image you want to use.
2
Choose File menu [image] Clone to create a clone.
3
On the Brush Selector bar, click the Brush Category arrow and choose Artists.
4
Click the Brush Variant arrow, and choose Auto Van Gogh.
5
On the Color Variability palette, adjust any controls.
6
Choose Effects menu [image] Esoterica [image] Auto Van Gogh.

Applying Blobs

 Back to Top

The Blobs effect creates a pattern similar to oil floating on water. The effect takes a source and puts it in a swirling pattern by placing blobs on the image. The underlying image is distorted as if it were liquid.

You can use one of three sources to fill in the blobs:

•
Paste Buffer uses the current contents of the Clipboard to fill in the blobs. You can produce blobs that look like bubbles by creating a circular selection that’s shaded like a sphere, and then copying it to the Clipboard.

Before (left) and after (right) applying a Blob effect created from Clipboard contents.

•
Current Color uses the color selected on the Colors palette to fill the blobs.

A Blob effect created from the Current Color source.

•
Pattern uses the current pattern on the Patterns palette to fill in blobs.

Blobs create a nice basis for the Marbling effect because they create interesting color patterns. You may want to apply this effect to your original image before applying Marbling. For more information about marbling, refer to "Applying Marbling".

To apply a blob effect

1
Do one of the following:
•
To use the Clipboard contents to fill the blobs, make a selection and press Command + C (Mac OS) or Ctrl + C (Windows) to copy the selection to the Clipboard.
•
To use the current color to fill the blobs, choose a color on the Colors palette.
•
To use a pattern to fill the blobs, choose a pattern on the Patterns palette.
2
Open the image, or select the image area, in which you want to create the blobs.
3
Choose Effects menu [image] Esoterica [image] Blobs.
4
In the Create Marbling Stone Pattern dialog box, specify the number of blobs.
5
Specify the minimum and maximum sizes of the blobs.
6
Enter a value in the Subsample box to set the number of anti-aliasing steps.
7
Choose a source from the Fill Blobs With pop-up menu.
8
The value in the Seed box is used in randomizing the blobs.
Each time you apply the effect, a different seed number is generated. You may enter a specific number if you like.

Creating Custom Tiles

 Back to Top

This effect turns your image into tiles. Corel Painter generates tiles based on a preset pattern, like bricks or hexagons, or from a paper pattern, clone source, or channel. If you use a preset pattern, the tiles are uniform in size and cover the entire image evenly.

The color of each tile is determined by applying the average color of the image pixels it covers.

Before (left) and after (right) applying tiles generated from a preset pattern.

When you generate tiles from either a paper pattern, clone source, or channel, tiles are based on light and dark concentrations in the selected source. In this case, the shape of the tiles is varied and may not cover your image evenly.

Tiles generated from a paper pattern.

The Custom Tile effect functions differently from the Mosaic and Tessellation features. For more information on Mosaics and Tessellations, refer to "Getting Started with Mosaics".

To apply custom tiles

1
Select a layer or area of the canvas.
If you want to apply the effect to the entire image, do not make selection.
2
Choose Effects menu [image] Esoterica [image] Custom Tile.
3
In the Custom Tile dialog box, choose a tile pattern or source from the Using pop-up menu.
4
Adjust any of the following pattern properties:
•
For Brick, use the Brick Width and Brick Height sliders to adjust the size of the bricks.
•
For the other built-in tile shapes, use the Angle and Scale sliders to adjust the tile orientation and size.
•
For Original Luminance, Paper, and channel or layer mask, use the Threshold slider to draw the line between “light” and “dark.” Everything above the Threshold value becomes tiles, and everything below becomes grout.
5
Adjust the Thickness slider to control the width of the cracks between tiles (grout lines).
6
Adjust the Blur Radius slider to set the sampling radius for blurring the crack or grout color. Increasing the Blur Radius adds more neighboring colors to the crack pixels in each pass.
7
Adjust the Blur Passes slider to set the number of times the crack pixels are blurred. More passes mix more tile color into the cracks. Blurring occurs only when Blur Passes is greater than zero.

The original grout appearance (top) is changed by blurring (bottom).

If you want grout to show between the tiles, enable the Use Grout check box.
8
Click the Color chip, and choose a grout color from the Color dialog box.

Applying Grid Paper

 Back to Top

The Grid Paper effect adds a grid of horizontal lines, vertical lines, rectangles, or dots to an image.

Before (left) and after (right) applying Grid Paper.

Unlike the Grid Overlay, which is a transparent layer that floats as a reference above your image, Grid Paper becomes part of your image. For this reason, the Transparent Background option, used for the Grid Overlay, is not available for Grid Paper.

To apply Grid Paper

1
Select a layer or area of the canvas.
If you want to apply the effect to the entire image, do not make a selection.
2
Choose Effects menu [image] Esoterica [image] Grid Paper.
3
In the Grid Options dialog box, choose a grid type from the Grid Type pop-up menu.
4
Set the grid dimensions by entering values in the following boxes:
•
Horizontal Spacing determines the amount of space between horizontal lines.
•
Vertical Spacing determines the amount of space between vertical lines.
•
Line Thickness sets the width of grid lines.
5
Click the Grid Color chip, and choose a color from the Color dialog box to set the grid color.
6
Click the Background chip, and choose a color from the Color dialog box to set the background color.

Applying Growth Effects

 Back to Top

The Growth effect generates branchlike designs from a central point and adds them to your image. The designs resemble architectural renderings of trees.

Examples of Growth patterns.

Growth patterns are created from the current main color. You have access to the Colors palette while the Growth dialog box is open, so you can change the main color at any time.

To create growth patterns

1
Choose a color on the Colors palette.
2
Choose Effects menu [image] Esoterica [image] Growth.
3
In the Growth dialog box, enable any of the following check boxes:
•
Hard Edges creates growth patterns with hard edges; disable to create growth patterns with soft, feathery edges.
•
Fractal creates open-ended (fractal) patterns; disable to create nonfractal patterns, which are closed on the outside by a ring.
4
Use the following guidelines to adjust the sliders:
•
The Flatness slider reshapes the growth pattern like a lens effect. Move the slider to the left for a concave lens effect. Move the slider to the right for a “fish-eye” lens effect.
•
The Thinout slider affects how the size of the growth pattern is distributed from the center to the outside edges. At settings over 100%, the outside edges become thicker. At settings under 100%, the edges become finer and more delicate.
•
The Random slider affects how symmetrical the growth patterns appear. Lower values generate straight-line, geometrical designs. Higher values generate distorted, crooked designs.
•
The Thickness slider uniformly adjusts the weight of the lines within the design. Move the slider to the left for thinner lines, and to the right for thicker lines. The growth pattern cannot be made thinner than one pixel.
•
The Branch slider determines how many branches come from the center to the outside edge. The range is 1 through 20.
•
The Max Level slider determines the number of levels or sublevels that appear in the tree. Specifically, Max Level determines how the branches split to the outside edge.
•
The Fork slider adjusts the overall intricacy of the outermost branches.
•
The Fork Ratio slider is like Fork, but it affects only the tips of the outermost branches.
5
Without closing the Growth dialog box, drag to create a growth pattern in the document window.
As you drag, you see the outline of the growth pattern. When you release, the pattern is created.
6
Do one of the following:
•
To apply the current growth pattern, click OK.
•
To discard all patterns, click Cancel.
When you click Cancel, all the growth patterns you have created since you opened the Growth dialog box are deleted. It’s a good idea to click OK to save each pattern you create.
•
The sliders in the Growth dialog box affect both fractal and nonfractal growth patterns in a similar way, with the exception of Fork and Fork Ratio, which affect only fractal growth patterns.

Applying Highpass

 Back to Top

The Highpass effect suppresses low-frequency areas containing gradual or smooth transitions of brightness levels. This leaves high-frequency areas, or just the edges of an image, containing stark shifts between brightness levels.

Highpass uses either the Gaussian or Circular aperture options. Gaussian aperture affects the red, green, and blue components of color; Circular aperture uses image luminance. You can make the highpass more pronounced by using the Equalize effect.

The Highpass effect introduces stark shifts between brightness levels.

To apply a Highpass effect

1
Select a layer or area of the canvas.
If you want to apply the effect to the entire image, do not make a selection.
2
Choose Effects menu [image] Esoterica [image] Highpass.
3
In the Highpass dialog box, choose an aperture option.
4
Move the Amount slider to determine how much to suppress the low-frequency areas.
This value defines a radius, in pixels, around each pixel in the selected image area. Moving the slider to the left suppresses larger amounts of low-frequency information. Moving the slider to the right suppresses smaller amounts of low-frequency information.

Applying a Maze Effect

 Back to Top

The Maze effect generates an image of a maze. Typically, you’ll create a maze in a new, blank image. Each maze has one “solution” — that is, an open path from the entrance to the exit.

The Maze effect produces interesting designs.

You can capture a portion of the maze as a pattern or paper texture, or use the maze as a source for other effects. Mazes must be rectangular and cannot be applied to nonrectangular selections.

To apply a Maze effect

1
Select a layer or area of the canvas.
If you want to apply the effect to the entire image, do not make a selection.
2
Choose Effects menu [image] Esoterica [image] Maze.
3
In the Maze dialog box, enable any of the following check boxes:
•
Patterned constrains barriers to the horizontal.
•
Display Solution displays the path from the entrance to the exit.
4
Enter a value in the Seed box to generate a random maze pattern.
5
Enter a value in the Thickness box to set the width of barriers and paths.
6
Click the Maze Color chip, and choose a maze color from the Color dialog box.
7
Click the Background chip, and choose a background color from the Color dialog box.

Placing Elements

 Back to Top

Place Elements is an effect designed to automate the application of brush dabs. It’s particularly useful with the Image Hose brush. For more information on the Image Hose, refer to "Getting Started with the Image Hose".

An example of the Place Elements effect used with the Image Hose.

Place Elements creates a virtual sphere within the confines of a selection rectangle. When the selection is square, the sphere is perfectly round; when the selection is rectangular, the sphere is elongated or flattened.

A number of points are created at random locations on the sphere. The points are then distanced from each other, and a brush dab is placed at each point. Each dab’s appearance is adjusted according to its location on the sphere.

An example of the Place Elements effect used with a brush.

To place elements

1
Choose the Rectangular Selection tool [image] from the toolbox.
2
Drag to create a selection.
This selection determines the location and size for the effect.
3
Do one of the following:
•
If you want to use the Image Hose, choose a nozzle from the Nozzle selector on the toolbox.
•
If you want to apply paint dabs, select a brush and choose a main color.
4
On the Colors palette, set the additional color to black.
The effect automatically controls mixing of the additional color with Nozzle elements to produce depth shading. Shadows tend toward black, so black is a good color to use.
5
Choose Effects menu [image] Esoterica [image] Place Elements.
6
In the Place Elements dialog box, enter a number in the No. of Iterations box.
In each iteration, the points distance themselves from each other on the surface of the virtual sphere. The points start at random locations, so if you set zero as the number of iterations, the placement of the points is completely random. Higher numbers of iterations increase the regularity of the spacing.
7
Adjust the Points slider to set the number of points to create on the virtual sphere.
Each point created correlates to an image element placed.
8
Enable a Number of Levels option.
With one level, each point receives only one element.
With two levels, each point receives an element and then is used as the center for another virtual sphere on which point iteration and element placement repeats.
The third level extends sphere creation and element placement once more.
The number of elements increases rapidly with more than one level. For example, if you choose 12 points and three levels, you’ll create 12 + (12 × 12) + (12 × 12 × 12) = 1,884 elements. Of course, many of these elements will probably be covered by later placements.
9
Adjust the Radius Fraction slider.
Radius Fraction determines the size of the virtual spheres created at the second and third levels. The first-level radius is multiplied by the fraction amount to determine the radius of the second-level spheres.
The fraction is used again between the second and third levels. Higher values (above 1.0) increase overlapping of the spheres. Lower values (below 1.0) preclude overlapping (when sufficient iterations are used to distribute the points).
10
Adjust the Oversizing slider.
Oversizing controls the diameter of the first-level virtual sphere in relation to the selection marquee.
At a setting of 2.5, the sphere fits within the selection. Higher settings shrink the sphere. Lower settings stretch it beyond the selection.
11
Adjust the Ambient Amount slider.
Ambient Amount controls the use of the additional color in elements that appear on the virtual sphere away from the light source. This is how the clump of placed elements exhibits coherent three-dimensional shading when black is used as the additional color. The default setting is 0.7, which produces good shading results. Increasing the value brings in more of the additional color. Decreasing it reduces additional color mixing.
12
Enable the Display Iterations check box to display a small marker for each point after each iteration.
When this check box is enabled, you can see the points move away from each other. This can help you decide the number of iterations to use.
13
Adjust the Delay Time slider to set a pause between each iteration display.
With a slight pause, you can see the track of the moving points more clearly.
•
If you have chosen two or three levels, you can prevent overlapping elements by enabling the Cull Interiors check box. This removes points that occur inside other spheres, before elements are placed. This option increases processing time for the effect.

Applying Pop Art Fill

 Back to Top

This effect lets you cover an image with pseudo-halftone dots. You can also use the Pop Art Fill effect with other Corel Painter features and effects to create a pop art image.

Before (top) and after (bottom) applying the Pop Art Fill effect.

To apply Pop Art Fill

1
Select a layer or area of the canvas.
If you want to apply the effect to the entire image, do not make a selection.
2
Choose Effects menu [image] Esoterica [image] Pop Art Fill.
3
In the Pop Art Fill dialog box, choose a source from the Using pop-up menu.
If you want to work with an inverted version of the source, enable the Inverted check box.
4
Adjust the Scale slider to set the dot size.
5
Adjust the Contrast slider to mix in the luminance of the control medium.
This is particularly useful when using Image Luminance.
6
Click the Dab Color chip and choose a dot color from the Color dialog box.

To create a pop art image

1
Open an image, and choose File menu [image] Clone.
2
Choose Effects menu [image] Tonal Control [image] Adjust Colors.
3
In the Adjust Color dialog box, drag the Saturation slider all the way to the left, and click OK.
4
This reduces the image to grayscale.
5
Choose Effects menu [image] Esoterica [image] Pop Art Fill.
6
In the Pop Art Fill dialog box, click the Dab Color chip and choose black from the Color dialog box.
7
Click the Background chip and choose white from the Color dialog box.
8
Adjust the Scale slider, and click OK.
The Pop Art Fill effect is applied to the clone.
9
Choose Select menu [image] All.
10
Choose Select menu [image] Float.
11
Choose Edit menu [image] Copy.
12
Close the clone file.
13
In the original image file, choose Edit menu [image] Paste.
The copied layer is pasted into the original image file.
14
On the Layers palette, choose Darken from the Composite Method pop-up menu.
This makes the background image visible through all white areas of the Pop Art Fill layer.
•
If you want to change the colors in the image, deselect the layer on the Layers palette, and apply an effect.

A pop art image with the Express Gradient and Posterize effects applied.


Dynamic Plug-ins

Dynamic plug-ins are a category of floating layers that let you apply effects to an image. They are called “dynamic” because you can modify the effect any number of times without altering the source image.

Each dynamic plug-in provides new capabilities for manipulating images. Dynamic plug-ins can help you do one or more of the following:

•
Create a new layer
•
Alter an existing layer
•
Adjust underlying images

The Liquid Metal dynamic plug-in lets you paint with either metal or liquid.

When you save the file in RIF format, the dynamic layer retains its dynamic nature. You can adjust the effect anytime you open the file.

See Also

•
Getting Started with Dynamic Plug-ins
•
Exploring Dynamic Plug-ins


Getting Started with Dynamic Plug-ins

On this page, you will find information about

•
Accessing Dynamic Plug-ins
•
Creating Dynamic Layers
•
Changing Dynamic Layer Settings
•
Committing Dynamic Layers
•
Deleting or Reverting Dynamic Layers

You can use dynamic plug-ins to apply effects to images without changing the original images. Dynamic plug-ins are accessible from the Layers palette. You can create, modify, and remove dynamic layers.

You can also select, move, group, hide, show, and lock dynamic layers, as well as change their display order, opacity, and composite method, as you do other layers. For information on these features, refer to "Layers".

Accessing Dynamic Plug-ins

 Back to Top

The Dynamic Plug-ins button on the Layers palette provides access to the currently installed dynamic plug-ins, which you can use to create dynamic layers.

To access the dynamic plug-ins

1
Choose Window menu [image] Show Layers to display the Layers palette.
2
On the Layers palette, click the Dynamic Plug-ins button [image].
A list of dynamic plug-ins is displayed.

Creating Dynamic Layers

 Back to Top

The steps for creating dynamic layers vary slightly for the different types of dynamic plug-ins. Details about creating and working with a specific dynamic layer appear later in this chapter. For more information, see "Exploring Dynamic Plug-ins".

Like all floating objects, dynamic layers appear in the layer list on the Layers palette, where they are identified by the plug icon. For most dynamic plug-ins, to create a dynamic layer of a specific size, you must first make a selection in the document window. The new layer conforms to the dimensions and location of the selection. If no selection is active, Corel Painter makes the new dynamic layer the same size as the canvas. For a few dynamic plug-ins, such as Kaleidoscope, you specify the size of the new layer in a dialog box before you create it. For more information about selections, refer to "Creating Selections".

To create a dynamic layer

1
Select a layer on the Layers palette or in the document window, or select an area on a layer.
If you select an area, Corel Painter automatically creates a new layer when you apply the dynamic plug-in.
2
On the Layers palette, click the Dynamic Plug-ins button [image], and choose a dynamic plug-in.
3
In the dialog box, choose options to set the effect you want.
The dynamic layer is added to the layer list on the Layers palette.

Changing Dynamic Layer Settings

 Back to Top

Once you’ve created a dynamic layer, you can change its settings.

To change a dynamic layer’s settings

1
Select the dynamic layer in the document window or on the Layers palette.
2
On the Layers palette, do one of the following:
•
Click the palette menu arrow, and choose Options.
•
Double-click the dynamic layer.
3
In the dialog box, change any settings.

Committing Dynamic Layers

 Back to Top

At some point, you may want to finalize the effect and make the result a standard layer. This will enable you to work with the image in ways not possible when the effect is held in a dynamic layer.

Committing a dynamic layer captures its current appearance to a pixel-based layer. Once a dynamic layer is committed, you can no longer adjust the effect. The following operations automatically generate a prompt to commit a dynamic layer:

•
painting on a dynamic layer
•
applying an additional effect or dynamic plug-in
•
dropping a dynamic layer
•
collapsing a group that contains a dynamic layer
•
saving to a non-RIF format

Deleting or Reverting Dynamic Layers

 Back to Top

You can delete a dynamic layer at any time. You can also use the Revert command to restore source images to their original condition. This feature is available only for dynamic plug-ins that modify a layer — Burn, Tear, and Bevel World.

To delete a dynamic layer

•
On the Layers palette, select the dynamic layer, and click the Delete button [image].
•
You can also delete a dynamic layering by choosing Edit menu [image] Undo.

To revert a dynamic layer

1
Select the dynamic layer in the document window or on the Layers palette.
2
On the Layers palette, click the palette menu arrow and choose Revert to Original.
Corel Painter extracts the original layer content and discards the dynamic layer.


Exploring Dynamic Plug-ins

On this page, you will find information about

•
Brightness and Contrast
•
Burn
•
Tear
•
Bevel World
•
Equalize
•
Glass Distortion
•
Kaleidoscope
•
Liquid Lens
•
Liquid Metal
•
Posterize
•
Image Slicer

Although dynamic plug-ins share many characteristics, each has its own settings. The following sections describe the plug-ins and give instructions for adjusting their settings.

Brightness and Contrast

 Back to Top

The Brightness and Contrast dynamic plug-in creates a layer that applies brightness and contrast adjustments to the images beneath it.

The Brightness and Contrast dynamic layer affects all images beneath it.

To create a Brightness and Contrast dynamic layer

1
Do one of the following:
•
On the Layers palette, select the Canvas or another layer.
•
If you want the new dynamic layer to be a specific size, select an area in the document window.
If you select an area, Corel Painter automatically creates a new layer when you apply the dynamic plug-in.
2
On the Layers palette, click the Dynamic Plug-ins button [image], and choose Brightness and Contrast.
3
In the Brightness/Contrast dialog box, drag the sliders to adjust the image contrast and brightness.
•
If you don’t like the results, you can click Cancel or you can click Reset to restore the default settings.
•
You can also use the Opacity slider on the Layers palette to adjust the effect.

Burn

 Back to Top

The Burn dynamic plug-in applies a burn effect to the edges of a selected layer. You can also apply a burn effect to a selected area on the Canvas layer. You can adjust the amount and character of the burn with sliders.

Different burn settings produce different results.

To burn a layer or selection

1
Do one of the following:
•
On the Layers palette, select a layer.
•
If you want the new dynamic layer to be a specific size, select an area on the Canvas.
If you select an area of the Canvas, Corel Painter automatically creates a new layer when you apply the dynamic plug-in.
2
On the Layers palette, click the Dynamic Plug-ins button [image], and choose Burn.
3
In the Burn Options dialog box, set the following sliders and controls to adjust the burn effect:
•
Burn Margin specifies the width of the burn effect in relation to the layer’s size.
•
Flame Breadth specifies the width of the scorched region. The burn color appears in the scorch.
•
Flame Strength specifies how much of the layer is consumed by the burn. Increasing Flame Strength shrinks the layer.
•
Wind Direction changes the burn amount for different sides of the layer.
•
Wind Strength determines how much change the Wind Direction control imparts.
•
Jaggedness specifies the amount of irregularity in the burnt edges.
•
Use Paper Texture lets you use the current paper to vary dye concentration in the scorch region.
•
Burn Interior Edges lets you burn interior edges as well as exterior edges. Disable this option to protect the interior edges.
•
Preview lets you Corel Painter display your changes before they are actually applied to the image.
•
Off prevents Corel Painter from applying the settings to the image. You can later turn the burn back on by disabling this check box.
•
Burn Color displays the color used in the scorch area. You can change the color if you want. Click the Burn Color chip, and use the Color dialog box to select a color.
•
Save As Default sets a new default based on the current settings.
•
Reset restores the default settings.
•
You can apply a Burn to a specific area of a non-Canvas layer by copying the area to which you’d like the effect applied to a new layer and applying the Burn dynamic plug-in to the new layer.
•
You can use the Revert to Original command on the Layers palette menu to restore a source image to its original condition. Refer to "Deleting or Reverting Dynamic Layers" for more information.

Tear

 Back to Top

The Tear dynamic plug-in applies a torn-paper effect to the edge of a selected layer or area.

You can tear a little (left) or a lot (right).

To tear a layer or selection

1
Do one of the following:
•
On the Layers palette, select a layer.
•
If you want the new dynamic layer to be a specific size, select an area in the document window.
If you select an area, Corel Painter automatically creates a new layer when you apply the dynamic plug-in.
2
On the Layers palette, click the Dynamic Plug-ins button [image], and choose Tear.
3
In the Tear Options dialog box, set the following sliders and controls to adjust the tear effect:
•
Margin specifies the width of the tear effect from the edge of the layer.
•
Strength specifies how much of the layer is torn away.
•
Jaggedness specifies the amount of irregularity in torn edges.
•
Tear Interior Edges lets you tear interior edges as well as exterior edges. Disable this option to protect interior edges.
•
Preview lets you Corel Painter display your changes before they are actually applied to the image.
•
Off prevents Corel Painter from applying the settings to the image. You can later turn the tear back on by disabling this check box.
•
Tear Color shows the color used at the edge of the tear. You can change the color if you want: Click the color chip, and use the Color dialog box to select a color.
•
Save As Default sets a new default based on the current settings.
•
Reset restores the default settings.
•
Use a rough paper texture to create a better tear by clicking the Paper Selector in the toolbox and choosing a paper texture from the list.
•
You can use the Revert to Original command on the Layers palette menu to restore a source image to its original condition. Refer to "Deleting or Reverting Dynamic Layers" for more information.

Bevel World

 Back to Top

The Bevel World dynamic plug-in applies three-dimensional (3D) bevel effects, or angled edges, to selected layers or areas. Both bevel shape and lighting can be controlled to create unique effects.

An wide variety of bevel profiles is possible.

To create a 3D button with text on it, you first use Bevel World to create the background button. Then, you create text to float over the button by grouping the text and button together and then collapsing the layer group.

Bevel Controls

The Bevel World dialog box includes the following controls in the Bevel Controls area:

•
Preview shows a real-time preview based on the options you set.
•
Off prevents Corel Painter from applying the settings to the image. You can later turn the bevel back on by disabling the check box.
•
Bevel Interior Edges lets you add beveling on the interior edges of the bevel area.
•
Bevel Width specifies the width of the bevel in relation to the layer diameter.
•
Outside Portion controls the portion of the bevel that appears outside the layer.
•
Rim Slope specifies the angle of the rim (innermost portion) of the bevel.
•
Cliff Portion specifies the horizontal distance between the base and the rim.
•
Cliff Height specifies the vertical distance between the base level and rim level.
•
Cliff Slope specifies the angle of the cliff (middle portion) of the bevel.
•
Base Slope specifies the angle of the base (outermost portion) of the bevel.
•
Smoothing controls the roundness of the transitions between base, cliff, and rim as well as the sharpness of the resulting ridges.
•
Outside Color determines the color of the outside portion of the bevel. This control applies only when Outside Portion is greater than zero. You can click the Outside Color chip and use the Color dialog box to set the color.
Light Controls

Lighting changes can make a huge difference in the 3D appearance of the bevel. You can change the light’s angle by dragging the circle in the preview sphere.

The Bevel World dialog box includes the following controls in the Light Controls area:

•
Light Direction and Light Height change the light’s position and angle. With Light Height at maximum, the light shines straight down on the layer, and the Light Direction setting has no effect. When Light Height is less than maximum, the Light Direction slider rotates the light around the center.
•
Brightness controls the light’s intensity.
•
Scatter adjusts the spread of the light’s shine over the surface.
•
Shine controls the prevalence of highlights.
•
Reflection controls how much of the source image is visible in the bevel. If you are working with a clone, the clone source is mapped onto the surface at a variable percentage. A discussion of reflection maps can be found in "Working with Reflection Maps".
•
Light Color determines the color for the light. To set a color, click the chip, and use the Color dialog box.

To bevel a layer or selection

1
Do one of the following:
•
On the Layers palette, select a layer.
•
If you want the new dynamic layer to be a specific size, select an area in the document window.
If you select an area, Corel Painter automatically creates a new layer when you apply the dynamic plug-in.
2
On the Layers palette, click the Dynamic Plug-ins button [image], and choose Bevel World.
If the Commit dialog box appears, click Commit to commit the dynamic layer to an image layer.
3
In the Bevel World dialog box, specify the settings you want.
•
If you don’t like the results, click Reset to restore the default settings.
•
You can set a new default based on the current settings by clicking Save As Default.
•
You can use the Revert to Original command on the Layers palette menu to restore a source image to its original condition. Refer to "Deleting or Reverting Dynamic Layers" for more information.

Equalize

Back to Top

The Equalize dynamic plug-in creates a layer that improves contrast in underlying images. It does this by adjusting black and white points and distributing the brightness levels throughout the entire range of available levels.

The Equalize dynamic layer is applied to a rectangular selection.

The Equalize dynamic plug-in creates a histogram showing the number of pixels for each brightness level value. Equalize allows gamma adjustment, which lightens or darkens an image without changing highlights or shadows.

To create an Equalize dynamic layer

1
Do one of the following:
•
On the Layers palette, select the Canvas or another layer.
•
If you want the new dynamic layer to be a specific size, select an area in the document window.
If you select an area, Corel Painter automatically creates a new layer when you apply the dynamic plug-in.
2
On the Layers palette, click the Dynamic Plug-ins button [image], and choose Equalize.
3
In the Equalize dialog box, adjust the contrast by dragging the small black and white markers under the histogram.
Any values in the image located to the right of the white marker become white; any values to the left of the black marker become black.
4
Drag the Brightness slider to adjust only the midtones of an image and leave the white and black areas untouched.
•
If you don’t like the results, click Reset to restore the default settings.
•
You can also use the Opacity slider on the Layers palette to adjust the effect.

Glass Distortion

 Back to Top

The Glass Distortion dynamic plug-in creates a layer that applies Glass Distortion to the images beneath it. You can move the layer in the document to view the distortion over different images.

The Glass Distortion dynamic layer in action.

To create a Glass Distortion dynamic layer

1
Do one of the following:
•
On the Layers palette, select the Canvas or another layer.
•
If you want the new dynamic layer to be a specific size, select an area in the document window.
If you select an area, Corel Painter automatically creates a new layer when you apply the dynamic plug-in.
2
On the Layers palette, click the Dynamic Plug-ins button [image], and choose Glass Distortion.
3
In the Glass Distortion Options dialog box, choose a displacement source from the Using pop-up menu.
•
Paper uses the selected paper texture. Paper texture is good for creating the pebbled glass effect. Unless you want frosted glass, you’ll probably want to increase the scale of the paper.
•
Current Selection uses the currently selected area in the document window.
•
Image Luminance uses the current document’s luminance.
•
Original Luminance uses the clone source’s luminance.
Image pixels are displaced, based on the light and dark areas of the source.
4
Set the following sliders and controls to adjust the distortion effect:
•
Inverted, when enabled, lets you work with an inversion of the selected source.
•
Softness controls the transitions between displaced colors. Increasing softness creates more intermediate steps and produces a smoother distortion. If you experience aliasing in a glass distortion, try increasing the softness.
•
Amount controls the degree of displacement. A higher amount leads to more distortion.
•
Variance creates multiple variations in the neighborhood of the displacement. The result of increasing variance depends on the type of image and other settings.
•
Preview enables or disables Corel Painter from displaying your changes to the image.
•
You can set a new default based on the current settings by clicking Save As Default.
•
You can also use the Opacity slider on the Layers palette to adjust the effect.
•
You can drag the Glass Distortion layer or selection in the document window to distort other areas of the image.

The Glass Distortion dynamic layer using Paper (left) and Image Luminance (right) displacement sources.

Kaleidoscope

 Back to Top

The Kaleidoscope dynamic plug-in creates a square layer that produces kaleidoscopic effects from underlying images. The traditional kaleidoscope is a hollow tube with a set of mirrors and colored chips at one end. You peer into the other end and enjoy the highly symmetrical patterns that the mirrors create from the colored chips. When you add a Kaleidoscope dynamic layer, you first specify its size.

To create a Kaleidoscope dynamic layer

1
On the Layers palette, click the Dynamic Plug-ins button [image], and choose Kaleidoscope.
2
In the Kaleidoscope dialog box, specify the size of the dynamic layer.
Kaleidoscopes must be square, and no smaller than 8 pixels by 8 pixels, and no larger than 500 pixels by 500 pixels.
3
Drag the Kaleidoscope layer to different areas of the image to alter the effect.
•
Try using the arrow keys to see animation of the Kaleidoscope layer.

Drag the Kaleidoscope layer to different areas for new effects.

To create and capture a Kaleidoscope pattern

1
On the canvas, drag the Kaleidoscope dynamic layer until it displays an image you like.
To continue working with the Kaleidoscope layer at a later time, save the image in RIF format to preserve the image and the Kaleidoscope layer.
2
On the Layers palette, select the Kaleidoscope layer.
3
Click the Layers palette menu arrow, and choose Drop and Select to commit the layer.
4
Choose Window menu [image] Library Palettes [image] Show Patterns.
5
Click the Patterns palette menu arrow, and choose Capture Pattern.
For more information on capturing patterns, refer to "Creating and Capturing Patterns".
•
When you create a pattern from a Kaleidoscope layer, the selection is dropped to the canvas and cut out. If you want to preserve the original image and the Kaleidoscope layer so that you can continue working with the effect, save the image in RIF format before you choose Drop and Select. As an alternative, you can set the number of Undo levels high enough so that you can back out of the steps to restore the original image.

Liquid Lens

 Back to Top

Liquid Lens creates a dynamic layer where you can distort and smear the underlying images. You can create “fun house” mirror effects, melting images, and more. For best results, you should have interesting images beneath the Liquid Lens dynamic layer.

You’ll use the Liquid Lens by choosing a tool, setting sliders to control the effect, and then dragging in the document window to create distortion. You can change slider settings or tools, and then drag again for different results.

Undo features are not available when you work with the Liquid Lens. Use the Liquid Lens Eraser tool in the Liquid Lens dialog box to clear distortion from an area.

Liquid Lens Tools

You can apply different distortion effects by using the Liquid Lens tools: Circle, Brush, Right Twirl, Left Twirl, Bulge, or Pinch tools.

Liquid Lens tool | Example
The Circle tool creates circles of distortion. Drag in the direction you want the distortion to move. Size and Spacing have no effect on the Circle tool. |
The Right Twirl tool distorts in clockwise spirals. |
The Left Twirl tool distorts in counterclockwise spirals. |
The Bulge tool distorts outward, pushing images out. |
The Pinch tool distorts inward, drawing images closer. |
The Brush tool distorts in the direction you drag. |

Liquid Lens Controls

You can adjust the following settings to customize the distortion effect:

•
Amount controls the degree of distortion applied. With the slider close to zero, you create minimal distortion. Negative values create distortion counter to the stroke direction, so that the image appears broken up.
•
Smooth changes the blending between the distortion stroke and the unaffected images. Higher values create a smooth, continuous distortion. Lower values create individual dabs of distortion.

Low settings on the Smooth slider make abrupt distortions (left); higher settings let distortions transition smoothly into other areas (right).

•
Size changes the diameter of the distortion tool and the size of rain, which scatters distortion droplets in the layer.

Examples of how the Size slider affects distortion.

•
Spacing changes the distance between distortion dabs.

Low spacing makes a smooth, continuous stroke (left); high spacing lets the dabs appear individually (right).

•
Reset restores the default settings.
•
Rain scatters distortion droplets in the layer. Raindrops distort downward, melting the image.

To create a Liquid Lens dynamic layer

1
On the Layers palette, do one of the following to deselect all layers:
•
Click the Canvas layer in the layers list.
•
Click the palette menu arrow, and choose Deselect.
2
Click the Dynamic Plug-ins button [image], and choose Liquid Lens.
3
In the Liquid Lens dialog box, choose a Liquid Lens tool.
4
Use the sliders and controls to adjust the distortion effect.
Refer to"Liquid Lens" for more information.
5
Drag in the document window to create distortion.
If you don’t like the distortions and you want to start again, click Clear.
•
You can scatter distortion droplets in the layer by clicking Rain in the Liquid Lens dialog box. Click anywhere to stop the rain. If Smooth and Size settings are very high, the rain might continue for a moment after you click.
•
You can move the Liquid Lens layer to different regions of the document to distort other images.

Rain melts the image.

To erase Liquid Lens distortion

1
In the Liquid Lens dialog box, choose the Eraser tool [image].
2
Set the sliders for Size, Spacing, and Smooth to describe the type of erasing you want.
Higher settings on the Smooth slider create softer transitions from the erasure to the remaining distortion.
3
Drag in the document window.
The original underlying image returns.

Remove distortion by using the Eraser tool.

Liquid Metal

 Back to Top

The Liquid Metal dynamic plug-in lets you paint on a layer with liquid and metal. This text uses the term “metal” to refer to the media applied — even if the settings create an effect more like water.

You can apply droplets of water that distort the underlying image through refraction. You can also create globs of shiny metal that flow together and move like mercury. The Refraction slider sets the difference between water and metal, which lets you achieve intermediate effects. Negative metal can be used to create holes in metal.

The Liquid Metal dynamic plug-in creates either liquid metal or translucent, refractive liquid.

A stroke of metal is made up of a series of discrete droplets. You can select one or several droplets and move them or change their properties. Refer to "Liquid Metal" for information about which slider settings apply to selected droplets.

The “handles” show the droplet’s circle and center point. Showing the handles on the droplets isn’t necessary for selecting them, but it can make your work easier. The droplets applied in the last stroke are automatically selected. Each new stroke deselects the droplets of the previous one.

The Undo feature is not available when working with metal; however, you can remove selected metal, the last metal applied, or all metal on the layer.

Metal is highly reflective. You can customize the look by using a clone source or a pattern as a reflection map. For more information about cloning, refer to "Cloning a Document". For more information about creating and choosing patterns, refer to "Using Patterns".

Liquid Metal Tools

You can apply metal with the Brush tool, the Circle tool, or the Rain feature. You can adjust the size of your brush or rain droplets. The Brush is the default applicator. You can use the Brush tool to paint with metal. You can use the Circle tool to create circles of metal. The Rain feature lets you scatter metallic droplets on the layer.

Liquid Metal tool | Example
You can create strokes of metal by using the Brush tool. |
You can create circles of metal by using the Circle tool. |
You can create randomly falling metal raindrops by applying the Rain feature. |

Liquid Metal Controls

You can adjust the following settings to customize the appearance of the liquid metal:

•
Amount controls the emphasis of the metal effect from the Refraction slider and applies to all droplets in the layer. The extreme left and extreme right are the inverse of each other. To create water effects, you can set the Amount to –0.5. This setting makes the droplets magnify the underlying images.

Reflection and Refraction invert when you move the Amount slider to either extreme.

•
Smooth changes the perimeter range. The perimeter range determines the droplet’s tendency to “join” its neighbors. The Smooth setting applies to all selected droplets and to any new droplets that you create.

Low settings on the Smooth slider keep droplets distinct (left); higher settings make the droplets flow together (right).

•
Size changes the diameter of the selected droplets. The Size setting applies to all selected droplets and to any new droplets you create by using the Brush tool or Rain. It does not affect the Circle tool.
•
Volume adjusts visibility along the perimeter. The Volume setting applies to all selected droplets and to any new droplets you create.

Decreasing Volume below 100% shrinks the visible portion of the droplet, “drying it up” (left). Increasing Volume beyond 100% extends visibility beyond the droplet circle into the perimeter range (right).

•
Spacing adjusts the spacing between droplets in strokes created with the Brush tool.

A stroke with low spacing (left): the droplets flow together. A stroke with high spacing (right): each droplet is distinct.

•
Map specifies the type of metal or reflection map. The type applies to the entire layer. You can apply metal and change the type later. For information about using reflection maps and patterns, refer to "Liquid Metal".
•
Display Handles shows the droplet’s outline and center point.
•
Refraction controls droplet appearance. The slider represents a scale between reflection and refraction. The Refraction setting applies to all droplets in the layer.
If you want to paint with translucent liquid, you can increase the Refraction slider. As Refraction nears 100%, the metal becomes transparent. The droplets look like a simple liquid — oil or water.

Low refraction means high reflection (left). High refraction creates translucent, refractive liquid (right).

•
Surface Tension makes the droplets appear more round and three-dimensional.
•
Reset restores the default settings.

To create a Liquid Metal dynamic layer

1
On the Layers palette, do one of the following to deselect all layers:
•
Click the Canvas layer in the layers list.
•
Click the palette menu arrow, and choose Deselect.
2
Click the Dynamic Plug-ins button [image], and choose Liquid Metal.
3
In the Liquid Metal dialog box, choose the Circle tool [image] or Brush tool [image].
4
Choose one of the following metal types from the Map pop-up menu:
•
Standard Metal
•
Chrome 1
•
Chrome 2
•
Interior
•
Clone Source
5
Use the sliders and controls to adjust the appearance of the metal.
Refer to "Liquid Metal" for more information.
6
Drag in the document window to apply the metal.
If you want to clear the effect and start again, click Clear.
•
You can scatter metal droplets in the layer by clicking Rain in the Liquid Metal dialog box. Click anywhere to stop the rain.

To create negative metal

•
Press Option (Mac OS) or Alt (Windows), and drag with the Circle tool [image] or Brush tool [image] over existing metal droplets.
You will create holes in your metal. As you drag through positive pools, the negative metal will divide and separate the existing metal.

To remove metal

To | Do the following
Remove the last metal applied | Press Delete (Mac OS) or Backspace (Windows).
Remove the selected metal droplets | In the Liquid Metal dialog box, click the Metal Selector tool [image] , select the metal, and press Delete (Mac OS) or Backspace (Windows).
Remove all metal on the layer | In the Liquid Metal dialog box, click Clear.

To show metal droplet handles

•
In the Liquid Metal dialog box, enable the Display Handles check box.

When you enable the Display Handles check box (right), you can see the droplet circles and center points.

To select metal droplets

1
In the Liquid Metal dialog box, choose the Metal Selector tool [image].
2
Perform an action from the following table.

To | Do the following
Select a single droplet | If the Display Handles check box is enabled, click the center point handle of a droplet. If handles are not displayed, click anywhere on a droplet.
Select a group of droplets | Drag across the droplets you want to select.
Add droplets to a selection | Hold down Shift, and click additional droplets to add to the selection.
Subtract droplets from a selection | Hold down Shift, and click droplets to subtract from the selection.
•
When a droplet is selected, the center point handle is displayed as a solid.

Drag over the droplets you want to select.

To move metal droplets

1
In the Liquid Metal dialog box, choose the Metal Selector tool [image], and select the droplets that you want to move.
2
Drag the center of one of the droplets to move the selected group.
Notice how the droplets seek to join other droplets they encounter. You can control this tendency by adjusting the Smooth slider.

You can drag the center of one of the droplets to move the selected group.

To adjust the size of the Liquid Metal brush

1
In the Liquid Metal dialog box, choose the Liquid Metal Selector tool [image], and click outside the droplets to deselect all.
2
Move the Size slider to the desired value.
3
Click the Brush tool [image] and paint, or click Rain.
•
You can also adjust the size of existing metal by selecting the droplets and moving the Size slider. For information about selecting droplets, see "To select metal droplets".

To adjust the reflection of Liquid Metal

1
Do one of the following:
•
Choose a clone source by opening a file that you want to use, and from the menu bar, choose File [image] Clone Source [image] [file name].
•
Choose a pattern by clicking the Pattern Selector in the toolbox, and clicking a pattern from the list.
2
Deselect all layers.
3
On the Layers palette, click the Dynamic Plug-ins button [image], and choose Liquid Metal.
4
In the Liquid Metal dialog box, choose Clone Source from the Map pop-up menu.
5
Adjust any settings.
6
With the Circle tool [image] or Brush tool [image], drag in the document window to apply the metal.
If you want to clear the effect and start again, click Clear.
•
If no clone source has been specified, Corel Painter uses the current pattern as the reflection map.

The same piece of metal changes appearance when a pattern is used as the reflection map.

Posterize

 Back to Top

The Posterize dynamic plug-in creates a layer that reduces the number of color levels in the images it floats over.

A Posterize dynamic layer modifies the right half of this image.

To create a Posterize dynamic layer

1
Do one of the following:
•
On the Layers palette, select the Canvas or another layer.
•
If you want the new dynamic layer to be a specific size, select an area in the document window.
If you select an area, Corel Painter automatically creates a new layer when you apply the dynamic plug-in.
2
On the Layers palette, click the Dynamic Plug-ins button [image], and choose Posterize.
3
In the Posterize dialog box, specify the number of color levels you want.
The maximum number of color levels is 128. The value applies to each color channel — red, green, and blue.

Image Slicer

 Back to Top

Image slicing lets you load large navigation graphics quickly on the Web. With Corel Painter, you can segment a graphic into slices. Each slice is exported as a separate image and then reassembled dynamically using an HTML table. For more information, see "Using the Image Slicer".


Image Hose

The Image Hose is a milestone in the evolution of art tools. Instead of painting with color, the Image Hose paints with images — not just one or two at a stroke, but a variety of changing images.

The images flowing from the hose change as you make a brush stroke. The Image Hose lets you control the image output. For example, by increasing stylus pressure, you can paint larger or more colorful images. By changing the direction of the stroke, you can change the angle of the images. This is just a sample of the possible controls. By creating your own set of images, you can paint with a unique image series.

The Image Hose feature allows you to paint with images.

The Image Hose deposits 24-bit images with an 8-bit mask. The mask enables you to layer the images gently, without aliased edges or artifacts.

You can load the Image Hose with images of any description — leaves, bark, grass, stones, people, or whatever you want. When you paint with these image elements, you can build them into coherent shapes, such as a tree, hill, cobblestone street, or crowd of people.

See Also

•
How the Image Hose Works
•
Getting Started with the Image Hose
•
Controlling the Image Hose
•
Indexing: Choosing Images from a Nozzle File
•
Creating, Loading, and Saving Nozzles for the Image Hose


How the Image Hose Works

The Image Hose is a brush. To use it, you must first load it with images. The images are kept in special nozzle files. On a garden hose, you attach a nozzle to control the flow of water; in Corel Painter, you attach a nozzle to the Image Hose to control its medium — images.

A nozzle file can contain any number of images. Usually, the images are similar and form a logical series — that is, the images progress along some order. For example, the images might increase in size or advance in angle. It is not necessary for images to progress in a logical series, but the Image Hose is more effective when they do.

“Indexing” refers to the method used to select particular images from the many images in a nozzle file. Which method (indexing rule) to use for selecting nozzle images is controlled in the Brush Creator by modifying the Image Hose settings on the Stroke Designer tab. You can hose images sequentially, at random, or based on pressure, stroke direction, or several other factors.

The images are indexed so that Corel Painter can locate and paint specific images on request. As you paint with the Image Hose, you can request specific images from the nozzle index by varying your input value. Increasing an input value takes images from later in the series. For example, you can set up the nozzle so that by pressing harder with a pressure-sensitive stylus, you paint with larger images.

You control the images themselves in the nozzle file. If you want more variety in the images, create more images in the nozzle file. For more information about designing and creating nozzle files, see "Creating, Loading, and Saving Nozzles for the Image Hose".

As your Image Hose requirements become more exacting, you can create complex nozzles that involve two progressions — for example, images getting larger and changing angle. In this case, you’ll use one input factor to determine image size and use another factor to determine image angle. This creates a 2-Rank nozzle.

A 2-Rank nozzle progresses in two dimensions. In this example, the first rank changes angle, and the second rank changes size.


Getting Started with the Image Hose

On this page, you will find information about

•
Image Hose Basics

Corel Painter lets you select nozzles containing various images to use with the Image Hose. You can adjust the opacity, size, color, position, and spacing of the images you paint.

Image Hose Basics

 Back to Top

The Image Hose is easy to use and offers a number of options for the behavior of “nozzle spray.”

As with other Corel Painter brushes, the Image Hose has several variants. These built-in variants combine nozzle control factors (indexing rules) with brush settings to create different hose effects.

The Nozzle Selector in the toolbox.

Variants are divided into two types — Spray and Linear — according to the placement of images in relation to the stroke. Spray variants scatter images. Linear variants place images directly on the stroke path. Variants also differ in the way they link the size and angle of images to factors such as stylus tilt, pressure, and position.

A variant’s name contains important information. For example, the variant’s name Linear-Size-P Angle-D indicates that this is a Linear variant that links the size of images you paint to the stylus pressure (P) and places them at an angle based on the direction (D) of the stroke. The letters R, W, and B in variants’ names signify Random, Wheel, and Bearing. For more information about these settings, see "Expression Settings" and "Ranks and Indexing Rules".

You can use these variants as a starting point and then adjust the brush and nozzle controls to deliver the images just as you want them.

To select a nozzle and use the Image Hose

1
Choose the Brush tool [image] from the toolbox.
2
On the Brush Selector bar, choose the Image Hose from the Brush Category selector.
3
Click the Brush Variant selector, and choose a variant.
Each variant delivers the images differently.
4
In the toolbox, click the Nozzle Selector, and choose a nozzle.
5
Make a brush stroke on the canvas.


Controlling the Image Hose

On this page, you will find information about

•
Adjusting Opacity and Color
•
Scaling Images
•
Spacing Images
•
Placing Images Randomly
•
Expression Settings

The Image Hose can be controlled by changing the Image Hose brush and the nozzle file.

You can change the opacity, size, and spacing of nozzle images and determine the placement of images in the stroke. In addition, brush expression settings let you use different stylus attributes, such as pressure, tilt, and bearing to change the size and angle of images on the fly.

You can index a nozzle file to control the order in which nozzle images are delivered. For more information, see "The Rank Indexing System". You can also create your own nozzle files to determine the image content and ranking. For more information, see "Designing Nozzles: 1, 2, or 3 Ranks".

To modify the Image Hose brush settings in the Brush Creator

1
From the menu bar, choose Window menu [image] Brush Creator, and click the Stroke Designer tab.
2
Choose any of the controls in the left pane, and adjust the settings in the right pane.

Adjusting Opacity and Color

 Back to Top

You can use the property bar to adjust the opacity of nozzle images or to mix them with an additional color. The Opacity slider allows you to make nozzle images semitransparent.

If you move the slider all the way to the left, the images become invisible.

You can change the opacity of Image Hose strokes. Settings shown are 100% opacity (left) and 20% opacity (right).

The Grain slider allows you to mix the additional color with the nozzle images. If the slider is set to 100%, the nozzle images remain pure. As you move the slider to the left, more of the additional color appears in the images. If the slider is set to 90%, Corel Painter mixes 10% of the additional color to 90% of the image. This is a handy way to adjust the shading of image elements. For information on selecting an additional color, refer to "Understanding Main and Additional Colors".

You can turn down the Grain to mix in the additional color. Settings shown are 100% grain (left) and 39% grain (right).

Scaling Images

 Back to Top

The Set Nozzle Scale command in the Nozzle Selector menu lets you control the size of image elements delivered by the Image Hose. At 100%, the images are the same size as they are in the nozzle file.

You can also use the settings in the Stroke Designer to control the size of the nozzle images.

To adjust the scale

1
In the toolbox, click the Nozzle Selector.
2
Click the selector menu arrow, and choose Set Nozzle Scale.
3
Type a value in the New Scale box.
•
You can also use the Size slider on the property bar to change the size of images delivered by the Image Hose, just as you would with other brushes.

Spacing Images

 Back to Top

You control the space between images with the Spacing settings in the Brush Creator. Moving the Spacing slider to the right increases the spacing between image elements.

The Spacing slider controls the spacing of the images. Settings shown are 85% (left) and 20% (right).

Because spacing is based on the diameter of the brush, the Size settings also affect image spacing. Increasing the brush size adds space between the images applied with the hose. Size settings affect the size of the image elements themselves. Increasing the brush size adds space between the images applied with the hose.

The Min Size slider also affects the size of images applied by the Image Hose. When set to stylus pressure or direction, the Min Size setting determines the range in which the images you apply will vary in size.

For more information on the Spacing settings, see "Spacing Controls". For more information on the Size and Min Size controls, see "Stroke Size".

Placing Images Randomly

 Back to Top

You randomize the proximity of images to the stroke path with the Jitter slider on the property bar. When the slider is all the way to the left, images are directly in the stroke. Moving the slider to the right increases the scattering of the images.

You can also adjust the Jitter slider with the Random settings on the Stroke Designer tab. For more information, refer to "Random Controls".

Expression Settings

 Back to Top

The Expression settings on the Stroke Designer tab offer dynamic control over the brush settings described above. You can use these settings to produce interesting effects. For example, angle settings apply when you use the Image Hose to paint on images. For more information on the Expression settings, refer to "Expression Settings".


Indexing: Choosing Images from a Nozzle File

On this page, you will find information about

•
Ranks and Indexing Rules

As you paint with the Image Hose, Corel Painter selects images from the nozzle file based on one or more rules. This selection process, known as indexing, determines which images from the many in the nozzle file are delivered from the Image Hose. The Image Hose settings in the Stroke Designer let you change the rules for indexing the images.

Ranks and Indexing Rules

 Back to Top

Image nozzle files can be created with one, two, or three image progressions known as “ranks.” Corel Painter offers these three rankings, so each nozzle file can be identified as a 1-Rank, 2-Rank, or 3-Rank nozzle. For more information about the rank system, refer to "Designing Nozzles: 1, 2, or 3 Ranks".

The following indexing rules are available for each rank in Corel Painter:

•
None returns one element only — the last in the rank.
•
Velocity indexes images from the rank based on the speed of the stroke. A faster stroke delivers elements from later in the rank. Velocity is often used with a mouse to mimic pressure. Velocity can be difficult to control. For this reason, you might want to use it in a rank with few elements.
•
Direction indexes images from the rank based on the direction of the stroke. The first item in the rank corresponds to a left-to-right stroke (toward 3 o’clock). As the stroke direction progresses counterclockwise, the Image Hose delivers subsequent images from the rank. The number of elements in the rank determines the directional change required to index a different element. For example, a nozzle file that contains 72 images at progressive angles delivers a different item at every 5° of stroke direction (360° divided by 72 equals 5°).

This Arrow nozzle is an example of indexing based on Direction.

•
Pressure indexes images based on stylus pressure. Greater pressure selects images from later in the rank. Pressure works only with pressure-sensitive tablets. Pressure is a great control for requesting images from a nozzle. For example, if you set up your nozzle file to progress from small to larger images, heavier strokes deliver larger images.
•
Tilt indexes images based on the tilt of the stylus. Not all stylus models convey this information. This control does not work with a mouse.
•
Bearing indexes images based on the position of the stylus. Not all stylus models convey this information. This control does not work with a mouse.
•
Source delivers images based on the luminance of pixels in the clone source (or current pattern if you have not set a clone source). The pixels of the working document have a direct correspondence with the pixels of the clone source image. As the luminance increases, Source delivers images from later in the rank. For best results, the clone source should have the same dimensions as the document in which you’re working. For more information on setting up and using a clone source, refer to "Changing Clone Source". Depending on the nozzle you’re using, Source can be quite useful. For example, if the source image is black on the left and progresses through gradations to white on the right, the Image Hose delivers images from the start of the rank at the left of the document, in the dark area. As the brush moves to the right into the lighter area, the Image Hose delivers images from later in the rank. To take advantage of this feature, you may want to create a special source image for the single purpose of controlling the Image Hose. The clone source image or pattern for controlling the Image Hose may be grayscale. Remember, Corel Painter uses only the luminance values.

Indexing based on Source.

•
Random selects images from the rank at random. Randomness can add irregularity of color and texture to the areas you paint with the Image Hose. This contributes to the aesthetics of the painting, because minor irregularities occur in natural structures.
•
Sequential indexes images in the order they appear in the rank — moving left to right, and top to bottom.

Left: sequential indexing. Right: random indexing.

To change the indexing rule

1
On the Stroke Designer page of the Brush Creator, choose Image Hose.
2
For each rank in the nozzle, choose an indexing rule from the pop-up menu.
3
If necessary, adjust the Direction slider.
If you want to invert the effect of the indexing rule, enable the Invert Rank check box. For example, if you choose Pressure for an indexing rule, greater stylus pressure selects images from later in the rank. Inverting the rank produces the opposite result — greater stylus pressure delivers images from earlier in the rank.
•
The indexing rules for Rank 2 and Rank 3 have no effect on a 1-Rank nozzle.


Creating, Loading, and Saving Nozzles for the Image Hose

On this page, you will find information about

•
The Rank Indexing System
•
Designing Nozzles: 1, 2, or 3 Ranks
•
Preparing Images
•
Creating a 1-Rank Nozzle from a Group of Layers
•
Creating a 2-Rank Nozzle on a Grid
•
Creating a 3-Rank Nozzle
•
Creating a Nozzle from a Movie
•
Loading Nozzle Files
•
Nozzle Libraries

You can create custom nozzles for the Image Hose using ranks and indexing rules. Once you save the custom nozzles, you can load them at any time to use in an image.

The Rank Indexing System

 Back to Top

A 1-Rank indexing system is simply a numbered sequence. You can locate any element in the sequence by specifying its number — for example, “Item 3.”

In Corel Painter, you locate and deliver images by varying input — for example, by pressing harder with the stylus or changing the direction of the stroke. For information on the input factors you can use to control indexing, refer to "Ranks and Indexing Rules".

A 2-Rank indexing system uses two perpendicular indexes. The first rank extends horizontally and the second extends vertically. Again, you’ll vary input to locate an item for either rank. You can think of indexing in the two ranks as “selecting a column” and “selecting a row.” The Image Hose delivers the image that is located where the selected column and row intersect. For this to work properly, you must use different indexing rules (input factors) for selecting in each rank.

A 3-Rank indexing system extends the 2-Rank model. The third rank is created by repeating the 2-Rank “set.” Within the selected set, the 1-Rank and 2-Rank indexing (described above) is used. You must use different indexing rules for selecting in each rank.

A 3-Rank indexing system can be used with calendar dates. Any day — past, present, or future — can be located by specifying the month, day, and year. For example, “February 25, 1962 (2/25/1962).”

Designing Nozzles: 1, 2, or 3 Ranks

 Back to Top

A nozzle file contains a series of images arranged in a regular grid. Usually, the images are progressive in terms of size, shape, angle, or color. Progression is not necessary, but it increases the sophistication of the Image Hose. For example, a nozzle file with images progressing in size can be set up so that greater stylus pressure paints incrementally larger images.

A 1-Rank nozzle progresses in one dimension. In this example, changing angle is the first rank.

What if you want a two-dimensional progression, such as having image elements increasing in size and changing angle? To do this, you’ll need to set up your images as a 2-Rank nozzle file. Painting with a 2-Rank nozzle, you can control where your image comes from in terms of both progressions. In this case, you use a different input factor to control the location of the image elements in each rank.

In the following image, Rank 1 is a progression in angle, and Rank 2 is a progression in size. It would make sense to use direction to control Rank 1 and pressure to control Rank 2.

A 2-Rank nozzle progresses in two dimensions. In this example, changing angle is the first rank, and changing size is the second rank.

You can extend the nozzle to a third progression, creating a 3-Rank nozzle. Again, you use a separate indexing rule (input factor) to control the location in each rank. If you use one indexing rule to control two ranks, some image elements become unavailable. In the following image, Rank 3 is a progression in color. You might control this final rank with randomness, velocity, or source — depending on your plans for the image.

Color is the third rank in this 3-Rank nozzle.

It is recommended that you consider how you will control each rank before you build a nozzle. The way you lay out the images can limit the ways you can control the indexing. Before you begin building a nozzle, you must decide which rank level you need as well as how many elements you want in each progression. For information on setting the indexing rule for each rank, refer to "To change the indexing rule".

Preparing Images

 Back to Top

Regardless of the rank level of the nozzle you are making or the method you use to build it, the following tips will help you develop the individual images.

Each element in an Image Hose nozzle must be selected. The selection allows you to paint with images of irregular shape. Only what is inside the selection will flow from the Image Hose.

You might want to work by creating a silhouette of the image shape as a selection, and then fill in the color information later. With soft edges to the selection, you can create images that are anti-aliased automatically. This improves the continuity across an area of hosed images.

You can create Image Hose nozzles from layers. As you create image elements, turn them into layers. If the layer looks good when dropped on different backgrounds, the image will look good as a nozzle element. Building a nozzle from layers offers advantages in convenience as well.

Another technique is to float the image on a black background and add a drop shadow. This will enhance the appearance of three dimensions, as image elements build up in layers. When all elements have the shadow in the same position, the light source appears the same across the painted area.

For more information on working with layers, refer to "Layers".

Creating a 1-Rank Nozzle from a Group of Layers

 Back to Top

To create a 1-Rank nozzle, you start by creating each image to be included in the nozzle as a separate layer. Then, you select and group the layers and create a new file by using the Make Nozzle from Group command. As a last step, you save the new nozzle file in RIF format. To use the new 1-Rank nozzle, you first need to load it. For information about loading nozzle files, see "Loading Nozzle Files".

In a 1-Rank nozzle, the images do not need to be in one line. Corel Painter wraps images onto several lines to create a document of reasonable shape. Corel Painter follows a mathematical rule in reconstructing the rank of images. This rule is contained in the Nozzle Definition. You’ll learn more about this in "To build a 2-Rank nozzle".

Nozzles are most useful when they deliver similar images with some irregularity — for example, butterflies on flowers.

To create a 1-Rank nozzle from layers

1
Create image elements as layers for the nozzle.
The alignment of layers in the document doesn’t affect the nozzle-building process.
2
From the menu bar, choose Window menu [image] Show Layers to show the Layers palette.
If the Layers palette is not expanded, click the palette arrow.
The top layer on the list will be the first element in the nozzle sequence. Moving down the list advances through the element progression.
3
Rearrange the layer hierarchy to create the progression you want in the nozzle.
4
If any item on the Layers palette is a group, click the Layer Commands button [image], and choose Collapse to convert it to a standard layer.
5
Hold down the Shift key, and select each item in the list.
6
Click the Layer Commands button, and choose Group.
All items are now part of the same group.
7
In the toolbox, click the Nozzle Selector.
8
Click the selector menu arrow, and choose Make Nozzle From Group.
Corel Painter creates a new, untitled image. This is your nozzle file.
9
From the menu bar, choose File menu [image] Save.
10
Give the file a descriptive name and save it in RIF format.

Creating a nozzle from layers.

Creating a 2-Rank Nozzle on a Grid

 Back to Top

Nozzles of two and three ranks cannot be created from a layer group. You must build these nozzles manually. The indexing system requires the nozzle images to fit in a regular grid. You can create a nozzle file by setting up a grid and placing an image element at the center of each cell.

The cell size is based on the smallest rectangle that will hold the largest image element (including its selection). To make sure that your images fit in the grid, copy your largest image element to a layer. After you have set up the nozzle images in the grid, you can build your nozzle. Refer to "Creating Layers" for more information.

To determine the grid cell size and nozzle dimensions

1
In the toolbox, click the Layer Adjuster tool [image], and choose the layer with the largest image element that you want to include in the nozzle.
Corel Painter displays the pixel width and height of the layer’s content on the Info palette. To display the Info palette, click Window [image] Show info.
You might want to use slightly larger values for the grid cell size.
2
Determine the number of elements you want in each rank.
3
Multiply the number of items in Rank-1 by the cell width.
This value is the nozzle’s width.
4
Multiply the number of items in Rank-2 by the cell height.
This value is the nozzle’s height.

To create the grid

1
From the menu bar, choose File menu [image] New, and enter the nozzle’s width and height in the Width and Height boxes.
You must enter the nozzle’s width and height that you calculated in steps 3 and 4 of "To determine the grid cell size and nozzle dimensions".
2
From the menu bar, choose Canvas menu [image] Grid [image] Grid Options.
3
In the Grid Options dialog box, set the Horizontal Spacing and Vertical Spacing to the values of the cell width and height, and click OK.
You need to enter the cell width and height from step 1 of "To determine the grid cell size and nozzle dimensions".
4
Show the grid by clicking the Toggle Grid button above the vertical scroll bar on the document window.
The grid should describe the number of elements you want in each rank — Rank 1 horizontally and Rank 2 vertically.

Click the Toggle Grid button to display a grid in the image window.

To build a 2-Rank nozzle

1
Place one image element in the center of each grid cell.
The easiest way to do this is with layers. When you bring image elements into the grid as layers, they bring their layer mask with them. If the image elements are layers in different files, it is easier to open the files one at a time.
Follow an appropriate progression based on your intentions for controlling this nozzle.
2
From the menu bar, choose Window menu [image] Show Layers.
3
On the Layers palette, select all layers.
4
Click the flyout arrow, and choose Drop and Select.
5
From the menu bar, choose File menu [image] Save As, and save the file in RIF format.

In this finished 2-Rank nozzle, variety is the first rank, and size is the second rank.

•
To paint with your new nozzle file, you’ll need to load it first. For information on loading 2-Rank nozzles, see "To load a nozzle file".

Creating a 3-Rank Nozzle

 Back to Top

You can create a 3-Rank nozzle using the grid method.

This nozzle file has three items in Rank 1, three items in Rank 2, and three items in Rank 3.

Painting with the 3-Rank nozzle “Broken Shells.”

To create a 3-Rank nozzle

1
Build or open a 2-Rank file.
2
Determine the number of elements you want in the third rank.
3
From the menu bar, choose Window menu [image] Show Info to show the Info palette, and check the height of the current nozzle file.
4
Multiply the number of items in the third rank by the height of the file.
The result will be the height of your 3-Rank nozzle file.
5
From the menu bar, choose Select menu [image] Reselect, and choose Select menu [image] Float.
6
From the menu bar, choose Edit menu [image] Copy.
Now you must extend this file vertically to accommodate the items in the third rank.
7
On the Layers palette, select the canvas.
8
From the menu bar, choose Canvas menu [image] Canvas Size.
9
To set the canvas to the height of your 3-Rank nozzle, add the correct number of pixels in the Add Pixels to Bottom box.
The value you need is the difference between the height of the 3-Rank nozzle calculated in step 4 and the height of the open 2-Rank nozzle.
Now you can develop images for each item (set) in the third rank.
10
From the menu bar, choose Edit menu [image] Paste, and position the pasted layer in the area you added.
The images should be centered in the grid cells.
11
If necessary, modify the images in this layer.
12
Choose the Layer Adjuster tool [image] from the toolbox, and select both layers on the Layers palette.
13
Click the flyout arrow, and choose Drop and Select.
14
From the menu bar, choose File menu [image] Save, and save the file in RIF format.
If you previously defined this file as a nozzle, you must edit the definition to describe the three ranks you created.
15
Choose File [image] Get Info, and edit the nozzle definition in the File Information dialog box.
16
For example, the nozzle definition “image hose 3 by 3” describes a 2-Rank nozzle with three image elements (items) in Rank 1 and three image elements in Rank 2. Suppose the new nozzle has three image elements in Rank 3. To paint with images from all three ranks, you need to change the nozzle definition to “image hose 3 by 3 by 3”.
•
To paint with your new nozzle file, you first need to load it. For information on loading nozzle files, see "To load a nozzle file".

Creating a Nozzle from a Movie

 Back to Top

Frame after frame of a Corel Painter movie can flow from the Image Hose. The frame size describes the “Item Size.” If you’re creating a movie just to turn it into a Nozzle, set the frame size just large enough to hold your largest image element. You can use the selection in each frame to control the shape of the images.

The Make Nozzle from Movie command automatically creates a 1-Rank nozzle. If you want, you can use this technique to create a 2-Rank nozzle.

To make a nozzle file from a movie

1
Open the movie you want to turn into a nozzle file.
2
In the toolbox, click the Nozzle Selector.
3
Click the selector menu arrow, and choose Make Nozzle from Movie.
An untitled image file appears containing each movie frame.
4
If you didn’t create selections in a frame of the Frame Stack, you can create the selections now.
Remember, each image element must be included in the selection.
5
Save the file in RIF format.
You can now load and use this file as you would any 1-Rank nozzle file.

To make a 2-Rank nozzle from a movie

1
Choose File menu [image] New, and start a movie.
The frame size (canvas width and height) should be just large enough to hold your largest image element.
The total number of frames must equal the number of elements in Rank 1 multiplied by the number of elements in Rank 2. For example, for a 2-rank nozzle with three items in Rank 1 and three items in Rank 2, the movie needs to contain nine frames.
2
Add an image element to the first frame. You can add image elements by using selections or layers.
3
Click the selector menu arrow on the Layers palette, and choose Drop and Select.
4
Move to the second frame, and add an image element. Edit the image element if necessary, and repeat step 3 before moving to the next frame.
5
Continue adding image elements to the remaining frames. Make sure to apply the Drop and Select command before moving to a new frame.
You need to arrange image elements in sets according to the second rank. In the following example, the second rank progression for the new nozzle is changing color. The movie is organized in three color sets. Frames 1 to 3 form the red set; frames 4 to 6, the green set, and frames 7 to 9, the yellow set. Each set is the first rank progression (changing angle) for the new nozzle and contains images that are the same color but are placed at a different angle.

The image elements in this movie are arranged in color sets according to the second rank.

6
On the Frame Stacks palette, click the Rewind button [image] to return to the first frame of the movie.
7
In the toolbox, click the Nozzle Selector.
8
Click the selector menu arrow, and choose Make Nozzle from Movie.
A new file appears.

The resulting nozzle file from the movie in the previous example.

9
From the menu bar, choose File menu [image] Get Info.
The File Information dialog box holds the information Corel Painter uses to index in this file.
10
Edit the statement to describe the nozzle index you created.
For example, the statement “image hose 9 items” describes a 1-Rank nozzle with nine image elements. To describe a 2-Rank nozzle with three items in Rank 1 and three items in Rank 2, you need to change the statement to “image hose 3 by 3 items”.
11
Save the file.
To paint with the new nozzle file, you need to load it first. For more information, see "To load a nozzle file".
•
Do not allow empty frames at the end of the movie.

Loading Nozzle Files

 Back to Top

To paint with a separate nozzle file that isn’t part of a library, you first need to load it into the Image Hose library.

To load a nozzle file

1
In the toolbox, click the Nozzle Selector.
2
Click the selector menu arrow, and choose Load Nozzle.
3
Choose a nozzle from the Open dialog box, and click Open.
You can now paint with the nozzle.
If the Nozzle Definition dialog box appears, you are trying to load a 2- or 3-Rank nozzle and need to complete steps 4 through 6.
4
In the Item Width and Height boxes in the Nozzle Definition dialog box, enter the values you set in the nozzle file. These values describe the grid cell size.
If you are not sure about these values, first open the nozzle file, and click File [image] Get Information. The File Information dialog displays all the information you need. For example, “image hose 3 by 2 items (height 100, width 100)” indicates that this is a 2-Rank nozzle, with three image elements in Rank 1 (horizontal progression) and two image elements in Rank 2 (vertical progression). Item width and height are 100 pixels each (grid cell size of 100 by 100 pixels).
5
In the Index Rank box, enter 2 for a 2-Rank nozzle and 3 for 3-Rank nozzle.
6
In the Rank columns, enter the number of image elements used in each rank of the nozzle file.
If this is a 2-Rank nozzle file, enter 1 in the Rank 3 column.
If the values you enter do not describe the file, Corel Painter won’t accept them. In other words, the “number of items” in Rank 1 (horizontal progression) multiplied by the “item width” must equal the width of the nozzle file; the “number of items” in Rank 2 (vertical progression) multiplied by the “item height” must equal the height of the nozzle file.
Remember, you still need to modify the settings on the Stroke Designer tab in the Brush Creator to describe the indexing rule for each rank.
•
Corel Painter needs the information you enter in the Nozzle Definition dialog box to index images correctly.

Nozzle Libraries

 Back to Top

Nozzle libraries let you save and retrieve sets of nozzle files. For information on loading alternate libraries, creating new libraries, and moving items between libraries, refer to "Libraries and Movers".

To add a nozzle to the library

1
In the toolbox, click the Nozzle Selector.
2
Click the selector menu arrow, and choose Load Nozzle.
3
Locate your nozzle file in the dialog box, and click Open.
4
If necessary, enter the values to define the number of elements, their size, and rank.
5
In the toolbox, click the Nozzle Selector.
6
Click the selector menu arrow, and choose Add Nozzle to Library.
7
In the Save dialog box, name the nozzle.

To retrieve and edit a nozzle

1
In the toolbox, click the Nozzle Selector.
2
Click the selector menu arrow, and choose Check Out Nozzle.
Corel Painter opens the nozzle file in an image window.
3
Choose Select [image] Reselect.
4
If necessary, edit the file.
Make sure to keep the selections.
5
Click File [image] Save As, and save the file to the folder you want.
If you want to protect your original nozzle, save the file under a different filename.
6
Click the Nozzle Selector.
7
Click the selector menu arrow, choose Load Nozzle, and select the nozzle you just saved.
8
To put the nozzle back in the library, click the Nozzle Selector menu arrow in the toolbox, and choose Add Nozzle to Library.


Mosaics

Making mosaics is a classical art technique that creates pictures from colored tiles and grout. In Corel Painter, the Make Mosaic feature and its companion, Make Tessellation, let you create tile mosaics and stained-glass window formations. For more information about tessellations, see "Working with Tessellation Mosaics".

The Make Mosaics feature lets you paint with a mosaic medium. In essence, you’re painting with tiles. The medium you paint with can be simple colored tiles or colors cloned from an original image. In this way, you can paint an original image on a blank canvas or re-create an image from a cloned photo.

Each tile is an independent object and carves its shape so that it fits perfectly with surrounding tiles. You can erase and/or reshape tiles to create the perfect mosaic design.

A mosaic image.

The Make Tessellation feature takes an original image and creates tile inlay patterns from nonrectangular tiles. This feature divides your image into polygonal shapes and then converts the shapes into tiles.

A mosaic based on Tessellation.

After creating a mosaic, using either of the two methods, you can give it a three-dimensional (3D) appearance. You can also apply brush strokes to the mosaic. A brush such as Distortion will smear the tile colors. For instructions on adding dimension to the tiles, refer to "Giving Tiles a 3D Look".

See Also

•
Getting Started with Mosaics
•
Placing and Customizing Tiles
•
Working with Tessellation Mosaics


Getting Started with Mosaics

On this page, you will find information about

•
Creating a Mosaic Effect
•
Specifying Tile Color
•
Specifying Grout Color
•
Removing Tiles
•
Saving to a RIFF File

The Mosaic feature differs from the other Natural-Media tools in Corel Painter. With the mosaics medium, you’re actually working in a different mode. This means that you must have the Make Mosaic dialog box open, and you cannot access any other tools or features — except for the Colors palette.

When in Mosaics mode, you can add, remove, and reshape mosaic tiles. You can choose a color to paint with or use the Clone Color option on the Colors palette. You can also set grout thickness.

The Make Mosaic dialog box provides all the controls needed for working in this medium. When painting with mosaic tiles, you work with one of four tools: Apply Tiles, Remove Tiles, Change Tile Color, or Select Tiles.

Whether you are cloning from an existing image or creating a mosaic design from scratch, you may find the following guidelines helpful:

•
Use your first few courses of mosaic tiles to delineate the most important contours of your subject — just as if you were drawing with a pencil. Describe the most important lines of your scene first. Additional courses of tiles should follow the initial contours.

Tiles applied to the outline of an image.

•
Use larger tiles in areas of flat color and smaller tiles in regions where you must add more detail. In flat-color areas, you may want to introduce some color variability for a more realistic effect. Tiles used in traditional mosaics rarely have uniform color.
•
If you’re working in a clone, turn on the Tracing Paper feature by enabling the Use Tracing Paper check box in the Make Mosaics dialog box. This helps you follow the source images.

Clone without source images showing (the Use Tracing Paper check box in the Make Mosaic dialog box is disabled).

Creating a Mosaic Effect

 Back to Top

You can create a mosaic from scratch or based on a clone of another image. For more information about cloning images, see "Cloning Images". Once you create a mosaic, keep the Make Mosaic dialog box open so that you can continue to work on the mosaic. After you apply tiles to a mosaic, you can select or deselect tiles to change their color or apply effects to them.

To display the Make Mosaic dialog box

1
Do one of the following:
•
Start a new document by choosing File menu [image] New.
•
Clone an existing document by choosing File menu [image] Open and locating the file that you want to clone. Then, choose File menu [image] Quick Clone.
2
Choose Canvas menu [image] Make Mosaic.

To create a mosaic from scratch

1
Start a new document by choosing File menu [image] New.
2
Choose Canvas menu [image] Make Mosaic.
3
In the Make Mosaic dialog box, click the Apply Tiles button [image].
4
Drag in the document window.
New tiles flow from your stroke.
5
Keep the Make Mosaic dialog box open so that you can continue to work on the mosaic.
•
You can also have Corel Painter do the tile work automatically with the Stroke Selections and Fill Selection commands located in the Make Mosaic dialog box in the Options pop-up menu. For information on how to use the Stroke Selections and Fill Selection options, see "Using Stroke Selections and Fill Selection Commands".

To create a mosaic based on a cloned image

1
Clone an existing document by choosing File menu [image] Open, and locating the file that you want to clone. Then, choose File menu [image] Quick Clone.
2
Choose Canvas menu [image] Make Mosaic.
3
On the Colors palette, click the Clone Color option [image] to enable it.
4
In the Make Mosaic dialog box, click the Apply Tiles button [image].
If you don’t want to work with Tracing Paper, disable the Use Tracing Paper check box.
5
Drag in the document window.
New tiles flow from your stroke.
6
Keep the Make Mosaic dialog box open so that you can continue to work on the mosaic.
•
You can monitor the progress of the clone-based mosaic by viewing the image with Tracing Paper on, by enabling the Use Tracing Paper check box. This lets you see a faded out version of the clone source. You can also enable or disable Tracing Paper by choosing Canvas menu [image] Tracing Paper. A check mark indicates that it is enabled.

To select tiles

To | Do the following
Select tiles | In the Make Mosaic dialog box, click the Select Tiles button [image] . Drag across the tiles you want to select. Red borders appear on selected tiles.
Select contiguous tiles of the same color (no variability allowed) | In the Make Mosaic dialog box, click the Select Tiles button. Press Command + Control (Mac OS), or Ctrl (Windows), and drag across part of a line of tiles, so that the whole line of tiles is selected. A magic wand appears as you select the tiles.
Select every tile | With the Make Mosaic dialog box displayed, press the A key.

To deselect tiles

To | Do the following
Deselect an individual tile | In the Make Mosaic dialog box, click the Select Tiles button. Click on a tile that is already selected to deselect it.
Deselect all tiles | With the Make Mosaic dialog box displayed, press the D key.

Specifying Tile Color

 Back to Top

There are several ways to change tile color. You can adjust the value, change the hue, or randomize variability. You can adjust the color for individual tiles or for larger areas across the mosaic.

The tile color is determined by the main color selected on the Colors palette. You might want to add some color variability to build visual interest. When working in a clone document, you can color the tiles based on the clone source.

Normally, each tile is given a single color. If you want more options for coloring tiles, render the tiles to a channel. You can then convert the channel to a selection to paint directly on the tiles, apply effects, or fill them with a pattern, weave, gradient, or image. Refer to "Giving Tiles a 3D Look" for more information.

To change the color of selected tiles

1
In the Make Mosaic dialog box, click the Select Tiles button [image].
2
Click or drag across the tiles you want to select.
Red borders appear on selected tiles.
3
Choose a color from the Colors palette.
4
Press one of the following keys to apply the described color change to the selected tiles:
•
C (Color) Changes the tiles to the current main color.
•
T (Tint) Applies a small amount (10%) of the current main color. Repeat to accentuate.
•
V (Vary) Adds color variability, based on the variability settings on the Colors palette. On the Colors and Color Variability palettes, choose the color and variability settings you want to use. Repeat until you are satisfied with the results.

To change tile color individually

1
In the Make Mosaic dialog box, click the Change Tile Color button [image].
2
Choose one of the following color adjustment modes from the menu:
•
The Color mode changes the tiles to the current main color.
•
The Darken mode applies a small amount of black.
•
The Lighten mode applies a small amount of white.
•
The Tint mode applies a small amount (10%) of the current main color.
•
The Vary mode adds color variability, based on the variability settings on the Colors palette. On the Colors and Color Variability palettes, choose the color and variability settings you want to use.
3
Click individual tiles you want to change or drag across a group of tiles.

To use multicolored tiles

1
Choose Window menu [image] Brush Controls [image] Show Color Variability to display the Color Variability palette.
If the Color Variability palette is not expanded, click the palette arrow.
2
Choose a color variability method from the pop-up menu.
3
Move the sliders or type values in the boxes to adjust the color variability settings.
•
If the Color Variability palette is not open, you must first close the Make Mosaic dialog box. Then, display the Color Variability palette, and open the Make Mosaic dialog box again.

To base colors on a clone source

•
After cloning an image, enable the Clone Color option [image] on the Colors palette.
For more information about creating mosaics based on cloned images, see "To create a mosaic based on a cloned image".

Specifying Grout Color

 Back to Top

Any area not covered by tiles is considered grout. The grout color is assigned to the mosaic background when you begin working.

To change the grout color

•
In the Make Mosaic dialog box, click the Grout color chip.
Use the Color dialog box to select a grout color. You can change the grout color at any time. However, changing the grout color automatically re-renders the mosaic, which erases any part of the image that is not a tile or grout.

Removing Tiles

 Back to Top

If you want to remove tiles selectively, use the Remove Tile tool. The Reset Mosaic command removes all tiles from the document; Corel Painter clears the canvas, leaving only the grout color.

To remove tiles

To | Do the following
Remove specific tiles | In the Make Mosaic dialog box, click the Remove Tiles button [image] . Click or drag across the tiles you want to remove.
Remove all tiles | In the Make Mosaic dialog box, from the Options pop-up menu, choose Reset Mosaic.

Saving to a RIFF File

 Back to Top

If you save a mosaic in the RIFF format, you can open the file later, choose the Make Mosaic command, and continue working.

RIFF is the only file format that will save the resolution-independent mosaic tile objects. Saving in any other format prohibits you from resuming the mosaic process. All file formats will save the rendered image of the mosaic tiles on the canvas.


Placing and Customizing Tiles

On this page, you will find information about

•
Adjusting Dimensions and Randomness
•
Fitting Tiles Together
•
Starting with a Triangle
•
Respecting the Edge of an Image
•
Giving Tiles a 3D Look
•
Re-Rendering Mosaic Tiles
•
Using Stroke Selections and Fill Selection Commands
•
Working with Mosaics and Layers
•
Compositing Mosaics with Other Images

The Make Mosaic dialog box includes several powerful features for placing tiles and developing and improving your mosaic. The commands in this section are accessible from the Settings and Options pop-up menus.

Adjusting Dimensions and Randomness

 Back to Top

Tile shapes have two categories of control: Dimensions and Randomness. These categories can be controlled by using the Settings pop-up menu.

The Dimensions sliders let you control the basic size of the tiles and grout spacing.

The Randomness sliders allow you to control the uniformity of the tile shapes. Increasing randomness makes the shapes more erratic, each different from the last. For example, if the Length dimension is 10 pixels, a Length randomness of 25% creates tiles that are randomly given a length in the range of 7.5 to 12.5 pixels.

To adjust tile dimensions or randomness

1
In the Make Mosaic dialog box, from the Settings pop-up menu, choose one of the following:
•
Dimensions
•
Randomness
2
Adjust the sliders.
3
Drag in the document window to apply tiles with the new dimensions or randomness settings.

Dimension control
Example
The Width control sets the width of the tiles in pixels.
In this example, the width is set to 3.5 pixels (top) and 30.4 pixels (bottom).

The Length control sets the length of the tiles in pixels.
In this example, the length is set to 4.1 pixels (top) and 24.2 pixels (bottom).

Pressure determines how tile dimensions are affected by stylus pressure. The Pressure slider allows you to control the width variance under differently weighted strokes.
With the Pressure slider set to zero, a light stroke produces narrow tiles, and a heavier stroke creates wider tiles.
Increasing the Pressure slider increases the effect of pressure on the width of the tiles. By increasing the Pressure setting, you can prevent the creation of narrow tiles in response to a light stroke. Setting Pressure to 100% creates uniformly wide tiles, regardless of the pressure.
In this example, the pressure slider is set to 0% (top) and 100% (bottom).

The Grout control sets the spacing between tiles in pixels.
In this example, the spacing between tiles is 0% (top) and 15% (bottom).

Randomness control | Example
Increasing Width randomness allows the width to vary by the set percentages. | In this example, Width randomness is set to 92%.
Increasing Length randomness allows the length to vary by the set percentage. | In this example, the Length slider is set to 98%.
With Cut randomness set to zero, the edges of the tile are created perpendicularly to the stroke. Increasing Cut randomness allows the angle of the tile ends to vary. | In this example, the Cut slider is set to 90°.
Increasing Grout randomness allows the spacing between tiles to vary by the set percentage. | The Grout randomness is set to 100%.

Fitting Tiles Together

 Back to Top

When you work with real ceramic tiles, it is physically impossible to merge them. You can put them close to each other, but you can’t make them occupy the same space.

Likewise, the mosaic tiles in Corel Painter respect each other’s space and do not overlap or merge. Corel Painter adjusts the shape of the tiles to fit them together while maintaining the grout lines. So, when you want to re-lay the tiles in an area, you must remove the existing tiles. For more information on removing tiles, refer to "Removing Tiles".

Starting with a Triangle

 Back to Top

When the Start With Triangle command is enabled, Corel Painter creates a triangle as the first tile in each stroke. This command is particularly useful when you want to fill a “V”-shaped space with tiles.

The Start With Triangle command makes a perfect wedge in the “v.”

Respecting the Edge of an Image

 Back to Top

When the Respect Edge Of Image command is enabled, Corel Painter maintains a grout line at the perimeter of the image. Tiles you create at the edge of the image do not violate the grout line.

The Respect Edge Of Image command ensures that the tiles you create at the edge will not violate the grout line. In this example, the white tiles respect the edge, while the black tiles do not.

Giving Tiles a 3D Look

 Back to Top

The Render Tiles Into Mask command places the tile shapes in a new channel named Mosaic Mask (on the Channels palette). This feature has several uses. The most common is adding depth to the tiles.

Use the Apply Surface Texture command to create a look of 3D tiles.

With the tiles in a channel, you can load the mosaic pattern as a selection or you can invert the channel to use the grout as a selection. The result can be particularly interesting when you work with a tessellated mosaic.

To give mosaic tiles a 3D look

1
After creating the mosaic, choose Render Tiles Into Mask from the Options pop-up menu in the Make Mosaic dialog box.
2
Click Done to exit the Make Mosaic dialog box.
3
Choose Effects menu [image] Surface Control [image] Apply Surface Texture.
4
In the Apply Surface Texture dialog box, choose Mosaic Mask from the Using pop-up menu.
5
Change the Amount and Softness sliders to achieve the level of relief you want.
In most cases, the best results are obtained with the Picture slider set at 100%. For more information on surface texture options, refer to "Working with Surface Texture".
Because Corel Painter uses the tile shapes from the channel, the resulting surface texture gives the tiles a realistic 3D appearance.

Re-Rendering Mosaic Tiles

 Back to Top

You can use this command to change the resolution of the tiles, after you change the resolution of your document. This command re-creates the mosaic from the grout color and the tile object information. Re-rendering first fills the image with the grout color and then re-renders the mosaic tiles at the resolution of the document. However, once you choose Re-render Mosaic, Corel Painter erases any image that is not a tile or grout.

To re-render tiles

1
Open an image that is the size you want.
2
Create a mosaic, and click Done to exit the Make Mosaic dialog box.
3
Choose Canvas menu [image] Resize.
In the Resize dialog box, disable the Constrain File Size check box, and set the resolution to a higher value.
When Corel Painter finishes resizing, you’ll notice that the tiles have blurred. You can correct this problem by re-rendering the mosaic.
4
Choose Canvas menu [image] Make Mosaic.
5
In the Make Mosaic dialog box, choose Re-Render Mosaic from the Options pop-up menu.
Corel Painter replaces the resized, blurry tiles with tiles rendered at the higher resolution.
•
Once you choose Re-render Mosaic, Corel Painter erases any part of the image that is not a tile or grout.

Using Stroke Selections and Fill Selection Commands

 Back to Top

The Stroke Selections and Fill Selection commands let you apply mosaic tiles to selections. These features work only with path-based selections created with the Rectangular Selection, Oval Selection, and Lasso tools. You might need to use the Transform Selection command to convert a channel-based selection to a path-based selection when you work with mosaics. For more information, refer to "Getting Started with Selections".

Stroking and filling a selection are appropriate only when you change a parameter between operations — for example, if you change the tile color or dimensions. The Stroke Selection command applies a single row of tiles as an outline along the selection path. To fill an entire selection with tiles, you can make the selection using the Lasso tool. To fill an oval or rectangular selection, you must first use the Stroke Selection command to apply tiles to the selection path, and then use the Fill Selection command to fill the rest of the selection.

To fill an oval or rectangular selection, you must first use the Stroke Selection command to apply tiles to the selection path (left), and then use the Fill Selection command to fill the rest of the selection (right).

To create a mosaic in a selection

1
Set up the area you want to tile as an active selection.
2
Choose Canvas menu [image] Make Mosaic.
3
In the Make Mosaic dialog box, choose Dimensions or Randomness from the Settings pop-up menu.
4
Choose the color for the tile and the grout.
5
Use the Options pop-up menu to select the command you want:
•
Stroke Selections creates one row of tiles along each selection path.
•
Fill Selection applies multiple rows of tiles, working in from the path until the selected area is filled with tiles.
The Fill Selection command works with selections made using the Lasso tool. To fill an oval or rectangular selection, you must first choose the Stroke Selection command, and then choose the Fill Selection command.
•
In some cases, Corel Painter might not put a tile in every space. You can fill openings by choosing the Apply Tiles tool and putting them the tiles in yourself.
•
If you want to change the tiling of an area, you can use the Remove Tiles tool to clear it. Then you can reapply tiles manually.

Working with Mosaics and Layers

 Back to Top

Each mosaic tile you create is stored as a resolution-independent object within the Corel Painter image database. This means that if you resize an image composed of mosaic tiles, your image can be displayed at the same quality as if it had been created at a higher resolution originally.

The image that you see displayed is the set of all mosaic tiles rendered as an image onto the canvas. Mosaics can be re-rendered at any time. Once you exit the Make Mosaic dialog box, you can treat this rendered image just like any photograph or painting. You can paint it, apply effects to it, select portions of it, or increase the canvas size. However, once you choose Re-render Mosaic, Corel Painter erases any image that is not a tile or grout.

The first thing the Mosaic feature does is cover the entire canvas with grout. This obliterates images that are on the canvas, but leaves objects that hover above the canvas, such as layers and shapes. These objects are not deleted, but they do cover up the mosaic you’re working on. The Mosaic feature works with the entire canvas. You cannot apply mosaic tiles inside a layer.

Compositing Mosaics with Other Images

 Back to Top

If you want to composite a mosaic with another image, you have several options:

•
Using multiple documents — You can create the mosaic in its own document. When you’re satisfied with the result, float and copy the mosaic to the document where you want to composite it. For information on creating floating objects, see "Working with Floating Objects".
•
Using layers — You can float the non-mosaic portion of the image. Create the mosaic on the canvas. When you’re satisfied with the mosaic, you can drop the layers.
•
Layering mosaics — If a mosaic already exists in the document when you open the Make Mosaic dialog box, it is assumed that you want to keep existing tiles, and Corel Painter does not apply new grout. To avoid this, you can use a layer to create a mosaic on top of an image.

To layer mosaics

1
Create a mosaic, and then click Done to exit the Make Mosaic dialog box.
2
Fill, paint, and drop layers to create your background.
3
When you return to the Make Mosaic dialog box, your background image remains, and you can place tiles over the top of it.
Removing tiles placed on an image reveals the grout, not the image.


Working with Tessellation Mosaics

On this page, you will find information about

•
Creating and Adding Points to Tessellations
•
Coloring Tessellations
•
Advanced Settings for Tessellations

A tessellation is a type of mosaic that uses nonrectangular tiles. Tessellation tiles are subject to the same rules as the rectangular mosaic tiles.

The Make Tessellation feature works by dividing the canvas into polygonal shapes, which become the mosaic tiles. The polygons themselves are sets of points, connected by line segments. You can control the number of points and their distribution. You can also specify how the points are connected.

A tessellation mosaic uses nonrectangular tiles.

After choosing the Make Tessellation feature, the polygons appear as mosaic tiles, are given the main color, and are surrounded by the grout lines described in the Make Mosaic dialog box.

Creating and Adding Points to Tessellations

 Back to Top

You can use the tools in the Make Mosaic dialog box to remove tiles and change their color. However, you can’t reapply tiles.

To create a tessellation

1
Open a new document.
2
Choose Canvas menu [image] Make Mosaic.
3
In the Make Mosaic dialog box, choose Dimensions from the Settings pop-up menu.
4
Adjust the Grout slider to describe the thickness you want for the grout lines, and select a grout color.
5
Click Done to exit the Make Mosaic dialog box.
6
Choose Canvas menu [image] Make Tessellation.
7
Do one of the following:
•
Click or drag in the document to create points. Repeat to add more points. Corel Painter connects the points to form the polygons.
•
In the Make Tessellation dialog box, choose one of the commands from the Options pop-up menu. You can add 500 points randomly, evenly spaced, or based on a clone source document.
8
Choose a tessellation tile shape from the Display pop-up menu. Corel Painter forms polygons by connecting the points according to the Display type.
You can choose from one of three display options:
•
Triangles
•
Cracks
•
Pieces
If you want to clear all points, choose Reset from the Options pop-up menu.
Corel Painter converts the polygons to mosaic tiles, then renders the mosaic image to the canvas.

You can base your Tessellation on Triangles, Cracks or Pieces.

•
Adding points based on a clone source is a powerful option. The 500 points are distributed according to the luminance of the clone source. Lighter regions receive a greater density of points, so the polygons are smaller.
•
The number of points appears in the corner of the Make Tessellation dialog box.
•
Repeat a command from the Options menu to create more points. You can alternate between dragging and using an add-points command. The points accumulate.
•
You might want to convert a regular image to a tessellation. If so, set up the image as the clone source. Enable the Clone Color option [image] on the Colors palette, and then make the tessellation.

A finished tessellation resembles stained glass.

To add points using strokes

1
Open a new document.
2
Choose Canvas menu [image] Make Mosaic.
3
In the Make Mosaic dialog box, choose Dimensions from the Settings pop-up menu.
4
Adjust the Grout slider to describe the thickness you want for the grout lines, and select a grout color.
5
Click Done to exit the Make Mosaic dialog box.
6
Choose Canvas menu [image] Make Tessellation.
7
In the Make Tessellation dialog box, choose Add 500 Evenly Spaced Points from the Options pop-up menu.
8
Create a shape by making strokes in the document.
The points along the stroke will have increased density.

Adding points in the shape of a letter by stroking. The letters appear as a swath of smaller polygons.

•
You can continue stroking to add higher concentrations of polygons in very specific areas. This way, you can create specific patterns or shapes.
•
It is possible to create a huge number of points. More points mean more polygons, which increase the time it takes to convert to a mosaic. Keep this in mind to avoid overwhelming your system.

Coloring Tessellations

 Back to Top

After the tessellation appears as a mosaic, you can open the Make Mosaic dialog box and modify the tile colors using the Change Tile Color tool. When you create a tessellation with the current color and the grout color set to black, and choose Make Mosaic, the image appears totally black. Don’t worry — your image is not lost.

To color tessellations

1
In the Make Mosaic dialog box, select the Change Tile Color tool [image].
2
From the pop-up menu below the Change Tile Color tool, choose Color.
3
On the Colors palette, choose a bright main color.
4
Drag to create a stroke in the document, or click individual tiles.
Colored, tessellated tiles appear beneath your stroke.

Once you have a tessellation, you can use Make Mosaic from the Canvas menu to paint on the tiles.

•
You can also base the color on the color in a clone source if you enable Clone Color on the Colors palette.

Advanced Settings for Tessellations

 Back to Top

The following commands for tessellations are available from the Options pop-up menu in the Make Mosaic dialog box:

•
The Reset Mosaic command removes all tiles from the document, leaving only the grout color.
•
The Re-render Mosaic command re-creates the mosaic from the grout color and the tile object information.
•
The Render Tiles Into Mask command places the tile shapes in a new channel.

The other mosaic commands are for creating tiles and do not apply to tessellations.


Using Shapes

Shapes are vector-based objects that you can draw, modify, and fill. Shapes can be open or closed. They can be simple lines, curves, or text outlines. You can create and edit shapes with the precision of a drawing program and integrate them with the Natural-Media environment in Corel Painter.

An image created with shapes.

In this chapter, you’ll learn how to create shapes and set their stroke and fill attributes. You’ll learn how to modify shapes, edit their outlines, and convert them to pixel-based layers.

See Also

•
Getting Started with Shapes
•
Creating Shapes
•
Editing Shapes
•
Transforming Shapes
•
Combining Shapes
•
Saving and Exporting Shapes


Getting Started with Shapes

On this page, you will find information about

•
Understanding Shapes as Layers
•
Working with Bézier Lines

In Corel Painter, you work mainly with bitmaps, or raster images. Bitmaps are composed of tiny squares called pixels; each pixel is mapped to a location in an image and has a numerical color value. The location and color value data are stored as bits — hence, the name bitmaps.

Shapes are vector objects, and you can work with them in Corel Painter in much the same way you work with vector objects in drawing programs like CorelDRAW and Adobe Illustrator. Vector graphics are made up of lines, curves, objects, and fills that are all calculated mathematically.

Corel Painter draws shapes in an anti-aliased fashion. This anti-aliasing gives objects a smooth edge, as opposed to the jagged edges apparent in some drawing programs. Some clipart objects actually look like photographic elements when they are imported into Corel Painter and displayed with anti-aliasing.

Anti-aliased shapes are typically slower to appear on the screen in Corel Painter than are aliased objects in drawing programs, so you may want to use your drawing program for most of your object creation. You can then import the vector artwork into Corel Painter, tweak it with the drawing tools, and add some Natural-Media effects.

Shapes in Corel Painter can be interleaved with pixel-based layers, so you can layer both styles of artwork in a single composition. You can convert vector objects and groups into pixel-based layers and use any of the effects or painting tools on these floating objects to create Natural-Media artwork.

You can also convert shapes to selections and vice versa. The tools for adjusting shapes allow precise control over the outline path, so you may want to use shapes to create some of your selection paths. For more information about selections, refer to "Selections".

Understanding Shapes as Layers

 Back to Top

In Corel Painter, shapes are implemented as layers. When you create a shape, a new layer is added to your document. The shapes you create are listed on the Layers palette. Many of the options and controls for working with pixel-based layers apply equally to shapes. For example, you can apply effects to shapes or give them a composite method to control how the shape interacts with the underlying image.

Shapes follow the same layering rules as pixel-based layers, and you can manipulate them in many of the same ways. Shapes differ from pixel-based layers by the type of data they contain. Shapes are vector objects; pixel-based layers are constructed of pixels.

If you want to work with pixel information in a shape, you can convert the shape to a pixel-based layer. In many cases, Corel Painter will do this for you automatically. For example, if you want to apply a fill to a shape, Corel Painter asks if you want to commit the shape to an image layer. You can also deliberately convert a shape or group of shapes to a pixel-based layer.

For more information about layers, refer to "Layers".

To convert a shape to a pixel-based layer

1
Choose the Shape Selection tool [image] in the toolbox.
2
Click the shape to select it.
3
Do one of the following:
•
Choose Shapes menu [image] Convert To Layer.
•
Click the Convert To Layer button [image] on the property bar.
•
On the Layers palette, click the shape’s layer, click the palette menu arrow, and choose Convert To Default Layer.
•
You can paint a shape, but you must first convert the shape to a pixel-based layer. For more information, see "Painting Shapes".

Working with Bézier Lines

 Back to Top

The paths used to create shapes are known as Bézier lines. They can be straight or curved, and they consist of anchor points connected by line segments.

When the path is a curve, “wings” extend from the anchor points. The wings are represented by a straight line and are tangent to the curve. The wings have control “handles” on them. By dragging the wing handle, you can change the curvature of the line segment.

Paths can be modified by using anchor points and wing handles.

Shapes can be open (with endpoints) or closed (without endpoints).

Open paths contain endpoints; closed paths do not.

Anchor points can be either smooth or corner points. A smooth point allows you to manipulate the segments on both sides of an anchor point by dragging a handle. A corner point restricts the manipulation of the segments to the one side of the anchor point that has a handle. For information about converting smooth or corner anchor points, see "To convert a smooth or corner point".

An anchor point can be a smooth point (top) or a corner point (bottom).


Creating Shapes

On this page, you will find information about

•
Using Shape Object Tools
•
Using the Pen Tool
•
Using the Quick Curve Tool
•
Converting Selections to Shapes
•
Acquiring Shapes from Adobe Illustrator
•
Setting Shape Attributes

You can create shapes in the following ways:

•
by using the Pen, Quick Curve, Rectangular Shape, Oval Shape, or Text tool
•
by converting a selection path to a shape
•
by acquiring an Adobe Illustrator file (File menu [image] Acquire)
•
by pasting an Adobe Illustrator object from the Clipboard

As you create shapes, Corel Painter gives them default attributes for stroke and fill. For instructions on setting the default shape attributes, refer to "Shapes Preferences" and "Setting Shape Attributes".

The shape manipulation tools are in the toolbox. By holding down Command (Mac OS) or Ctrl (Windows), you can toggle between the Shape Selection tool and any of the shape design and editing tools. Toggling makes it convenient to quickly select a wing handle or anchor point before editing it.

Using Shape Object Tools

 Back to Top

You can create shapes by using the Rectangular Shape tool or Oval Shape tool.

Shapes created with the Rectangular Shape tool and Oval Shape tool.

To create a rectangle or an oval

1
Choose the Rectangular Shape tool or the Oval Shape tool [image] in the toolbox.
2
On the property bar, set any of the following attributes:
•
the Stroke check box, when enabled, lets you create a shape with a stroke, or an outline.
•
the Stroke Color pop-up menu lets you choose a stroke color if the Stroke check box is enabled.
•
the Fill check box, when enabled, lets you create a shape with a fill.
•
the Fill Color pop-up menu lets you choose a color for the fill if the Fill check box is enabled.
3
Drag in the document window.
•
If you want to create a perfect square or circle, hold down Shift while you drag.
•
The property bar and the Info palette display information about the shape. To display the Info palette, choose Window menu [image] Show Info.

Using the Pen Tool

Back to Top

The Pen tool lets you use Bézier lines to create shapes. You can use the Pen tool to draw straight lines or smooth, flowing curves, and you can create shapes containing any combination of straight and curved lines.

You can easily adjust shapes after you create them. For more information, refer to "Editing Shapes". You can also convert between smooth and corner points. For more information, refer to "Adjusting Curvature".

Clicking creates anchor points connected by straight line segments.

Dragging curves the segments between points.

To draw a Pen tool shape

1
Choose the Pen tool [image] in the toolbox.
2
In the document window, click where you want to begin.
3
Do one of the following:
•
To make a straight line segment, click where you want to end the segment. Corel Painter draws a straight line between the two anchor points.

Shapes created with straight line segments.

•
To make a curved line segment, drag to create a new anchor point and wing. The angle and length of the wing determine the curvature of the path. The farther you drag, the longer the wing and the deeper the curve.

Shapes created with curved line segments.

4
Repeat step 3 as often as necessary, combining straight and curved segments until you have the shape you want.
5
Finish the shape by doing one of the following:
•
Close the shape by clicking or dragging the first anchor point.
•
Close the shape by clicking the Close Shape button [image] on the property bar.
•
Hold down Command (Mac OS) or Ctrl (Windows) to temporarily access the Shape Selection tool, and click outside the shape to deselect it.
•
You can constrain the placement of the points by snapping to the grid. For information about displaying and snapping to the grid, refer to "Using the Grid".
•
Each click or drag adds to the path. If you unintentionally add to the path, press Delete (Mac OS) or Backspace (Windows) to remove the last anchor point.

To add to an open shape path

1
Click an endpoint with the Pen tool.
2
Click or drag where you want to add an anchor point.
•
You can add to a path from an endpoint only. You cannot add to a closed path, or to the middle of an open path.
•
You can also select an endpoint by holding down Command (Mac OS) or Ctrl (Windows) and clicking the endpoint or dragging a marquee over it.

Using the Quick Curve Tool

Back to Top

The Quick Curve tool allows you to create Bézier curves by drawing freehand lines, as if you were drawing with a pen or pencil.

To draw a freehand shape

1
Choose the Quick Curve tool [image] in the toolbox.
2
Click where you want to start the shape or line, and drag.
As you drag, a dotted line appears. When you stop dragging, the Quick Curve shape appears.
If you want to close the shape, finish at the same point where you began.
•
You can add to either endpoint of a Quick Curve shape by selecting the endpoint and dragging out from it. To select an endpoint, hold down Command (Mac OS) or Ctrl (Windows), and click the endpoint or drag over it.

Draw freehand shapes with the Quick Curve tool.

Converting Selections to Shapes

 Back to Top

Converting a selection to a shape enables you to edit the contour by using the Shape Edit tools. When you are satisfied with the contour, you can convert the shape outline back to a selection. For more information, refer to "To convert a shape to a selection".

If you are simply scaling, rotating, or skewing a selection path, use the Selection Adjuster tool. If you must edit the profile of the curve, convert the selection to a shape.

Working from a selection path also lets you create shapes based on regions of the image. For example, if you used the Magic Wand tool to select a region of common color, you could convert the Magic Wand selection path to a shape. When the selection is pixel-based, Corel Painter may create multiple shapes.

You can convert a selection to a shape.

To convert a selection to a shape

1
Do one of the following:
•
Create a selection in the image.
•
From the Selection Portfolio palette, drag a selection to the document window.
2
Choose Select menu [image] Convert To Shape.
Corel Painter converts the selection to a shape, giving it the default shape attributes. The new shape appears on the Layers palette.
•
For best results, the selection should be path-based. If the selection is pixel-based, from the menu bar choose Select [image] Transform Selection to convert it to a path-based selection.

Acquiring Shapes from Adobe Illustrator

 Back to Top

You may want to work with shapes you’ve created in Adobe Illustrator. Corel Painter lets you import the shape contents of files in Illustrator EPS format.

Some Adobe Illustrator file options are not supported by Corel Painter. Patterns, placed images, gradients, masks, and text cannot be interpreted. If the file contains text, you must convert the text to outlines.

Corel Painter also supports PostScript on the Clipboard when you paste content into a Corel Painter document. This convention allows applications to exchange high-quality vector PostScript information. With PostScript on the Clipboard, you can copy from Illustrator and paste into Corel Painter when both applications are running. Corel Painter imports PostScript content from the Clipboard, but exports only pixel-based layers and selections.

To acquire shapes from Adobe Illustrator

1
In Corel Painter, choose File menu [image] Acquire [image] Adobe Illustrator File.
2
In the Adobe Illustrator File dialog box, select the Adobe Illustrator file, and click Open.

To convert text in Adobe Illustrator

1
In Adobe Illustrator, select the text using a selection tool.
2
Choose Type menu [image] Create Outlines.

Setting Shape Attributes

Back to Top

When you apply a stroke, also known as an outline, to a shape, you can choose the color, opacity, and width of the path outlining the shape. You can also control the way line ends are drawn and joined. In addition, you can apply a fill to a shape by coloring the area enclosed by the stroke. When you fill a shape, you can choose the color and opacity of the fill.

Stroke and fill attributes apply to both open and closed shapes. Before filling an open shape, Corel Painter closes the shape by connecting the endpoints with a straight line.

The Flatness attribute controls how many straight lines the program uses to approximate a curve when printing. PostScript output devices create curved lines by linking a series of short, straight lines that progress in angle. The smaller the flatness setting, the greater the number of straight lines, and the more accurate the curve.

You can also change the default shape attributes. For more information, refer to "Shapes Preferences". In addition, you can paint a shape after the shape has been committed to a pixel-based image layer.

To set shape stroke attributes

1
With the Shape Selection tool [image], click a shape whose stroke attributes you want to change, and press Return (Mac OS) or Enter (Windows).
You can select multiple shapes by holding down Shift while clicking the shapes.
2
In the Set Shape Attributes dialog box, enable the Stroke check box to apply an outline to the selected shape.
To remove the stroke, disable the check box.
3
Double-click the chip, choose a color from the Colors dialog box, and click OK.
4
Adjust the Opacity and Width sliders to control the opacity and width of the stroke.
5
Click one of the following Line Cap icons to control the endpoints of open shapes.
Choose Projecting [image], Round [image], or Butt [image].
6
Click one of the following Line Join icons to determine how corners are created when two segments meet.
Choose Miter [image], Round [image], or Bevel [image].
7
Adjust the Miter Limit slider.
When lines are joined at a sharp angle, a sharp corner is created. You can set the miter limit to smooth out the sharpness.
8
Click Set New Shape Attributes.
•
You can also specify the Stroke, Stroke Color, Fill, and Fill Color attributes on the property bar when you select a shape with the Shape Selection tool.

To set shape fill attributes

1
With the Shape Selection tool [image], click a shape whose fill attributes you want to change, and press Return (Mac OS) or Enter (Windows).
You can select multiple shapes by holding down Shift while clicking the shapes.
2
In the Set Shape Attributes dialog box, enable the Fill check box to apply a stroke to the selected shape.
To remove the fill, disable the check box.
3
Double-click the chip, choose a color from the Color dialog box, and click OK.
4
Adjust the Opacity slider to control the opacity of the fill.
5
Click one of the following icons:
•
Fill Overlaps [image] to fill overlapping areas of multiple shapes.
•
Don’t Fill Overlaps [image] to leave overlapping areas unfilled. Multiple overlaps alternate between filled and not filled.
6
Click Set New Shape Attributes.
•
You can also specify some fill and fill color attributes on the property bar when you select a shape with the Layer Adjuster [image] or Shape Selection tool.
•
You can also use the Effects menu [image] Fill command or the Paint Bucket tool [image] to fill a shape. Because these methods apply pixel data to the region, Corel Painter first converts the shape to a pixel-based layer. For more information, refer to "Filling an Area with Media".

To set shape flatness

1
With the Shape Selection tool [image], click a shape whose flatness you want to change, and press Return (Mac OS) or Enter (Windows).
You can select multiple shapes by holding down Shift while clicking the shapes.
2
In the Set Shape Attributes dialog box, adjust the Flatness slider.
3
Click Set New Shape Attributes.
•
Usually, it is not necessary to change the flatness setting. You may want to change it to adjust for a particular high resolution printer or to avoid a PostScript limitcheck error. Check with your output service to find out if they have a recommended flatness setting.
•
A change in flatness appears only in your output, not on your screen.


Editing Shapes

On this page, you will find information about

•
Selecting a Shape
•
Adding, Deleting, and Moving Anchor Points
•
Adjusting Curvature
•
Cutting and Joining Shape Segments

Corel Painter provides five tools for editing shapes. As you work, you’ll switch tools based on the type of changes you’re going to make. From any other editing tool, you can toggle to the Shape Selection tool by pressing Command (Mac OS) or Ctrl (Windows).

Shape Selection drags anchor points and control handles.

Scissors cuts the segment at the point you click.

Add Point adds an anchor point where you click on the curve.

Remove Point deletes the anchor point you click.

Convert Point changes anchor points from corner points into smooth points and vice versa.

Selecting a Shape

 Back to Top

If you don’t see the shape’s outline path, you’ll want to select the shape — to display the path and anchor points — before proceeding. It is easier to work when you can see the path and points. For information about selecting shapes as layers, refer to "Selecting Layers".

To select shapes

To | Do the following
Select a shape | With the Shape Selection tool [image] , click a shape.
Select multiple shapes | Hold down Shift, and click the shapes with the Shape Selection tool.

•
If you are using the Layer Adjuster tool, you can double-click a shape to switch to the Shape Selection tool and select the shape.

Adding, Deleting, and Moving Anchor Points

 Back to Top

You can add anchor points to create new vertices or curves. You can delete anchor points to change the shape of the path or to smooth a contour that has unnecessary points. This might occur when you draw with the Quick Curve tool or create a shape from a selection.

You can move one or several anchor points by dragging. You can also move one or several points by averaging, which moves two or more anchor points with respect to each other.

Averaging is useful when you need to join the endpoint of one curve to the endpoint of another. Averaging the endpoints in both directions brings them precisely on top of each other. Now, when you join the endpoints, Corel Painter merges them to a single point, through which the path continues. If you don’t average points that are near each other, Corel Painter joins them with a segment.

To add or delete an anchor point

•
With the Shape Selection tool [image], select a shape.

To | Do the following
Add an anchor point | Choose the Add Point tool [image] in the toolbox, and click where you want to add the point.
Delete an anchor point | Choose the Remove Point tool [image] in the toolbox, and click the anchor point you want to delete. The anchor point is deleted, but the path remains connected.

Use the Add Point tool to add anchor points to the path.

Use the Remove Point tool to delete anchor points.

To move anchor points

1
Choose the Shape Selection tool from the toolbox [image].
2
Click an anchor point to select it, or marquee select a point by dragging over it.
If you want to select several points, marquee select them by dragging over them. All anchor points within the marquee are selected, including those from other shapes.
If you want to add to the selection, hold down Shift and select more points.
3
Drag the point to a new location.
If you have selected several points, dragging one moves them all.

Drag an anchor point to move it.

To average anchor points

1
With the Shape Selection tool, select the anchor points you want to average.
It is often easiest to drag a marquee around the points you want.
2
Choose Shapes menu [image] Average Points.
3
In the Average Points dialog box, enable an option to determine the axis for the averaging.

Adjusting Curvature

 Back to Top

The angle and length of the wing determine the curvature of the segments on either side of the anchor point. The longer the wing, the deeper the curve.

The result of moving a wing depends on whether the anchor point is defined as a smooth point or a corner point. Two connecting curves (or straight lines) share one anchor point, which can be a smooth or corner point. The wings on smooth and corner points behave differently.

When you drag the handle on one wing of a smooth point, the curves on both sides of the point change. With a smooth point, you adjust the angle of the wings concurrently.

A corner point is converted to a smooth point.

When you drag the handle on one wing of a corner point, only the curve on that side of the point changes. With a corner point, you can adjust the angle of the wings independently.

To adjust a curve

1
Choose the Shape Selection tool from the toolbox [image].
2
Click a shape to select it.
If an anchor point’s wings are not displayed, drag over the anchor point to display them.
3
Drag a wing handle to set the curve you want.
•
You can also adjust a curve by dragging a line segment with the Shape Selection tool.

Use the Shape Selection tool to drag a wing handle.

To convert a smooth or corner point

1
With the Shape Selection tool [image], select an anchor point.
If the anchor point’s wings are not displayed, drag over the anchor point to display them.
2
Choose the Convert Point tool from the toolbox [image].
3
Click one of the anchor point’s wing handles.
•
After converting a point, you must use the Shape Selection tool for further adjustments. If you try to adjust an anchor point with the Convert Point tool, the anchor point will be converted again.

Cutting and Joining Shape Segments

 Back to Top

You may want to open a shape so that you can add new curves or connect another open shape. You can do this with the Scissors tool. You can also connect any two endpoints — of the same shape or of different shapes. This lets you close an open shape or attach one shape to another.

To cut a shape

1
Choose the Scissors tool from the toolbox [image].
2
Click where you want to split the shape (you cannot click an endpoint).
The hot spot of the Scissors tool is where the blades cross. Position the cross on the line.
The scissors snap closed momentarily, and two new anchor points are created.

The Scissors tool opens and closes to cut the path.

3
Choose the Shape Selection tool from the toolbox, and drag the new anchor points or segments.
The new anchor points are on top of each other, and both are selected. If you try to drag one of the new anchor points with the Shape Selection tool and both move, deselect them, then drag one point away.

Once a path is cut, it can be moved.

To join endpoints

1
Choose the Shape Selection tool from the toolbox [image].
2
Select the two anchor points you want to join.
You can do this either by marquee selecting both points, or by clicking the first point and then holding down Shift and clicking the second point.
3
Choose Shapes menu [image] Join Endpoints.
A straight line is created between the two points.

Use the Shape Selection tool to select two endpoints.

Use the Join Endpoints command to connect two endpoints.


Transforming Shapes

On this page, you will find information about

•
Resizing Shapes
•
Rotating Shapes
•
Skewing and Distorting Shapes
•
Flipping Shapes
•
Duplicating Shapes
•
Painting Shapes

Corel Painter lets you manipulate and modify shapes in a number of ways. You can resize, rotate, or skew shapes. You can also create shape duplicates and groups. Before you can work with a shape, you must select it. For more information, see "To select shapes".

Resizing Shapes

 Back to Top

You can resize a shape or group of shapes by directly manipulating the objects with the Layer Adjuster tool or by using the Scale command.

To resize a shape

1
Choose the Layer Adjuster tool [image] from the toolbox.
2
Select the shape or group you want to resize.
A selection rectangle appears around the shapes. The rectangle has a handle on each corner and side.
3
Drag one of the handles to resize the selected shape.
To resize in one dimension, drag one of the side handles. To resize in both dimensions, drag one of the corner handles.
•
You can maintain the proportions by holding down Shift as you drag.
•
You can also choose Effects menu [image] Orientation [image] Scale to increase or decrease size by a fixed percentage. For more information, refer to "Scaling Images".

Resizing a shape.

Rotating Shapes

 Back to Top

You can rotate a shape or group of shapes by directly manipulating the objects with the Layer Adjuster tool or by using the Rotate command. For more information on the Rotate command, refer to "Rotating Images".

To rotate a shape

1
Choose the Layer Adjuster tool [image] from the toolbox.
2
Select the shape or group you want to rotate.
A selection rectangle appears around the shapes. The rectangle has a handle on each corner and side.
3
Choose Effects menu [image] Orientation [image] Rotate.
4
In the Rotate Selection dialog box, specify a number of degrees.
This command works for both shapes and pixel-based layers.
•
You can also rotate a shape by holding down Command (Mac OS) or Ctrl (Windows) and dragging a corner handle.

Rotating a group of shapes.

Skewing and Distorting Shapes

 Back to Top

You can skew a single shape or a group of shapes. When you skew a shape, you drag a middle selection handle to give the shape a unique slant.

You can also distort a layer, regardless of whether it consists of a pixel-based bitmap or a vector shape. When you distort a shape or group of shapes, a box with eight selection handles appears, and you can drag any handle to create an interesting effect.

To skew a shape

1
Choose the Layer Adjuster tool [image] from the toolbox.
2
Select the shape or group you want to skew.
3
Hold down Command (Mac OS) or Ctrl (Windows), and drag a middle handle.

A rectangle (upper left) is skewed by dragging a side middle handle (upper right) and by dragging the top middle handle (bottom).

To distort a shape

1
Select a shape.
2
Choose Effects menu [image] Orientation [image] Distort.
3
With the Distort Selection dialog box open, drag the selection handles in the document window.

Distorting a shape.

Flipping Shapes

 Back to Top

You can flip a shape horizontally or vertically.

To flip a shape

1
Select a shape.
2
Choose one of the following:
•
Effects menu [image] Orientation [image] Flip Horizontal
•
Effects menu [image] Orientation [image] Flip Vertical
•
You can also flip a shape by first selecting it with the Layer Adjuster tool [image]. Then, to flip horizontally, drag a top or bottom handle past the opposite handle. To flip vertically, drag a side handle past the opposite handle.

Duplicating Shapes

 Back to Top

Duplicating creates an identical copy of the selected shape. Corel Painter also lets you duplicate shapes by using compound transformations. Transformed duplicates are created according to the options you set.

To duplicate a shape

1
Choose the Layer Adjuster tool [image] from the toolbox.
2
Hold down Option (Mac OS) or Alt (Windows), and or drag across the shape.

To change duplication settings

1
Choose Shapes menu [image] Set Duplicate Transform.
2
In the Set Duplicate Transform dialog box, specify any of the following settings:
•
Translation controls where Corel Painter creates duplicate shapes in relation to the original. The offset values are in pixels. When H. Offset and V. Offset are both zero, the duplicate is created precisely on top of the original. If both values are 100, the duplicate appears 100 pixels lower and 100 pixels to the right. Negative values offset the duplicate up and to the left, respectively.
•
Scaling controls the size of duplicates in relation to the original. The scale values are percentages.
•
Constrain Aspect Ratio maintains the aspect ratio of the shape. If you want to create distorted duplicates, disable this option and specify different percentages for horizontal and vertical scaling.
•
Rotation lets you specify a number of degrees to rotate duplicates. Positive values rotate counterclockwise, and negative values rotate clockwise.
•
Slant controls the degree of slant applied to duplicates. Positive values slant duplicates to the right. Negative values slant them to the left. Slant accepts values between –90° and 90°. However, as values approach the extremes, the duplicate shape becomes a streak.

To create a transformed duplicate

1
Select the shape you want to transform.
2
Choose Shapes menu [image] Duplicate.
Corel Painter creates a duplicate shape according to the specifications you’ve set.
This duplicate is now the selected shape. You can choose the Duplicate command again, or press Command + ] (Mac OS) or Ctrl + ] (Windows), to repeat the transformation on the new shape.

The oval shape was duplicated by using rotation only (left). The number 5 shape was duplicated by using translation, scaling, and rotation (right).

Painting Shapes

 Back to Top

You can paint on a shape, but you must commit it to a pixel-based layer. Once you commit the shape, you cannot re-access the shape’s vector controls.

To paint a shape

1
Choose a brush category and variant from the Brush Selector bar.
You cannot use Watercolor or Liquid Ink brushes to paint a shape.
2
Click the shape on the Layers palette.
3
Click the palette menu arrow, and choose Convert To Default Layer.
The shape is committed to a pixel-based layer.
4
Enable the Preserve Transparency check box on the Layers palette.
5
Paint on the shape.
•
After a shape has been committed to an image layer, none of the shape-specific editing features are available. To modify the content of a new, pixel-based image layer, see "Editing Layers".
•
You cannot paint on a shape using Watercolor brushes or Liquid Ink brushes, because they automatically create their own special layers.


Combining Shapes

On this page, you will find information about

•
Grouping Shapes
•
Creating Compound Shapes
•
Blending Shapes

You can combine shapes in various ways to achieve particular results. You can group shapes so that you can manipulate several at the same time. You can also compound two or more shapes to create a single shape. You can also blend single shapes or groups of shapes, so that they appear to be one shape morphing into another.

Grouping Shapes

 Back to Top

Shapes can be grouped, allowing you to manipulate multiple shapes as a single unit. Shapes are created on layers, so you can group them in the same way you group layers.

You cannot scale, rotate, flip, or distort groups that contain a mixture of pixel-based layers and shapes. You must manipulate these two types of entities independently before you group them. For more information about grouping, refer to "Viewing Layer Position".

Creating Compound Shapes

 Back to Top

In a compound shape, two shapes are combined into a single shape. The resulting shape takes on the attributes of the shape on the topmost layer. If the shape is filled, any overlapping areas are not filled. Compound shapes can be used to cut a void in one shape using another shape. You can release a compound shape, which reverts it to the original shapes.

The rectangle and the oval are combined to create a compound shape.

To create a compound shape

1
Choose the Shape Selection tool [image], hold down Shift and select both shapes, or drag over the shapes to marquee select them.
2
Choose Shapes menu [image] Make Compound.
•
You can combine a shape with a compound shape to create a nested compound shape.

The resulting compound shape can itself be used again to create another compound shape.

To release a compound shape

1
Select a compound shape.
2
Choose Shapes menu [image] Release Compound.

Blending Shapes

 Back to Top

Blending creates intermediate shapes between two or more selected shapes, which is useful for morphing one shape into another. It is also used to simulate shading on irregular shapes. Blending applies to stroke and fill attributes as well as to the shape size.

You can blend a shape group with another group, but you can’t blend a single shape with a group.

Blending groups with other groups offers interesting effects, especially if the groups are blends themselves.

The small circle is blended with the large circle to create a shading effect.

To blend shapes

1
Position the shapes you want to blend.
2
On the Layers palette, arrange the shape layers.
Blends will progress from lower to higher layers.
3
Choose the Shape Selection tool from the toolbox [image].
4
Hold down Shift, and select the shapes you want to blend.
5
Choose Shapes menu [image] Blend.
6
In the Blend dialog box, type a value in the Number of Steps box to control how many intermediate shapes are created.
7
Enable one of the following ramp type options:
•
Equal — Blend shapes are evenly spaced.
•
Decrease toward end — Spacing starts wide and decreases toward the end of the blend.
•
Increase toward end — Spacing starts small and increases toward the end of the blend.
•
Increase toward/from middle — Spacing is wide in the middle and decreases toward both ends.
8
Choose one of the following Color Space options:
•
RGB to progress color directly over the course of the blend.
•
Hue CW to progress color clockwise in the color wheel to reach the destination color.
•
Hue CCW to progress color counterclockwise in the color wheel to reach the destination color.
9
Type a value between 0.01 and 100 in the Perspective Factor box to control the spacing of intermediate shapes.
With a Perspective Factor of 1.0, the shapes are spaced evenly. With a Perspective Factor of less than 1.0, shapes are closer at the beginning of the blend and farther apart at the end of the blend. With a Perspective Factor greater than 1.0, shapes are farther apart at the beginning of the blend and closer at the end of the blend.
10
Enable any of the following check boxes:
•
Arc Length Matching to blend shapes containing a different number of anchor points.
•
Align Shape Start Points to base the orientation of intermediate shapes on the orientation of the start and end shapes. When disabled, Corel Painter bases the orientation of intermediate shapes on the starting point (first anchor point) of the start and end shapes. This can create a “tumbling” appearance in the intermediate shapes.

Clockwise from the top left picture: Two shapes with no blending; blending with a perspective factor of 1.0; blending with a perspective factor of 4.0; and blending with a perspective factor of 0.1.


Saving and Exporting Shapes

On this page, you will find information about

•
Saving Shapes
•
Exporting Shapes to Adobe Illustrator

You can save the outline of a shape as a selection, and then convert the selection back to a shape. You can also export shape data to the Adobe Illustrator (AI) format.

Saving Shapes

 Back to Top

Corel Painter doesn’t have a shapes library. However, because of the close relationship between shape outlines and selection paths, you can save shape outlines in the Selection Portfolio as selections. Then, you can easily convert the saved selection to a shape. For more information about using the Selection Portfolio, see "Using the Selection Portfolio". For information about converting selections to shapes, see "To convert a selection to a shape".

When you save files in the RIFF format, Corel Painter maintains shapes as vector objects on separate layers. In other formats, shapes merge with the canvas. In the Photoshop (PSD) format, shapes are converted to bitmaps and assigned to appropriate layers.

Exporting Shapes to Adobe Illustrator

 Back to Top

Exporting to the AI format saves only the shapes, not the canvas or any other layers in the document. Transparency and compositing methods are lost when shape data is exported to the AI format.

To export shapes to Adobe Illustrator

1
Choose File menu [image] Export [image] Adobe Illustrator File.
2
In the Export as Illustrator File dialog box, specify a location and filename, and click Save.


Working with Text

Corel Painter lets you position and manipulate editable text on your image.

See Also

•
Understanding the Text Layer
•
Creating and Formatting Text
•
Applying Effects to Text
•
Converting and Dropping Text


Understanding the Text Layer

On this page, you will find information about

•
Accessing Text Options

A text layer holds a single text block. When you create a new text layer with the text tool, that layer becomes visible on the Layers palette, and is represented by a T icon. With the text on a separate layer, you can work with your image without changing any text attributes. You can select the text layer and edit it at any time. Your text remains fully editable until you drop it onto the canvas. For more information, see "Dropping Text".

Accessing Text Options

 Back to Top

You can edit text using controls on the Text palette. The Text palette is not displayed by default. The most commonly used options are also available on the property bar when the Text tool is selected in the toolbox.

To display the Text palette

1
Choose Window [image] Show Text.
•
You can adjust many text elements on the property bar when the Text tool [image] is selected.


Creating and Formatting Text

On this page, you will find information about

•
Adding Text
•
Changing the Font, Point Size, and Color of Text
•
Aligning Text
•
Kerning and Leading

The Text tool property bar contains basic controls for setting text appearance and flow. You can change the font, size, and position and adjust the spacing between letters or lines. You can also perform these tasks from the Text palette, where you’ll find additional text controls.

Adding Text

 Back to Top

You can add text to images and change text properties. You can specify text properties using the property bar or Text palette either before or after you type in the document window. For more information about changing text properties, see "Creating and Formatting Text" and "Applying Effects to Text".

To add text to an image

1
Choose the Text tool [image] from the toolbox.
2
Click anywhere in the document window, and type.
•
You can adjust many text elements on the property bar when the Text tool is selected, or on the Text palette.

Changing the Font, Point Size, and Color of Text

 Back to Top

You can change the font and point size of text by selecting a text layer on the Layers palette and then setting options on the property bar or on the Text palette. You can also fill your text with color from the Colors palette.

To change the font, point size, and color of text

1
Choose the Text tool [image] from the toolbox.
2
On the Layers palette, select a text layer.

To | Do the following
Choose a font | On the property bar, choose a font from the Font pop-up menu.
Choose a point size | On the property bar, choose or type a point size in the Point Size box.
Choose a color | Choose a color from the Colors palette.

•
To display a list of all available fonts, choose Other Fonts from the Font pop-up menu.
•
You can also choose a font, point size, and color before you type any text.
•
You can adjust many text elements on the Text palette, or on the property bar with the Text tool selected.

Aligning Text

 Back to Top

A text block can be aligned to the left, right, or center. The text baseline origin is used as the reference point for the text alignment. You can specify alignment on the Text palette.

To align text

1
Choose the Text tool [image] from the toolbox.
2
On the Layers palette, select a text layer.
3
On the property bar, enable one of the following buttons:
•
Align Left
•
Align Center
•
Align Right
•
You can also align text by choosing the Layer Adjuster tool [image] from the toolbox, clicking the text on the canvas, and clicking one of the alignment buttons on the Text palette.

Kerning and Leading

 Back to Top

Kerning refers to adjusting the amount of space between letters. Corel Painter does this automatically with most fonts. However, you can fine-tune the spacing with the Tracking slider.

Leading refers to the amount of space between lines of text. You may want to change the Leading from the default. The default spacing between lines is set at 100%.

To kern text and adjust leading

To | Do the following
Adjust the space between letters | On the Text palette, adjust the Tracking slider [image] . Drag left to decrease letter spacing or right to increase it.
Adjust the space between lines of text | On the Text palette, adjust the Leading slider [image] . Drag to the right to increase space between lines or to the left to decrease it.


Applying Effects to Text

On this page, you will find information about

•
Stretching, Rotating, and Skewing Text
•
Adding and Adjusting Shadows
•
Setting Opacity
•
Adding a Blur
•
Changing the Curve of Text and Centering on Baseline

Before you drop a layer, you can apply any of the effects available on the Text palette. You can stretch, rotate, and skew text. You can apply a shadow to your text and adjust shadow attributes.

You can change the composite method for text or the shadow of a selected text layer by making a choice from the pop-up menu on the Text palette. You can specify whether you’re modifying the composite method for the text body or the drop shadow. Refer to "Blending Layers by Using Composite Methods" for more information about changing the composite method.

Stretching, Rotating, and Skewing Text

 Back to Top

Stretching text affects both the horizontal and vertical size. As you stretch vertically, the text appears thinner and taller. As you stretch horizontally, the text appears flatter and shorter.

Rotating pivots the text from the end point of the text block. Depending on the alignment of the text, it pivots from the lower-left corner, lower-right corner, or center. You can also skew the text by slanting the text to the right or left.

Rotated text (right).

To stretch, rotate, or skew text

1
Select text using the Layer Adjuster tool [image].
2
Choose a task from the following table:

To | Do the following
Stretch text | Drag a handle in the direction you want to stretch the text.
Rotate text | Hold down Command (Mac OS) or Ctrl (Windows), and drag one of the corner handles.
Skew text | Hold down Command (Mac OS) or Ctrl (Windows), and drag one of the center handles on either side of the text.

•
If the bounding box is not shown, click the Layers palette menu arrow and choose Show Layer Indicators.

Adding and Adjusting Shadows

 Back to Top

You can apply a shadow to text and adjust the shadow position. You can select an external shadow, which places the shadow behind the text, or an internal shadow, which places the shadow inside the text.

To add a shadow

1
Choose the Text tool [image] from the toolbox.
2
On the Layers palette, select a text layer.
3
On the property bar, enable one of the following buttons:
•
External Shadow [image] makes your letters look as though they’re casting a shadow onto a sheet of paper held beneath them.
•
Internal Shadow [image] makes your letters look like cutouts held above a sheet of paper that is the same color as the text.
•
No Shadow [image] removes a shadow.
•
You can also add a shadow by choosing one of the shadow buttons on the Text palette.

To move the shadow

•
Select the Layer Adjuster tool [image], and drag the shadow to where you want it.

Setting Opacity

 Back to Top

Opacity controls the transparency of text or shadows. Your text’s shadow should be semitransparent. You can also use opacity to fade the color of text.

To adjust opacity

1
On the Text palette, click one of the following buttons:
•
Shadow Attributes [image] — to adjust the text’s shadow opacity
•
Text Attributes [image] — to adjust the color of text
2
On the Text palette, move the Opacity slider [image] to the left to increase transparency or to the right to increase opacity.

Adding a Blur

 Back to Top

You can add either a focus blur or a directional blur to text and shadows. Focus blurs make text fuzzy. You can use the focus blur to soften the edges of text characters. With directional blurs, you can specify the direction in which the blur occurs.

To add a blur

1
On the Layers palette, select the Text layer or the Shadow layer.
2
On the Text palette, click either the Text Attributes [image] or the Shadow Attributes [image] button.
3
Adjust the Blur slider [image].
If you want to apply a directional blur, enable the Directional check box, and adjust the Directional Blur slider [image].
The first half of the slider adds a left-to-right blur on the text; the second half adds an up-and-down blur.

Changing the Curve of Text and Centering on Baseline

 Back to Top

You can define a curve style and path (baseline) along which your text will flow. The baseline created by a curve style is a Bézier curve, meaning that the shape can be controlled by using control handles and anchor points. Refer to "Working with Bézier Lines" for more information on working with anchor points and control handles.

There are four curve styles to choose from:

Curve Style | Example
The Curve Flat style flows along a straight line. |
The Curve Ribbon style flows the text along a curve and keeps the letters in an upright position. When you apply the Curve Ribbon style, you can use the Shift key and the Rotate tool to control how the text moves around the baseline. |
The Curve Perpendicular style places the text along the curve, with each letter perpendicular to the curve. |
The Curve Stretch style actually changes the shape of the letters to fill in the space that would be left when the curve bends. For example, if text is set on a circular path, Corel Painter makes the tops of the letters heavier and thicker to fill in space. |

You can control how the text is centered on the line. You can move the center point by dragging on the slider or by changing the alignment. Dragging the Centering slider also changes where the text starts and stops on a line. The Centering slider has no effect on the Curve Flat style. Once you apply a curve style, you can change the curve of the path.

To set a curve style and change centering

1
Choose the Text tool [image] from the toolbox.
2
On the Layers palette, select a text layer.
3
On the Text palette, click a Curve Style icon:
•
Curve Flat
•
Curve Ribbon
•
Curve Perpendicular
•
Curve Stretch
4
Drag the Centering slider [image] to the right or left.
The text moves along the curve.
•
You can also change the alignment of text on a path by clicking a text layer on the Layers palette and clicking an alignment button on the Text palette. For more information about aligning text, see "To align text".

To change the path

1
Choose Window menu [image] Show Layers.
2
On the Layers palette, select a text layer.
3
Choose the Shape Selection tool [image] from the toolbox.
4
Click an end point on the path.
Drag the handles to change the shape of the path.


Converting and Dropping Text

On this page, you will find information about

•
Converting Text Layers to Standard Masked Layers
•
Converting a Text Layer to Shapes
•
Dropping Text

You can convert text layers into shapes or default layers so that you can apply effects, gradations, blends or surface textures to text. You can also drop a text layer to the canvas, allowing you to apply effects to it.

Converting Text Layers to Standard Masked Layers

 Back to Top

After text layers have been converted to standard layers, you can fill text with a gradation, use the paint bucket, or paint the inside of the letters. You can also apply Surface Control Textures to give the text a three-dimensional appearance. Refer to "Image Effects" for information about applying effects. After you convert a text layer to a standard layer, you can still adjust the compositing method and opacity of the new layers.

To convert a text layer to a standard layer

1
On the Layers palette, choose a text layer.
2
Click the palette menu arrow, and choose Convert to Default Layer.
•
If the text has an outside or an inside shadow, then two layers — one for the text and one for the shadow — are created within a group.

Converting a Text Layer to Shapes

 Back to Top

After a text layer has been converted to shapes, you can kern letters individually and edit the outlines of the characters themselves. You can also edit the shape attributes of the new text — for example, to give it an outline. For more information, see "Using Shapes".

To convert a text layer to shapes

1
On the Layers palette, choose a text layer.
2
Click the palette menu arrow, and choose Convert Text to Shapes.
The text layer is replaced by a group of shape layers.
•
Text shadows and blurring effects are not converted when you use this command.

Dropping Text

 Back to Top

While you are working with text, it resides on a layer and is not yet a part of the image. When a text layer is dropped, it integrates with the canvas and can no longer be edited.

To drop a text layer onto the canvas

1
On the Layers palette, select a text layer.
If you want to select more than one text layer, highlight several layers and group them.
2
Click the Layer Commands button [image] at the bottom of the Layers palette, and choose Drop.


The Web

The Web has quickly become the most prevalent environment for communications today. Corel Painter provides Web features that help you take natural media to the next level.

Felt pens, charcoal, colored pencils, watercolors, oils, paint brushes, plug-in effects, and text merge with image-slicing, client-side image maps, and rollovers to create breathtaking Natural-Media effects for any Web site.

This chapter offers tips and techniques for using Corel Painter features to create images for the Web. It introduces you to the Image Slicer, rollovers, and image maps — all features specifically designed to help you create Web content.

See Also

•
Creating Web Page Backgrounds
•
Creating Web Buttons
•
Using the Image Slicer
•
Working with Rollovers
•
Working with Image Maps
•
Creating GIF Files
•
Using Web-Safe Colors
•
Selecting Brushes for the Web


Creating Web Page Backgrounds

On this page, you will find information about

•
Designing Backgrounds
•
Controlling Background Color
•
Using Tiled Backgrounds
•
Creating Tiles with the Make Fractal Pattern Command

Corel Painter lets you create interesting, effective Web page backgrounds.

Designing Backgrounds

Back to Top

One secret to designing good backgrounds for your Web pages is to make them subtle and unobtrusive. This is particularly important if the background is used behind text. You can lighten patterns by using the Edit menu [image] Fade command, to make them more suitable for displaying behind text.

Choose Edit menu [image] Fade to lighten the pattern.

Controlling Background Color

Back to Top

Using a background color closely matched to your background image takes no additional download time and creates a pleasing transition. For example, suppose your page loads a dark green seamless background tile. The tile takes a little time to download. While it’s loading, the browser displays the page, using the page background color (which, if not explicitly defined, is usually gray or white). This can cause a jarring visual transition. Depending upon the text color used, it can even make a page impossible to read until the background image has finished loading.

Using HTML, you can achieve a solid background color for a page, table, or Cascading Style Sheet (CSS) element. Although Corel Painter can’t assist you with actually setting the background color in your HTML code, you can use Corel Painter to determine the hexadecimal format of a color, which is used in HTML.

To display the current color’s RGB values in hexadecimal format

1
On the Colors palette, click the palette menu arrow, and choose Display as RGB.
If that command is not available, the HSV/RGB Square on the Colors palette is already displaying RGB values.
2
Press Shift and click the HSV/RGB Square.
The values in the HSV/RGB Square are displayed as hexadecimal numbers.
3
Concatenate the three values (R, G, and B) to determine the hexadecimal number required for your HTML code.
For example, “FF0000” is the hexadecimal value for red.

Using Tiled Backgrounds

Back to Top

When a background image is smaller than the boundaries of the display area for a page, table, or Cascading Style Sheet (CSS) layer, Web browsers automatically repeat the image, effectively creating a tiled pattern. Corel Painter makes it easy to create tiling background images for use in Web pages.

The CSS features in modern browsers let you apply background tiles to more elements than ever before. In the past, you could apply them only to a page itself, or possibly to a table. Now, with CSS, layers or block-level elements — anything you can display on its own line in traditional HTML layout — can have a background image. Since authors are no longer limited to using tiled backgrounds for just pages, possibilities open up for the creative use of tiles behind such elements as borders, call-out boxes, or sidebars.

You can use any image or selection to define a pattern. An image designed for use as part of a pattern is normally created so that it tiles seamlessly. That is, the eye should not be able to distinguish the edges between tile repetitions. Corel Painter has features that can help you create seamless tiles, which you can then use as interesting Web backgrounds. For more information, refer to "Creating Seamless Tiles". For information about creating, editing, saving, and filling with patterns, refer to "Using Patterns".

The Glass Distortion effect, the Super Soften effect (with the Wrap Around check box enabled), and most of the Tonal Control effects preserve the seamless quality of the pattern. Some effects, such as Apply Surface Texture, can result in a noticeable seam, so experiment.

Example of using seamless and non-seamless tiles in a pattern

A way to partially avoid seams that occur with effects such as Apply Surface Texture is to apply the effect several times at lower strengths (by reducing the Amount slider). Shift the pattern a little (using Shift-Spacebar) between each application. This tends to “distribute” the seams and make them less noticeable.

Tile dimensions should be as small as practical, but should probably never go below 20 x 20 pixels. If a tile is too small, it actually takes the browser longer to render it over a large area.

When you’ve finished creating your tile, save the image in RIFF format, in case you must work with it later in Corel Painter. Then, save it in either JPEG or GIF format for later use on the Web.

Web backgrounds should, ideally, be saved as GIFs, with as few colors as possible, to reduce file size. You can also use JPEGs, but JPEGs often have larger file sizes. As a rule of thumb, any background tile over 20 KB is probably too large. For more information about saving an image in GIF or JPEG format, refer to "Saving Files".

Creating Tiles with the Make Fractal Pattern Command

 Back to Top

Another easy way to design seamless tiles is to take advantage of the neat effects you can create with the Make Fractal Pattern command. Make Fractal Pattern is a pattern generator that creates organic patterns, which can make interesting background tiles. The patterns it generates can be filled with color and even enhanced with a paper texture.

For more information about the Make Fractal Pattern command, refer to "Creating Fractal Patterns".

Color Overlay, the Watercolor brushes, and Cloning are other options you can apply to a pattern. Beautiful, complex effects can also be achieved by applying Glass Distortion to a pattern created with Make Fractal Pattern.


Creating Web Buttons

On this page, you will find information about

•
Using Shapes and Selections
•
Using 3D Techniques
•
Indicating Button States

Corel Painter has a wide array of features that help you create Web buttons. You can apply textures and effects to your Web buttons.

Using Shapes and Selections

 Back to Top

You can create Web buttons using shapes or by choosing a selection from the Selection Portfolio. For information about creating shapes, refer to "Creating Shapes". For information about using selections, refer to "To use a selection from the portfolio".

Using 3D Techniques

 Back to Top

You may want to use one or more of the texturing options in Corel Painter to create 3D effects. The following sections describe several powerful ways to quickly add 3D effects to the buttons you create.

Once you’ve added a desired 3D effect, try altering the light source to create a second image that represents the button in a different state, or try using the Hue Shift slider in the Effects menu [image] Tonal Control [image] Adjust Colors dialog box.

Adding Shadows

Shadows lend a definite 3D flare to a Web page. You can quickly add drop shadows to text, buttons, shapes, and layers. When you apply a drop shadow to a shape, the shape loses its vector quality and becomes a pixel-based layer. For more information about creating drop shadows, refer to "Adding Drop Shadows".

Applying Surface Texture

Leading the array of Corel Painter Web-friendly tools, the Apply Surface Texture feature could easily become a Web designer’s best friend. You can use Apply Surface Texture to apply 3D effects to Web buttons, bars, or other elements.

You can use the Reflection option to create an effect you would expect to see in objects made of glass or polished metal, like a chrome bumper on a classic car. The Image Luminance option gives your buttons an embossed look. For more information about applying surface texture, refer to "Working with Surface Texture".

Using the Impasto Technique

The Impasto feature lets you create the illusion of depth by applying thick paint to the canvas. You can use the Impasto technique to add a 3D appearance to all or discrete areas of your image. For more information, refer to "Impasto".

Using Bevel World

No discussion of creating Web buttons would be complete without mentioning Bevel World. Bevel World is a dynamic plug-in that can add 3D angled edges to your shapes and selections.

You can bevel any element in your painting, then turn it into a 3D button.

Bevel World has controls that affect the 3D bevel shape being applied, as well as controls to adjust lighting. Try experimenting with lighting controls. By changing the lighting on a bevelled surface, you can easily create different states for your Web buttons.

Altering lighting in the Bevel World dialog box is an easy way to create images that indicate button states.

For more information about Bevel World, refer to "Bevel World".

You can decide later to change settings, as long as you have not committed the layer. Double-click the Plug-in Layer in the Layer List. Corel Painter opens the dialog box so you can change the settings. To understand more about committing a layer, refer to "Committing Dynamic Layers".

Indicating Button States

 Back to Top

You can create a rollover effect by displaying a second image when a Web button is clicked. This creates two states for the button (“normal” and “clicked”). For more information about creating rollover effects, refer to "Working with Rollovers".


Using the Image Slicer

On this page, you will find information about

•
Deciding When to Slice Images
•
Understanding the Image Slicer
•
The Image Slicing Layer
•
Working with Image Slices
•
Grouping Slices

Using a large graphic for navigation is common on the Web. With Corel Painter, you can segment a graphic into slices. Each slice is exported as a separate image, then reassembled using an HTML table.

Most useful for implementing rollovers, the Image Slicer plug-in can also, in some cases, let you replace high-bandwidth image areas with lower-bandwidth HTML elements.

Segmenting a large graphic into smaller, optimized image files can reduce load time while letting you control the resulting image quality.

The Image Slicer supports these export options:

•
GIF
•
JPEG
•
TIFF (for lossless export to other graphics applications)
•
No Export

For example, one part of your image might contain a photo; a second, a graphic image; and a third, some text.

With the Image Slicer, you can:

•
export a photo area (where color is most important) to the JPEG file format
•
export a flat-color slice (which will look fine in 256 colors or less), to the GIF file format
•
export nothing at all for a slice that contains text only (opting instead to code the text in HTML)

You can optimize each slice in your image, depending on content.

Deciding When to Slice Images

Back to Top

The Image Slicer plug-in is most useful when your image contains rollovers. For more information, refer to "Creating Rollovers from Image Slices". Image mapping, in contrast, is most useful when you want to define multiple clickable links within a single image. For more information about image mapping support, refer to "Working with Image Maps".

Use image slicing if:

•
your image includes areas that feature rollovers.
•
one or more areas of your image (for example, flat color areas) can be significantly more compressed than other areas. Use the Image Slicer and set export options accordingly.
•
you can replace some areas of your image with pure HTML elements, like text, form elements, or table cell backgrounds.
•
the image must reappear on many pages, with small changes on each page (as with a navigation bar). The browser caches most of the common slices, which can help performance.
•
you want to create different links for different areas of your image.

Understanding the Image Slicer

 Back to Top

You don’t have to know HTML or JavaScript to create a sliced image because the Corel Painter Image Slicer plug-in generates it for you. However, it’s helpful to have some understanding of how tables operate within HTML, as the slices will become part of a table.

A table displays information in rows and columns, with borders that can be shown or hidden. Tables allow you to format or lay out elements on a page to create alignment and space.

If one or more of the slices is designed to be a rollover, the Image Slicer plug-in generates the JavaScript needed for the rollover effect. Refer to "Working with Rollovers".

After you’ve used the Image Slicer plug-in, you can use the HTML file it creates as a starting point, or you can copy the HTML code for the table and any JavaScript for rollover effects into your own HTML file.

The Image Slicing Layer

Back to Top

The Corel Painter Image Slicer plug-in creates an Image Slicing layer that stores information about how your image is sliced (segmented) and about how each slice of your image should be exported.

Every time you apply the Image Slicer, a new Image Slicing layer is created. Each Image Slicing layer generates code for an HTML table. Be careful not to open multiple instances of the Image Slicer plug-in when you’re slicing an image. Create one Image Slicing layer, then just double-click it on the Layers palette to continue working.

There may actually be times when you want to have more than one Image Slicing layer. For example, if you want to slice an image in different ways for use on different Web pages, you could create an Image Slicing layer for each page. For most slicing purposes, however, you should create only one Image Slicing layer.

The Image Slicer works on images below it in the layer stack. Because of this, the Image Slicing layer must be topmost in the layer stack.

If you add layers to your image after adding the Image Slicing layer, be sure to move the Image Slicing layer to the top of the layer stack before exporting the slices again. For more information about re-ordering layers, refer to "Changing Layer Hierarchy".

If all or most of your image slices are of the same file format (GIF, JPEG, TIFF, or No Export), have the same number of image states, or reference the same URL, you can save time by setting those options before creating any slices.

Working with Image Slices

 Back to Top

You create image slices by adding horizontal or vertical slice lines to your image. You can also create both a horizontal and a vertical line at once. You can move or delete single lines. When a slice is created, it is given an incremental name (Image1, Image2, and so on). This name is also the filename for the slice.

After you create slices, you can rename them, export them, and set options such as links so the user can click the slice to jump to a specified location. For specific information about GIF options, see "Saving GIF Files". For specific information about JPEG options, see "Saving JPEG Files".

You can also set options for using slices as rollovers. For more information, refer to "Working with Rollovers".

After setting options for all the slices in your image, you can export them.

To slice an image

1
Open the image you want to slice.
2
On the Layers palette, make sure that no layers are selected.
3
On the Layers palette, click the Dynamic Plug-ins button [image], and choose Image Slicer.
4
In the Image Slicer dialog box, click one of the following tools:
•
Horizontal tool — defines horizontal slices
•
Vertical tool — defines vertical slices
•
Combined tool — defines slices using both vertical and horizontal slice lines
5
In the document window, click where you want to add a slice line. A plus sign next to the cursor indicates you are adding a new slice to the image.
As you move the cursor around in the document window, the X and Y coordinates are displayed in the Image Slicer dialog box. A small preview window displays a zoomed-in version of your image to help create slices based on color.
Once a slice is defined, its top, left, bottom, and right coordinates, as well as the slice size (in pixels), are displayed.
•
If a layer is selected before you slice, an Image Slicing layer is created on top of it, using the same dimensions. Although this behavior can be useful at times, such as when you want to export a single graphic element, it’s important to make sure no layer is selected if you want to slice the entire image.

To move a slice line

1
In the Image Slicer dialog box, click the Horizontal tool [image] or the Vertical tool [image].
2
In the document window, move the pointer over the line you want to move.
3
When the pointer changes to include positioning arrows, drag the slice line to a new position.

To delete a slice line

1
In the Image Slicer dialog box, click the Horizontal tool or the Vertical tool.
2
In the document window, hold down Command (Mac OS) or Ctrl (Windows), and move the pointer over the line you want to delete.
3
When the pointer changes to include a minus sign, do one of the following:
•
(Mac OS) Hold down Command, and click the line.
•
(Windows) Hold down Ctrl, and click the line.

To rename a slice

1
In the Image Slicer dialog box, choose a slice from the Slice pop-up menu.
2
In the File Name box, type the new name.
The new name displays in the Slice pop-up menu the next time you select a slice.
•
By default, slices are automatically named according to their position order (Image1, Image2, and so on, moving from left to right, top to bottom). These names correspond to cells in the HTML table that reconstructs your image. When you rename a slice, Corel Painter disables the Auto option for that slice. If you re-enable the Auto option, you revert to the automatic, position-related slice name, and any name that you may have previously entered is overwritten.

To set slice options

1
In the Image Slicer dialog box, choose a slice from the Slice pop-up menu.
2
From the File Type pop-up menu, choose a file format.
If you do not want an image file exported, such as when a portion of the image can be replaced by an HTML element, choose No Export.
3
Click Options, and specify the options you want for the chosen file format.
4
Specify any of the following optional settings:
•
Link URL — specifies a URL to link to when the slice is clicked. You can enter either an absolute or a relative URL.
•
Image ALT Text — specifies the text to be displayed when the pointer is moved over an image in the browser. This is equivalent to the “ALT” attribute of the HTML <IMG> tag. If the slice will be used in a rollover, this text is displayed in the browser’s status bar during the rollover.
•
Rollover State — specifies the rollover states to be supported if you want to use the selected slice as a rollover.

To export slices

1
In the Image Slicer dialog box, click Export Settings for Current Image State, and specify any of the following options:
•
Location where HTML table will be created — click Select, and specify a filename and location for the HTML file.
•
Generate HTML Code in ALL CAPS — enable or disable this option.
•
Location where images will be exported — click Select, and specify a filename and location for the exported images.
•
Include JavaScript — if slices in the image are to be used for rollovers, enable this option and indicate which state the current image represents.
•
Use Single Color Table for All GIF Slices — constrain all GIF slices in the image to the same color table. Enabling this option can help avoid palette clashes between slices exported to GIF.
2
Click Export.
•
RIFF format contains data about your image that is lost when you convert it to GIF or JPEG. If you may need to edit the file later, save a RIFF copy before you generate a GIF or JPEG version.

Grouping Slices

 Back to Top

You can fine-tune your sliced image by combining slices that go together or slices that do not contain slice objects.

For example:

•
You might want a slice that extends across several “columns” in the slice map. To accomplish this, you can group smaller slices into a large slice.
•
There could be a large area of your image that shows only a single background color. Grouping the slices in these areas makes it easy to export a single GIF image with a small number of colors. Be sure to set the GIF color settings accordingly.

A sliced image before slices are grouped.

After grouping slices.

Grouped areas must remain rectangular. If you create a nested group, previously grouped slices may be ungrouped in order to create a rectangular shape.

Automatically assigned slice names change based on the top-left slice in the group.

To group slices

1
In the Image Slicer dialog box, click the Select tool [image].
2
In the document window, click the top-left slice to be included in the group, and drag down or to the right, or both, until the target slices are selected. When you release the mouse button, the slices are grouped.

Click the top-left slice and drag until a new, larger slice is created.

To ungroup slices

•
Click the Select tool, hold down Shift, and click a grouped slice.
All slices are ungrouped. If you ungroup a nested group, all levels are ungrouped and the original slices are displayed.


Working with Rollovers

On this page, you will find information about

•
Creating Rollovers from Image Slices
•
Exporting Rollover Slices

Rollovers are interactive objects that can change in appearance when you click or point to them. They are often used as navigation tools on the Web. For example, you can make a button change color when it is clicked or display text when you point to it.

The rollover effect is accomplished in the Web browser using JavaScript image swapping. The idea is simple: each rollover area uses two or more separate images of the same dimensions. In response to a user action (like moving the pointer over the image), one image is quickly replaced by another.

A rollover in the Mouse out state (left) and the Mouse over state (right).

In effect, this creates a simple animation, and each of the separate images can be thought of as frames in that animation. For our purposes, we refer to each frame as a “state.” Corel Painter supports three possible states for each rollover:

•
The Mouse out state displays the default image. Corel Painter displays it when the page first loads, and also when the pointer moves off the rollover. If the Web browser doesn't support JavaScript image swapping, this image is the only one that will be displayed.
•
The Mouse over state displays an image when the pointer moves over the rollover.
•
The Mouse click state displays an image when the user clicks the rollover. When the user releases the mouse button, the Mouse out image is displayed again.

Not all browser versions support these states. The Mouse over and Mouse out states display in browsers that support JavaScript 1.1 (Microsoft Internet Explorer 4.0 and higher).

The Mouse click state displays in browsers that support JavaScript 1.2 (Microsoft Internet Explorer 4.0 and higher). Browsers that do not support these versions of JavaScript, or that don’t implement JavaScript at all, do not display rollover effects.

Creating Rollovers from Image Slices

 Back to Top

Using the Image Slicer, you can divide your image into rectangular areas called slices. Each slice can have one of the following rollover state combinations:

•
In No rollover, the slice has no rollover states.
•
In Mouse over-out, the slice has two states: Mouse over and Mouse out.
•
In Mouse over-out-click, the slice has three states: Mouse over, Mouse out, and Mouse click.

A single image can contain different slices with different rollover combinations. This means that one slice can be set to Mouse over - out, another slice can be set to Mouse over - out - click, another slice can be set to No rollover, and so on.

For more information about the Image Slicer, refer to "Using the Image Slicer". For more information about setting the number of rollover states, refer to the procedure "To set slice options".

Before using the Image Slicer, you must carefully analyze your image.

•
Which image areas should have rollover effects?
•
Which rollover state combinations will be used for each area?
•
How will you create the rollover states for each of these areas?

The third item in this list deserves special note. Since each rollover area must have two or three separate states, you must decide how you will represent each of these states.

The most common method of representing states is to use multiple layers (one for each state), and then hide and show them, as necessary. Another option is to use Shapes or Dynamic Text, and then redefine their attributes (color, opacity, size, and so on) for each state.

Whatever method you choose, make sure you can easily move between states for each slice. This is necessary when exporting states using the Image Slicer.

Hold down Option and click (Mac OS), or hold down Alt and click (Windows) to control alignment when duplicating layers for use in rollovers. If in doubt, check layer alignment by double-clicking each layer and verifying the Position [image] Top and Position [image] Left fields. Make any necessary adjustments in alignment by typing numbers into these fields.

To define rollovers with the Image Slicer, follow the general steps below. For detailed information, refer to the procedures in "Working with Image Slices".

To define rollovers

1
Set up your image so you can easily move between states for each rollover area or slice.
2
Use the Image Slicer's slice tools to divide the image. Each rollover area in the image should occupy its own slice.
3
For each rollover slice, specify the supported rollover states (Mouse over - out or Mouse over - out - click). You do this by choosing an option from the Rollover State pop-up menu in the Image Slicer dialog box. For more information, see "To set slice options".

Exporting Rollover Slices

Back to Top

Once you have defined slices, you are ready to export the slices and the associated HTML file. You must do a separate export operation for each rollover state.

Because there are two or three possible states, you must do two or three separate export operations. All the Mouse out (default) images are exported together, all the Mouse over images are exported together, and all the Mouse click images (if any) are exported together.

To export rollover slices

1
Set up your image so that all slices display their Mouse out (default) state.
This is how you want slices to appear when the Web page first loads. As mentioned in "Creating Rollovers from Image Slices", this is often done by hiding or showing layers, or by changing the attributes of Shapes or Dynamic Text.
2
On the Layers palette, double-click the Image Slicing layer in the Layer list.
3
In the Image Slicer dialog box, click Export Settings for Current Image State.
4
In the Export Settings dialog box, enter the HTML and image export locations.
5
Enable the Include JavaScript check box, and enable the Mouse out (default) option.
6
Click Export.
Corel Painter exports the slices and the HTML file.
7
Click OK in the Image Slicer dialog box to return to the image.
8
Set up the image so that all slices with rollovers display their Mouse over state.
This is how you want slices to look when the user's cursor passes over them. You can choose to do this by manipulating layers in your image.
9
On the Layers palette, double-click the Image Slicing layer in the Layer list.
10
In the Image Slicer dialog box, click Export Settings for Current Image State.
11
In the Export Settings dialog box, enable the Include JavaScript check box, and enable the Mouse over option.
12
Click Export.
Corel Painter exports the Mouse over slices and displays a confirmation message.
13
Click OK in the Image Slicer dialog box to return to the image.
If slices in your image have a Mouse click state, repeat steps 8 through 13 for this state.
14
Load the exported HTML file into your Web browser and test the rollover effects to make sure they work as you intended.
•
You must exit the Image Slicer dialog box to manipulate the image.
•
It’s important not to modify the image slice settings in any way between each of these export operations (for example, do not change any slice name or resize/add slices). Any changes you make may result in a nonfunctional HTML file. If you decide to modify one or more slice settings, you must repeat the export process from the beginning.


Working with Image Maps

On this page, you will find information about

•
Client-Side Image Mapping
•
Server-Side Image Mapping

An image map is a Web feature that lets you jump to different locations by clicking on specific areas within an image.

There are two types of image maps:

•
Client-side image maps store image map information right in your HTML document. URL information appears at the bottom of the browser window when a cursor is moved over the mapped areas.
•
A server-side image map works differently. Image map information is saved in a separate file that is stored on a server and accessed by a Common Gateway Interface (CGI) script. Coordinate information, not URL information, is displayed at the bottom of the browser window when a cursor is moved over a mapped area.

Client-side image maps are faster and more efficient because all the image information is present in the HTML for the page. A server-side image map, in contrast, requires an extra round trip of information between the browser and the Web server. However, client-side image maps are not supported by very old browsers.

When a hotspot is clicked (left), the browser jumps to the page referenced by that link (right).

Client-Side Image Mapping

 Back to Top

A client-side image map is an image that has “hotspots” directly associated with URL information. When a hotspot is clicked, the browser jumps to the page referenced by that link information.

A client-side image map recognizes circular and rectangular “hotspots.” Therefore, Corel Painter treats a circular area as a circle and a rectangle as a rectangle. Oval areas are exported as rectangles.

Image maps are created using layers. The size of the layer determines the clickable area. For information about working with layers, refer to "Layers".

The size of the layer determines the size of the clickable area, or hotspot.

Server-side image mapping handles circles and ovals differently. With server-side mapping, you can export ovals. For more information on server-side image maps, refer to "Server-Side Image Mapping".

To define a client-side image map

1
Select or create a layer or shape in the exact place in your image where you want a link created.
If you can’t see the layer’s marquee, click the palette menu arrow on the Layers palette and choose Show Layer Indicators.
2
Click the palette menu arrow, and choose Layer Attributes.
3
In the Layer Attributes dialog box, specify a name for the layer.
4
Enable the WWW Map Clickable Region check box.
5
In the URL box, specify a URL to associate with this portion of your image, for example, http://www.corel.com.
6
Click OK to return to the image.
7
Deselect the layer, then define the next area of your image map.
If there are two or more overlapping areas in an image map, the topmost one takes priority.
8
Export your image to the GIF or JPEG file format. In the Save As GIF Options or Save As JPEG Options dialog box, enable the Client Side Map File check box to indicate that Corel Painter should export an HTML file containing the image map definition.
•
The RIFF format contains data about your image that is lost when you convert it to GIF or JPEG. If you want to edit the file later, save a RIFF copy before you generate a GIF or JPEG version.

When a client-side image map is exported, Corel Painter exports both the image and an HTML file. You can then open the HTML file in a text or HTML editor and copy the code into another Web page.

To define a default URL for an image map

1
To define a default, or base, URL to use when a user clicks outside of defined hotspot areas in an image map, choose File menu [image] Get Info when no layers, shapes, or plug-ins are selected.
The File Information dialog box is displayed.
2
Select WWW Map default URL.
3
Enter a URL address.
4
Click OK.

If you don’t provide a default URL, clicking outside the defined hotspot areas has no effect.

Server-Side Image Mapping

 Back to Top

In Corel Painter, you can define a layer as a clickable region. Corel Painter saves this image map information within a separate text file, which you can upload to your Web server. It can then be accessed by a CGI script.

Because server-side image mapping is becoming obsolete, be sure to read the previous section on client-side image mapping support.

To create a server-side image map

1
Select or create a layer or shape in the exact place in your image where you want a link created. For information about working with layers and setting general layer preferences, refer to "Layers".
2
On the Layers palette, select a layer in the Layer list.
3
Click the palette menu arrow and choose Layer Attributes.
4
In the Layer Attributes dialog box, specify a name for the layer.
5
Enable the WWW Map Clickable Region check box.
6
In the URL box, specify a URL to associate with this portion of your image, for example, http://www.corel.com.
7
Click OK to return to the image.
8
Deselect the layer, then select the next hotspot in your image map. Try to avoid overlapping hotspot areas within an image map.
You can set a default base URL to use if the user clicks outside of your defined hotspot areas. See "To define a default URL for an image map".
9
Export your image to the GIF or JPEG file format. In the Save As GIF Options or Save As JPEG Options dialog box, enable either the NCSA Map File check box or the CERN Map File check box, depending on which format is recommended by your Internet Service Provider.
When you save the image, Corel Painter creates an additional text file that describes the clickable regions and their associated URLs.
10
Store both files (the image file and its associated image map definition file) on your Web server, as directed in the documentation for your image mapping CGI script/program. Both files must be present for the server-side image map to work.
•
The RIFF format contains data about your image that is lost when you convert it to GIF or JPEG. If you want to edit the file later, save a RIFF copy before you generate a GIF or JPEG version.


Creating GIF Files

On this page, you will find information about

•
Creating Transparent GIFs
•
Creating Animated GIFs
•
Reducing the Number of Colors

The GIF file format is widely used on the Web. Corel Painter lets you create Web-ready transparent and animated GIFs. To keep file sizes small and download times fast, you can easily reduce the number of colors in a GIF file without compromising its usability.

Creating Transparent GIFs

 Back to Top

The ability to define transparent areas in a GIF file is used everywhere on the Web today. If designed correctly, GIFs with transparent areas are very effective when displayed over background colors or tiles.

A GIF with a transparent background (the airplane) is displayed over a blue background image.

With the increasing use of Cascading Style Sheets (CSS), Dynamic HTML (DHTML), and layers, there are even more possibilities for using transparency to your advantage.

In Corel Painter, the method of defining transparency during GIF export is to define the transparent areas based on the current selection. When your image contains layers, you will often want the edges of the floating elements to define the transparent areas. For more information about layers, refer to "Layers".

When saving to the GIF file format, you can reduce the number of colors, which translates into smaller files. For more information about reducing the number of colors, refer to "Reducing the Number of Colors".

For information about other options available for saving GIF files, refer to "Saving GIF Files".

To create a transparent GIF from a layer or group of layers

1
To output transparency in a GIF, you need an active selection. Select a layer or group of layers.
2
On the Layers palette, click the palette menu arrow and choose Drop and Select.
The layers are merged with the canvas and a selection containing the contents of the dropped layers is made.
3
Choose File menu [image] Save As.
4
In the Save dialog box, choose the GIF file format, specify a location and filename, and click Save.
5
In the Save As GIF Options dialog box, enable the Output Transparency check box to make the selected area the only part of the canvas displayed on your Web page.
6
Enable one of the following options:
•
The Background is WWW Gray option sets the transparent color to 75% gray.
•
The Background is BG Color option sets the transparent color to the additional color on the Colors palette. Note that this setting does not refer to the HTML page’s background color.
7
In the Preview window, verify that the selected area is correctly masked and that the transparent area is correctly positioned. Transparent areas are designated with a grid.
If necessary, drag in the Preview window to view all parts of the image.
8
Choose one of the following imaging methods:
•
The Quantize to Nearest Color option causes Corel Painter to look at each pixel and pick the nearest color. This is useful when the image you are saving has broad areas of a single color.
•
The Dither Colors option causes Corel Painter to apply a stippled effect to the colors chosen to generate a more accurate, less banded result. Unfortunately, Dither Colors can reduce the effectiveness of GIF file compression.
•
The RIFF format contains data about your image that is lost when you convert it to GIF or JPEG. If you want to edit the file later, save a RIFF copy before saving to the GIF or JPEG file format.

Creating Animated GIFs

 Back to Top

Corel Painter can open a QuickTime movie, which can be painted on, then saved as an animated GIF. Additionally, you can create a new movie or animation from scratch in Corel Painter and save it as an animated GIF, QuickTime, or Audio/Video Interleaved (AVI) movie.

For information about creating movies, refer to "Creating a Movie". For information about creating and exporting animated GIFs, refer to "Creating and Exporting Animations for the World Wide Web".

Reducing the Number of Colors

Back to Top

Web designers are always seeking a careful balance when creating graphics for the Web. Artwork and images must be as rich and vibrant as possible while remaining small and easily downloadable.

One way of keeping an image’s file size small is to reduce the number of colors used to create that graphic element. Reducing the number of colors used reduces file size and, therefore, download time.

A Web artist may end up saving multiple versions (varying in the number of colors used) of the same graphic element. These versions must then be placed on a page, loaded to the page, and viewed to determine if the quantity of colors used is acceptable. This whole process can be time-consuming and confusing.

In Corel Painter, you can make this decision during the process of saving the image to GIF format, by using the Preview window on the Save As GIF Options dialog box.

To visually reduce the number of colors

1
Choose File menu [image] Save As and name your image file.
2
Choose the GIF file format, and click Save.
3
Click OK to dismiss the layer warning, if displayed.
4
In the Save As GIF Options dialog box, in the Number of Colors area, enable the 256 Colors option.
5
Enable the 128 Colors option.
In the Preview window, the image appears in 128 colors.
6
Continue reducing the number of colors in the graphic until you find the minimum number of colors necessary for adequate display on your Web page.
7
Enable the Quantize to Nearest Color option if you want Corel Painter to look at each pixel and pick the nearest color. Enable Dither Colors if you want Corel Painter to apply a pattern to the colors chosen to generate a more accurate, less banded result.
You can now either save the graphic element to place on the Web page or return to Corel Painter to work on the design and color balance.
•
The RIFF format contains data about your image that is lost when you convert it to GIF. If you want to edit the file later, save a RIFF copy before you generate a GIF version.


Using Web-Safe Colors

On this page, you will find information about

•
Selecting Web-Safe Color Palettes
•
Working with Posterize Using Color Set

Using a Web-safe color table becomes important when you expect to deliver your Web page to viewers who use monitors displaying 256 or fewer colors. On such a monitor, Web browsers dither colors that aren’t found in the Web-safe palette. So, depending on your audience, making sure that some or all of your image conforms to the Web-safe palette can make good sense.

Selecting Web-Safe Color Palettes

 Back to Top

The colors in the default palette included with Corel Painter are the same 216 colors present in the Netscape browser-safe palette. Included with Corel Painter are Web-safe color palettes that identify colors by a hex value displayed immediately under each color chip — values used in HTML code to identify a color.

To select a Web-safe color palette

1
Click the palette menu arrow on the Color Sets palette, and choose Open Color Set.
2
In the Select Color Set dialog box, select the Hexadecimal folder within the Color Sets folder.
3
Choose a hex file from the list, and click Open.
The selected color palette displays on the Color Sets palette.

Working with Posterize Using Color Set

 Back to Top

You can use the Posterize Using Color Set option to force your image to use the default color set. Posterize Using Color Set can help make colors in your resulting image ready for delivery to the Web — without a lot of dithering or shifting of colors.

Posterizing means adjusting the number of color levels an image contains. Corel Painter can automatically constrain all the colors in your image to a Web-safe, 216-color palette. Although the Posterize Using Color Set option is not designed to be a highly sophisticated method of reducing color (it offers you no control over exactly how color reduction is performed), Posterize Using Color Set can be a real time-saver.

In addition, you can constrain the colors you use to the default or another Corel Painter Web-safe palette, utilize new Web-safe single color brushes (refer to "One-Color Brushes") and keep the number of colors in your image to a minimum.

To use Posterize Using Color Set to adjust color levels

1
Select an area of your image you want affected or select nothing if you want the entire image affected.
2
Make sure the proper color set is active.
3
Select Effects menu [image] Tonal Control [image] Posterize Using Color Set.

It’s important to note that exporting to GIF format can compromise the color set values used when Posterize Using Color Set has been performed. For best results in those cases:

•
First, save your reduced-color image in a 24-bit format, like Windows Bitmap, TIFF, or PICT. This maintains the benefits of defining Web-safe colors in Corel Painter.
•
Next, open the image in a tool that supports indexed color to save the GIF — one that offers “constrain to color set” features.
•
Finally, save the image to GIF format. The Web-safe colors from Corel Painter are maintained and your image is ready to go right on the Web.


Selecting Brushes for the Web

On this page, you will find information about

•
One-Color Brushes
•
Web-Friendly Brushes

Web artists are pulled between the desire for beautiful images and the need for small image file sizes, with faster download times.

Bitmapped images can be roughly divided into two general types — images with areas of flat color and continuous-tone images. Continuous-tone images (which most of the normal features in Corel Painter produce) are best saved as JPEG images. Images with flat areas of color are best saved as GIF images. The more regions of flat color contained in an image, the more compressed (smaller) the resulting GIF file. For more information about reducing colors in the final GIF file, refer to "Reducing the Number of Colors".

The strength of Corel Painter is its Natural-Media brushes; however, Corel Painter is also versatile in the creation of flat color suitable for GIF images on the Web.

One-Color Brushes

Back to Top

You can set the brush controls to create areas of flat color, while keeping all the feeling and nuance of a Natural-Media brush. These brush edges are aliased, meaning they have jagged edges. For example, if a brush color is black, there are no intermediate gray pixels at the brush’s edge. There is either black or the background color. In addition to a flat color, this brush type responds to paper texture. Different paper textures cause the same type of brush stroke to look different.

Magnified detail of the stroke is shown to the left of each W-stroke. In this image, the identical brush and stroke is applied using a different paper texture.

To make a brush with a flat-edged appearance, change the method to Cover and the subcategory to Grainy Edge Flat Cover in the Brush Creator. For more information about the Brush Creator, refer to "Customizing Brushes". If you have created some of your own brush variations in Corel Painter, you can convert them to Web-friendly brushes, too.

To change the brush method and subcategory

1
On the Stroke Designer page of the Brush Creator, click General.
2
From the Method pop-up menu, choose Cover.
3
From the Subcategory pop-up menu, choose Grainy Edge Flat Cover.
The result is the current brush with a Web-friendly hard edge.
4
Save your creation as a variant.
For more information, see "Saving Brush Variants".
•
Brushes that require a particular method, such as Wet, Eraser, or Plug-in, will not work as well with the Cover method. If you use another brush method, you will not be working with a one-color brush.

Web-Friendly Brushes

Back to Top

Included with Corel Painter are brushes that have been converted from the default Corel Painter brushes to Web-friendly, low-bandwidth brushes.

To load Corel Painter Web-friendly brushes into a library

1
In the Brush Creator, choose Brush menu [image] Import Brush Library.
2
In the Select Brush Library dialog box, locate the Web brushes library on the CD-ROM.
3
Click Open.

A set of one-color Web brushes, along with some one-color Calligraphy brushes, is included with Corel Painter.

Experiment with these brushes, using different papers for Web-friendly Natural-Media effects.

Install the brushes, then use the file browsing feature (accessed from the Open dialog box) to review all the Web-friendly variations on standard Corel Painter brushes. Here are some samples of what you’ll find:

Examples of brush strokes produced by Web-friendly brushes

A few of the new brush variants included in Corel Painter are not one-color brushes. If you are concerned about having Web-safe colors, make sure the Corel Painter Color set or the Corel Painter Colors-WEB Color Set is loaded, then change the image into Web-safe colors by choosing Effects menu [image] Tonal Control [image] Posterize Using Color Set. For more information about the Posterize Using Color Set command, refer to "Working with Posterize Using Color Set".

Calligraphic velocity (left) and calligraphic velocity posterized (right)

Use a digitizing tablet for the brush’s colors to work properly. When the first color is darker than the second color, dark areas show up in the thicker parts of the brush strokes — the places where brush velocity is slower. After posterizing, the stroke has the appearance of pigment that has pooled in one place and dried darker. The result is a very Web-efficient, limited-color image, with the appearance of natural media.


Scripting

Scripts allow you to record every action you make in the Corel Painter application. Scripts can replay the artist’s process of creating an image, or they can hold procedures and operations. For example, if you must apply color adjustments to a collection of images, you can script these operations. Playing back the script lets you perform color correction on other images with the click of a button.

By default, every action you perform is recorded in an “always script” that’s used for operations such as undo.

See Also

•
Getting Started with Scripting
•
Editing Scripts
•
Working with Scripts and Movies


Getting Started with Scripting

On this page, you will find information about

•
How Scripts Work
•
Understanding the Scripts Palette
•
Recording Scripts
•
Playing a Script from the Scripts Palette
•
Replaying a Script at a New Resolution

A script is similar to a video. You can record, edit, and play it back at any time from the Scripts palette. The ability to edit scripts step-by-step also gives you control over recorded action sequences. You can record anything in a script — from a single edit command to an entire work session.

There are a number of ways to take advantage of scripting:

•
Scripts offer the ultimate in Undo. If you record your work, you can revert to any stage in the project by playing the script and stopping it at the stage you want.
•
You can use scripts to create macros. If you have a repetitive task or an operation you use frequently, you can record that series of commands. Whenever you want to perform the task, play the script.
•
You can play back a script at a different resolution. You can record at a low resolution, then automatically produce the same results at a higher resolution.
•
You can record a script that plays back using the current art materials. For example, you can record a script of a pencil drawing, then open a new document, choose a different paper texture, color, and brush, and play back the script. Then, you can watch Corel Painter repeat your drawing with the selected art materials.
•
Scripts are a great educational tool. Playing the script of an art project lets you see the step-by-step process used to make the image. It’s like looking over the artist’s shoulder.
•
Scripts are particularly useful for working with movies. When you have an operation you want to apply to each frame in a movie, record the set of commands in a script. You can then apply the script to the entire movie as one command.
•
When you play a script, you can output it to a movie. Every action you take becomes a frame in the movie. This is a great way to create special effects for your QuickTime or Video for Windows (VFW) movies.

How Scripts Work

 Back to Top

The Script recorder saves each instruction you give Corel Painter, including what values, locations, colors, and textures are used. By repeating the instructions, you can reproduce the artwork “from scratch.”

Because Corel Painter saves instructions, scripts are efficient and flexible. For example, you can play a script one instruction at a time. You can also edit scripts, taking a few instructions from one script and inserting them into another one.

Understanding the Scripts Palette

 Back to Top

The Scripts palette supplies the basic tools for recording, playing, and storing scripts.

To show the Scripts palette

•
Choose Window menu [image] Show Scripts.
•
The Script list is empty until you open a script for editing.

To hide the Scripts palette

•
Choose Window menu [image] Hide Scripts.

The Scripts palette

The palette menu arrow in the Scripts palette gives you several commands to choose from.

Record and Playback Buttons

The Script buttons on the bottom of the palette make it easy to stop, play, record, pause, and step forward when you’re working with scripts.

Script buttons, from left to right: Stop, Play, Record, Pause, and Step Forward.

Script List

The Script list on the Scripts palette offers tighter control in developing and playing scripts. The Script list contains the instructions that make up a script. You can edit, copy, and move instructions. You can also copy and move instructions between scripts. For more information, refer to "Editing Scripts".

Recording Scripts

 Back to Top

When you record a script, first you set up your Script Options. Record Initial State records the tools and art materials you use during the session, including brushes, colors, and paper textures. Corel Painter plays the session using the materials you recorded.

When Record Initial State is disabled, Corel Painter uses the tools and art materials selected at the time you play back the script. So, by disabling Record Initial State, you can use a different brush, color, and paper texture each time you play the script.

Save Frames on Playback and the frame rate option are for playback. For more information on these options, refer to "Converting a Scripted Session into a Movie".

After you have set the Script Options, you begin the recording and perform the actions you want scripted.

Corel Painter saves new scripts to the current library. You can move scripts between libraries using the Script Mover. For information on working with libraries and movers, refer to "Libraries and Movers".

Because Corel Painter always saves your script data, this data can build up in your Corel Painter Script Data file. You can control the number of days these scripts persist in the file by entering a number of days into the Auto Save box in the General Preferences dialog. For more information, refer to "Setting Preferences".

To record a script

1
On the Scripts palette, click the palette menu arrow and choose Script Options.
2
In the Script Options dialog box, set your options.
If you want to record a script where you can change art materials on playback, disable the Record Initial State option.
3
Click the palette menu arrow and choose Record Script, or click the Record button.
The Record button glows red while recording.
4
Draw, paint, or use any features and effects you want to record.
5
When you’re finished, click the palette menu arrow and choose Stop Recording Script, or click the Stop button.
6
In the Script Name dialog box, type a name.
Corel Painter automatically adds an icon for the script in the Script Selector.
•
If brushes, papers, patterns, or other materials required by the script are stored in alternate libraries, these libraries must be available during playback.

Playing a Script from the Scripts Palette

 Back to Top

When you play your recorded script, you can sit back and watch the operations unfold. In Corel Painter, replaying a script of a painting is like watching the artist at work.

To play a script

1
On the Scripts palette, choose a script from the Script Selector.
To load another script library, expand the Script Selector, click the selector menu arrow, and choose Load Library.
2
Click the Play button.
The button glows green during playback.
3
Use the Stop, Pause, and Step Forward buttons to control playback.
•
To switch between List and Thumbnails view in the Script Selector, click the selector menu arrow and choose List or Thumbnails.
•
You can also use Command + . (Mac OS) or Ctrl + . (Windows) to stop a script from playing.

Replaying a Script at a New Resolution

 Back to Top

Replaying a script at a higher resolution is a good way of creating a high-resolution image without working on a high-resolution image. When you’re creating the image, you can get smoother, more responsive performance by working at low resolution. Then, when you play back the script at a higher resolution, you get the benefit of a higher quality image.

The record-to-playback scaling ratio is limited. A factor of 4 is probably too much. For best results, experiment.

To record for resolution-independent playback

1
Before you start recording, open a new document at the resolution in which you want to work.
2
Before painting or drawing, choose Select menu [image] All, or press Command + A (Mac OS) or Ctrl + A (Windows).
This action creates a reference rectangle that is part of the recording. The rectangle must be recorded to play a session back into a higher resolution file later.
3
Click the Record button.
4
Deselect the reference rectangle by doing one of the following:
•
Choose Select menu [image] None.
•
Draw inside the selected area.
•
Press Command + D (Mac OS) or Ctrl + D (Windows).
5
Proceed with your script recording as usual.

To play back at a different resolution

1
Create a new document with the resolution at which you want to play the script.
If you want the resulting image to be a higher resolution than the original, create a document with proportionally larger dimensions. For example, if the original document is 500 X 500 pixels, make the new document 1000 X 1000 pixels to double the size.
If the destination document has a different aspect ratio from the original, the image created by the script will be proportionally distorted.
2
On the Scripts palette, click the Script Selector arrow and choose the resolution-independent script you recorded.
3
Before playing back the script, choose Select menu [image] All, or press Command + A (Mac OS) or Ctrl + A (Windows) in the new document. The rectangle recorded at the outset of the original script is referenced to the selected rectangle in this document.
4
Click Play.
The original script replays into the new document. All brushes, paper textures, and related functions are appropriately scaled for the new resolution.


Editing Scripts

On this page, you will find information about

•
Opening and Closing Scripts
•
Working with Script Instructions
•
Creating a New Script from an Existing Script

Corel Painter lets you edit your scripts. You can cut, copy, and paste steps to change script behavior.

Opening and Closing Scripts

 Back to Top

You must first open the script before you can edit.

To open a script for editing

1
On the Scripts palette, click the palette menu arrow and choose Open Script.
2
In the dialog box, choose a script and click Open.
Corel Painter displays the script’s instructions in the Script list.
If the script you want is in a different library, click Open Library.
•
The open script becomes the current script and is displayed in the Script Selector. If you choose another script from the Script Selector, the open script does not change.

To close an open script

•
On the Scripts palette, click the palette menu arrow and choose Close Script.

Working with Script Instructions

 Back to Top

You can edit a script to change the order of instructions, remove an instruction, or add a segment from a different script. An open script displays in the Script list as a series of instructions, each with a triangle at its left. You can click the triangle to open the instruction and see the steps or parameters it uses. Most of these parameters can be edited by double-clicking them.

Corel Painter always records every action you take in the “always script.” This script appears as (Current Script) in the Open Script dialog. You cannot edit the “always script.” However, if you open this script, you can copy instructions from it and paste them into another script. In this way, you can easily record recently taken steps into a script.

To select one or several instructions

•
You can select a single instruction by clicking it.
•
You can select multiple instructions by holding down Shift and clicking each instruction.
•
You can select all instructions in a script by clicking the palette menu arrow and choosing Select All.
•
You can deselect all selected script instructions by clicking the palette menu arrow and choosing Deselect.

To copy, cut, and paste instructions

1
Select one or more instructions.
2
Click the palette menu arrow and choose Cut or Copy.
3
Select the instruction before which you want to paste.
4
Click the palette menu arrow and choose Paste.
•
Corel Painter stores copied instructions on the Clipboard, so you can close one script, open another, and paste the instructions there.

Creating a New Script from an Existing Script

 Back to Top

You can copy segments of existing scripts into a new script.

To create a new script

1
On the Scripts palette, click the palette menu arrow and choose New Script.
2
You can now build a script by copying segments from other scripts and pasting them into the new script.


Working with Scripts and Movies

On this page, you will find information about

•
Converting a Scripted Session into a Movie

Corel Painter allows you to play back a script in a movie file. This allows you to create some interesting effects, as well as automate processes. Corel Painter also lets you apply a script to a movie. This feature is particularly useful when you have a script that functions as a macro.

For example, you might want to apply an effect like Motion Blur to a video clip. You can record a script that applies the Motion Blur effect to a single image. Then, with a single command, you can apply the script to each frame of a movie. You can also use a script to set grain position in a movie.

For more information about applying a script to a movie, refer to "Applying Scripts to Movies". For more information about setting the resolution of a movie, refer to "Replaying a Script at a New Resolution".

Converting a Scripted Session into a Movie

 Back to Top

You can convert a script into a Corel Painter movie and save it as a QuickTime or AVI movie. Every action you take becomes a frame in the movie. This is a great way of creating special effects for your movies. For more information about creating movies, see "Creating a Movie".

If the script was recorded to be resolution-independent, you can replay your session into a movie with different dimensions. For additional information, refer to "Replaying a Script at a New Resolution".

If the script is not resolution-independent and the new image window is larger, the script plays back in the upper-left corner of the movie. If the new image is smaller than the script dimensions, only the upper-left portion of the scripted session appears in the movie.

To replay a script into a movie

1
On the Scripts palette, click the Script Selector arrow and choose a script.
2
Open a new image at the size you want the movie to be.
3
On the Scripts palette, click the palette menu arrow and choose Script Options.
4
In the Script Options dialog box, enable Save Frames on Playback.
This is the option that directs Corel Painter to create a movie on playback.
5
Choose how many tenths of a second you want between frames.
The lower the number, the more frequently a frame is created and the more fluid the movie is. More frames, however, use more disk space.
6
On the Scripts palette, click Play.
7
In the Enter Movie Name dialog box, type a name, choose a destination folder, and click Save.
8
In the New Frame Stack dialog box, choose the number of layers of onion skin and the storage type you want. Corel Painter plays the script into the Frame Stacks dialog box.
•
Not all actions can be converted into a movie. For example, a script that contains a File menu [image] New command will not be converted.


Animation and Video

An animation is a series of drawings with progressive change. When viewed in rapid succession, they create a moving image.

Because Corel Painter has its full suite of Natural-Media tools and effects available for each image in a frame stack, it’s an extraordinary program for creating original animation.

The animation features give you the power to work with video and create animations, including onion skinning and rotoscoping. Onion skinning is a feature animators use to view previous and future frames while working in the current frame. Rotoscoping is the ability to paint on and apply effects to existing movies. You can clone, trace, edit, and combine movies.

In this chapter, you’ll learn animation and compositing techniques. You’ll learn how to create, open, and modify movies, how to navigate the Frame Stacks palette, and how to export movies to QuickTime or VFW/AVI format (Windows only).

See Also

•
Creating Animations and Video
•
Getting Started with Movies
•
Modifying a Movie
•
Rotoscoping
•
Saving and Exporting Movies
•
Creating and Exporting Animations for the World Wide Web


Creating Animations and Video

On this page, you will find information about

•
Creating Animations
•
Working with Video
•
Considering Color
•
Considering Frame Rate
•
Considering Movie File Sizes
•
Understanding the Frame Stacks Palette

Corel Painter lets you create animation as well as modify QuickTime or AVI movies. It also offers you a range of options for critical elements of your animation, such as color, frame rate, and file size.

Creating Animations

 Back to Top

Corel Painter offers several methods to create original animations:

•
Cloning or tracing video. For more information, refer to "Cloning a Movie".
•
Manipulating layers
•
Drawing each frame by hand

Corel Painter has powerful features that simplify animation and help you get the best quality possible. You can use the Natural-Media tools in Corel Painter to create your own animations with a traditional look. Onion skinning allows you to see multiple frames at the same time. You can view up to five frames at a time: the current frame and four other frames adjacent to it. This will help you determine where the next frame of motion should be drawn. You can play back your animation over and over as you create it, to be sure you have the correct flow of movement.

Working with Video

 Back to Top

Corel Painter offers certain ways of working with video that are not offered by QuickTime or Audio Video Interleaved (AVI) applications. You can use any of the Corel Painter brushes, textures, and effects to modify a QuickTime or AVI movie. You can paint directly into video frames, you can clone video using the Natural-Media tools, and you can combine or composite portions of one video clip with another.

When you open a QuickTime or AVI movie, Corel Painter automatically converts it to a frame stack. A frame stack is a series of images, each equal in size and resolution.

Corel Painter does not provide features for working with audio.

When you’re finished with the movie in Corel Painter, you can save it as a QuickTime, AVI, or animated GIF file. You can then open the QuickTime or AVI movie in a video-editing application, like Adobe Premiere, in which you can add sound effects and other finishing touches.

Considering Color

 Back to Top

You might want to create a color set for the animation. Creating a color set helps you better control the use of color. For example, you wouldn’t want the colors of your characters shifting between frames. Using a particular color set prevents this from happening. You might want to set up an image of each character with annotations to specify which colors to use in which areas.

Not all colors are suitable for video. For information about converting colors for use in video, refer to "Posterize by Using a Color Set". For more information about using color, refer to "Getting Started with Color".

Considering Frame Rate

 Back to Top

Frame rate describes the number of image frames displayed per second (fps). The frame rate can determine not only how big a file your animation is, but also how smooth the motion appears.

When you save a movie as an AVI file, you can specify the rate of display. This doesn’t necessarily mean that what you specify is what you’ll experience. Factors like frame size, compression method, and computer speed can prevent some movies from achieving their set rate. If your animations will be viewed on the computer only, frame rates of 8, 10, and 12 fps are good choices. If your animations will be viewed elsewhere, you should consider the following frame rates:

•
The frame rate of film is 24 fps.
•
The frame rate of National Television System Committee (NTSC) video is 30 fps (29.97 fps in broadcast video). NTSC is the video standard used in the United States.
•
The frame rate of Phase Alternating Line (PAL) video is 25 fps.

These frame rates are sufficient to produce smooth, continuous motion with filmed or video-recorded subjects.

Animation drawings contain far less detail than live-action images. The difference in the level of detail allows animations to be produced at frame rates significantly lower than those designed for live action. Because of the smoothness of color fills and continuity between images, animations can look quite nice at rates between 10 and 15 fps.

You must consider frame rates to know how many drawings are needed to make actions smooth, natural, and consistent throughout the project.

The computer can display frames at any reasonable rate. The Frame Stacks palette provides control over frame display rates. You can preview an animation at a rate of 1 to 40 fps.

You can’t display different sections of a movie at different rates. What you can do is create sections separately at different rates and then modulate them to the same rate before joining them. This is the kind of work you’ll do in your video-editing application.

To set the preview frame rate

•
On the Frame Stacks palette, adjust the Playback slider.
The frame rate is displayed to the right of the slider.

Considering Movie File Sizes

 Back to Top

Keep in mind that video and animation can produce huge files. When planning a project, be careful not to overestimate your available disk space. For an idea of disk requirements, consider this example: Each 640 by 480-pixel, 24-bit color frame is 1.2 MB. At this size, a 12-fps, 30-second animation would consume more than 400 MB of disk space.

To calculate the disk space required for a frame stack

1
Using pixels as the unit of measurement for width and height, calculate the number of bytes required to save the frame stack with the following formula:
(Frame Width) × (Frame Height) × (Bytes per Pixel) × (Number of Frames)
2
Divide the product of the formula in step 1 by 1,024 to convert to kilobytes.
•
Bytes per pixel is determined by the storage type. For example, 24-bit color with an 8-bit alpha channel uses 4 bytes per pixel. For more information about storage types, refer to "Creating a Movie".
•
When you save a movie as QuickTime or AVI, the file size can be reduced by compression. For more information on compression, refer to "Saving and Exporting Movies".

Understanding the Frame Stacks Palette

 Back to Top

In Corel Painter, digital video and animation files are known as movies or frame stacks. Whether you’re working with imported video or building a new animation, the tools are the same. They’re found on the Frame Stacks palette and in the Movie menu.

The number of frames displayed on the Frame Stacks palette is determined by the number of onion skin layers. A red triangle appears above the current frame.

Icon | Keyboard shortcut | Comment
Rewind | Home | Returns to the first frame in a stack
Step Reverse | Page Down | Moves back one frame
Stop | Command + . (Mac OS) or Ctrl+. (Windows) | Halts a frame stack that’s playing
Play |  | Plays the frame stack
Step Forward | Page Up | Advances to the next frame. When a frame is the last in the stack, Corel Painter adds a new frame to the end and advances.
Fast Forward | End | Advances to the last frame in the stack

The frame stack format is a series of images, each equal in size and resolution. The Frame Stacks palette appears whenever you open or create a movie file. The Frame Stacks palette must stay open while you work with a movie.

You work in one frame at a time — the one appearing in the document window. The Frame Stacks palette helps you navigate the frames in the stack and choose which frame to modify.

Each frame in a frame stack can have one layer. For example, if you drag an item from the image portfolio onto a frame, Corel Painter places the image on a layer. You can move the image around using the Layer Adjuster tool. However, when you move between frames or close the file, Corel Painter drops all layers — the layer is deleted, and the layer’s content is flattened onto the background canvas. Refer to "Layers" for more information about working with layers.

The Frame Stacks palette displays thumbnails of several frames. The frame numbers appear under the thumbnails. The current frame is shown with a red triangle over it.

The number of thumbnails is determined by the layers of onion skin you’ve chosen. By default, QuickTime and AVI files are opened with two layers of onion skin. For more information on onion skinning, refer to "Understanding Onion Skinning".


Getting Started with Movies

On this page, you will find information about

•
Creating a Movie
•
Opening a Movie
•
Navigating through a Movie
•
Understanding Onion Skinning
•
Animating with Layers
•
Repeating Actions

You can create movies with Corel Painter, or you can open movies created in common animation formats, such as QuickTime or Video for Windows (AVI).

Creating a Movie

 Back to Top

The first step in creating a new animation is to create a movie file. Corel Painter automatically saves movie files as you proceed from frame to frame.

To create a movie

1
Choose File menu [image] New.
2
In the New dialog box, select the frame size and paper color you want.
The standard digital video frame is 640 by 480 pixels, which is a 4:3 aspect ratio. Many people work at sizes consistent with this aspect ratio.
3
Enable the Movie option, type a number in the Frames box, and click OK.
Remember, you can add and delete frames at any time.
4
In the Enter Movie Name dialog box, type a name for the movie, and click Save.
5
In the New Frame Stack dialog box, choose a number of onion skin layers.
The number of onion skin layers determines the number of frames displayed in the Frame Stacks palette. For more information about onion skinning, refer to "Understanding Onion Skinning".
6
Choose one of the following storage types:
•
8-bit gray (for 256 levels of gray)
•
8-bit color system palette (for 256 colors)
•
15-bit color with 1-bit alpha (for 32,768 colors and a layer for a channel)
•
24-bit color with 8-bit alpha (for 16.7 million colors and a layer for an anti-aliased channel)
7
Click OK.
When the movie opens, the Frame Stacks palette appears, and the document window displays the first frame of the movie.
•
The storage type lets you specify the color depth for saving each frame. This applies to the saved frame stack, not to your work in the current frame. For example, choosing 256 colors as the storage type still allows you to work with a selection and 24-bit tools in the document window for the current frame. As soon as you change frames, however, the image is saved in the 256-color format, and the selection is lost. If you want to maintain selections in saved frames, you’ll need to choose the 15-bit or 24-bit storage type. These storage types allow you to take advantage of compositing options that require a selection layer.

Opening a Movie

 Back to Top

Quite often, you’ll start by opening a movie created in another program — like a captured video segment. You’ll also open an existing movie if you worked on a frame stack earlier and now want to return to it.

For efficiency, don’t bring in more video frames than you’re going to work on. For example, if you have a two-minute video clip and you want to paint on the first 10 seconds, don’t open the entire clip. You’re better off separating the first 10 seconds in your editing application and bringing in just those frames. After finishing that clip in Corel Painter, you can join it to the other part in your editing application.

You can also import a movie that has been saved as a series of numbered files. For more information, refer to "Working with Numbered Files".

To open a Corel Painter frame stack

1
Choose File menu [image] Open.
2
In the Open (Mac OS) or Select Image (Windows) dialog box, locate the frame stack, and click Open.
When a file is selected, the dialog box shows the frame size, file size, and number of frames. If a preview is available, it shows a thumbnail of the first frame.
3
In the Open Frame Stack dialog box, choose the number of onion skin layers you want to appear in the Frame Stacks palette.
The number you choose also determines the number of thumbnails visible in the Frame Stacks palette.
4
Click OK.
The Frame Stacks palette appears and the document window displays the first frame of the movie.

To open a QuickTime or AVI movie

1
Choose File menu [image] Open.
2
In the Open (Mac OS) or Select Image (Windows) dialog box, locate the movie, and click Open.
When a file is selected, the dialog box shows the frame size, file size, and the number of frames. If a preview is available, it shows a thumbnail of the first frame.
3
In the Enter Movie Name dialog box, type a name in the Save As (Mac OS) or File name (Windows) box, and click Save.
The Frame Stacks palette appears, and the document window displays the first frame of the movie.
•
When you open a QuickTime or AVI movie, Corel Painter makes a frame stack copy of the movie. This ensures that the original won’t be changed.
•
Frame stacks are uncompressed, so you need an adequate amount of disk space to create them. For example, a 1-MB QuickTime or AVI movie can become a 20-MB frame stack.

Navigating through a Movie

 Back to Top

You can select a frame by clicking its thumbnail on the Frame Stacks palette. You can also easily jump to any frame in a movie.

To select a frame

To | Do the following
Select a frame | On the Frame Stacks palette, click the frame’s thumbnail.
Jump to a particular frame | Choose Movie menu [image] Go To Frame, and type the frame number in the Go To Frame dialog box.

Understanding Onion Skinning

 Back to Top

Traditional cartoon animators work on an onion skin paper that allows them to see a sequence of frames through transparent layers. They then draw successive frames, using the previous frames for reference. Seeing the several images superimposed helps increment the action evenly.

Onion skin view (Tracing Paper on). Each frame in the frame stack represents one onion skin layer.

Corel Painter lets you work in two to five layers of onion skin. You specify the number of layers when you open a frame stack. To change the number of onion skin layers, you must close the file and reopen it.

The Frame Stacks palette displays a linear view of the onion skin layers. Each thumbnail represents one onion skin layer, and the thumbnail of the current frame has a red triangle above it.

You can change the current frame by clicking any thumbnail in the Frame Stacks palette. This lets you view a frame in any position of the onion skin sequence. For example, if you want to display the reference frames before the current frame, set the current frame to the far-right position in the palette. If you want to display the frames before and after the current frame, set the current frame to the middle thumbnail in the palette.

To use the onion skin feature

•
Choose Canvas menu [image] Tracing Paper.
In the document window, the current frame appears darkest. Each frame moving away is progressively fainter.
•
You can also turn Tracing Paper on and off by pressing Command+T (Mac OS) or Ctrl+T (Windows) or clicking the Tracing Paper icon [image] on the vertical scroll bar.

Animating with Layers

 Back to Top

One of the simplest ways to create animation in Corel Painter is to move an item from the Image Portfolio palette across a series of frames. This is the most basic example of animating with layers. Adding multiple layers allows you to make more complex animations.

You can also group layers and move them simultaneously, but be careful. When you leave a frame, Corel Painter drops the layers in that frame. When a layer is dropped, its contents are merged with the canvas and can no longer be accessed separately. For this reason, you may want to work from the background forward; start by animating what’s farthest from your point of view. For more information, refer to "Merging Layers with the Canvas".

You can also rotate a layer. Rotating a layer can degrade its on-screen image quality, but this does not affect its printed quality.

To create motion with layers

1
Choose File menu [image] New.
2
Enable the Movie option, and type 1 in the Frames box.
3
In the Enter Movie Name dialog box, choose a location, enter a name for the file, and click Save.
4
In the New Frame Stack dialog box, enable one of the Layers of Onion Skin options.
5
Choose Window menu [image] Show Image Portfolio.
6
Drag an item from the Image Portfolio palette to the document window.
A new layer is created.
7
Position the layer to the far left of the document window.
8
Click the Step Forward button [image] on the Frame Stacks palette.
A new frame is added and becomes the current frame. The layer in the previous frame is merged with the canvas. In the new, current frame, the layer is active.
9
On the keyboard, press the arrow keys to move the portfolio image.
10
Repeat steps 6 and 7 for as many frames as you want to add.
11
In the last frame, deselect the layer.
12
Click the Play button [image] on the Frame Stacks palette.
The portfolio image moves across the screen.

Repeating Actions

 Back to Top

You can repeat actions to create an animated cycle. Take, for example, a blinking eye. For this type of action, draw the cycle once, and repeat it as many times as needed.

This example shows a blinking eye as an animated cycle. You draw the frames once, and then repeat them.

To create a clean cycle, the beginning and ending images must be the same. For example, in an animation of a blinking eye, the eye would be open at the beginning and the end. This way, when the end of one cycle is “hooked up” to the beginning of the next, the action continues smoothly.

Scrolling a background is another example of a cycled action. Commonly, a subject remains in one place while the background slides by.


Modifying a Movie

On this page, you will find information about

•
Adding Frames and Movies to a Movie
•
Deleting Frames and Erasing Frame Contents

Frames can be added to, or deleted from, a movie. You can also erase the contents of a frame while leaving the frame in the movie. These changes cannot be undone, so it’s best that you create your animation in segments and combine them when you are finished.

Adding Frames and Movies to a Movie

 Back to Top

You can add frames at any time to your movie. Frames can be added at the end or beginning of a movie or between any frame in the stack. You can also repeat the last frame at the end of the stack.

You can combine movies by inserting the contents of one movie into another. You can insert only a Corel Painter movie, not a QuickTime or AVI movie or numbered files. You need to convert a QuickTime or AVI movie to a Corel Painter frame stack before you insert it into another Corel Painter movie.

The movie you insert must have the same frame size (width and height) as the current movie. You’ll get better results if the movie you insert is designed for the same frame rate as the current movie. You can insert a movie before or after a specific frame, at the start of a movie, or at the end of a movie.

To add frames to a movie

1
Choose Movie menu [image] Add Frames.
2
In the Add Frames dialog box, type the number of frames in the Add box.
3
Enable an option for frame placement.
For example, to add six blank frames before frame 10, type 6 in the Add box, enable the Before option, and type 10 in the Frame box.

To repeat the last frame

1
On the Frame Stacks palette, click the Fast Forward button [image].
2
Choose Movie menu [image] Clear New Frames to disable this command.
The check mark beside the Clear New Frames command is removed.
3
Click the Step Forward button [image] on the Frame Stacks palette.
•
You can add blank frames at the end of a movie with the Step Forward button when the Clear New Frames command is enabled.

To insert a movie

1
Choose Movie menu [image] Insert Movie.
2
In the Insert Movie dialog box, choose where to insert the movie, and click OK.
3
In the Select Movie dialog box, locate the movie you want to insert, and click Open.
•
The movie you insert must have the same frame size (width and height) as the current movie. You’ll get better results if the movie you insert is designed for the same frame rate as the current movie.

Deleting Frames and Erasing Frame Contents

 Back to Top

When you delete frames, the frames are removed from the movie, and subsequent frames are renumbered as necessary. Erasing clears the image to the paper color. The frames themselves remain in the movie.

To delete or erase frames

To | Do the following
Delete frames from a movie | Choose Movie menu [image] Delete Frames. In the Delete Frames dialog box, enter the range of frames you wish to delete.
Erase frame contents | Choose Movie menu [image] Erase Frames. In the Erase Frames dialog box, enter the range of frames you wish to erase.


Rotoscoping

On this page, you will find information about

•
Applying Effects to a Single Frame
•
Applying Scripts to Movies
•
Compositing Movies
•
Cloning a Movie
•
Tracing a Movie

Rotoscoping is the process of painting on a movie, applying effects to a movie, or compositing a portion of the images from one movie with the images of another. This is often done to make the action of a person filmed in one place appear on a background filmed in another. You can also use rotoscoping to remove an element from a video clip, as shown below in the frames from a short movie of an owl on a roost. After the video was captured digitally, it was imported it into Corel Painter, and the roost was removed frame by frame, using the masking tools.

(1) The frame shows an owl perched on a roost. (2) The frame shows the owl without the roost. (3) The frame shows the mask used to hide the roost.

Rotoscoping is also useful for adding a background to an animation. The process is the same whether you work with digitized video or painted animation cells.

Applying Effects to a Single Frame

 Back to Top

You can paint on, or apply effects to, any frame in a movie. You can do anything in a frame that you can do in a single image: paint with a brush, add layers, or apply an effect to a selection or to the entire image. Frames are automatically saved when you select another frame, and the changes cannot be undone.

To paint on or apply an effect to a single frame

1
On the Frame Stacks palette, go to the frame you want to work in.
To go to a frame, you can click on the thumbnail of the frame or click the Step Forward button [image] to advance to the frame. The selected frame appears in the document window.
2
Modify the image in the document window.
3
When you’re ready to work on the next frame, click the Step Forward button.
Changing frames automatically saves the frame. You cannot undo changes after the frame is saved.

Applying Scripts to Movies

 Back to Top

The Script feature lets you repeat the same actions for each frame in a movie. For example, you might want to apply an effect like Glass Distortion to a video clip. You can record a script that applies the Glass Distortion effect to a single image and then, with a single command, apply that script to the entire movie. A script can contain almost any action — a single command, a series of commands, or the many steps in creating an original drawing. You’ll devise scripts based on the needs of your project.

You cannot undo changes after applying a script to a movie. Before applying a script to a movie, you should become familiar with scripting and experiment with a separate sample image. You might want to work with a copy of the movie, or you might apply the script to a short sample movie to test it. For complete information on working with scripts, refer to "Scripting".

Using scripts to set grain position

You might use a script to apply a surface texture (paper grain) to an entire movie. In this case, you have several options for the position of the grain in each frame. You can put the grain in exactly the same position, move the grain randomly, or move it linearly by a set number of pixels. For instructions on applying surface texture and dye concentration, refer to "Applying Effects".

Using scripts to apply brush strokes

You can apply a recorded brush stroke to a movie. Corel Painter divides the stroke into as many segments as there are frames and places the segments in successive frames. This feature is most useful when used with the Image Hose. When you apply a brush stroke to a movie using the Image Hose brush, one or more Nozzle images are deposited on each frame. If the Nozzle file is an animated sequence — for example, a person walking — Corel Painter can drop successive images on successive frames. Play the movie back, and the person walks across the document window. For this to work, you must set up the Nozzle file appropriately and have the right Image Hose brush size. For more information, refer to "Getting Started with the Image Hose".

To create a script for a movie

1
Choose Window menu [image] Scripts.
2
On the Scripts palette, click the palette menu arrow, and choose Record Script.
3
Perform the actions you want included in the script, and click the Stop button [image] on the Scripts palette.
4
In the Script Name dialog box, type a name for the script in the Save As box.

To apply a script to a movie

1
Open the movie to which you want to apply the script.
2
Choose Movie menu [image] Apply Script to Movie.
3
In the Apply Script to Movie dialog box, double-click a script.
Corel Painter applies that script to each frame in the stack. If you have few small frames in your movie, and the script is not a complicated one, the script can be applied quickly. If the movie has several large frames, a complicated script could take a long time.
•
You can apply only scripts that do not create new images.

To set grain position with a script

1
Record a script that applies surface texture or dye concentration to an entire image.
2
Choose Movie menu [image] Set Grain Position.
3
In the Set Grain Position dialog box, enable one of the following options:
•
Grain Stays Still allows the grain to remain in the same position throughout the movie.
•
Grain Moves Randomly moves the grain as the movie plays. To use this option, you must disable the Record Initial State option when recording your script. On the Scripts palette, click the palette menu arrow, and choose Script Options. In the Script Options dialog box, disable the Record Initial State check box.
•
Grain Moves Linearly increments the grain movement. Specify the number of pixels you want the grain to move horizontally and vertically from one frame to the next.
4
Click OK.
5
Choose Movie menu [image] Apply Script to Movie to apply the grain script. Each frame is textured according to your selected method.

To apply a brush stroke script

1
On the Brush Selector bar, click the menu arrow and choose Record Stroke.
2
Create a brush stroke in the document window.
3
Open a movie file.
4
Choose Movie menu [image] Apply Brush Stroke to Movie.

Compositing Movies

 Back to Top

You can composite two movies together into one — for example, you can composite a foreground action against a new background. To do this, you must create a selection in each frame of the foreground movie. For information about selections, refer to "Creating Selections". You can also create an alpha channel for each frame and load it as a selection as you work. For more information, refer to "Creating, Generating, and Importing Channels".

When creating selections in the foreground movie, if the background is uniform — all white, for example — you can take advantage of the automatic selection and script features.

The drawing mode determines whether Corel Painter draws inside or outside of a selection, so you can create selections that either include or exclude the foreground image — whichever is easiest — then set the drawing mode accordingly. For more information about drawing modes, refer to "Selecting a Drawing Mode".

When you composite movies, it can take a long time to generate selections and paint in the background for each frame. Using scripting in conjunction with the Auto Select or Color Select commands can make this operation much easier and faster.

You can create a selection based on image characteristics or color. You do this once, record the process as a script, and then apply the script to all frames in your movie. For information about creating selections based on image characteristics, refer to "To generate a selection with the Auto Selection command". For information about creating selections based on color, refer to "To generate a color-based selection". For information about recording scripts, refer to "Scripting". For information about recording scripts, refer to “Scripting” in the Help.

To composite one movie with another

1
Open the foreground movie.
2
In each frame, create a selection that defines the foreground image.
Because the foreground image continues to move, the selection in each frame must be different.
3
On the Frame Stacks palette, click the Rewind button [image] to go back to the first frame in the stack.
4
Open the background movie or image.
If the background is a movie, click the Rewind button.
5
Do one of the following:
•
Select the background movie and choose Movie menu [image] Set Movie Clone Source.
•
Select the background image and choose File menu [image] Clone Source [image] [Image Title].
6
Select the foreground movie.
7
Click the drawing mode button in the lower-left corner of the document window, and choose one of the following:
•
Draw Outside if you selected the portion of the image that you want to keep.
•
Draw Inside if you selected the portion of the image that you want to replace.
You can also invert the selection instead of changing the drawing mode.
8
On the Brush Selector bar, choose a Cloners brush.
If you want to bring the background across perfectly, select the Straight Cloner brush variant.
9
Paint in the foreground movie to replace the background by using the clone source.
10
Click the Step Forward button [image] and paint the background of the next frame.
If your clone source is a movie, Corel Painter automatically advances the foreground and clone source movies by one frame. The movies stay synchronized as you proceed.
11
Repeat step 10 for each frame in the movie.
•
If you want to automate the painting process, you can record the complete painting of one frame as a script and then apply that script to the entire movie. This assumes that the entire movie can use the cloned background. For more information, refer to "Applying Scripts to Movies".

The frame stack of the background movie.

The frame stack of the foreground movie where selections of the dog are generated.

The composited movie.

To composite movies using scripting

1
Working in a sample image, determine whether Auto Select or Color Select works best with your image.
Those selection methods are accessible by choosing Select menu [image] Auto Select or Color Select.
2
When you’ve determined the settings for the best method, start over. This time, record the Auto Select or Color Select process as a script.
To record a script, click the palette menu arrow on the Scripts palette, and choose Record Script.
3
Open the frame stack in which you wish to create selections.
4
Choose Movie menu [image] Apply Script to Movie.
5
In the Apply Script to Movie dialog box, double-click the Auto Select or Color Select script you saved.
Corel Painter applies the script to each frame in the stack.

Cloning a Movie

 Back to Top

Cloning from one movie to another is almost like cloning from one image to another. The only difference is that you are cloning from one sequence of frames to another sequence of frames. In this case, by advancing one frame in the clone frame stack, Corel Painter automatically advances one frame in the source frame stack.

When you set a movie clone source, the current frame in the clone is matched to the current frame in the source. If both movies are rewound to frame 1, the clone-to-source correspondence is 1-1, 2-2, 3-3. This means that the source for frame 1 in the clone movie is frame 1 in the source movie, and so on. If you like, you can create a different correspondence by choosing other frames before setting the movie clone source. For example, if the current frame of the clone movie is frame 1 and the current frame of the source movie is frame 5, the correspondence would be 1-5, 2-6, 3-7. This means that the source for frame 1 in the clone movie is frame 5 in the source movie, and so on. For information on cloning brushes, refer to "Cloning Images". You can control the areas cloned by setting up a selection in the clone movie. For complete information on creating selections, refer to "Selections".

You can also use Auto Clone to do the cloning, or you can record an Auto Clone script and apply the script to the new movie with a Cloner brush selected. For more information about using Auto Clone, refer to "Using Auto Clone". For information about working with scripts, refer to "Recording Scripts".

To clone a movie

1
Choose File menu [image] Open, and open the source movie you want to clone.
2
In the Open (Mac OS) or Select Image (Windows) dialog box, note the information on movie dimensions and number of frames given under the thumbnail window, and click Open.
3
Create a new movie with the same dimensions and number of frames as the source.
With these two frame stacks open, you’re ready to clone the source into the new movie.
4
Select frame 1 of the new movie.
5
With the source movie selected, choose the first frame you want to clone.
6
Choose Movie menu [image] Set Movie Clone Source.
7
Select the new movie.
8
Using any Cloner brush, paint on the document window.
You will be painting the source movie into the clone.
9
When you finish cloning in a frame, advance to the next one by clicking the Step Forward button [image] on the Frame Stacks palette.
Corel Painter automatically advances the clone source to maintain the frame-to-frame correspondence.
•
If you have a Corel Painter movie open and you choose File menu [image] Clone, Corel Painter will create a clone only of the frame in the image window.

To apply an Auto Clone script to a movie

1
Record the Auto Clone effect on a sample image, and save the script.
2
Open the frame stack in which you wish to clone.
3
Choose Movie menu [image] Apply Script to Movie.
4
In the Apply Script to Movie dialog box, select a saved Auto Clone script, and click Playback.
Corel Painter clones the source movie into the destination movie.

Tracing a Movie

 Back to Top

Have you ever wanted to animate your own cartoon, but didn’t know where to start? The Tracing Paper feature makes it possible to trace the contents of a movie into a brand-new animation.

For best results, the source should have the same frame rate you intend for the animation. For more information on frame rates, refer to "Considering Frame Rate".

To trace a movie

1
Choose File menu [image] Open, and open the source movie you want to trace.
2
In the Open (Mac OS) or Select Image (Windows) dialog box, note the movie dimensions and number of frames information under the thumbnail window, and click Open.
3
Create a new movie with the same dimensions and number of frames as the source.
With these two frame stacks open, you’re ready to trace the source into the new movie.
4
Select the source movie, and click the Rewind button [image] on the Frame Stacks palette to select frame 1.
5
Choose Movie menu [image] Set Movie Clone Source.
6
Select the new movie and choose Canvas menu [image] Tracing Paper.
The first frame of the original movie appears ghosted in the first frame of the new movie.
7
Trace the first frame using any of the Corel Painter tools, textures, and effects.
8
When finished, click the Step Forward button [image] on the Frame Stacks palette, and trace the second frame.
9
Continue frame by frame.


Saving and Exporting Movies

On this page, you will find information about

•
Exporting a Single Image from a Movie
•
Exporting Movies as QuickTime Movies
•
Exporting a Movie as an AVI Movie
•
Working with Numbered Files

Corel Painter provides several options for saving and exporting your finished movies. Some file formats, like QuickTime and Video for Windows, have compression options available.

Exporting a Single Image from a Movie

 Back to Top

You can save and export a movie frame in several file formats.

To export a frame as a single image

1
Display the frame you want to export in the document window.
You can click on the frame thumbnail in the Frame Stacks palette or use the controls in the Frames Stacks palette to display the frame.
2
Choose File menu [image] Save As.
3
In the Save Movie dialog box, enable the Save current frame as image option, and click OK.
4
In the Save (Mac OS) or Save Image As (Windows) dialog box, choose a location and file format, enter a name for the file, and click Save.

Exporting Movies as QuickTime Movies

Back to Top

You can export a movie as a QuickTime movie on either the Macintosh or Windows platform.

QuickTime supports several compression schemes. The following descriptions should help you choose one; however, you’ll probably want to experiment with different compressors and settings to identify the best settings for your work. You may also have additional compression methods available.

•
The Animation method works well with areas of continuous tone. If you set the Quality in the Compression Settings dialog box to Best and make every frame a key frame, this compressor is lossless. For most Corel Painter animations, this compressor is a good choice.
•
The Cinepak method produces acceptable motion and image quality at remarkably small file sizes. It is the preferred format for CD delivery and transfer across the Internet. Cinepak can take a long time to compress, and it can be difficult to find the best compression settings for certain image types and frame rates.
•
The Graphics method is limited to 256 colors. It compresses the file at a greater ratio than the Animation compressor, but does not play as quickly.
•
The None option uses no compression, so the images retain all of their quality. With a large frame size, some computers might not be fast enough to play at a high frame rate.
•
The Photo-JPEG method allows high compression ratios while maintaining excellent image quality. However, it does not play at high rates. JPEG is an international standard for image compression.
•
The Video method is designed for recording and playing back digitized video at high rates. Because of the spatial compression method it uses, the Video compressor does not provide optimal results for images with large areas of continuous tone, such as those in most animations.

The compression ratio is inversely proportional to image quality. The Quality slider allows you to set an optimum level between the amount of compression and image quality. For most work in Corel Painter, it is best to set the Quality slider to High.

You can specify the number of frames you want displayed per second and, with some compression methods, the frequency of key frames. Key frames are used in temporal compression methods. Each key frame is stored in its entirety. The next set of frames, up to the next key, are saved only as changes.

With some compression methods, you can also limit the speed of data transmission with the Limit Data Rate option. The data rate limit overrides the Quality setting, if necessary, to keep the compressed movie within the set limit.

To export a Corel Painter movie as a QuickTime movie

1
Choose File menu [image] Save As.
2
In the Save Movie dialog box, enable the Save Movie as QuickTime option.
3
In the Enter Movie Name dialog box, choose a location, enter a name for the file, and click Save.
4
In the Compression Settings dialog box, choose a compression method from the pop-up menu.
5
Specify the options you want.

Exporting a Movie as an AVI Movie

 Back to Top

If you are using a Windows operating system, you can export your movie as an AVI movie.

The AVI format supports several compression schemes. The following descriptions should help you choose one; however, you’ll probably want to experiment with different compressors and settings to identify the best settings for your work. You may also have additional compression methods available.

•
The Cinepak method produces acceptable motion and image quality at remarkably small file sizes. It is the preferred format for CD-ROM delivery and transfer across the Internet. Cinepak takes a long time to compress, and it can be difficult to find the best compression settings for certain image types and frame rates.
•
The Microsoft Video 1 method is designed for recording and playing back digitized video at high rates.
•
The Full Frames (Uncompressed) method uses no compression, so the images retain all of their quality. With a large frame size, some computers might not be fast enough to play at a high frame rate. This is the preferred format for transferring Corel Painter movies to AVI-editing applications.

The compression ratio is inversely proportional to image quality. In the Video Compression dialog box, the Compression Quality slider allows you to set an optimum level between the amount of compression and image quality.

Key frames are used in temporal compression methods. Each key frame is stored in its entirety. The next set of frames, up to the next key, are saved only as changes. With some compression methods, you can specify the frequency of key frames with the Key Frame Every [Number] Frames option.

With some compression methods, you can also limit the speed of data transmission with the Data Rate option. The data rate limit overrides the Quality slider setting, if necessary, to keep the compressed movie within the set limit.

To export a Corel Painter movie as an AVI movie

1
Choose File menu [image] Save As.
2
In the Save Movie dialog box, enable the Save Movie as AVI option, and specify the number of frames per second.
3
In the Enter Movie Name dialog box, choose a location, enter a name for the file, and click Save.
4
In the Video Compression dialog box, choose a compression method from the Compressor pop-up menu.
5
Specify the options you want.
For some compression methods, you can click Configure to specify additional options.

Working with Numbered Files

 Back to Top

Corel Painter supports importing and exporting numbered files. Numbered files are any series of files that are the same size and resolution, and named following a specific style, which includes a number at the beginning or end of each file name. For example, the first frame might be called “Movie01,” the second frame “Movie02,” and so on.

When you export a movie as numbered files, you can import the numbered files into an application that may not support other movie formats. When exporting, you specify the filename for the first file. You must include zeros so that all numbered files have the same number of digits. For example, to create numbered files from 1 to 24, include “01” in the filename. To create numbered files from 89 to 110, include “089” in the filename.

Importing numbered files is an excellent method of bringing an animation from another 3D or animation program into Corel Painter. The file format of the numbered files you are importing must be supported by Corel Painter, and the number of digits in each filename must be the same. When you import numbered files, you create a new frame stack, and you are prompted to choose a number of onion skin layers and a storage type. For more information, refer to "Creating a Movie".

To export a movie as numbered files

1
Choose File menu [image] Save As.
2
In the Save Movie dialog box, enable the Save Movie as Numbered Files option, and click OK.
3
In the Save (Mac OS) or Save Image As (Windows) dialog box, choose a location and file format, enter a name for the first file, and click Save.
You must begin or end the filename with a number — for example, “01Movie” or “Animation14.”

To import numbered files

1
Choose File menu [image] Open.
2
Enable the Open Numbered Files check box in the Open (Mac OS) or Select Image (Windows) dialog box.
3
Do one of the following:
•
(Mac OS) Select the first numbered file. When “Choose Last Numbered File” appears under the Open Numbered Files check box, select the last numbered file, and click Open.
•
(Windows) Select the first numbered file, and click Open. Then, select the last numbered file, and click Open.
4
In the Enter Movie Name dialog box, choose a location to save the imported movie, enter a filename, and click Save.
5
In the New Frame Stack dialog box, choose a number of onion skin layers and a storage type, and click OK.

Corel Painter sequences the images into the frames of a new frame stack.


Creating and Exporting Animations for the World Wide Web

On this page, you will find information about

•
Creating Animated GIFs
•
Exporting Animated GIFs

Corel Painter lets you export a frame stack as an animated GIF file. The animated GIF format is ideal for displaying simple animations on the World Wide Web.

Animated GIFs are easy to create and add to your Web pages. You give them the same HTML tag you would give any GIF image. The only difference is that the browser displays the file as an animation. A GIF can be used as a link anchor or as an image map. However, it cannot be used as a background.

Your browser must support GIF animations for the images to display properly. Refer to "The Web" for more information about creating content for Web pages.

Creating Animated GIFs

 Back to Top

If your movie is intended for the Web, you should consider file size and number of colors in your animation, as these factors affect the speed of the animation.

Create your animation in a Corel Painter frame stack. Take advantage of your favorite animation features and techniques to develop the images.

As you design your animation, consider the file size and transfer time necessary. Your animations will be more accessible if they’re small enough to download in a reasonable time. You can minimize file size by considering the following:

•
Reduce the frame size. A smaller frame leads to a smaller file. You choose the frame size when you create a new movie. If you import an existing animation or video, you cannot resize the frames.
•
Limit the number of frames. Good animations do not necessarily need a large number of frames. Each frame increases the file size, so see if you can get by with fewer frames.
•
Limit the number of colors. Including fewer colors in the image reduces the size of the color palette and leads to smaller files. For best results, choose colors from the Windows Default 256 color set. This color set matches the color palette of Netscape Navigator, so the colors in your GIF will be reproduced on the client without dithering.

If the animation requires transparency, you must set up a selection for each frame. For information about creating selections, refer to "Creating Selections".

Exporting Animated GIFs

 Back to Top

There are many options available when you save images to a GIF file. You can choose the number of colors and the imaging method — either Quantize or Dither. If you want to gradually display images in the Web browser as they load, you can enable the Interlaced option.

If you have created selections in each frame, you can make your image transparent and choose your background option. You might need to adjust the Threshold slider to determine the selection mask value at which the image becomes transparent.

You can also set animation-specific GIF options — Frame Delay, Disposal Method, and Looping. For more information on these GIF options, refer to "Saving GIF Files".

The Frame Delay option allows you to specify a pause (in 100ths of a second) between each frame. Without a delay, the frames appear as quickly as the system can load and display them. The display of each image (especially with larger frames) varies between computer systems, so the actual animation display rate may be lower. You can use Frame Delay to approximate a particular frame rate. For example, you capture some one-quarter size video at 8 frames per second (fps). You want 8 frames to appear in one second, so divide one second (100 hundredths of a second) by 8. The result is 100/8 = 12.5. Discard the decimal portion and enter 12 as the frame delay. Discarding the decimal is the only allowance for the time required to display each image. For a large frame size, you might want to allow more time for display.

The Disposal Method options let you specify what happens to an image after it has been displayed (and its frame delay has passed), and before the next image is displayed. The disposal method is significant only when you use transparency that differs between frames.

•
With Default, the client browser’s default disposal method is used.
•
With None, the image is left on-screen and the next frame is rendered over it.
•
With Background, the region covered by the image is restored to the background color.
•
With Previous, the region covered by the graphic is returned to the imagery of the previous frame.

If you want the animation to repeat, enable the Loop option. Enter the number of times the animation should repeat. If you want it to repeat indefinitely, enter 0.

In the client browser, the animation appears one frame at a time during download. In most cases, this is significantly slower than the intended display rate. After all frames have been downloaded, the browser will loop the animation (if the loop option is used) with the specified delay between frames. Because the animation plays from the browser’s cache, it’s much faster.

To export a frame stack as an animated GIF

1
With the frame stack open, choose File menu [image] Save As.
2
In the Save Movie dialog box, enable the Save Movie As GIF Animation option.
3
In the Enter Movie Name dialog box, choose a location, enter a filename, and click Save.
4
In the Save as GIF Options dialog box, specify the options you want.
You can now use your browser to open the file and view the animation. You can place the animation on a Web page with the same HTML image tag you’d use for a simple GIF file.
If the animation in the browser window stops playing, it’s probably finished the set number of loops. In some browsers, you can get it started again by resizing the window. In all browsers, you can get it started again by reloading the page.


Printing

You can print Corel Painter images on a wide variety of printers, including PostScript, Windows Graphics Device Interface (GDI), and Quick Draw printers, and high-resolution imagesetters.

See Also

•
Understanding Printing
•
Getting Started with Printing
•
Understanding Color Management
•
Managing Files Saved in EPS Format


Understanding Printing

On this page, you will find information about

•
Printing Images with Shapes
•
Printing Composite Images

Even if your ultimate goal is to produce high-quality color prints, it is recommended that you first obtain proofs from any printer you have available. You can use proofs from a black-and-white printer to check page size and image placement. Proofs from a color printer provide a general impression of what your image will look like. Keep in mind that the proof is not an accurate representation of a final print produced by an offset printing process. The final output is affected by a combination of the print process, inks, and paper types used.

To help you prepare for color printing and to ensure the best results, Corel Painter supports color management through the Kodak Color Management System (KCMS). Color management is not enabled by default. If you want to use color management while working on or printing a document, you must first set up color management for your system. Refer to "Understanding Color Management" for more information on using KCMS in Corel Painter.

Printing Images with Shapes

 Back to Top

In Corel Painter, shapes can be interleaved with layers on the Layers palette, which can affect how your document is printed. Shapes are not pixels, but are mathematical representations of curves, which makes them inherently resolution-independent. On a PostScript printer, these curves are usually turned into PostScript paths and are printed at the full printer resolution.

When PostScript Level I or II is used to print shapes, some effects, such as transparency, and certain composite methods, cannot be reproduced. You must rasterize the shapes on the canvas before printing.

Any object in a lower position on the Layers list “touched” by a rasterized shape must also be rasterized to preserve the effect. For example, if you have a shape with transparency on top of a number of other shapes, all shapes below it must be rasterized to preserve the transparency on the canvas even if the overlap area is small. Similarly, if part of an image from a layer is placed over a shape, the shape must be rasterized to be correctly printed.

If you want to print shapes at the full resolution of your printer, ensure that the shapes do not overlap with raster layers, that they are not transparent, and that their composite method is set to Default.

Printing Composite Images

 Back to Top

Printing a composite image that contains many layers and shapes can be time-consuming. You can print a single-layer version of the image much more quickly.

Instead of flattening a composite image by dropping each layer to the canvas, you can clone the file to produce a flattened image, which you can then print. This method lets you preserve the layers in the saved RIFF file in case you want to change them later. For more information, see "Cloning a Document".


Getting Started with Printing

On this page, you will find information about

•
Setting Up Printing
•
Sizing an Image
•
Printing an Image

Corel Painter offers a wide range of printing options for various output devices. You can preview and size the image before you print it.

Setting Up Printing

 Back to Top

Options for setting up your file for printing depend on several factors: the type of output device to be used, whether the printed output will be in color or in black and white, and whether you are printing separations.

To access print settings

•
Choose File menu [image] Page Setup.

To preview an image

1
On the Info palette, click the palette menu arrow.
2
Choose one of the following:
•
To view the image as it appears on your canvas with no relation to the printing paper, choose Canvas Preview.
•
To view the image as it will appear on the currently selected printing paper, choose Page Layout Preview.

Sizing an Image

 Back to Top

If you want to print an image that is larger than a selected page size, you can size the image to fit the page. For example, when this option is enabled, a 12-by-12-inch image would be resized to fit on an 8.5-by-11-inch page.

To size an image to fit the page

1
Do one of the following:
•
(Mac OS) From the menu bar, choose File menu [image] Page Setup, and choose Corel Painter X from the Settings pop- up menu.
•
(Windows) Choose File menu [image] Print.
2
Enable the Size to Fit Page check box.
•
To print images larger than the page size, you must enable the Size to Fit Page check box.

Printing an Image

 Back to Top

After choosing options in the Print Setup dialog box (Mac OS) or the Page Setup dialog box (Windows), you are ready to print your image.

To print an image

1
Choose File menu [image] Print.
The Print dialog box appears.
If you are using the Mac OS, choose Corel Painter X from the pop-up menu below the Presets pop-up menu.
2
In the Print Type area, choose one of the four print types that Corel Painter supports.
•
If your printer is not a PostScript printer, enable the Color Quick Draw (Mac OS) or GDI Printing (Windows) option. You cannot print separations to printers that lack PostScript capability. Examples of such printers include the Hewlett-Packard Deskjet, the Canon Bubble Jet, and the EPSON Stylus.
•
To print an image to a color PostScript device, enable the Color PostScript option.
•
To print separations, enable the Separations option. The output consists of four pages, one each for cyan, magenta, yellow, and black. You can print separations from Corel Painter with PostScript devices, including high-resolution imagesetters. Corel Painter places a color bar, registration marks, and the color name on each of the four separated plates.
•
To print an image to a black-and-white PostScript laser printer, enable the B & W PostScript option.
•
Corel Painter uses the device’s default screening information to produce high-quality color separations. If Output Preview is off when you save a file in EPS format, Corel Painter uses the Color Studio separation tables with your device’s default screening. For more information, see "Saving a File in EPS Format for Printing".
•
To control printing by using the Color Management System, click the Toggle Color Correction icon [image] on the vertical scroll bar so that the icon displays color bars. For more information, refer to "Understanding Color Management".


Understanding Color Management

On this page, you will find information about

•
Understanding the Color Management Dialog Box
•
Working with Color Profiles
•
Obtaining Additional Color Profiles
•
Choosing Advanced Color Management Settings
•
Correcting Colors for Display
•
Enabling or Disabling the Color Management Style

Corel Painter features color management controls designed to match colors between various devices, such as scanners, digital cameras, printers, and monitors. Each device has a range of colors, or a color space, that it uses. For example, a monitor displays a different set of colors than a printer reproduces, so some colors may appear different in print than they appear on the screen.

You can use a color management system to translate colors from one device to another. Color profiles define the color space for your monitor and for the input and output devices you use. Color management helps ensure color consistency and accuracy. It improves your output quality and saves you time and money by helping to avoid reprinting. If you need a profile for your output device, you can contact the manufacturer and ask for the International Color Consortium (ICC) profile for your specific device.

Color management helps artists create full-color images for printing in two ways:

•
It lets you view an on-screen preview of how your image will look when printed on a particular printer.
•
It lets you apply a device-specific “optimization” to the color data when you print the image from Corel Painter.

Color management is not an issue for artists creating content for the World Wide Web, CDs, games, or any project designed for display on a computer.

Corel Painter supports color management through the Kodak Color Management System. Kodak is one of the leaders in advanced color systems, and the KCMS is designed to meet the most demanding standards in color production work. The Corel Painter Installer places the KCMS files in the correct locations for you.

Understanding the Color Management Dialog Box

 Back to Top

The Color Management dialog box is shown below. To view it, choose Canvas menu [image] Color Management.

In the Color Management dialog box, you can activate the following icons:

•
Scanner/digital camera icon
•
Separations printer icon
•
Monitor icon
•
Composite printer icon
•
Import/export icon
•
Internal RGB icon
•
Arrows

You can click the Internal RGB icon or Import/export icon to choose advanced color management options.

In addition, you can click the arrows to enable or disable them. The arrows appear orange when enabled, and grayed and broken when disabled. You can use the arrows to correct colors between devices and to control how colors are displayed.

The following table contains descriptions of what happens when an arrow is enabled or disabled.

Arrow | Enabled | Disabled
From the scanner/digital camera to internal RGB | The scanner/digital camera profile is used for color correction. | The profile is not used.
From internal RGB to the monitor | The monitor’s color profile is used to calibrate colors for display. | Colors are not calibrated for display.
From internal RGB to the composite printer | The printer’s profile is used for color correction. | The profile is not used.
From the composite printer to the monitor | The monitor simulates a composite printer output. | The monitor does not simulate a composite printer output.
From internal RGB to the separations printer | The separations printer profile is used for color correction. | The profile is not used. (You can override this setting in the Print dialog box.)
From the separations printer to the monitor | The monitor simulates the color separations of printer output. | The monitor does not simulate the color separations of printer output.
From the separations printer to the composite printer | The composite printer simulates the color separations of printer output. | The composite printer does not simulate the color separations of printer output.
From internal RGB to import/export | Internal RGB profiles are embedded. | ICC profiles are not embedded.
From import/export to internal RGB | Embedded ICC profiles are used. | ICC profiles are ignored.

Working with Color Profiles

 Back to Top

A color management system helps you consistently achieve accurate colors across a variety of devices. The first stage in setting up your color management system is to choose color profiles for your monitor and each of the devices you use, such as scanners, digital cameras, and printers.

Different brands and models of monitors, scanners, digital cameras, and printers have different color spaces and thus require different color profiles. Some generic profiles are installed with Corel Painter; however, for accurate color reproduction, custom profiles are required.

Standard ICC color profiles are used in Corel Painter. You can choose color profiles for one of the following:

•
monitor
•
scanner/digital camera
•
composite printer
•
separations printer
•
internal RGB color space

You can also choose profiles that you have copied from a disk and pasted into the Color folder of Corel Painter.

To choose a color profile

1
Choose Canvas menu [image] Color Management.
2
Choose a profile from the pop-up menu under one of the following icons:
•
Scanner/digital camera
•
Separations printer
•
Monitor
•
Composite printer
•
Internal RGB

Obtaining Additional Color Profiles

 Back to Top

If you need additional profiles or updates, you can often get them from the device manufacturers. Although you may find profiles that claim to be for your model of printer or monitor, each device is unique in its color reproduction, particularly over its life cycle. For this reason, your own devices should be profiled with ICC profiling software and hardware. Check manufacturers’ Web sites for the latest information about your device.

Choosing Advanced Color Management Settings

 Back to Top

Corel Painter offers rendering intent options to suit the type of image you are printing.

To choose a rendering intent

1
Choose Canvas menu [image] Color Management.
2
Click the Internal RGB icon [image].
3
In the Advanced Settings dialog box, choose an option from the Rendering Intent pop-up menu:
•
Absolute Colorimetric preserves the white point and can be used to proof images.
•
Automatic is the default setting.
•
Perceptual is good for a variety of images, especially bitmap and photographic images.
•
Relative Colorimetric is good for producing proofs on inkjet printers.
•
Saturation is good for vector graphics (lines, text, and solid-colored objects).

To use embedded color profiles

1
Choose Canvas menu [image] Color Management.
2
Click the Import/Export icon [image].
3
In the Import area of the Advanced Import/Export Settings dialog box, enable one of the following options:
•
Convert Using Embedded ICC Profile
•
Always Convert Using
•
Ignore Embedded ICC Profiles
4
In the Export area, enable one of the following options:
•
Embed ICC Profile
•
Always Embed Using
•
Do Not Embed ICC Profiles
•
When you enable the Convert Using Embedded ICC Profile, Always Convert Using, or Always Embed Using options, you can choose a profile from the pop-up menu.
•
When you enable the Embed ICC Profile or the Always Embed Using export options, the Adobe Photoshop (PSD) file format is exported with an embedded ICC profile.
•
You can specify options for CMYK or RGB.

To use color management styles

1
Choose Canvas menu [image] Color Management.
2
Choose one of the following from the Style pop-up menu:
•
Color Management Off
•
Default Settings
•
Optimized for Desktop Printing
•
Optimized for Professional Output
•
Optimized for the Web
If you’ve saved a custom color management style, it also appears in the Style pop-up menu.
•
You can add or delete a color management style by clicking the plus (+) or minus (–) buttons beside the Style pop-up menu in the Color Management dialog box.

Correcting Colors for Display

 Back to Top

You can use color management to preview the printed output on-screen. This preview is often referred to as “soft proofing.”

To correct colors for display

1
Choose Canvas menu [image] Color Management.
2
Do one of the following:
•
To correct the colors displayed on the monitor, click the arrow from the Internal RGB icon [image] to the Monitor icon [image].
•
To display a simulation of the output from a composite printer, click the arrow from the Composite printer icon [image] to the Monitor icon [image].
•
To display a simulation of the output from a color separations printer, click the arrow from the Separations printer icon [image] to the Monitor icon [image].
•
To use a composite printer to display a simulation of the output from a separations printer, click the arrow from the Separations printer icon [image] to the Composite printer icon [image].
•
Arrows appear orange when they are enabled, and grayed and broken when they are disabled.
•
When you use a composite printer to display a simulation of the output from a separations printer, it does not affect the printed output.

Enabling or Disabling the Color Management Style

 Back to Top

The Output Preview option lets you see what your image will look like with the selected color management style applied.

To enable or disable the selected color management style

•
Click the Toggle Color Correction icon [image] on the vertical scroll bar.
When colors appear on the icon, the color management style is applied to the image; when the icon is black, the color management style is not applied to the image.
•
Some color management settings, such as Default, Optimized for Desktop, and Optimized for Professional Output, can result in on-screen colors that appear dull. The colors appear dull because your monitor can display more colors than your printer is capable of reproducing; therefore, color management is displaying an accurate representation of your printer’s colors. For a brighter display of on-screen colors, choose another color management setting, or turn off color management.
•
When Output Preview is enabled, “(OP)” appears on the title bar beside the document name.


Managing Files Saved in EPS Format

On this page, you will find information about

•
Saving a File in EPS Format for Printing

Images saved in Corel Painter as encapsulated PostScript (EPS) files conform to the Desktop Color Separation (EPS-DCS) format.

Saving a File in EPS Format for Printing

 Back to Top

Although files can be saved in EPS-DCS format in Corel Painter, EPS-DCS files cannot be opened in Corel Painter. If you plan to save an image in EPS-DCS format, it’s a good idea to save a copy in another format first so that you can reopen it in Corel Painter.

When Output Preview is turned on and you save a file in EPS format, Corel Painter uses the loaded ICC profiles to control separation. If Output Preview is turned off, Corel Painter uses the default separation tables. For more information, refer to "Understanding Color Management".

To save a file in EPS format

1
Choose File menu [image] Save As.
2
In the Save As dialog box, choose EPS from the Format (Mac OS) or Save As Type (Windows) pop-up menu, and click Save.
3
In the EPS Save Options dialog box, enable the Hex (ASCII) Picture Data check box to change the data format.
Enabling this check box allows another method of storing PostScript information, but it approximately doubles the size of the saved file. Some programs require this option to be enabled.
4
Enable one of the following preview options:
•
No Preview
•
Black and White Preview
•
Color Preview
You may need to use the Black and White Preview option to print EPS files on some laser printers. Although the preview or display is in black and white, the color information remains intact.
If you are creating a document that will be printed as well as viewed online (for example, if you are creating a PDF), enable the Color Preview option.


Keyboard Shortcuts

Many features in Corel Painter have keyboard shortcuts. These allow the user to access a variety of tools quickly and easily using the keyboard, rather than selecting them from a menu or palette.

The four modifier keys on a Mac-compatible keyboard are Command, Option, Shift, and the Spacebar.

The four modifier keys on the Windows keyboard are Ctrl, Alt, Shift, and the Spacebar.

The keyboard shortcuts rely on four modifier keys on Mac-compatible and Windows keyboards: Command, Option, Shift, and the Spacebar on the Mac OS; and Ctrl, Alt, Shift, and the Spacebar on Windows.

Some of the same key combinations are reused to provide different actions depending on which tool is currently selected. For example, holding down the Shift key while using the Rectangle shape tool constrains the shape to a square; whereas holding down the Shift key while using a Cloning brush sets the clone destination.

Corel Painter lets you customize keyboard shortcuts. For more information, see "Customize Keys Preferences".

See Also

•
Toolbox Commands
•
Palette Commands
•
Corel Painter Menu Commands (Mac OS)
•
File Menu Commands
•
Edit Menu Commands
•
Canvas Menu Commands
•
Layers Menu Commands
•
Select Menu Commands
•
Shapes Menu Commands
•
Effects Menu Commands
•
Window Menu Commands
•
Screen Navigation
•
Palette Navigation
•
Palette Menu Commands
•
Brush Tools
•
Selection Tools
•
Adjuster Tools
•
Shape Tools
•
Animation
•
Lighting
•
Layer Section Tools
•
Mosaics
•
Other Commands


Toolbox Commands

Tool Name | Shortcut Key
Navigation and Utility Tools |
Magnifier | M
Grabber | G
Rotate Page | E
Divine Proportion | ,
Layout Grid | /
Perspective Grid | .
Crop | C
Drawing and Painting Tools |
Brush (Freehand line) | B
Brush (Straight line) | V
Paint Bucket | K
Dropper | D
Dodge | ‘
Burn | =
Selection Tools |
Rectangular Selection | R
Oval Selection | O
Lasso | L
Magic Wand | W
Adjuster Tools |
Layer Adjuster | F
Selection Adjuster | S
Shape Selection | H
Shape Design Tools |
Pen | P
Quick Curve | Q
Text | T
Shape Object Tools |
Rectangular Shape | I
Oval Shape | J
Shape Edit Tools |
Scissors | Z
Add Point | A
Convert Point | Y
Remove Point | X


Palette Commands

Command | Mac OS | Windows
Show/Hide Brush Creator | Command + B | Ctrl + B
Show/Hide Colors | Command + 1 | Ctrl + 1
Show/Hide Mixer | Command + 2 | Ctrl + 2
Show/Hide Color Sets | Command + 3 | Ctrl + 3
Show/Hide Layers | Command + 4 | Ctrl + 4
Show/Hide Channels | Command + 5 | Ctrl + 5
Show/Hide Text | Command + 6 | Ctrl + 6
Show/Hide Info | Command + 7 | Ctrl + 7
Show/Hide Gradients | Command + 8 | Ctrl + 8
Show/Hide Patterns | Command + 9 | Ctrl + 9


Corel Painter Menu Commands (Mac OS)

Command | Mac OS
Preferences [image] General | Command + K
Hide Corel Painter X | Command + H
Hide Others | Command + Option + H
Quit | Command + Q


File Menu Commands

Command | Mac OS | Windows
New | Command + N | Ctrl + N
Open | Command + O | Ctrl + O
Close | Command + W | Ctrl + W
Save | Command + S | Ctrl + S
Save As | Shift + Command + S | Shift + Ctrl + S
Iterative Save | Command + Option + S | Ctrl + Alt + S
Page Setup | Shift + Command + P | Shift + Ctrl + P
Print | Command + P | Ctrl + P
Exit (Windows) |  | Ctrl + Q


Edit Menu Commands

Command | Mac OS | Windows
Undo | Command + Z | Ctrl + Z
Redo | Command + Y | Ctrl + Y
Fade | Command + Shift + F | Ctrl + Shift + F
Cut | Command + X | Ctrl + X
Copy | Command + C | Ctrl + C
Paste | Command + V | Ctrl + V
Paste In Place | Command + Shift + V | Ctrl + Shift + V
Preferences [image] General (Windows) |  | Ctrl + K


Canvas Menu Commands

Command | Mac OS | Windows
Resize | Shift + Command + R | Shift + Ctrl + R
Tracing Paper | Command + T | Ctrl + T
Show/Hide Rulers | Command + R | Ctrl + R
Show/Hide Guides | Command + ; | Ctrl + ;
Snap To Guides | Shift + Command + ; | Shift + Ctrl + ;
Show/Hide Grid | Command + ‘ | Ctrl + ‘


Layers Menu Commands

Command | Mac OS | Windows
New Layer | Command + Shift + N | Ctrl + Shift + N
Group | Command + G | Ctrl + G
Ungroup | Command + U | Ctrl + U
Collapse | Command + Shift + X | Ctrl + Shift + X
Dry Digital Watercolor | Command + Shift + L | Ctrl + Shift + L


Select Menu Commands

Command | Mac OS | Windows
All | Command + A | Ctrl + A
None | Command + D | Ctrl + D
Invert | Shift + Command + I | Shift + Ctrl + I
Reselect | Shift + Command + D | Shift + Ctrl + D
Hide Marquee | Shift + Command + H | Shift + Ctrl + H
Load Selection | Shift + Command + G | Shift + Ctrl + G


Shapes Menu Commands

Command | Mac OS | Windows
Join Endpoints | Shift + J | Shift + J
Duplicate | Command + ] | Ctrl + ]
Set Shape Attributes | Command + [ | Ctrl + [


Effects Menu Commands

Command | Mac OS | Windows
Last Effect | Command + / | Ctrl + /
Fill | Command + F | Ctrl + F
Auto Clone | Command + Shift + Z | Ctrl + Shift + Z
Tonal Control |  |
Correct Colors | Shift + Command + K | Shift + Ctrl + K
Adjust Colors | Shift + Command + A | Shift + Ctrl + A
Brightness/Contrast | Shift + Command + B | Shift + Ctrl + B
Equalize | Command + E | Ctrl + E
Negative | Command + I | Ctrl + I


Window Menu Commands

Command | Mac OS | Windows
Show/Hide Palettes | Tab | Tab
Zoom In | Command + Plus sign | Ctrl + Plus sign
Zoom Out | Command + Minus sign | Ctrl + Minus sign
Zoom to Fit | Command + 0 | Ctrl + 0
Screen Toggle Mode | Command + M | Ctrl + M


Screen Navigation

Command | Mac OS | Windows
Scroll Image with Grabber | Spacebar | Spacebar
Center Image | Spacebar + click | Spacebar + click
Zoom In | Spacebar + Command + click | Spacebar + Ctrl + click
Zoom Out | Spacebar + Command + Option + click | Spacebar + Ctrl + Alt + click
Rotate Image | Spacebar + Option + drag | Spacebar + Alt + drag
Constrain Rotate to 90 Degrees | Shift + Option + Spacebar + drag | Spacebar + Alt + Shift + drag
Orient Screen to Default View | Shift + Option + click | Shift + Alt + click


Palette Navigation

Command | Mac OS | Windows
Scroll Contents of Palette | Option + click + drag | Alt + click + drag
Expand/Collapse All Palettes | Shift + click on Open/Close triangle | Shift + click on Open/Close triangle


Palette Menu Commands

Command | Mac OS | Windows
Layers Palette |  |
Select All Layers | Command + Shift + 1 | Ctrl + Shift + 1
Delete Layer | Command + Delete | Ctrl + Backspace
Colors Palette |  |
Standard Colors | Shift + O | Shift + O
Use Clone Color | U | U
Mixer Palette |  |
When Apply Color tool or Mix Color tool active |  |
Pan tool | Spacebar | Spacebar
Zoom tool (zoom-in | Command+ Spacebar | Ctrl + Spacebar
Zoom tool (zoom-out) | Command+ Spacebar + Option | Ctrl + Spacebar + Alt
Channels Palette |  |
New From | Command + Shift + M | Ctrl + Shift + M
Clear | Command + Shift + U | Ctrl + Shift + U
Gradients Palette |  |
Edit Gradient | Command + Shift + E | Ctrl + Shift + E


Brush Tools

Command | Mac OS | Windows
Brush Controls |  |
Dropper | Option | Alt
Layer Adjuster | Command | Ctrl
Resize Brush | Option + Command | Alt + Ctrl
Increase Current Brush Size Incrementally | ] | ]
Decrease Current Brush Size Incrementally | [ | [
Constrain to 45 degrees | Shift | Shift
Adjust Opacity in 10% Increments | 1 to 0 keys | 1 to 0 keys
Unconstrained Draw | Shift + 1 | Shift + 1
Draw Outside | Shift + 2 | Shift + 2
Draw Inside | Shift + 3 | Shift + 3
Load Nozzle | Command + L | Ctrl + L
Cloners |  |
Set Clone Source | Option | Alt
Set Clone Destination | Option+ Shift | Alt + Shift
Re-link Clone Source | Command + Option + Clone | Ctrl + Alt + Clone
Colors |  |
Correct Colors | Command + Shift + K | Ctrl + Shift + K
Toggle Between Main and Additional Colors | Shift + X | Shift + X
Gradations |  |
Adjust Spiral | Command + Angle Adjuster | Ctrl + Angle Adjuster
Paint Bucket |  |
Limit Fill Extent | Drag | Drag
Dropper | Option | Alt


Selection Tools

Command | Mac OS | Windows
Rectangle, Oval, and Lasso Selection Tools |  |
Constrain to Square or Circle | Shift + click | Shift + click
Add to Selection | Shift | Shift
Subtract from Selection | Option | Alt
Magic Wand |  |
Add Color to Selection | Shift + click | Shift + click
Add Range of Colors to Selection | Shift + drag | Shift + drag
Remove Color from Selection | Option + click | Alt + click
Remove Range of Colors from Selection | Option + drag | Alt + drag


Adjuster Tools

Command | Mac OS | Windows
Layer Adjuster | Command (except when either the Screen Navigation or Shape Tools are selected) | Ctrl (except when either the Screen Navigation or Shape Tools are selected)
Selection Adjuster | Command (when Selection Tools are selected) | Ctrl (when Selection Tools are selected)
Shape Selection Tool | Command (when Shape Tools are selected) | Ctrl (when Shape Tools are selected)
Layer Adjuster |  |
Duplicate | Option + drag | Alt + drag
Delete layer | Command + Shift + D | Ctrl + Shift + D
Move Layer by One Screen Pixel | Arrow keys | Arrow keys
Hide/Display Marquee | Command + Shift + H | Ctrl + Shift + H
Attribute Dialog Box for Current Layer | Enter | Enter
Adjust Opacity in 10% increments | 1 to 0 keys | 1 to 0 keys
Select All Layers | Command + Shift + Option + A | none
Deselect Layers | Command + Shift + Option + D | none
Select/Deselect Mode | Command + Shift | Ctrl + Shift
Selection Adjuster |  |
Reposition | Click inside active selection, and drag | Click inside active selection, and drag
Duplicate | Option + drag | Alt + drag
Move Selection by One Screen Pixel | Arrow keys, on canvas | Arrow keys, on canvas
Delete Current Selection | Delete | Backspace
Select/Deselect Mode | Shift | Shift
Free Transform |  |
Resize | Corner handles | Corner handles
Resize/Preserve Aspect | Shift + corner handles | Shift + corner handles
Resize/One Dimension | Side handles | Side handles
Skew | Command + side handles | Ctrl + side handles
Rotate | Command + corner handles | Ctrl + corner handles


Shape Tools

On this page, you will find information about

•
Shape Design Tools
•
Shape Objects Tools
•
Shape Selection Tool

Command | Mac OS | Windows
Shape Selection Tool Toggle | Command | Ctrl

Shape Design Tools

 Back to Top

Command | Mac OS | Windows
Pen |  |
Add to Current Point | Click last point | Click last point
Quick Curve |  |
Add to Current Endpoint | Click and draw from endpoint | Click and draw from endpoint

Shape Objects Tools

 Back to Top

Command | Mac OS | Windows
Rectangle |  |
Constrain to Square | Shift + click | Shift + click
Circle |  |
Constrain to Circle | Shift + click | Shift + click

Shape Selection Tool

 Back to Top

Command | Mac OS | Windows
Direct Selection |  |
Select Start Point of Shape | Home | Home
Select Endpoint of Shape | End | End
Select Previous Point in Shape | Page Up | Page Up
Select Next Point in Shape | Page Down | Page Down
Move Path by One Screen Pixel | Arrow keys | Arrow keys
Delete Selected (closed) Shape | Delete | Backspace


Animation

Command | Mac OS | Windows
First Frame of Stack | Home | Home
Last Frame of Stack | End | End
Next Frame | Page Up | Page Up
Previous Frame | Page Down | Page Down
Stop at Current Frame | Option + Stop | Alt + Stop
Stop and Return to Current Starting Frame | Command + . | Ctrl + .


Lighting

Command | Mac OS | Windows
Lighting Mover | Shift + Command + L | Shift + Ctrl + L


Layer Section Tools

Command | Mac OS | Windows
Group | Command + G | Ctrl + G
Ungroup | Command + U | Ctrl + U


Mosaics

Command | Mac OS | Windows
Get Tile Color | Option + click tile | Alt + click tile
Get Tile Shape | Command + click tile | Ctrl + click tile
Delete Tile | Shift + click tile | Shift + click tile
Select All Tiles | A | A
Deselect All Tiles | D | D
Change Selected Tiles to Current Color | C | C
Tint Selected Tiles with Current Color | T | T
Vary Color of Selected Tiles | V | V


Other Commands

Command | Mac OS | Windows
Add Current Color to Color Set | Command + Shift + T | Ctrl + Shift + T
Swap Colors | Shift + S | Shift + S
Nudge Selection Left (one pixel) | Left Arrow | Left Arrow
Nudge Selection Right | Right Arrow | Right Arrow
Nudge Selection Up | Up Arrow | Up Arrow
Nudge Selection Down | Down Arrow | Down Arrow
Move Selection Left (four pixels) | Shift + Left Arrow | Shift + Left Arrow
Move Selection Right | Shift + Right Arrow | Shift + Right Arrow
Move Selection Up | Shift + Up Arrow | Shift + Up Arrow
Move Selection Down | Shift + Down Arrow | Shift + Down Arrow
Memory Info | Shift + I | Shift + I
Zoom To Actual Pixels | Command + Option + 0 | Ctrl + Alt + 0
Insert Script Delay | - | -
Close All Windows | Command + Shift + W | Ctrl + Shift + W

Previous Document Back to Top